package com.yihu.jw.area.dao;

import com.yihu.jw.entity.base.area.BaseInpatientAreaDoctorDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by yeshijie on 2022/12/2.
 */
public interface BaseInpatientAreaDoctorDao extends JpaRepository<BaseInpatientAreaDoctorDO, String>,
        JpaSpecificationExecutor<BaseInpatientAreaDoctorDO> {

    @Query("from BaseInpatientAreaDoctorDO where doctorCode = ?1 and inpatientAreaId = ?2")
    BaseInpatientAreaDoctorDO findByDoctorAndInpatientAreaId(String doctorCode,String inpatientAreaId);

    @Query("from BaseInpatientAreaDoctorDO where doctorCode = ?1 and del = ?2")
    List<BaseInpatientAreaDoctorDO> findListByDoctor(String doctorCode,Integer del);
}
