package com.yihu.jw.area.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import com.yihu.jw.entity.base.area.BaseStreetDO;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * 
 * 街道字典 数据库访问层
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * litaohong 	1.0  		2018年08月31日 	Created
 *
 * </pre>
 * @since 1.
 */
public interface BaseStreetDao extends JpaRepository<BaseStreetDO, Integer>, JpaSpecificationExecutor<BaseStreetDO>  {

    List<BaseStreetDO> findByTown(String town);

    @Query("select p from BaseStreetDO p where p.name = ?1")
    BaseStreetDO findByName(String name);
}