package com.yihu.jw.article.dao;

import com.yihu.jw.entity.base.menu.BaseMenuDictUserDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

/**
 * Created by yeshijie on 2023/5/4.
 */
public interface BaseMenuDictUserDao  extends JpaRepository<BaseMenuDictUserDO, String>, JpaSpecificationExecutor<BaseMenuDictUserDO> {

    @Query("select a from BaseMenuDictUserDO a where a.del=1 and a.relationCode=?1 and a.user=?2")
    BaseMenuDictUserDO findByRelationCodeAndUserAndDel(String relationCode, String user);
}

