package com.yihu.jw.common;

import com.alibaba.fastjson.JSONObject;
import com.yihu.jw.wlyy.service.WlyyBusinessService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

/**
 * 异步处理
 * Created by yeshijie on 2023/4/24.
 */
@Service
public class AsynchService  {
    private Logger logger = LoggerFactory.getLogger(AsynchService.class);

    @Autowired
    private WlyyBusinessService wlyyBusinessService;

    //专科团队保存关联社区
    @Async
    public JSONObject saveIjkTeam(String teamId, String adminTeamIds){
        return wlyyBusinessService.saveIjkTeam(teamId, adminTeamIds);
    }

    //删除关联社区
    @Async
    public JSONObject delIjkTeam(String teamId,Integer adminTeamId){
        return wlyyBusinessService.delIjkTeam(teamId,adminTeamId);
    }

}
