package com.yihu.jw.contant;

/**
 * 常量
 * @author yeshijie on 2018/9/27.
 */
public class CommonContant {

    /**
     * 默认父类id 0
     */
    public static final String DEFAULT_PARENTID = "0";
    /**
     * 默认父类无
     */
    public static final String DEFAULT_PARENTNAME = "无";
    //是否必选0-表示非必选，1-表示必选
    public static final String IS_MUST = "1";

    /**
     * 接口返回通用提示消息
     */
    public static class Message {
        public static final String GET_SUCCESS = "获取成功";
        public static final String GET_ERROR = "获取失败";
        public static final String SAVE_SUCCESS ="保存成功";
        public static final String SAVE_ERROR ="保存失败";
        public static final String OPERATE_SUCCESS ="操作成功";
        public static final String OPERATE_ERROR ="操作失败";
        public static final String CREATE =  "/create";
        public static final String DELETE = "/delete";
        public static final String UPDATE = "/update";
        public static final String PAGE = "/page";
        public static final String LIST = "/list";
        public static final String FINDBYID = "/findById";
        public static final String FIND_MODULE_BY_SAASID = "/findModuleBySaasId";
        public static final String STATUS = "/status";
    }

    /**
     * DR 开头表示医生角色
     */
    /**
     * 住院病区审核员
     */
    public static final String DR_INPATIENTAREA = "inpatientArea";

    /**
     * 文章审核员
     */
    public static final String DR_ARTICLEREVIEWER = "articleReviewer";
}
