package com.yihu.jw.dict.dao;

import com.yihu.jw.entity.hospital.dict.BaseSuperviseDict;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;


/**
 * 
 * 监管平台字典 数据库访问层
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * litaohong 	1.0  		2018年10月19日 	Created
 *
 * </pre>
 * @since 1.
 */
public interface BaseSuperviseDictDao extends JpaRepository<BaseSuperviseDict, Integer>, JpaSpecificationExecutor<BaseSuperviseDict>  {
    @Query("select s from BaseSuperviseDict s where s.status=1")
    BaseSuperviseDict selectByDictName();
}