package com.yihu.jw.doctor.dao;

import com.yihu.jw.entity.base.doctor.BaseDoctorPatientDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/6/1
 */
public interface BaseDoctorPatientDao extends JpaRepository<BaseDoctorPatientDO, String>, JpaSpecificationExecutor<BaseDoctorPatientDO> {

    @Query("from BaseDoctorPatientDO d where  d.status =?1 and d.patientCode=?2 ")
    List<BaseDoctorPatientDO> findByPatientCode(Integer status,String patient);

    @Query(value = "select d.* from base_doctor_patient d where  d.status =?1 and d.patient_code=?2 limit 1 ",nativeQuery = true)
    BaseDoctorPatientDO findOneByPatientCode(Integer status,String patient);
}
