package com.yihu.jw.hospital.appointment.dao;

import com.yihu.jw.entity.hospital.appointment.WlyySpecialDiseaseDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by Trick on 2019/11/4.
 */
public interface SpecialDiseaseDao extends JpaRepository<WlyySpecialDiseaseDO, String>, JpaSpecificationExecutor<WlyySpecialDiseaseDO> {

    @Query("from WlyySpecialDiseaseDO a order by a.sort asc")
    List<WlyySpecialDiseaseDO> findAllOrderBySortASC();

    @Query("from WlyySpecialDiseaseDO a where a.code=?1")
    WlyySpecialDiseaseDO findByCode(String code);
}
