package com.yihu.jw.hospital.appointment.service;

import com.yihu.jw.entity.hospital.appointment.WlyySpecialDiseaseDO;
import com.yihu.jw.hospital.appointment.dao.SpecialDiseaseDao;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by Trick on 2019/11/4.
 */
@Service
@Transactional
public class SpecialDiseaseService extends BaseJpaService<WlyySpecialDiseaseDO, SpecialDiseaseDao> {

    @Autowired
    private SpecialDiseaseDao specialDiseaseDao;

    public List<WlyySpecialDiseaseDO> findAllSpecialDisease(){
        return specialDiseaseDao.findAllOrderBySortASC();
    }
}
