package com.yihu.jw.hospital.consult.dao;

import com.yihu.jw.entity.hospital.prescription.WlyyConsultAdvice;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * 咨询建议Dao
 * @author huangwenjie
 * @date 2020/5/27 17:29
 */
public interface WlyyConsultAdviceDao  extends JpaRepository<WlyyConsultAdvice, String>, JpaSpecificationExecutor<WlyyConsultAdvice> {
	
	List<WlyyConsultAdvice> getByConsult(String consult);
}
