package com.yihu.jw.hospital.dict;

import com.yihu.jw.entity.base.dict.BaseIncentiveDictDO;
import com.yihu.jw.entity.hospital.dict.WlyyChargeDictDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface BaseIncentiveDictDao extends JpaRepository<BaseIncentiveDictDO, String>, JpaSpecificationExecutor<BaseIncentiveDictDO> {
    @Query("from BaseIncentiveDictDO t where t.incentiveName like ?1 and t.isDel = '1'")
    List<BaseIncentiveDictDO> findBynAndIncentiveName(String name);


    @Query("from BaseIncentiveDictDO t where t.id = ?1 and t.isDel = '1'")
    BaseIncentiveDictDO findoneById(String id);


}
