package com.yihu.jw.hospital.disease.dao;

import com.yihu.jw.entity.knowledge.BaseKnowledgeQuestion;
import com.yihu.jw.entity.specialist.BaseDiseaseHospitalDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

public interface BaseDiseaseHospitalDao extends JpaRepository<BaseDiseaseHospitalDO, String>, JpaSpecificationExecutor<BaseDiseaseHospitalDO> {


    @Query("from BaseDiseaseHospitalDO p where p.sort = ?1 ")
    BaseDiseaseHospitalDO selectBySort(Integer sort);
}
