package com.yihu.jw.hospital.integrate.dao;

import com.yihu.jw.entity.hospital.integrate.BaseHospitalGoodsExchageDO;
import com.yihu.jw.entity.hospital.integrate.BaseHospitalIntegrateDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


/**
 * wangzhinan 20230523
 */
public interface BaseHospitalGoodsExchageDao extends JpaRepository<BaseHospitalGoodsExchageDO, String>, JpaSpecificationExecutor<BaseHospitalGoodsExchageDO> {

    @Query("from BaseHospitalGoodsExchageDO p where p.user = ?1 and p.goodsCode= ?2")
    List<BaseHospitalGoodsExchageDO> selectByUserAndGoodsCode(String user,String relationCode);

    @Query("from BaseHospitalGoodsExchageDO p where  p.goodsCode= ?1 and status=1 ")
    List<BaseHospitalGoodsExchageDO> selectByGoodsCode(String relationCode);
}
