package com.yihu.jw.hospital.integrate.dao;

import com.yihu.jw.entity.hospital.integrate.BaseHospitalActivityDO;
import com.yihu.jw.entity.hospital.integrate.BaseHospitalUserIntegrateDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.Date;
import java.util.List;

/**
 * wangzhinan 20230523
 */
public interface BaseHospitalUserIntegrateDao extends JpaRepository<BaseHospitalUserIntegrateDO, String>, JpaSpecificationExecutor<BaseHospitalUserIntegrateDO> {

    @Query("from BaseHospitalUserIntegrateDO p where p.user = ?1 and p.relationCode=?2 ")
    List<BaseHospitalUserIntegrateDO> selectByUserAndRelationCode(String user, String relationCode);

    @Query("from BaseHospitalUserIntegrateDO p where p.user = ?1 and p.relationCode=?2 and p.createTime>=?3 and p.createTime<=?4 ")
    List<BaseHospitalUserIntegrateDO> selectByUserAndRelationCodeAndCreateTime(String user, String relationCode, Date startDate,Date endDate);

}
