package com.yihu.jw.hospital.message.dao;

import com.yihu.jw.entity.hospital.message.SpecialistDynamicMessages;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by yeshijie on 2023/5/23.
 */
public interface SpecialistDynamicMessagesDao extends PagingAndSortingRepository<SpecialistDynamicMessages, Long>,
        JpaSpecificationExecutor<SpecialistDynamicMessages> {

    @Query("select m from SpecialistDynamicMessages m where m.createTime>?1 and m.createTime<?2 and m.diseaseType=?3 group by m.name,m.code,m.createTime order by m.createTime desc ")
    Page<SpecialistDynamicMessages> findByTime(String createTime, String endTime, String diseaseType, Pageable pageRequest);
}
