package com.yihu.jw.hospital.prescription.dao;

import com.yihu.jw.entity.hospital.prescription.BaseDrugsPlanDetailDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by yeshijie on 2022/11/24.
 */
public interface BaseDrugsPlanDetailDao  extends JpaRepository<BaseDrugsPlanDetailDO, String>, JpaSpecificationExecutor<BaseDrugsPlanDetailDO> {

    @Query("from BaseDrugsPlanDetailDO a where a.planId = ?1 and a.del=1")
    List<BaseDrugsPlanDetailDO> findByPlanId(String planId);
}
