package com.yihu.jw.hospital.prescription.dao;

import com.yihu.jw.entity.hospital.prescription.WlyyPrescriptionExpressageLogDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by Trick on 2019/5/17.
 */
public interface PrescriptionExpressageLogDao extends JpaRepository<WlyyPrescriptionExpressageLogDO, String>, JpaSpecificationExecutor<WlyyPrescriptionExpressageLogDO> {

    List<WlyyPrescriptionExpressageLogDO> queryByOutpatientId(String outpatientId);
    List<WlyyPrescriptionExpressageLogDO> queryByOutpatientIdOrderByCreateTimeDesc(String outpatientId);

    @Query("from WlyyPrescriptionExpressageLogDO p where p.prescriptionId=?1 order by p.acceptTime desc")
    List<WlyyPrescriptionExpressageLogDO> findByPrescriptionCode(String prescriptionId);

}
