package com.yihu.jw.hospital.prescription.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.yihu.jw.entity.hospital.prescription.WlyyExpressagePriceDO;

/**
 * 
 *  数据库访问层
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  		2019年06月05日 	Created
 *
 * </pre>
 * @since 1.
 */
public interface WlyyExpressagePriceDao extends JpaRepository<WlyyExpressagePriceDO, String>, JpaSpecificationExecutor<WlyyExpressagePriceDO>  {

    @Query("from WlyyExpressagePriceDO where code = ?1 and endAddressName LIKE ?2 ")
    WlyyExpressagePriceDO getExprePriceByIdAndEndAdressName(String code,String end_address_name);
}