package com.yihu.jw.hospital.record.dao;

import com.yihu.jw.entity.hospital.record.HospitalPatientInpatientRecordDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

/**
 * Created by yeshijie on 2022/11/28.
 */
public interface HospitalPatientInpatientRecordDao extends JpaRepository<HospitalPatientInpatientRecordDO, String>,
        JpaSpecificationExecutor<HospitalPatientInpatientRecordDO> {

    @Query(value = "select d.* from hospital_patient_inpatient_record d where d.patient = ?1 order by d.create_time desc limit 1",nativeQuery = true)
    HospitalPatientInpatientRecordDO findByPatientRecently(String patient);
}
