package com.yihu.jw.internet.dao;

import com.yihu.jw.entity.hospital.dict.BaseSuperviseDict;
import com.yihu.jw.entity.hospital.jgpt.HospitalImgDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by Trick on 2019/11/28.
 */
public interface HospitalImgDao extends JpaRepository<HospitalImgDO, String>, JpaSpecificationExecutor<HospitalImgDO> {

    @Query("select s from HospitalImgDO s where s.id=?1 and s.status=1")
    HospitalImgDO selectById(String id);
}
