package com.yihu.jw.monitor.dao;

import com.yihu.jw.entity.base.system.BaseInterfaceDictDO;
import com.yihu.jw.entity.base.system.BaseSourceDictDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface BaseSourceDictDao extends JpaRepository<BaseSourceDictDO, String>, JpaSpecificationExecutor<BaseSourceDictDO> {
    @Query("from BaseSourceDictDO t where t.isDel='1' and t.source=?1")
    BaseSourceDictDO findSourceBySource(String source);
}
