package com.yihu.jw.order.dao;

import com.yihu.jw.entity.order.PayLog;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Reece on 2017/9/20.
 */
public interface PayLogDao extends JpaRepository<PayLog, Long>,JpaSpecificationExecutor<PayLog> {
	
	@Query("select p from PayLog p where p.operateCode=?1 ORDER BY createTime desc ")
	List<PayLog> getPayLogsByPrescriptionCode(String prescriptionCode);
}
