package com.yihu.jw.org.dao;

import com.yihu.jw.entity.base.org.OrgAddress;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/***
 * @ClassName: OrgAddressDao
 * @Description:
 * @Auther: shi kejing
 * @Date: 2021/3/9 10:56
 */
public interface OrgAddressDao extends PagingAndSortingRepository<OrgAddress, Long>, JpaSpecificationExecutor<OrgAddress> {

    @Query("select p from OrgAddress p where p.hospitalCode=?1 ")
    List<OrgAddress> findByHospitalCode(String hospitalCode);

    @Query("select p from OrgAddress p where p.deptCode=?1 ")
    OrgAddress findByDeptCode(String deptCode);

    OrgAddress findById(Integer id);

    OrgAddress findByHospitalCodeAndOrgCodeAndDeptCode(String hospitalCode,String orgCode,String deptCode);
}
