package com.yihu.jw.processGuidance.dao;

import com.yihu.jw.entity.base.processGuidance.BaseProcessGuidanceDeptDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by yeshijie on 2022/9/30.
 */
public interface BaseProcessGuidanceDeptDao extends JpaRepository<BaseProcessGuidanceDeptDO, String>, JpaSpecificationExecutor<BaseProcessGuidanceDeptDO> {

    List<BaseProcessGuidanceDeptDO> findByProcessGuidanceId(String processGuidanceId);

    void deleteByProcessGuidanceId(String processGuidanceId);

    @Query(value = "select a.* from base_process_guidance_dept a,base_process_guidance d where a.process_guidance_id=d.id and (a.dept_code =?1 or d.is_all_dept=1) ORDER BY d.create_time desc LIMIT 1" ,nativeQuery = true)
    BaseProcessGuidanceDeptDO findByDeptCode(String deptCode);
}
