package com.yihu.jw.thirdUpload;

import com.yihu.jw.entity.thirdUpload.BaseNsOnlineAskDO;
import com.yihu.jw.entity.thirdUpload.BaseNsOnlineMedDO;
import com.yihu.jw.entity.thirdUpload.BaseNsPrescriptionDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;
import java.util.List;

public interface BaseNsPrescriptionDao extends JpaRepository<BaseNsPrescriptionDO, String>, JpaSpecificationExecutor<BaseNsPrescriptionDO> {
    @Query("from BaseNsPrescriptionDO")
    List<BaseNsPrescriptionDO> findAll();

    @Query("from BaseNsPrescriptionDO t where t.createTime>=?1 and t.createTime<=?2")
    List<BaseNsPrescriptionDO> finAllByDate(Date startTime, Date endTime);

    @Query("select count(1) from BaseNsPrescriptionDO t where t.createTime>=?1 and t.createTime<=?2")
    String findCount(Date startTime, Date endTime);

}
