package com.yihu.jw.thirdUpload;

import com.yihu.jw.entity.thirdUpload.UpAppointmentOnlineDO;
import com.yihu.jw.entity.thirdUpload.UpMedicalOnlineDO;
import com.yihu.jw.entity.thirdUpload.UpnsDoctorRecordDO;
import com.yihu.jw.entity.thirdUpload.UpnsDoctorScoreDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;
import java.util.List;

public interface UpnsDoctorScoreDao extends JpaRepository<UpnsDoctorScoreDO, String>, JpaSpecificationExecutor<UpnsDoctorScoreDO> {
    @Query("from UpnsDoctorScoreDO t where t.is_del='1' and t.create_time>=?1 and t.create_time<=?2")
    List<UpnsDoctorScoreDO> findByCreateTime(Date startTime, Date endTime);

    @Query("from UpnsDoctorScoreDO")
    List<UpnsDoctorScoreDO> findAll();

    @Query("from UpnsDoctorScoreDO t where t.create_time>=?1 and t.create_time<=?2")
    List<UpnsDoctorScoreDO> finAllByDate(Date startTime, Date endTime);

    @Query("select count(1) from UpnsDoctorScoreDO t where t.create_time>=?1 and t.create_time<=?2")
    String findCount(Date startTime, Date endTime);

}
