package com.yihu.jw.thirdUpload;

import com.yihu.jw.entity.thirdUpload.AchnsDoctorRecordDO;
import com.yihu.jw.entity.thirdUpload.UpAppointmentOnlineDO;
import com.yihu.jw.entity.thirdUpload.UpNsOrganBaseDO;
import com.yihu.jw.entity.thirdUpload.UpnsDoctorScoreDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;
import java.util.List;

public interface UpnsOrganBaseDao extends JpaRepository<UpNsOrganBaseDO, String>, JpaSpecificationExecutor<UpNsOrganBaseDO> {

    @Query("from UpNsOrganBaseDO t where t.is_del='1' and t.create_time>=?1 and t.create_time<=?2")
    List<UpNsOrganBaseDO> findByCreateTime(Date startTime, Date endTime);

    @Query("from UpNsOrganBaseDO t where t.create_time>=?1 and t.create_time<=?2")
    List<UpNsOrganBaseDO> finAllByDate(Date startTime, Date endTime);

    @Query("select count(1) from UpNsOrganBaseDO t where t.create_time>=?1 and t.create_time<=?2")
    String findCount(Date startTime, Date endTime);

}
