package com.yihu.jw.user;

import com.yihu.jw.entity.base.user.UserDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

/**
 * Dao - 后台管理员
 * Created by progr1mmer on 2018/8/20.
 */
public interface UserDao extends JpaRepository<UserDO, String>, JpaSpecificationExecutor<UserDO> {

    List<UserDO> findByEnabled(boolean enabled);

    UserDO findByMobile(String mobile);

    boolean existsByMobile(String mobile);

    boolean existsByUsername(String username);

    UserDO findByUsername(String username);

}
