package com.yihu.jw.version.service;

import com.yihu.jw.entity.base.version.AppVersionDO;
import com.yihu.jw.version.dao.AppVersionDao;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by Trick on 2020/2/24.
 */
@Service
public class AppVersionService extends BaseJpaService<AppVersionDO, AppVersionDao> {

    @Autowired
    private AppVersionDao appVersionDao;

    public AppVersionDO findVersionByCode(String code) {
        return appVersionDao.findByCode(code);
    }
}
