package com.yihu.jw.wechat.dao;

import com.yihu.jw.entity.base.wx.JsApiTicket;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface JsapiTicketDao extends JpaRepository<JsApiTicket, Long> {

    @Query("select p from JsApiTicket p where p.acc_id = ?1 order by p.add_timestamp desc")
    Iterable<JsApiTicket> findJsapiTicket(String accId);




}
