package com.yihu.jw.wechat.dao;

import com.yihu.jw.entity.base.wx.WxPayLogDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;


public interface WxPayLogDao extends JpaRepository<WxPayLogDO, String>, JpaSpecificationExecutor<WxPayLogDO> {

    @Query("from WxPayLogDO a where a.seqNo=?1 order by createTime desc")
    List<WxPayLogDO> findBySeqNo(String seqNo);
}
