package com.yihu.jw.followup.followupDisease;

import io.searchbox.annotations.JestId;

/**
 * Created by wangzhinan on 2020/3/23.
 * 7.脑卒中日常随访
 */
public class CerebralApoplexyFollowupES {
    //private String id;//id&【为新增】
    @JestId
    private String id;
    private String followup_id;             //随访记录ID
    private String followup_project;        //随访详情分类ID
    private String version;//版本号
    private String createOperatorName;//创建人
    private String modifyOperatorName;//修改人
    private String orgId;//机构id&【必填】
    private String sickId;//病人id&
    private String problemId;//健康问题id&
    private String followOrgId;//随访机构&【必填】
    private String followDoctor;//随访医生&【必填】
    private String followTime;//随访时间&【必填】
    private String followType;//随访方式【1.门诊 2.电话 3.入户】&【必填】
    private String followDoctorType;//随访医生类型【1.专科医生 2.全科医生 3.健康管理师】&【必填】
    private String nextFollowTime;//下次随访时间&【必填】
    private String identityCardNo;//身份证号&【必填】
    private String assessSource;//评估来源【1.前台三合一 2. 前台独立 3.后台自动 4.i健康】&【必填】
    private String sickName;//病人姓名&【必填】
    private String sickSex;//病人性别&【必填】
    private String national;//民族&
    //private String identityCardNo;//身份证号码&【必填】
    private String marriage;//婚姻状况&
    private String homeAddress;//家庭地址&
    private String homePhone;//家庭电话&
    private String linkphone;//联系人电话&
    private String fSelfFlag;//是否随访本人&
    private String fSelfRelation;//随访者与提供信息者关系&
    private String fSelfReContent;//随访者与提供信息者关系其它内容&
    private String fLostFlag;//是否失访&
    private String fLostCause;//失访原因&
    private String fLostCauseContent;//失访原因其它内容&
    private String fDieFlag;//是否死亡&
    private String fDieTime;//死亡时间&
    private String fDieCause;//死亡原因&
    private String fDieSType;//死亡原因_脑卒中类型&
    private String fDieCauseContent;//死亡原因其它内容&
    private String diCi;//诊断_脑梗死&
    private String diHc;//诊断_脑出血&
    private String diSh;//诊断_蛛网膜下腔出血&
    private String diTia;//诊断Tia&
    private String diOai;//诊断_眼动脉梗塞&
    private String diDavf;//诊断_硬脑膜动静脉瘘davf&
    private String diMa;//诊断_脊髓血管疾病&
    private String diIvdcd;//诊断_颅内静脉源性脑血管病&
    private String diUca;//诊断_未破裂脑动脉瘤&
    private String diAvm;//诊断_未破裂avm&
    private String diOther;//诊断_其他&
    private String diOtherContent;//诊断_其他内容&
    private String diYear;//诊断_确诊年份&
    private String complNo;//合并症_无&
    private String complMi;//合并症_心肌梗死&
    private String complHi;//合并症_肝功能不全&
    private String complCsa;//合并症_颈动脉支架植入术（cas）&
    private String complAf;//合并症_房颤&
    private String complDyslip;//合并症_血脂异常&
    private String complSas;//合并症_睡眠呼吸暂停综合征（sas）&
    private String complIa;//合并症_颅内动脉成形术&
    private String complHyper;//合并症_高血压&
    private String complCass;//合并症_颈动脉狭窄&
    private String complCop;//合并症_慢性阻塞性肺疾病&
    private String complHbtb;//合并症_出血史或者出血倾向&
    private String complDm;//合并症_糖尿病&
    private String complPvd;//合并症_周围血管病（pvd）&
    private String complStupid;//合并症_痴呆&
    private String complDrepan;//合并症_镰状细胞病&
    private String complAp;//合并症_心绞痛&
    private String complCeph;//合并症_偏头痛&
    private String complAlleosis;//合并症_精神障碍&
    private String complEncyesis;//合并症_妊娠或产后6周&
    private String complChf;//合并症_心力衰竭（chf）&
    private String complFat;//合并症_肥胖&
    private String complRtpa;//合并症R-tpa静脉溶栓&
    private String complHot;//合并症_肿瘤病史&
    private String complShd;//合并症_结构性心脏病&
    private String complRi;//合并症_肾功能不全&
    private String complOha;//合并症_其他心脏病&
    private String complSh;//合并症_近期外伤、手术史&
    private String complIhd;//合并症_缺血性心脏病&
    private String complAv;//合并症_人工瓣膜&
    private String complCea;//合并症_颈动脉内膜剥脱术（cea）&
    private String complOther;//合并症_其他&
    private String complOtherContent;//合并症_其他内容&
    private String lifeSmoking;//生活方式_吸烟&
    private String lifeDrinking;//生活方式_饮酒&
    private String lifeSport;//生活方式_运动&
    private String lifeMeatVegetables;//生活方式_荤素&
    private String lifeTaste;//生活方式_口味&
    private String lifeEatVegetables;//生活方式_吃蔬菜&
    private String lifeEatFruit;//生活方式_吃水果&
    private String newEventFlag;//新发事件&
    private String evSNew;//事件_卒中新发&
    private String evSNewTCi;//事件_新发卒中类型_脑梗死&
    private String evSNewTHe;//事件_新发卒中类型_脑出血&
    private String evSNewTSh;//事件_新发卒中类型_蛛网膜下腔出血&
    private String evSNewTTia;//事件_新发卒中类型Tia&
    private String evSRe;//事件_卒中复发&
    private String evSReTCi;//事件_卒中复发类型_脑梗死&
    private String evSReTHe;//事件_卒中复发类型_脑出血&
    private String evSReTSh;//事件_卒中复发类型_蛛网膜下腔出血&
    private String evSReTTia;//事件_卒中复发类型Tia&
    private String evSReNum;//事件_卒中复发次数&
    private String evMi;//事件_心肌梗死&
    private String evHf;//事件_心力衰竭&
    private String evCvs;//事件_脑血管相关手术名称&
    private String evCvsCas;//事件_脑血管相关手术名称_颈动脉支架置入术(cas)&
    private String evCvsCea;//事件_脑血管相关手术名称_颈动脉内膜剥脱术(cea)&
    private String evCvsPoias;//事件_脑血管相关手术名称_颅内动脉支架置入术&
    private String evCvsCsp;//事件_脑血管相关手术名称_冠状动脉支架置入术&
    private String evCvsBd;//事件_脑血管相关手术名称_球囊扩张术&
    private String evCvsOther;//事件_脑血管相关手术名称_其他&
    private String evCvsOtherContent;//事件_脑血管相关手术名称_其他内容&
    private String evSee;//事件_系统性栓塞事件&
    private String evOther;//事件_其他&
    private String evOtherContent;//事件_其他内容&
    private String height;//身高&
    private String weight;//体重&
    private String bmi;//体质指数&
    private String bloodPressureLeftU;//左侧血压（收缩压）&
    private String bloodPressureLeftD;//左侧血压（舒张压）&
    private String bloodPressureRightU;//右侧血压（收缩压）&
    private String bloodPressureRightD;//右侧血压（舒张压）&
    private String pulse;//脉搏&
    private String breathe;//呼吸&
    private String cardiacSouffle;//心脏杂音&
    private String heartRate;//心率&
    private String electroRoutine;//心电图_常规心电图&
    private String electro_24Hour;//心电图_24小时动态心电图&
    private String electroGt_24Hour;//心电图_大于24小时心电记录&
    private String electroNoExam;//心电图_未做任何检查&
    private String electroExamResult;//心电图_检查结果&
    private String electroUnusualType;//心电图_异常类型&
    private String electroUnusualContent;//心电图_异常类型其它内容&
    private String leFbg;//空腹血糖&
    private String leNoFbg;//餐后2小时血糖&
    private String leGh;//糖化血红蛋白&
    private String leGt;//甘油三酯&
    private String leCholesterin;//胆固醇&
    private String leCLdl;//低密度脂蛋白胆固醇&
    private String leCHdl;//高密度脂蛋白胆固醇&
    private String leHomocysteine;//同型半胱氨酸&
    private String leCruorPtInr;//凝血Pt-inr&
    private String leCruorPt;//凝血_凝血酶原时间&
    private String leCruorAptt;//凝血_活化部分凝血活酶时间&
    private String leCruorTt;//凝血_凝血酶时间&
    private String leSc;//血清肌酐&
    private String leSun;//血清尿素氮&
    private String leLa;//尿酸&
    private String lePc;//血小板计数&
    private String cvuFlag;//是否颈部血管超声检查&
    private String cvuExamResult;//颈部血管超声_检查结果&
    private String cvuImtILTn;//颈部血管超声_内膜imt_增厚_左侧_颈总&
    private String cvuImtIRTn;//颈部血管超声_内膜imt_增厚_右侧_颈总&
    private String cvuPlaqueNum;//颈部血管超声_斑块_数量&
    private String cvuPlaqueSLTn;//颈部血管超声_斑块_形态_左侧_颈总&
    private String cvuPlaqueSRTn;//颈部血管超声_斑块_形态_右侧_颈总&
    private String cvuPlaqueSLSinus;//颈部血管超声_斑块_形态_左侧_窦部&
    private String cvuPlaqueSRSinus;//颈部血管超声_斑块_形态_右侧_窦部&
    private String cvuPlaqueSLIn;//颈部血管超声_斑块_形态_左侧_颈内&
    private String cvuPlaqueSRIn;//颈部血管超声_斑块_形态_右侧_颈内&
    private String cvuPlaqueSLSa;//颈部血管超声_斑块_形态_左侧_锁骨下动脉&
    private String cvuPlaqueSRSa;//颈部血管超声_斑块_形态_右侧_锁骨下动脉&
    private String cvuPlaqueSLVa;//颈部血管超声_斑块_形态_左侧_椎动脉&
    private String cvuPlaqueSRVa;//颈部血管超声_斑块_形态_右侧_椎动脉&
    private String cvuPlaqueULTn;//颈部血管超声_斑块_溃疡_左侧_颈总&
    private String cvuPlaqueURTn;//颈部血管超声_斑块_溃疡_右侧_颈总&
    private String cvuPlaqueULSinus;//颈部血管超声_斑块_溃疡_左侧_窦部&
    private String cvuPlaqueURSinus;//颈部血管超声_斑块_溃疡_右侧_窦部&
    private String cvuPlaqueULIn;//颈部血管超声_斑块_溃疡_左侧_颈内&
    private String cvuPlaqueURIn;//颈部血管超声_斑块_溃疡_右侧_颈内&
    private String cvuPlaqueULSa;//颈部血管超声_斑块_溃疡_左侧_锁骨下动脉&
    private String cvuPlaqueURSa;//颈部血管超声_斑块_溃疡_右侧_锁骨下动脉&
    private String cvuPlaqueULVa;//颈部血管超声_斑块_溃疡_左侧_椎动脉&
    private String cvuPlaqueURVa;//颈部血管超声_斑块_溃疡_右侧_椎动脉&
    private String cvuPlaqueELTn;//颈部血管超声_斑块_回声_左侧_颈总&
    private String cvuPlaqueERTn;//颈部血管超声_斑块_回声_右侧_颈总&
    private String cvuPlaqueELSinus;//颈部血管超声_斑块_回声_左侧_窦部&
    private String cvuPlaqueERSinus;//颈部血管超声_斑块_回声_右侧_窦部&
    private String cvuPlaqueELIn;//颈部血管超声_斑块_回声_左侧_颈内&
    private String cvuPlaqueERIn;//颈部血管超声_斑块_回声_右侧_颈内&
    private String cvuPlaqueELSa;//颈部血管超声_斑块_回声_左侧_锁骨下动脉&
    private String cvuPlaqueERSa;//颈部血管超声_斑块_回声_右侧_锁骨下动脉&
    private String cvuPlaqueELVa;//颈部血管超声_斑块_回声_左侧_椎动脉&
    private String cvuPlaqueERVa;//颈部血管超声_斑块_回声_右侧_椎动脉&
    private String cvuNarrowSrLTn;//颈部血管超声_狭窄_狭窄率_左侧_颈总&
    private String cvuNarrowSrRTn;//颈部血管超声_狭窄_狭窄率_右侧_颈总&
    private String cvuNarrowSrLSinus;//颈部血管超声_狭窄_狭窄率_左侧_窦部&
    private String cvuNarrowSrRSinus;//颈部血管超声_狭窄_狭窄率_右侧_窦部&
    private String cvuNarrowSrLIn;//颈部血管超声_狭窄_狭窄率_左侧_颈内&
    private String cvuNarrowSrRIn;//颈部血管超声_狭窄_狭窄率_右侧_颈内&
    private String cvuNarrowSrLSa;//颈部血管超声_狭窄_狭窄率_左侧_锁骨下动脉&
    private String cvuNarrowSrRSa;//颈部血管超声_狭窄_狭窄率_右侧_锁骨下动脉&
    private String cvuNarrowSrLVa;//颈部血管超声_狭窄_狭窄率_左侧_椎动脉&
    private String cvuNarrowSrRVa;//颈部血管超声_狭窄_狭窄率_右侧_椎动脉&
    private String cvuDc;//颈部血管超声_诊断结论&
    private String mrsScoreFlag;//专科评估Mrs评分_是否评分&
    private String mrsScoreResult;//专科评估Mrs评分_评分结果&
    private String mrsPatientStatus;//专科评估Mrs评分_患者状况&
    private String essenScoreFlag;//专科评估Essen评分_是否评分&
    private String essenScoreResult;//专科评估Essen评分_评分结果&
    private String essenYear;//专科评估Essen评分_危险因素_年龄&
    private String essenHyper;//专科评估Essen评分_危险因素_高血压&
    private String essenDm;//专科评估Essen评分_危险因素_糖尿病&
    private String essenPmi;//专科评估Essen评分_危险因素_既往心肌梗死&
    private String essenOha;//专科评估Essen评分_危险因素_其他心脏病&
    private String essenPad;//专科评估Essen评分_危险因素_外周动脉疾病&
    private String essenSmoke;//专科评估Essen评分_危险因素_吸烟&
    private String essenTia;//专科评估Essen评分_危险因素_既往缺血性卒中或tia史&
    private String mdAmAspirin;//药物治疗_抗血小板药物_阿司匹林&
    private String mdAmClopidogrel;//药物治疗_抗血小板药物_氯吡格雷&
    private String mdAmOzagrel;//药物治疗_抗血小板药物_奥扎格雷&
    private String mdAmPersantin;//药物治疗_抗血小板药物_双嘧达莫&
    private String mdAmCichloro;//药物治疗_抗血小板药物_塞氯吡啶&
    private String mdAmCiloprost;//药物治疗_抗血小板药物_西洛他唑&
    private String mdAmOther;//药物治疗_抗血小板药物_其他&
    private String mdAnWarfarin;//药物治疗_抗凝药物_华法令&
    private String mdAnLivarshaban;//药物治疗_抗凝药物_利伐沙班&
    private String mdAnDabigatran;//药物治疗_抗凝药物_达比加群&
    private String mdAnApishaban;//药物治疗_抗凝药物_阿哌沙班&
    private String mdAnYidusaban;//药物治疗_抗凝药物_依度沙班&
    private String mdAnLmh;//药物治疗_抗凝药物_低分子肝素&
    private String mdAnCh;//药物治疗_抗凝药物_普通肝素&
    private String mdAnOther;//药物治疗_抗凝药物_其他&
    private String mdAdAcei;//药物治疗_降压药物Acei&
    private String mdAdArb;//药物治疗_降压药物Arb&
    private String mdAdDiuretic;//药物治疗_降压药物_利尿剂&
    private String mdAdRb;//药物治疗_降压药物_β受体阻滞剂&
    private String mdAdCa;//药物治疗_降压药物_钙拮抗剂&
    private String mdAdOther;//药物治疗_降压药物_其他&
    private String mdHdInsulin;//药物治疗_降糖药物_胰岛素（静脉或皮下）&
    private String mdHdSulfonylurea;//药物治疗_降糖药物_磺酰脲类&
    private String mdHdBiguanides;//药物治疗_降糖药物_双胍类&
    private String mdHdGi;//药物治疗_降糖药物_α糖苷酶抑制剂&
    private String mdHdEa;//药物治疗_降糖药物_胰岛素增敏剂&
    private String mdHdNsipa;//药物治疗_降糖药物_非磺酰脲类促胰岛素分泌剂&
    private String mdHdOther;//药物治疗_降糖药物_其他&
    private String mdIrmStatins;//药物治疗_调脂药物_他汀类&
    private String mdIrmNaid;//药物治疗_调脂药物_烟酸及其衍生物&
    private String mdIrmBc;//药物治疗_调脂药物_贝特类&
    private String mdIrmCai;//药物治疗_调脂药物_胆固醇吸收抑制剂&
    private String mdIrmOther;//药物治疗_调脂药物_其他&
    private String drugName1;//药物名称_1&
    private String drugSubdose1;//药物次剂量_1&
    private String dosageUnit1;//剂量单位_1&
    private String frequency1;//用药频次_1&
    private String drugTmFlag1;//是否服药_1&
    private String drugTmStatus1;//服药情况_1&
    private String drugTmStop1;//停药情况_1&
    private String drugName2;//药物名称_2&
    private String drugSubdose2;//药物次剂量_2&
    private String dosageUnit2;//剂量单位_2&
    private String frequency2;//用药频次_2&
    private String drugTmFlag2;//是否服药_2&
    private String drugTmStatus2;//服药情况_2&
    private String drugTmStop2;//停药情况_2&
    private String drugName3;//药物名称_3&
    private String drugSubdose3;//药物次剂量_3&
    private String dosageUnit3;//剂量单位_3&
    private String frequency3;//用药频次_3&
    private String drugTmFlag3;//是否服药_3&
    private String drugTmStatus3;//服药情况_3&
    private String drugTmStop3;//停药情况_3&
    private String drugName4;//药物名称_4&
    private String drugSubdose4;//药物次剂量_4&
    private String dosageUnit4;//剂量单位_4&
    private String frequency4;//用药频次_4&
    private String drugTmFlag4;//是否服药_4&
    private String drugTmStatus4;//服药情况_4&
    private String drugTmStop4;//停药情况_4&
    private String drugName5;//药物名称_5&
    private String drugSubdose5;//药物次剂量_5&
    private String dosageUnit5;//剂量单位_5&
    private String frequency5;//用药频次_5&
    private String drugTmFlag5;//是否服药_5&
    private String drugTmStatus5;//服药情况_5&
    private String drugTmStop5;//停药情况_5&
    private String drugName6;//药物名称_6&
    private String drugSubdose6;//药物次剂量_6&
    private String dosageUnit6;//剂量单位_6&
    private String frequency6;//用药频次_6&
    private String drugTmFlag6;//是否服药_6&
    private String drugTmStatus6;//服药情况_6&
    private String drugTmStop6;//停药情况_6&
    private String validFlag;//有效标志&【必填】
    private String createTime;//创建时间&
    private String createOperator;//创建人&【新增必填】
    private String modifyTime;//修改时间&
    private String modifyOperator;//修改人&【修改必填】
    private String remark;//备注&
    private String sickProvince;//省&
    private String sickCity;//市&
    private String sickCounty;//县(区)&
    private String sickCountry;//乡/街道&
    private String sickVillage;//居委会

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getSickId() {
        return sickId;
    }

    public void setSickId(String sickId) {
        this.sickId = sickId;
    }

    public String getProblemId() {
        return problemId;
    }

    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    public String getFollowOrgId() {
        return followOrgId;
    }

    public void setFollowOrgId(String followOrgId) {
        this.followOrgId = followOrgId;
    }

    public String getFollowDoctor() {
        return followDoctor;
    }

    public void setFollowDoctor(String followDoctor) {
        this.followDoctor = followDoctor;
    }

    public String getFollowTime() {
        return followTime;
    }

    public void setFollowTime(String followTime) {
        this.followTime = followTime;
    }

    public String getFollowType() {
        return followType;
    }

    public void setFollowType(String followType) {
        this.followType = followType;
    }

    public String getFollowDoctorType() {
        return followDoctorType;
    }

    public void setFollowDoctorType(String followDoctorType) {
        this.followDoctorType = followDoctorType;
    }

    public String getNextFollowTime() {
        return nextFollowTime;
    }

    public void setNextFollowTime(String nextFollowTime) {
        this.nextFollowTime = nextFollowTime;
    }

    public String getIdentityCardNo() {
        return identityCardNo;
    }

    public void setIdentityCardNo(String identityCardNo) {
        this.identityCardNo = identityCardNo;
    }

    public String getMarriage() {
        return marriage;
    }

    public void setMarriage(String marriage) {
        this.marriage = marriage;
    }

    public String getHomeAddress() {
        return homeAddress;
    }

    public void setHomeAddress(String homeAddress) {
        this.homeAddress = homeAddress;
    }

    public String getHomePhone() {
        return homePhone;
    }

    public void setHomePhone(String homePhone) {
        this.homePhone = homePhone;
    }

    public String getLinkphone() {
        return linkphone;
    }

    public void setLinkphone(String linkphone) {
        this.linkphone = linkphone;
    }

    public String getfSelfFlag() {
        return fSelfFlag;
    }

    public void setfSelfFlag(String fSelfFlag) {
        this.fSelfFlag = fSelfFlag;
    }

    public String getfSelfRelation() {
        return fSelfRelation;
    }

    public void setfSelfRelation(String fSelfRelation) {
        this.fSelfRelation = fSelfRelation;
    }

    public String getfSelfReContent() {
        return fSelfReContent;
    }

    public void setfSelfReContent(String fSelfReContent) {
        this.fSelfReContent = fSelfReContent;
    }

    public String getfLostFlag() {
        return fLostFlag;
    }

    public void setfLostFlag(String fLostFlag) {
        this.fLostFlag = fLostFlag;
    }

    public String getfLostCause() {
        return fLostCause;
    }

    public void setfLostCause(String fLostCause) {
        this.fLostCause = fLostCause;
    }

    public String getfLostCauseContent() {
        return fLostCauseContent;
    }

    public void setfLostCauseContent(String fLostCauseContent) {
        this.fLostCauseContent = fLostCauseContent;
    }

    public String getfDieFlag() {
        return fDieFlag;
    }

    public void setfDieFlag(String fDieFlag) {
        this.fDieFlag = fDieFlag;
    }

    public String getfDieTime() {
        return fDieTime;
    }

    public void setfDieTime(String fDieTime) {
        this.fDieTime = fDieTime;
    }

    public String getfDieCause() {
        return fDieCause;
    }

    public void setfDieCause(String fDieCause) {
        this.fDieCause = fDieCause;
    }

    public String getfDieSType() {
        return fDieSType;
    }

    public void setfDieSType(String fDieSType) {
        this.fDieSType = fDieSType;
    }

    public String getfDieCauseContent() {
        return fDieCauseContent;
    }

    public void setfDieCauseContent(String fDieCauseContent) {
        this.fDieCauseContent = fDieCauseContent;
    }

    public String getDiCi() {
        return diCi;
    }

    public void setDiCi(String diCi) {
        this.diCi = diCi;
    }

    public String getDiHc() {
        return diHc;
    }

    public void setDiHc(String diHc) {
        this.diHc = diHc;
    }

    public String getDiSh() {
        return diSh;
    }

    public void setDiSh(String diSh) {
        this.diSh = diSh;
    }

    public String getDiTia() {
        return diTia;
    }

    public void setDiTia(String diTia) {
        this.diTia = diTia;
    }

    public String getDiOai() {
        return diOai;
    }

    public void setDiOai(String diOai) {
        this.diOai = diOai;
    }

    public String getDiDavf() {
        return diDavf;
    }

    public void setDiDavf(String diDavf) {
        this.diDavf = diDavf;
    }

    public String getDiMa() {
        return diMa;
    }

    public void setDiMa(String diMa) {
        this.diMa = diMa;
    }

    public String getDiIvdcd() {
        return diIvdcd;
    }

    public void setDiIvdcd(String diIvdcd) {
        this.diIvdcd = diIvdcd;
    }

    public String getDiUca() {
        return diUca;
    }

    public void setDiUca(String diUca) {
        this.diUca = diUca;
    }

    public String getDiAvm() {
        return diAvm;
    }

    public void setDiAvm(String diAvm) {
        this.diAvm = diAvm;
    }

    public String getDiOther() {
        return diOther;
    }

    public void setDiOther(String diOther) {
        this.diOther = diOther;
    }

    public String getDiOtherContent() {
        return diOtherContent;
    }

    public void setDiOtherContent(String diOtherContent) {
        this.diOtherContent = diOtherContent;
    }

    public String getDiYear() {
        return diYear;
    }

    public void setDiYear(String diYear) {
        this.diYear = diYear;
    }

    public String getComplNo() {
        return complNo;
    }

    public void setComplNo(String complNo) {
        this.complNo = complNo;
    }

    public String getComplMi() {
        return complMi;
    }

    public void setComplMi(String complMi) {
        this.complMi = complMi;
    }

    public String getComplHi() {
        return complHi;
    }

    public void setComplHi(String complHi) {
        this.complHi = complHi;
    }

    public String getComplCsa() {
        return complCsa;
    }

    public void setComplCsa(String complCsa) {
        this.complCsa = complCsa;
    }

    public String getComplAf() {
        return complAf;
    }

    public void setComplAf(String complAf) {
        this.complAf = complAf;
    }

    public String getComplDyslip() {
        return complDyslip;
    }

    public void setComplDyslip(String complDyslip) {
        this.complDyslip = complDyslip;
    }

    public String getComplSas() {
        return complSas;
    }

    public void setComplSas(String complSas) {
        this.complSas = complSas;
    }

    public String getComplIa() {
        return complIa;
    }

    public void setComplIa(String complIa) {
        this.complIa = complIa;
    }

    public String getComplHyper() {
        return complHyper;
    }

    public void setComplHyper(String complHyper) {
        this.complHyper = complHyper;
    }

    public String getComplCass() {
        return complCass;
    }

    public void setComplCass(String complCass) {
        this.complCass = complCass;
    }

    public String getComplCop() {
        return complCop;
    }

    public void setComplCop(String complCop) {
        this.complCop = complCop;
    }

    public String getComplHbtb() {
        return complHbtb;
    }

    public void setComplHbtb(String complHbtb) {
        this.complHbtb = complHbtb;
    }

    public String getComplDm() {
        return complDm;
    }

    public void setComplDm(String complDm) {
        this.complDm = complDm;
    }

    public String getComplPvd() {
        return complPvd;
    }

    public void setComplPvd(String complPvd) {
        this.complPvd = complPvd;
    }

    public String getComplStupid() {
        return complStupid;
    }

    public void setComplStupid(String complStupid) {
        this.complStupid = complStupid;
    }

    public String getComplDrepan() {
        return complDrepan;
    }

    public void setComplDrepan(String complDrepan) {
        this.complDrepan = complDrepan;
    }

    public String getComplAp() {
        return complAp;
    }

    public void setComplAp(String complAp) {
        this.complAp = complAp;
    }

    public String getComplCeph() {
        return complCeph;
    }

    public void setComplCeph(String complCeph) {
        this.complCeph = complCeph;
    }

    public String getComplAlleosis() {
        return complAlleosis;
    }

    public void setComplAlleosis(String complAlleosis) {
        this.complAlleosis = complAlleosis;
    }

    public String getComplEncyesis() {
        return complEncyesis;
    }

    public void setComplEncyesis(String complEncyesis) {
        this.complEncyesis = complEncyesis;
    }

    public String getComplChf() {
        return complChf;
    }

    public void setComplChf(String complChf) {
        this.complChf = complChf;
    }

    public String getComplFat() {
        return complFat;
    }

    public void setComplFat(String complFat) {
        this.complFat = complFat;
    }

    public String getComplRtpa() {
        return complRtpa;
    }

    public void setComplRtpa(String complRtpa) {
        this.complRtpa = complRtpa;
    }

    public String getComplHot() {
        return complHot;
    }

    public void setComplHot(String complHot) {
        this.complHot = complHot;
    }

    public String getComplShd() {
        return complShd;
    }

    public void setComplShd(String complShd) {
        this.complShd = complShd;
    }

    public String getComplRi() {
        return complRi;
    }

    public void setComplRi(String complRi) {
        this.complRi = complRi;
    }

    public String getComplOha() {
        return complOha;
    }

    public void setComplOha(String complOha) {
        this.complOha = complOha;
    }

    public String getComplSh() {
        return complSh;
    }

    public void setComplSh(String complSh) {
        this.complSh = complSh;
    }

    public String getComplIhd() {
        return complIhd;
    }

    public void setComplIhd(String complIhd) {
        this.complIhd = complIhd;
    }

    public String getComplAv() {
        return complAv;
    }

    public void setComplAv(String complAv) {
        this.complAv = complAv;
    }

    public String getComplCea() {
        return complCea;
    }

    public void setComplCea(String complCea) {
        this.complCea = complCea;
    }

    public String getComplOther() {
        return complOther;
    }

    public void setComplOther(String complOther) {
        this.complOther = complOther;
    }

    public String getComplOtherContent() {
        return complOtherContent;
    }

    public void setComplOtherContent(String complOtherContent) {
        this.complOtherContent = complOtherContent;
    }

    public String getLifeSmoking() {
        return lifeSmoking;
    }

    public void setLifeSmoking(String lifeSmoking) {
        this.lifeSmoking = lifeSmoking;
    }

    public String getLifeDrinking() {
        return lifeDrinking;
    }

    public void setLifeDrinking(String lifeDrinking) {
        this.lifeDrinking = lifeDrinking;
    }

    public String getLifeSport() {
        return lifeSport;
    }

    public void setLifeSport(String lifeSport) {
        this.lifeSport = lifeSport;
    }

    public String getLifeMeatVegetables() {
        return lifeMeatVegetables;
    }

    public void setLifeMeatVegetables(String lifeMeatVegetables) {
        this.lifeMeatVegetables = lifeMeatVegetables;
    }

    public String getLifeTaste() {
        return lifeTaste;
    }

    public void setLifeTaste(String lifeTaste) {
        this.lifeTaste = lifeTaste;
    }

    public String getLifeEatVegetables() {
        return lifeEatVegetables;
    }

    public void setLifeEatVegetables(String lifeEatVegetables) {
        this.lifeEatVegetables = lifeEatVegetables;
    }

    public String getLifeEatFruit() {
        return lifeEatFruit;
    }

    public void setLifeEatFruit(String lifeEatFruit) {
        this.lifeEatFruit = lifeEatFruit;
    }

    public String getNewEventFlag() {
        return newEventFlag;
    }

    public void setNewEventFlag(String newEventFlag) {
        this.newEventFlag = newEventFlag;
    }

    public String getEvSNew() {
        return evSNew;
    }

    public void setEvSNew(String evSNew) {
        this.evSNew = evSNew;
    }

    public String getEvSNewTCi() {
        return evSNewTCi;
    }

    public void setEvSNewTCi(String evSNewTCi) {
        this.evSNewTCi = evSNewTCi;
    }

    public String getEvSNewTHe() {
        return evSNewTHe;
    }

    public void setEvSNewTHe(String evSNewTHe) {
        this.evSNewTHe = evSNewTHe;
    }

    public String getEvSNewTSh() {
        return evSNewTSh;
    }

    public void setEvSNewTSh(String evSNewTSh) {
        this.evSNewTSh = evSNewTSh;
    }

    public String getEvSNewTTia() {
        return evSNewTTia;
    }

    public void setEvSNewTTia(String evSNewTTia) {
        this.evSNewTTia = evSNewTTia;
    }

    public String getEvSRe() {
        return evSRe;
    }

    public void setEvSRe(String evSRe) {
        this.evSRe = evSRe;
    }

    public String getEvSReTCi() {
        return evSReTCi;
    }

    public void setEvSReTCi(String evSReTCi) {
        this.evSReTCi = evSReTCi;
    }

    public String getEvSReTHe() {
        return evSReTHe;
    }

    public void setEvSReTHe(String evSReTHe) {
        this.evSReTHe = evSReTHe;
    }

    public String getEvSReTSh() {
        return evSReTSh;
    }

    public void setEvSReTSh(String evSReTSh) {
        this.evSReTSh = evSReTSh;
    }

    public String getEvSReTTia() {
        return evSReTTia;
    }

    public void setEvSReTTia(String evSReTTia) {
        this.evSReTTia = evSReTTia;
    }

    public String getEvSReNum() {
        return evSReNum;
    }

    public void setEvSReNum(String evSReNum) {
        this.evSReNum = evSReNum;
    }

    public String getEvMi() {
        return evMi;
    }

    public void setEvMi(String evMi) {
        this.evMi = evMi;
    }

    public String getEvHf() {
        return evHf;
    }

    public void setEvHf(String evHf) {
        this.evHf = evHf;
    }

    public String getEvCvs() {
        return evCvs;
    }

    public void setEvCvs(String evCvs) {
        this.evCvs = evCvs;
    }

    public String getEvCvsCas() {
        return evCvsCas;
    }

    public void setEvCvsCas(String evCvsCas) {
        this.evCvsCas = evCvsCas;
    }

    public String getEvCvsCea() {
        return evCvsCea;
    }

    public void setEvCvsCea(String evCvsCea) {
        this.evCvsCea = evCvsCea;
    }

    public String getEvCvsPoias() {
        return evCvsPoias;
    }

    public void setEvCvsPoias(String evCvsPoias) {
        this.evCvsPoias = evCvsPoias;
    }

    public String getEvCvsCsp() {
        return evCvsCsp;
    }

    public void setEvCvsCsp(String evCvsCsp) {
        this.evCvsCsp = evCvsCsp;
    }

    public String getEvCvsBd() {
        return evCvsBd;
    }

    public void setEvCvsBd(String evCvsBd) {
        this.evCvsBd = evCvsBd;
    }

    public String getEvCvsOther() {
        return evCvsOther;
    }

    public void setEvCvsOther(String evCvsOther) {
        this.evCvsOther = evCvsOther;
    }

    public String getEvCvsOtherContent() {
        return evCvsOtherContent;
    }

    public void setEvCvsOtherContent(String evCvsOtherContent) {
        this.evCvsOtherContent = evCvsOtherContent;
    }

    public String getEvSee() {
        return evSee;
    }

    public void setEvSee(String evSee) {
        this.evSee = evSee;
    }

    public String getEvOther() {
        return evOther;
    }

    public void setEvOther(String evOther) {
        this.evOther = evOther;
    }

    public String getEvOtherContent() {
        return evOtherContent;
    }

    public void setEvOtherContent(String evOtherContent) {
        this.evOtherContent = evOtherContent;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getBmi() {
        return bmi;
    }

    public void setBmi(String bmi) {
        this.bmi = bmi;
    }

    public String getBloodPressureLeftU() {
        return bloodPressureLeftU;
    }

    public void setBloodPressureLeftU(String bloodPressureLeftU) {
        this.bloodPressureLeftU = bloodPressureLeftU;
    }

    public String getBloodPressureLeftD() {
        return bloodPressureLeftD;
    }

    public void setBloodPressureLeftD(String bloodPressureLeftD) {
        this.bloodPressureLeftD = bloodPressureLeftD;
    }

    public String getBloodPressureRightU() {
        return bloodPressureRightU;
    }

    public void setBloodPressureRightU(String bloodPressureRightU) {
        this.bloodPressureRightU = bloodPressureRightU;
    }

    public String getBloodPressureRightD() {
        return bloodPressureRightD;
    }

    public void setBloodPressureRightD(String bloodPressureRightD) {
        this.bloodPressureRightD = bloodPressureRightD;
    }

    public String getPulse() {
        return pulse;
    }

    public void setPulse(String pulse) {
        this.pulse = pulse;
    }

    public String getBreathe() {
        return breathe;
    }

    public void setBreathe(String breathe) {
        this.breathe = breathe;
    }

    public String getCardiacSouffle() {
        return cardiacSouffle;
    }

    public void setCardiacSouffle(String cardiacSouffle) {
        this.cardiacSouffle = cardiacSouffle;
    }

    public String getHeartRate() {
        return heartRate;
    }

    public void setHeartRate(String heartRate) {
        this.heartRate = heartRate;
    }

    public String getElectroRoutine() {
        return electroRoutine;
    }

    public void setElectroRoutine(String electroRoutine) {
        this.electroRoutine = electroRoutine;
    }

    public String getElectro_24Hour() {
        return electro_24Hour;
    }

    public void setElectro_24Hour(String electro_24Hour) {
        this.electro_24Hour = electro_24Hour;
    }

    public String getElectroGt_24Hour() {
        return electroGt_24Hour;
    }

    public void setElectroGt_24Hour(String electroGt_24Hour) {
        this.electroGt_24Hour = electroGt_24Hour;
    }

    public String getElectroNoExam() {
        return electroNoExam;
    }

    public void setElectroNoExam(String electroNoExam) {
        this.electroNoExam = electroNoExam;
    }

    public String getElectroExamResult() {
        return electroExamResult;
    }

    public void setElectroExamResult(String electroExamResult) {
        this.electroExamResult = electroExamResult;
    }

    public String getElectroUnusualType() {
        return electroUnusualType;
    }

    public void setElectroUnusualType(String electroUnusualType) {
        this.electroUnusualType = electroUnusualType;
    }

    public String getElectroUnusualContent() {
        return electroUnusualContent;
    }

    public void setElectroUnusualContent(String electroUnusualContent) {
        this.electroUnusualContent = electroUnusualContent;
    }

    public String getLeFbg() {
        return leFbg;
    }

    public void setLeFbg(String leFbg) {
        this.leFbg = leFbg;
    }

    public String getLeNoFbg() {
        return leNoFbg;
    }

    public void setLeNoFbg(String leNoFbg) {
        this.leNoFbg = leNoFbg;
    }

    public String getLeGh() {
        return leGh;
    }

    public void setLeGh(String leGh) {
        this.leGh = leGh;
    }

    public String getLeGt() {
        return leGt;
    }

    public void setLeGt(String leGt) {
        this.leGt = leGt;
    }

    public String getLeCholesterin() {
        return leCholesterin;
    }

    public void setLeCholesterin(String leCholesterin) {
        this.leCholesterin = leCholesterin;
    }

    public String getLeCLdl() {
        return leCLdl;
    }

    public void setLeCLdl(String leCLdl) {
        this.leCLdl = leCLdl;
    }

    public String getLeCHdl() {
        return leCHdl;
    }

    public void setLeCHdl(String leCHdl) {
        this.leCHdl = leCHdl;
    }

    public String getLeHomocysteine() {
        return leHomocysteine;
    }

    public void setLeHomocysteine(String leHomocysteine) {
        this.leHomocysteine = leHomocysteine;
    }

    public String getLeCruorPtInr() {
        return leCruorPtInr;
    }

    public void setLeCruorPtInr(String leCruorPtInr) {
        this.leCruorPtInr = leCruorPtInr;
    }

    public String getLeCruorPt() {
        return leCruorPt;
    }

    public void setLeCruorPt(String leCruorPt) {
        this.leCruorPt = leCruorPt;
    }

    public String getLeCruorAptt() {
        return leCruorAptt;
    }

    public void setLeCruorAptt(String leCruorAptt) {
        this.leCruorAptt = leCruorAptt;
    }

    public String getLeCruorTt() {
        return leCruorTt;
    }

    public void setLeCruorTt(String leCruorTt) {
        this.leCruorTt = leCruorTt;
    }

    public String getLeSc() {
        return leSc;
    }

    public void setLeSc(String leSc) {
        this.leSc = leSc;
    }

    public String getLeSun() {
        return leSun;
    }

    public void setLeSun(String leSun) {
        this.leSun = leSun;
    }

    public String getLeLa() {
        return leLa;
    }

    public void setLeLa(String leLa) {
        this.leLa = leLa;
    }

    public String getLePc() {
        return lePc;
    }

    public void setLePc(String lePc) {
        this.lePc = lePc;
    }

    public String getCvuFlag() {
        return cvuFlag;
    }

    public void setCvuFlag(String cvuFlag) {
        this.cvuFlag = cvuFlag;
    }

    public String getCvuExamResult() {
        return cvuExamResult;
    }

    public void setCvuExamResult(String cvuExamResult) {
        this.cvuExamResult = cvuExamResult;
    }

    public String getCvuImtILTn() {
        return cvuImtILTn;
    }

    public void setCvuImtILTn(String cvuImtILTn) {
        this.cvuImtILTn = cvuImtILTn;
    }

    public String getCvuImtIRTn() {
        return cvuImtIRTn;
    }

    public void setCvuImtIRTn(String cvuImtIRTn) {
        this.cvuImtIRTn = cvuImtIRTn;
    }

    public String getCvuPlaqueNum() {
        return cvuPlaqueNum;
    }

    public void setCvuPlaqueNum(String cvuPlaqueNum) {
        this.cvuPlaqueNum = cvuPlaqueNum;
    }

    public String getCvuPlaqueSLTn() {
        return cvuPlaqueSLTn;
    }

    public void setCvuPlaqueSLTn(String cvuPlaqueSLTn) {
        this.cvuPlaqueSLTn = cvuPlaqueSLTn;
    }

    public String getCvuPlaqueSRTn() {
        return cvuPlaqueSRTn;
    }

    public void setCvuPlaqueSRTn(String cvuPlaqueSRTn) {
        this.cvuPlaqueSRTn = cvuPlaqueSRTn;
    }

    public String getCvuPlaqueSLSinus() {
        return cvuPlaqueSLSinus;
    }

    public void setCvuPlaqueSLSinus(String cvuPlaqueSLSinus) {
        this.cvuPlaqueSLSinus = cvuPlaqueSLSinus;
    }

    public String getCvuPlaqueSRSinus() {
        return cvuPlaqueSRSinus;
    }

    public void setCvuPlaqueSRSinus(String cvuPlaqueSRSinus) {
        this.cvuPlaqueSRSinus = cvuPlaqueSRSinus;
    }

    public String getCvuPlaqueSLIn() {
        return cvuPlaqueSLIn;
    }

    public void setCvuPlaqueSLIn(String cvuPlaqueSLIn) {
        this.cvuPlaqueSLIn = cvuPlaqueSLIn;
    }

    public String getCvuPlaqueSRIn() {
        return cvuPlaqueSRIn;
    }

    public void setCvuPlaqueSRIn(String cvuPlaqueSRIn) {
        this.cvuPlaqueSRIn = cvuPlaqueSRIn;
    }

    public String getCvuPlaqueSLSa() {
        return cvuPlaqueSLSa;
    }

    public void setCvuPlaqueSLSa(String cvuPlaqueSLSa) {
        this.cvuPlaqueSLSa = cvuPlaqueSLSa;
    }

    public String getCvuPlaqueSRSa() {
        return cvuPlaqueSRSa;
    }

    public void setCvuPlaqueSRSa(String cvuPlaqueSRSa) {
        this.cvuPlaqueSRSa = cvuPlaqueSRSa;
    }

    public String getCvuPlaqueSLVa() {
        return cvuPlaqueSLVa;
    }

    public void setCvuPlaqueSLVa(String cvuPlaqueSLVa) {
        this.cvuPlaqueSLVa = cvuPlaqueSLVa;
    }

    public String getCvuPlaqueSRVa() {
        return cvuPlaqueSRVa;
    }

    public void setCvuPlaqueSRVa(String cvuPlaqueSRVa) {
        this.cvuPlaqueSRVa = cvuPlaqueSRVa;
    }

    public String getCvuPlaqueULTn() {
        return cvuPlaqueULTn;
    }

    public void setCvuPlaqueULTn(String cvuPlaqueULTn) {
        this.cvuPlaqueULTn = cvuPlaqueULTn;
    }

    public String getCvuPlaqueURTn() {
        return cvuPlaqueURTn;
    }

    public void setCvuPlaqueURTn(String cvuPlaqueURTn) {
        this.cvuPlaqueURTn = cvuPlaqueURTn;
    }

    public String getCvuPlaqueULSinus() {
        return cvuPlaqueULSinus;
    }

    public void setCvuPlaqueULSinus(String cvuPlaqueULSinus) {
        this.cvuPlaqueULSinus = cvuPlaqueULSinus;
    }

    public String getCvuPlaqueURSinus() {
        return cvuPlaqueURSinus;
    }

    public void setCvuPlaqueURSinus(String cvuPlaqueURSinus) {
        this.cvuPlaqueURSinus = cvuPlaqueURSinus;
    }

    public String getCvuPlaqueULIn() {
        return cvuPlaqueULIn;
    }

    public void setCvuPlaqueULIn(String cvuPlaqueULIn) {
        this.cvuPlaqueULIn = cvuPlaqueULIn;
    }

    public String getCvuPlaqueURIn() {
        return cvuPlaqueURIn;
    }

    public void setCvuPlaqueURIn(String cvuPlaqueURIn) {
        this.cvuPlaqueURIn = cvuPlaqueURIn;
    }

    public String getCvuPlaqueULSa() {
        return cvuPlaqueULSa;
    }

    public void setCvuPlaqueULSa(String cvuPlaqueULSa) {
        this.cvuPlaqueULSa = cvuPlaqueULSa;
    }

    public String getCvuPlaqueURSa() {
        return cvuPlaqueURSa;
    }

    public void setCvuPlaqueURSa(String cvuPlaqueURSa) {
        this.cvuPlaqueURSa = cvuPlaqueURSa;
    }

    public String getCvuPlaqueULVa() {
        return cvuPlaqueULVa;
    }

    public void setCvuPlaqueULVa(String cvuPlaqueULVa) {
        this.cvuPlaqueULVa = cvuPlaqueULVa;
    }

    public String getCvuPlaqueURVa() {
        return cvuPlaqueURVa;
    }

    public void setCvuPlaqueURVa(String cvuPlaqueURVa) {
        this.cvuPlaqueURVa = cvuPlaqueURVa;
    }

    public String getCvuPlaqueELTn() {
        return cvuPlaqueELTn;
    }

    public void setCvuPlaqueELTn(String cvuPlaqueELTn) {
        this.cvuPlaqueELTn = cvuPlaqueELTn;
    }

    public String getCvuPlaqueERTn() {
        return cvuPlaqueERTn;
    }

    public void setCvuPlaqueERTn(String cvuPlaqueERTn) {
        this.cvuPlaqueERTn = cvuPlaqueERTn;
    }

    public String getCvuPlaqueELSinus() {
        return cvuPlaqueELSinus;
    }

    public void setCvuPlaqueELSinus(String cvuPlaqueELSinus) {
        this.cvuPlaqueELSinus = cvuPlaqueELSinus;
    }

    public String getCvuPlaqueERSinus() {
        return cvuPlaqueERSinus;
    }

    public void setCvuPlaqueERSinus(String cvuPlaqueERSinus) {
        this.cvuPlaqueERSinus = cvuPlaqueERSinus;
    }

    public String getCvuPlaqueELIn() {
        return cvuPlaqueELIn;
    }

    public void setCvuPlaqueELIn(String cvuPlaqueELIn) {
        this.cvuPlaqueELIn = cvuPlaqueELIn;
    }

    public String getCvuPlaqueERIn() {
        return cvuPlaqueERIn;
    }

    public void setCvuPlaqueERIn(String cvuPlaqueERIn) {
        this.cvuPlaqueERIn = cvuPlaqueERIn;
    }

    public String getCvuPlaqueELSa() {
        return cvuPlaqueELSa;
    }

    public void setCvuPlaqueELSa(String cvuPlaqueELSa) {
        this.cvuPlaqueELSa = cvuPlaqueELSa;
    }

    public String getCvuPlaqueERSa() {
        return cvuPlaqueERSa;
    }

    public void setCvuPlaqueERSa(String cvuPlaqueERSa) {
        this.cvuPlaqueERSa = cvuPlaqueERSa;
    }

    public String getCvuPlaqueELVa() {
        return cvuPlaqueELVa;
    }

    public void setCvuPlaqueELVa(String cvuPlaqueELVa) {
        this.cvuPlaqueELVa = cvuPlaqueELVa;
    }

    public String getCvuPlaqueERVa() {
        return cvuPlaqueERVa;
    }

    public void setCvuPlaqueERVa(String cvuPlaqueERVa) {
        this.cvuPlaqueERVa = cvuPlaqueERVa;
    }

    public String getCvuNarrowSrLTn() {
        return cvuNarrowSrLTn;
    }

    public void setCvuNarrowSrLTn(String cvuNarrowSrLTn) {
        this.cvuNarrowSrLTn = cvuNarrowSrLTn;
    }

    public String getCvuNarrowSrRTn() {
        return cvuNarrowSrRTn;
    }

    public void setCvuNarrowSrRTn(String cvuNarrowSrRTn) {
        this.cvuNarrowSrRTn = cvuNarrowSrRTn;
    }

    public String getCvuNarrowSrLSinus() {
        return cvuNarrowSrLSinus;
    }

    public void setCvuNarrowSrLSinus(String cvuNarrowSrLSinus) {
        this.cvuNarrowSrLSinus = cvuNarrowSrLSinus;
    }

    public String getCvuNarrowSrRSinus() {
        return cvuNarrowSrRSinus;
    }

    public void setCvuNarrowSrRSinus(String cvuNarrowSrRSinus) {
        this.cvuNarrowSrRSinus = cvuNarrowSrRSinus;
    }

    public String getCvuNarrowSrLIn() {
        return cvuNarrowSrLIn;
    }

    public void setCvuNarrowSrLIn(String cvuNarrowSrLIn) {
        this.cvuNarrowSrLIn = cvuNarrowSrLIn;
    }

    public String getCvuNarrowSrRIn() {
        return cvuNarrowSrRIn;
    }

    public void setCvuNarrowSrRIn(String cvuNarrowSrRIn) {
        this.cvuNarrowSrRIn = cvuNarrowSrRIn;
    }

    public String getCvuNarrowSrLSa() {
        return cvuNarrowSrLSa;
    }

    public void setCvuNarrowSrLSa(String cvuNarrowSrLSa) {
        this.cvuNarrowSrLSa = cvuNarrowSrLSa;
    }

    public String getCvuNarrowSrRSa() {
        return cvuNarrowSrRSa;
    }

    public void setCvuNarrowSrRSa(String cvuNarrowSrRSa) {
        this.cvuNarrowSrRSa = cvuNarrowSrRSa;
    }

    public String getCvuNarrowSrLVa() {
        return cvuNarrowSrLVa;
    }

    public void setCvuNarrowSrLVa(String cvuNarrowSrLVa) {
        this.cvuNarrowSrLVa = cvuNarrowSrLVa;
    }

    public String getCvuNarrowSrRVa() {
        return cvuNarrowSrRVa;
    }

    public void setCvuNarrowSrRVa(String cvuNarrowSrRVa) {
        this.cvuNarrowSrRVa = cvuNarrowSrRVa;
    }

    public String getCvuDc() {
        return cvuDc;
    }

    public void setCvuDc(String cvuDc) {
        this.cvuDc = cvuDc;
    }

    public String getMrsScoreFlag() {
        return mrsScoreFlag;
    }

    public void setMrsScoreFlag(String mrsScoreFlag) {
        this.mrsScoreFlag = mrsScoreFlag;
    }

    public String getMrsScoreResult() {
        return mrsScoreResult;
    }

    public void setMrsScoreResult(String mrsScoreResult) {
        this.mrsScoreResult = mrsScoreResult;
    }

    public String getMrsPatientStatus() {
        return mrsPatientStatus;
    }

    public void setMrsPatientStatus(String mrsPatientStatus) {
        this.mrsPatientStatus = mrsPatientStatus;
    }

    public String getEssenScoreFlag() {
        return essenScoreFlag;
    }

    public void setEssenScoreFlag(String essenScoreFlag) {
        this.essenScoreFlag = essenScoreFlag;
    }

    public String getEssenScoreResult() {
        return essenScoreResult;
    }

    public void setEssenScoreResult(String essenScoreResult) {
        this.essenScoreResult = essenScoreResult;
    }

    public String getEssenYear() {
        return essenYear;
    }

    public void setEssenYear(String essenYear) {
        this.essenYear = essenYear;
    }

    public String getEssenHyper() {
        return essenHyper;
    }

    public void setEssenHyper(String essenHyper) {
        this.essenHyper = essenHyper;
    }

    public String getEssenDm() {
        return essenDm;
    }

    public void setEssenDm(String essenDm) {
        this.essenDm = essenDm;
    }

    public String getEssenPmi() {
        return essenPmi;
    }

    public void setEssenPmi(String essenPmi) {
        this.essenPmi = essenPmi;
    }

    public String getEssenOha() {
        return essenOha;
    }

    public void setEssenOha(String essenOha) {
        this.essenOha = essenOha;
    }

    public String getEssenPad() {
        return essenPad;
    }

    public void setEssenPad(String essenPad) {
        this.essenPad = essenPad;
    }

    public String getEssenSmoke() {
        return essenSmoke;
    }

    public void setEssenSmoke(String essenSmoke) {
        this.essenSmoke = essenSmoke;
    }

    public String getEssenTia() {
        return essenTia;
    }

    public void setEssenTia(String essenTia) {
        this.essenTia = essenTia;
    }

    public String getMdAmAspirin() {
        return mdAmAspirin;
    }

    public void setMdAmAspirin(String mdAmAspirin) {
        this.mdAmAspirin = mdAmAspirin;
    }

    public String getMdAmClopidogrel() {
        return mdAmClopidogrel;
    }

    public void setMdAmClopidogrel(String mdAmClopidogrel) {
        this.mdAmClopidogrel = mdAmClopidogrel;
    }

    public String getMdAmOzagrel() {
        return mdAmOzagrel;
    }

    public void setMdAmOzagrel(String mdAmOzagrel) {
        this.mdAmOzagrel = mdAmOzagrel;
    }

    public String getMdAmPersantin() {
        return mdAmPersantin;
    }

    public void setMdAmPersantin(String mdAmPersantin) {
        this.mdAmPersantin = mdAmPersantin;
    }

    public String getMdAmCichloro() {
        return mdAmCichloro;
    }

    public void setMdAmCichloro(String mdAmCichloro) {
        this.mdAmCichloro = mdAmCichloro;
    }

    public String getMdAmCiloprost() {
        return mdAmCiloprost;
    }

    public void setMdAmCiloprost(String mdAmCiloprost) {
        this.mdAmCiloprost = mdAmCiloprost;
    }

    public String getMdAmOther() {
        return mdAmOther;
    }

    public void setMdAmOther(String mdAmOther) {
        this.mdAmOther = mdAmOther;
    }

    public String getMdAnWarfarin() {
        return mdAnWarfarin;
    }

    public void setMdAnWarfarin(String mdAnWarfarin) {
        this.mdAnWarfarin = mdAnWarfarin;
    }

    public String getMdAnLivarshaban() {
        return mdAnLivarshaban;
    }

    public void setMdAnLivarshaban(String mdAnLivarshaban) {
        this.mdAnLivarshaban = mdAnLivarshaban;
    }

    public String getMdAnDabigatran() {
        return mdAnDabigatran;
    }

    public void setMdAnDabigatran(String mdAnDabigatran) {
        this.mdAnDabigatran = mdAnDabigatran;
    }

    public String getMdAnApishaban() {
        return mdAnApishaban;
    }

    public void setMdAnApishaban(String mdAnApishaban) {
        this.mdAnApishaban = mdAnApishaban;
    }

    public String getMdAnYidusaban() {
        return mdAnYidusaban;
    }

    public void setMdAnYidusaban(String mdAnYidusaban) {
        this.mdAnYidusaban = mdAnYidusaban;
    }

    public String getMdAnLmh() {
        return mdAnLmh;
    }

    public void setMdAnLmh(String mdAnLmh) {
        this.mdAnLmh = mdAnLmh;
    }

    public String getMdAnCh() {
        return mdAnCh;
    }

    public void setMdAnCh(String mdAnCh) {
        this.mdAnCh = mdAnCh;
    }

    public String getMdAnOther() {
        return mdAnOther;
    }

    public void setMdAnOther(String mdAnOther) {
        this.mdAnOther = mdAnOther;
    }

    public String getMdAdAcei() {
        return mdAdAcei;
    }

    public void setMdAdAcei(String mdAdAcei) {
        this.mdAdAcei = mdAdAcei;
    }

    public String getMdAdArb() {
        return mdAdArb;
    }

    public void setMdAdArb(String mdAdArb) {
        this.mdAdArb = mdAdArb;
    }

    public String getMdAdDiuretic() {
        return mdAdDiuretic;
    }

    public void setMdAdDiuretic(String mdAdDiuretic) {
        this.mdAdDiuretic = mdAdDiuretic;
    }

    public String getMdAdRb() {
        return mdAdRb;
    }

    public void setMdAdRb(String mdAdRb) {
        this.mdAdRb = mdAdRb;
    }

    public String getMdAdCa() {
        return mdAdCa;
    }

    public void setMdAdCa(String mdAdCa) {
        this.mdAdCa = mdAdCa;
    }

    public String getMdAdOther() {
        return mdAdOther;
    }

    public void setMdAdOther(String mdAdOther) {
        this.mdAdOther = mdAdOther;
    }

    public String getMdHdInsulin() {
        return mdHdInsulin;
    }

    public void setMdHdInsulin(String mdHdInsulin) {
        this.mdHdInsulin = mdHdInsulin;
    }

    public String getMdHdSulfonylurea() {
        return mdHdSulfonylurea;
    }

    public void setMdHdSulfonylurea(String mdHdSulfonylurea) {
        this.mdHdSulfonylurea = mdHdSulfonylurea;
    }

    public String getMdHdBiguanides() {
        return mdHdBiguanides;
    }

    public void setMdHdBiguanides(String mdHdBiguanides) {
        this.mdHdBiguanides = mdHdBiguanides;
    }

    public String getMdHdGi() {
        return mdHdGi;
    }

    public void setMdHdGi(String mdHdGi) {
        this.mdHdGi = mdHdGi;
    }

    public String getMdHdEa() {
        return mdHdEa;
    }

    public void setMdHdEa(String mdHdEa) {
        this.mdHdEa = mdHdEa;
    }

    public String getMdHdNsipa() {
        return mdHdNsipa;
    }

    public void setMdHdNsipa(String mdHdNsipa) {
        this.mdHdNsipa = mdHdNsipa;
    }

    public String getMdHdOther() {
        return mdHdOther;
    }

    public void setMdHdOther(String mdHdOther) {
        this.mdHdOther = mdHdOther;
    }

    public String getMdIrmStatins() {
        return mdIrmStatins;
    }

    public void setMdIrmStatins(String mdIrmStatins) {
        this.mdIrmStatins = mdIrmStatins;
    }

    public String getMdIrmNaid() {
        return mdIrmNaid;
    }

    public void setMdIrmNaid(String mdIrmNaid) {
        this.mdIrmNaid = mdIrmNaid;
    }

    public String getMdIrmBc() {
        return mdIrmBc;
    }

    public void setMdIrmBc(String mdIrmBc) {
        this.mdIrmBc = mdIrmBc;
    }

    public String getMdIrmCai() {
        return mdIrmCai;
    }

    public void setMdIrmCai(String mdIrmCai) {
        this.mdIrmCai = mdIrmCai;
    }

    public String getMdIrmOther() {
        return mdIrmOther;
    }

    public void setMdIrmOther(String mdIrmOther) {
        this.mdIrmOther = mdIrmOther;
    }

    public String getDrugName1() {
        return drugName1;
    }

    public void setDrugName1(String drugName1) {
        this.drugName1 = drugName1;
    }

    public String getDrugSubdose1() {
        return drugSubdose1;
    }

    public void setDrugSubdose1(String drugSubdose1) {
        this.drugSubdose1 = drugSubdose1;
    }

    public String getDosageUnit1() {
        return dosageUnit1;
    }

    public void setDosageUnit1(String dosageUnit1) {
        this.dosageUnit1 = dosageUnit1;
    }

    public String getFrequency1() {
        return frequency1;
    }

    public void setFrequency1(String frequency1) {
        this.frequency1 = frequency1;
    }

    public String getDrugTmFlag1() {
        return drugTmFlag1;
    }

    public void setDrugTmFlag1(String drugTmFlag1) {
        this.drugTmFlag1 = drugTmFlag1;
    }

    public String getDrugTmStatus1() {
        return drugTmStatus1;
    }

    public void setDrugTmStatus1(String drugTmStatus1) {
        this.drugTmStatus1 = drugTmStatus1;
    }

    public String getDrugTmStop1() {
        return drugTmStop1;
    }

    public void setDrugTmStop1(String drugTmStop1) {
        this.drugTmStop1 = drugTmStop1;
    }

    public String getDrugName2() {
        return drugName2;
    }

    public void setDrugName2(String drugName2) {
        this.drugName2 = drugName2;
    }

    public String getDrugSubdose2() {
        return drugSubdose2;
    }

    public void setDrugSubdose2(String drugSubdose2) {
        this.drugSubdose2 = drugSubdose2;
    }

    public String getDosageUnit2() {
        return dosageUnit2;
    }

    public void setDosageUnit2(String dosageUnit2) {
        this.dosageUnit2 = dosageUnit2;
    }

    public String getFrequency2() {
        return frequency2;
    }

    public void setFrequency2(String frequency2) {
        this.frequency2 = frequency2;
    }

    public String getDrugTmFlag2() {
        return drugTmFlag2;
    }

    public void setDrugTmFlag2(String drugTmFlag2) {
        this.drugTmFlag2 = drugTmFlag2;
    }

    public String getDrugTmStatus2() {
        return drugTmStatus2;
    }

    public void setDrugTmStatus2(String drugTmStatus2) {
        this.drugTmStatus2 = drugTmStatus2;
    }

    public String getDrugTmStop2() {
        return drugTmStop2;
    }

    public void setDrugTmStop2(String drugTmStop2) {
        this.drugTmStop2 = drugTmStop2;
    }

    public String getDrugName3() {
        return drugName3;
    }

    public void setDrugName3(String drugName3) {
        this.drugName3 = drugName3;
    }

    public String getDrugSubdose3() {
        return drugSubdose3;
    }

    public void setDrugSubdose3(String drugSubdose3) {
        this.drugSubdose3 = drugSubdose3;
    }

    public String getDosageUnit3() {
        return dosageUnit3;
    }

    public void setDosageUnit3(String dosageUnit3) {
        this.dosageUnit3 = dosageUnit3;
    }

    public String getFrequency3() {
        return frequency3;
    }

    public void setFrequency3(String frequency3) {
        this.frequency3 = frequency3;
    }

    public String getDrugTmFlag3() {
        return drugTmFlag3;
    }

    public void setDrugTmFlag3(String drugTmFlag3) {
        this.drugTmFlag3 = drugTmFlag3;
    }

    public String getDrugTmStatus3() {
        return drugTmStatus3;
    }

    public void setDrugTmStatus3(String drugTmStatus3) {
        this.drugTmStatus3 = drugTmStatus3;
    }

    public String getDrugTmStop3() {
        return drugTmStop3;
    }

    public void setDrugTmStop3(String drugTmStop3) {
        this.drugTmStop3 = drugTmStop3;
    }

    public String getDrugName4() {
        return drugName4;
    }

    public void setDrugName4(String drugName4) {
        this.drugName4 = drugName4;
    }

    public String getDrugSubdose4() {
        return drugSubdose4;
    }

    public void setDrugSubdose4(String drugSubdose4) {
        this.drugSubdose4 = drugSubdose4;
    }

    public String getDosageUnit4() {
        return dosageUnit4;
    }

    public void setDosageUnit4(String dosageUnit4) {
        this.dosageUnit4 = dosageUnit4;
    }

    public String getFrequency4() {
        return frequency4;
    }

    public void setFrequency4(String frequency4) {
        this.frequency4 = frequency4;
    }

    public String getDrugTmFlag4() {
        return drugTmFlag4;
    }

    public void setDrugTmFlag4(String drugTmFlag4) {
        this.drugTmFlag4 = drugTmFlag4;
    }

    public String getDrugTmStatus4() {
        return drugTmStatus4;
    }

    public void setDrugTmStatus4(String drugTmStatus4) {
        this.drugTmStatus4 = drugTmStatus4;
    }

    public String getDrugTmStop4() {
        return drugTmStop4;
    }

    public void setDrugTmStop4(String drugTmStop4) {
        this.drugTmStop4 = drugTmStop4;
    }

    public String getDrugName5() {
        return drugName5;
    }

    public void setDrugName5(String drugName5) {
        this.drugName5 = drugName5;
    }

    public String getDrugSubdose5() {
        return drugSubdose5;
    }

    public void setDrugSubdose5(String drugSubdose5) {
        this.drugSubdose5 = drugSubdose5;
    }

    public String getDosageUnit5() {
        return dosageUnit5;
    }

    public void setDosageUnit5(String dosageUnit5) {
        this.dosageUnit5 = dosageUnit5;
    }

    public String getFrequency5() {
        return frequency5;
    }

    public void setFrequency5(String frequency5) {
        this.frequency5 = frequency5;
    }

    public String getDrugTmFlag5() {
        return drugTmFlag5;
    }

    public void setDrugTmFlag5(String drugTmFlag5) {
        this.drugTmFlag5 = drugTmFlag5;
    }

    public String getDrugTmStatus5() {
        return drugTmStatus5;
    }

    public void setDrugTmStatus5(String drugTmStatus5) {
        this.drugTmStatus5 = drugTmStatus5;
    }

    public String getDrugTmStop5() {
        return drugTmStop5;
    }

    public void setDrugTmStop5(String drugTmStop5) {
        this.drugTmStop5 = drugTmStop5;
    }

    public String getDrugName6() {
        return drugName6;
    }

    public void setDrugName6(String drugName6) {
        this.drugName6 = drugName6;
    }

    public String getDrugSubdose6() {
        return drugSubdose6;
    }

    public void setDrugSubdose6(String drugSubdose6) {
        this.drugSubdose6 = drugSubdose6;
    }

    public String getDosageUnit6() {
        return dosageUnit6;
    }

    public void setDosageUnit6(String dosageUnit6) {
        this.dosageUnit6 = dosageUnit6;
    }

    public String getFrequency6() {
        return frequency6;
    }

    public void setFrequency6(String frequency6) {
        this.frequency6 = frequency6;
    }

    public String getDrugTmFlag6() {
        return drugTmFlag6;
    }

    public void setDrugTmFlag6(String drugTmFlag6) {
        this.drugTmFlag6 = drugTmFlag6;
    }

    public String getDrugTmStatus6() {
        return drugTmStatus6;
    }

    public void setDrugTmStatus6(String drugTmStatus6) {
        this.drugTmStatus6 = drugTmStatus6;
    }

    public String getDrugTmStop6() {
        return drugTmStop6;
    }

    public void setDrugTmStop6(String drugTmStop6) {
        this.drugTmStop6 = drugTmStop6;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateOperator() {
        return createOperator;
    }

    public void setCreateOperator(String createOperator) {
        this.createOperator = createOperator;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getModifyOperator() {
        return modifyOperator;
    }

    public void setModifyOperator(String modifyOperator) {
        this.modifyOperator = modifyOperator;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSickProvince() {
        return sickProvince;
    }

    public void setSickProvince(String sickProvince) {
        this.sickProvince = sickProvince;
    }

    public String getSickCity() {
        return sickCity;
    }

    public void setSickCity(String sickCity) {
        this.sickCity = sickCity;
    }

    public String getSickCounty() {
        return sickCounty;
    }

    public void setSickCounty(String sickCounty) {
        this.sickCounty = sickCounty;
    }

    public String getSickCountry() {
        return sickCountry;
    }

    public void setSickCountry(String sickCountry) {
        this.sickCountry = sickCountry;
    }

    public String getSickVillage() {
        return sickVillage;
    }

    public void setSickVillage(String sickVillage) {
        this.sickVillage = sickVillage;
    }

    public String getAssessSource() {
        return assessSource;
    }

    public void setAssessSource(String assessSource) {
        this.assessSource = assessSource;
    }

    public String getSickName() {
        return sickName;
    }

    public void setSickName(String sickName) {
        this.sickName = sickName;
    }

    public String getSickSex() {
        return sickSex;
    }

    public void setSickSex(String sickSex) {
        this.sickSex = sickSex;
    }

    public String getNational() {
        return national;
    }

    public void setNational(String national) {
        this.national = national;
    }

    public String getFollowup_id() {
        return followup_id;
    }

    public void setFollowup_id(String followup_id) {
        this.followup_id = followup_id;
    }

    public String getFollowup_project() {
        return followup_project;
    }

    public void setFollowup_project(String followup_project) {
        this.followup_project = followup_project;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCreateOperatorName() {
        return createOperatorName;
    }

    public void setCreateOperatorName(String createOperatorName) {
        this.createOperatorName = createOperatorName;
    }

    public String getModifyOperatorName() {
        return modifyOperatorName;
    }

    public void setModifyOperatorName(String modifyOperatorName) {
        this.modifyOperatorName = modifyOperatorName;
    }
}
