package com.yihu.jw.followup.followupDisease;

import io.searchbox.annotations.JestId;

/**
 * Created by wangzhinan on 2020/3/23.
 * 8.脂肪肝日常随访
 */

public class FattyLiverFollowUpES {

    @JestId
    private String id;
    private String followup_id;             //随访记录ID
    private String followup_project;        //随访详情分类ID
    private String version;//版本号
    private String createOperatorName;//创建人
    private String modifyOperatorName;//修改人
    private String orgId;//机构id&【必填】
    private String sickId;//病人id&
    private String problemId;//健康问题id&
    private String followOrgId;//随访机构&【必填】
    private String followDoctor;//随访医生&【必填】
    private String followTime;//随访时间&【必填】
    private String followType;//随访方式【1.门诊 2.电话 3.入户】&【必填】
    private String followDoctorType;//随访医生类型【1.专科医生 2.全科医生 3.健康管理师】&【必填】
    private String nextFollowTime;//下次随访时间&【必填】
    private String identityCardNo;//身份证&【必填】
    private String assessSource;//评估来源【1.前台三合一 2. 前台独立 3.后台自动 4.i健康】&【必填】
    private String symptomNo;//症状_无&【症状必选，至少选一个】
    private String symptomLackOfPower;//症状_乏力&
    private String symptomVentosity;//症状_腹胀&
    private String symptomAnorexia;//症状_食欲减退或者进食减少&
    private String symptomSensationFull;//症状_右上腹不适或胀满感&
    private String symptomDpil;//症状_肝区隐痛&
    private String symptomOther;//症状_其它&
    private String signFatApp;//体征_肥胖外观&【体征必选，至少选一个】
    private String signWaistline;//体征_腰围&
    private String signHip;//体征_臀围&
    private String signHepatomegaly;//体征_肝肿大&
    private String signSplenomegaly;//体征_脾肿大&
    private String signIcterus;//体征_黄疸&
    private String signLiverPalms;//体征_肝掌&
    private String signSpider;//体征_蜘蛛痣&
    private String signSvvoaw;//体征_腹壁静脉曲张&
    private String signAscites;//体征_腹水&
    private String signEole;//体征_下肢水肿&
    private String height;//身高&【必填】
    private String weight;//体重&【必填】
    private String bmi;//体质指数&【必填】
    private String bloodPressureU;//血压（收缩压）&【必填】
    private String bloodPressureD;//血压（舒张压）&【必填】
    private String tg;//甘油三脂&【必填】
    private String hdlc;//低密度脂蛋白&【必填】
    private String alt;//谷丙转氨酶（ALT）&【必填】
    private String ast;//谷丙转氨酶（ALT）&【必填】
    private String fbg;//空腹血糖&【必填】
    private String afp;//甲胎蛋白&
    private String abdominalUltrasound;//腹部超声&
    private String fibroscanE;//fibroscan e值&
    private String cap;//cap值&
    private String epigastriumCt;//上腹部ct&
    private String dailySmokingQuantity;//日吸烟量&【必填】
    private String everyAlcoholTolerance;//日饮酒量&【必填】
    private String sports;//运动&【必填】
    private String complianceBehavior;//遵医行为&【必填】
    private String diet;//饮食情况&【必填】
    private String drugCompliance;//服药依从性&【必填】
    private String drugAdverseReaction;//药物不良反应&
    private String drugName1;//药物名称_1&
    private String drugSubdose1;//药物次剂量_1&
    private String dosageUnit1;//剂量单位_1&
    private String frequency1;//用药频次_1&
    private String drugName2;//药物名称_2&
    private String drugSubdose2;//药物次剂量_2&
    private String dosageUnit2;//剂量单位_2&
    private String frequency2;//用药频次_2&
    private String drugName3;//药物名称_3&
    private String drugSubdose3;//药物次剂量_3&
    private String dosageUnit3;//剂量单位_3&
    private String frequency3;//用药频次_3&
    private String drugName4;//药物名称_4&
    private String drugSubdose4;//药物次剂量_4&
    private String dosageUnit4;//剂量单位_4&
    private String frequency4;//用药频次_4&
    private String drugName5;//药物名称_5&
    private String drugSubdose5;//药物次剂量_5&
    private String dosageUnit5;//剂量单位_5&
    private String frequency5;//用药频次_5&
    private String drugName6;//药物名称_6&
    private String drugSubdose6;//药物次剂量_6&
    private String dosageUnit6;//剂量单位_6&
    private String frequency6;//用药频次_6&
    private String validFlag;//有效标志&【必填】
    private String createTime;//创建时间&
    private String createOperator;//创建人&【新增必填】
    private String modifyTime;//修改时间&
    private String modifyOperator;//修改人&【修改必填】
    private String remark;//备注&
    private String comorbidityHypertension;//合并症_高血压&【合并症必选，至少选一个】
    private String comorbidityDiabetes;//合并症_糖尿病&
    private String comorbidityGout;//合并症_痛风&
    private String comorbidityCoronary;//合并症_冠心病&
    private String uricAcid;//尿酸【必填】

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getSickId() {
        return sickId;
    }

    public void setSickId(String sickId) {
        this.sickId = sickId;
    }

    public String getProblemId() {
        return problemId;
    }

    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    public String getFollowOrgId() {
        return followOrgId;
    }

    public void setFollowOrgId(String followOrgId) {
        this.followOrgId = followOrgId;
    }

    public String getFollowDoctor() {
        return followDoctor;
    }

    public void setFollowDoctor(String followDoctor) {
        this.followDoctor = followDoctor;
    }

    public String getFollowTime() {
        return followTime;
    }

    public void setFollowTime(String followTime) {
        this.followTime = followTime;
    }

    public String getFollowType() {
        return followType;
    }

    public void setFollowType(String followType) {
        this.followType = followType;
    }

    public String getFollowDoctorType() {
        return followDoctorType;
    }

    public void setFollowDoctorType(String followDoctorType) {
        this.followDoctorType = followDoctorType;
    }

    public String getNextFollowTime() {
        return nextFollowTime;
    }

    public void setNextFollowTime(String nextFollowTime) {
        this.nextFollowTime = nextFollowTime;
    }

    public String getIdentityCardNo() {
        return identityCardNo;
    }

    public void setIdentityCardNo(String identityCardNo) {
        this.identityCardNo = identityCardNo;
    }

    public String getAssessSource() {
        return assessSource;
    }

    public void setAssessSource(String assessSource) {
        this.assessSource = assessSource;
    }

    public String getSymptomNo() {
        return symptomNo;
    }

    public void setSymptomNo(String symptomNo) {
        this.symptomNo = symptomNo;
    }

    public String getSymptomLackOfPower() {
        return symptomLackOfPower;
    }

    public void setSymptomLackOfPower(String symptomLackOfPower) {
        this.symptomLackOfPower = symptomLackOfPower;
    }

    public String getSymptomVentosity() {
        return symptomVentosity;
    }

    public void setSymptomVentosity(String symptomVentosity) {
        this.symptomVentosity = symptomVentosity;
    }

    public String getSymptomAnorexia() {
        return symptomAnorexia;
    }

    public void setSymptomAnorexia(String symptomAnorexia) {
        this.symptomAnorexia = symptomAnorexia;
    }

    public String getSymptomSensationFull() {
        return symptomSensationFull;
    }

    public void setSymptomSensationFull(String symptomSensationFull) {
        this.symptomSensationFull = symptomSensationFull;
    }

    public String getSymptomDpil() {
        return symptomDpil;
    }

    public void setSymptomDpil(String symptomDpil) {
        this.symptomDpil = symptomDpil;
    }

    public String getSymptomOther() {
        return symptomOther;
    }

    public void setSymptomOther(String symptomOther) {
        this.symptomOther = symptomOther;
    }

    public String getSignFatApp() {
        return signFatApp;
    }

    public void setSignFatApp(String signFatApp) {
        this.signFatApp = signFatApp;
    }

    public String getSignWaistline() {
        return signWaistline;
    }

    public void setSignWaistline(String signWaistline) {
        this.signWaistline = signWaistline;
    }

    public String getSignHip() {
        return signHip;
    }

    public void setSignHip(String signHip) {
        this.signHip = signHip;
    }

    public String getSignHepatomegaly() {
        return signHepatomegaly;
    }

    public void setSignHepatomegaly(String signHepatomegaly) {
        this.signHepatomegaly = signHepatomegaly;
    }

    public String getSignSplenomegaly() {
        return signSplenomegaly;
    }

    public void setSignSplenomegaly(String signSplenomegaly) {
        this.signSplenomegaly = signSplenomegaly;
    }

    public String getSignIcterus() {
        return signIcterus;
    }

    public void setSignIcterus(String signIcterus) {
        this.signIcterus = signIcterus;
    }

    public String getSignLiverPalms() {
        return signLiverPalms;
    }

    public void setSignLiverPalms(String signLiverPalms) {
        this.signLiverPalms = signLiverPalms;
    }

    public String getSignSpider() {
        return signSpider;
    }

    public void setSignSpider(String signSpider) {
        this.signSpider = signSpider;
    }

    public String getSignSvvoaw() {
        return signSvvoaw;
    }

    public void setSignSvvoaw(String signSvvoaw) {
        this.signSvvoaw = signSvvoaw;
    }

    public String getSignAscites() {
        return signAscites;
    }

    public void setSignAscites(String signAscites) {
        this.signAscites = signAscites;
    }

    public String getSignEole() {
        return signEole;
    }

    public void setSignEole(String signEole) {
        this.signEole = signEole;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getBmi() {
        return bmi;
    }

    public void setBmi(String bmi) {
        this.bmi = bmi;
    }

    public String getBloodPressureU() {
        return bloodPressureU;
    }

    public void setBloodPressureU(String bloodPressureU) {
        this.bloodPressureU = bloodPressureU;
    }

    public String getBloodPressureD() {
        return bloodPressureD;
    }

    public void setBloodPressureD(String bloodPressureD) {
        this.bloodPressureD = bloodPressureD;
    }

    public String getTg() {
        return tg;
    }

    public void setTg(String tg) {
        this.tg = tg;
    }

    public String getHdlc() {
        return hdlc;
    }

    public void setHdlc(String hdlc) {
        this.hdlc = hdlc;
    }

    public String getAlt() {
        return alt;
    }

    public void setAlt(String alt) {
        this.alt = alt;
    }

    public String getAst() {
        return ast;
    }

    public void setAst(String ast) {
        this.ast = ast;
    }

    public String getFbg() {
        return fbg;
    }

    public void setFbg(String fbg) {
        this.fbg = fbg;
    }

    public String getAfp() {
        return afp;
    }

    public void setAfp(String afp) {
        this.afp = afp;
    }

    public String getAbdominalUltrasound() {
        return abdominalUltrasound;
    }

    public void setAbdominalUltrasound(String abdominalUltrasound) {
        this.abdominalUltrasound = abdominalUltrasound;
    }

    public String getFibroscanE() {
        return fibroscanE;
    }

    public void setFibroscanE(String fibroscanE) {
        this.fibroscanE = fibroscanE;
    }

    public String getCap() {
        return cap;
    }

    public void setCap(String cap) {
        this.cap = cap;
    }

    public String getEpigastriumCt() {
        return epigastriumCt;
    }

    public void setEpigastriumCt(String epigastriumCt) {
        this.epigastriumCt = epigastriumCt;
    }

    public String getDailySmokingQuantity() {
        return dailySmokingQuantity;
    }

    public void setDailySmokingQuantity(String dailySmokingQuantity) {
        this.dailySmokingQuantity = dailySmokingQuantity;
    }

    public String getEveryAlcoholTolerance() {
        return everyAlcoholTolerance;
    }

    public void setEveryAlcoholTolerance(String everyAlcoholTolerance) {
        this.everyAlcoholTolerance = everyAlcoholTolerance;
    }

    public String getSports() {
        return sports;
    }

    public void setSports(String sports) {
        this.sports = sports;
    }

    public String getComplianceBehavior() {
        return complianceBehavior;
    }

    public void setComplianceBehavior(String complianceBehavior) {
        this.complianceBehavior = complianceBehavior;
    }

    public String getDiet() {
        return diet;
    }

    public void setDiet(String diet) {
        this.diet = diet;
    }

    public String getDrugCompliance() {
        return drugCompliance;
    }

    public void setDrugCompliance(String drugCompliance) {
        this.drugCompliance = drugCompliance;
    }

    public String getDrugAdverseReaction() {
        return drugAdverseReaction;
    }

    public void setDrugAdverseReaction(String drugAdverseReaction) {
        this.drugAdverseReaction = drugAdverseReaction;
    }

    public String getDrugName1() {
        return drugName1;
    }

    public void setDrugName1(String drugName1) {
        this.drugName1 = drugName1;
    }

    public String getDrugSubdose1() {
        return drugSubdose1;
    }

    public void setDrugSubdose1(String drugSubdose1) {
        this.drugSubdose1 = drugSubdose1;
    }

    public String getDosageUnit1() {
        return dosageUnit1;
    }

    public void setDosageUnit1(String dosageUnit1) {
        this.dosageUnit1 = dosageUnit1;
    }

    public String getFrequency1() {
        return frequency1;
    }

    public void setFrequency1(String frequency1) {
        this.frequency1 = frequency1;
    }

    public String getDrugName2() {
        return drugName2;
    }

    public void setDrugName2(String drugName2) {
        this.drugName2 = drugName2;
    }

    public String getDrugSubdose2() {
        return drugSubdose2;
    }

    public void setDrugSubdose2(String drugSubdose2) {
        this.drugSubdose2 = drugSubdose2;
    }

    public String getDosageUnit2() {
        return dosageUnit2;
    }

    public void setDosageUnit2(String dosageUnit2) {
        this.dosageUnit2 = dosageUnit2;
    }

    public String getFrequency2() {
        return frequency2;
    }

    public void setFrequency2(String frequency2) {
        this.frequency2 = frequency2;
    }

    public String getDrugName3() {
        return drugName3;
    }

    public void setDrugName3(String drugName3) {
        this.drugName3 = drugName3;
    }

    public String getDrugSubdose3() {
        return drugSubdose3;
    }

    public void setDrugSubdose3(String drugSubdose3) {
        this.drugSubdose3 = drugSubdose3;
    }

    public String getDosageUnit3() {
        return dosageUnit3;
    }

    public void setDosageUnit3(String dosageUnit3) {
        this.dosageUnit3 = dosageUnit3;
    }

    public String getFrequency3() {
        return frequency3;
    }

    public void setFrequency3(String frequency3) {
        this.frequency3 = frequency3;
    }

    public String getDrugName4() {
        return drugName4;
    }

    public void setDrugName4(String drugName4) {
        this.drugName4 = drugName4;
    }

    public String getDrugSubdose4() {
        return drugSubdose4;
    }

    public void setDrugSubdose4(String drugSubdose4) {
        this.drugSubdose4 = drugSubdose4;
    }

    public String getDosageUnit4() {
        return dosageUnit4;
    }

    public void setDosageUnit4(String dosageUnit4) {
        this.dosageUnit4 = dosageUnit4;
    }

    public String getFrequency4() {
        return frequency4;
    }

    public void setFrequency4(String frequency4) {
        this.frequency4 = frequency4;
    }

    public String getDrugName5() {
        return drugName5;
    }

    public void setDrugName5(String drugName5) {
        this.drugName5 = drugName5;
    }

    public String getDrugSubdose5() {
        return drugSubdose5;
    }

    public void setDrugSubdose5(String drugSubdose5) {
        this.drugSubdose5 = drugSubdose5;
    }

    public String getDosageUnit5() {
        return dosageUnit5;
    }

    public void setDosageUnit5(String dosageUnit5) {
        this.dosageUnit5 = dosageUnit5;
    }

    public String getFrequency5() {
        return frequency5;
    }

    public void setFrequency5(String frequency5) {
        this.frequency5 = frequency5;
    }

    public String getDrugName6() {
        return drugName6;
    }

    public void setDrugName6(String drugName6) {
        this.drugName6 = drugName6;
    }

    public String getDrugSubdose6() {
        return drugSubdose6;
    }

    public void setDrugSubdose6(String drugSubdose6) {
        this.drugSubdose6 = drugSubdose6;
    }

    public String getDosageUnit6() {
        return dosageUnit6;
    }

    public void setDosageUnit6(String dosageUnit6) {
        this.dosageUnit6 = dosageUnit6;
    }

    public String getFrequency6() {
        return frequency6;
    }

    public void setFrequency6(String frequency6) {
        this.frequency6 = frequency6;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateOperator() {
        return createOperator;
    }

    public void setCreateOperator(String createOperator) {
        this.createOperator = createOperator;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getModifyOperator() {
        return modifyOperator;
    }

    public void setModifyOperator(String modifyOperator) {
        this.modifyOperator = modifyOperator;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getComorbidityHypertension() {
        return comorbidityHypertension;
    }

    public void setComorbidityHypertension(String comorbidityHypertension) {
        this.comorbidityHypertension = comorbidityHypertension;
    }

    public String getComorbidityDiabetes() {
        return comorbidityDiabetes;
    }

    public void setComorbidityDiabetes(String comorbidityDiabetes) {
        this.comorbidityDiabetes = comorbidityDiabetes;
    }

    public String getComorbidityGout() {
        return comorbidityGout;
    }

    public void setComorbidityGout(String comorbidityGout) {
        this.comorbidityGout = comorbidityGout;
    }

    public String getComorbidityCoronary() {
        return comorbidityCoronary;
    }

    public void setComorbidityCoronary(String comorbidityCoronary) {
        this.comorbidityCoronary = comorbidityCoronary;
    }

    public String getUricAcid() {
        return uricAcid;
    }

    public void setUricAcid(String uricAcid) {
        this.uricAcid = uricAcid;
    }

    public String getFollowup_id() {
        return followup_id;
    }

    public void setFollowup_id(String followup_id) {
        this.followup_id = followup_id;
    }

    public String getFollowup_project() {
        return followup_project;
    }

    public void setFollowup_project(String followup_project) {
        this.followup_project = followup_project;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCreateOperatorName() {
        return createOperatorName;
    }

    public void setCreateOperatorName(String createOperatorName) {
        this.createOperatorName = createOperatorName;
    }

    public String getModifyOperatorName() {
        return modifyOperatorName;
    }

    public void setModifyOperatorName(String modifyOperatorName) {
        this.modifyOperatorName = modifyOperatorName;
    }
}
