package com.yihu.jw.entity.base.application;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IntegerIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;


/**
 *
 * 应用角色配置
 * @author Administrator on  2018年09月05日
 *
 */
@Entity
@Table(name = "base_application_role_dict")
public class BaseApplicationRoleDictDO extends UuidIdentityEntityWithOperator {

    private String name;//角色名称
    private String type;//角色类型（字典V_APPLICATION_ROLE_DICT）
    private String saasId;//租户id
    private String orgCode;//机构id
    private Integer status;//是否生效1生效0失效

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getSaasId() {
        return saasId;
    }

    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}