package com.yihu.jw.entity.base.area;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 住院病区
 * Created by yeshijie on 2022/12/2.
 */
@Entity
@Table(name = "base_inpatient_area")
public class BaseInpatientAreaDO extends UuidIdentityEntityWithCreateTime {

    private String name;//住院病区名称
    private Integer olderNum;//单患者同时允许陪护数（75岁以上）
    private Integer yangNum;//单患者同时允许陪护数（75岁以下）
    private Integer dayMaxNum;//每日允许最大陪护数
    private String termOfValidity;//陪护证有效期
    private String afternoonTime;//每日可陪护时长-下午（12点-20点
    private String morningTime;//每日可陪护时长-早上（0点-12点）
    private String nightTime;//每日可陪护时长-晚上（20点-24点）
    private Integer del;//生效标志 1生效0失效

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "older_num")
    public Integer getOlderNum() {
        return olderNum;
    }

    public void setOlderNum(Integer olderNum) {
        this.olderNum = olderNum;
    }

    @Column(name = "yang_num")
    public Integer getYangNum() {
        return yangNum;
    }

    public void setYangNum(Integer yangNum) {
        this.yangNum = yangNum;
    }

    @Column(name = "day_max_num")
    public Integer getDayMaxNum() {
        return dayMaxNum;
    }

    public void setDayMaxNum(Integer dayMaxNum) {
        this.dayMaxNum = dayMaxNum;
    }

    @Column(name = "term_of_validity")
    public String getTermOfValidity() {
        return termOfValidity;
    }

    public void setTermOfValidity(String termOfValidity) {
        this.termOfValidity = termOfValidity;
    }

    @Column(name = "afternoon_time")
    public String getAfternoonTime() {
        return afternoonTime;
    }

    public void setAfternoonTime(String afternoonTime) {
        this.afternoonTime = afternoonTime;
    }

    @Column(name = "morning_time")
    public String getMorningTime() {
        return morningTime;
    }

    public void setMorningTime(String morningTime) {
        this.morningTime = morningTime;
    }

    @Column(name = "night_time")
    public String getNightTime() {
        return nightTime;
    }

    public void setNightTime(String nightTime) {
        this.nightTime = nightTime;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
