package com.yihu.jw.entity.base.area;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 住院病区审核医生表
 * Created by yeshijie on 2022/12/2.
 */
@Entity
@Table(name = "base_inpatient_area_doctor")
public class BaseInpatientAreaDoctorDO extends UuidIdentityEntity {

    private String doctorCode;//医生id
    private String inpatientAreaId;//住院病区id
    private Integer del;//1生效 0失效

    @Column(name = "doctor_code")
    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    @Column(name = "inpatient_area_id")
    public String getInpatientAreaId() {
        return inpatientAreaId;
    }

    public void setInpatientAreaId(String inpatientAreaId) {
        this.inpatientAreaId = inpatientAreaId;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
