package com.yihu.jw.entity.base.device;


import com.yihu.jw.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by zd on 2018/01/10.
 */
@Entity
@Table(name = "wlyy_device_wx_message")
@SequenceGenerator(name = "id_generated", sequenceName = "wlyy_device_wx_message")
public class DeviceWxMessage extends IdEntity {
    private String patient;
    private String deviceName;
    private String deviceSn;
    //设备类型(1血糖仪 2血压计)
    private String categoryCode;
    private Date czrq;


    /** default constructor */
    public DeviceWxMessage() {
    }

    /** full constructor */
    public DeviceWxMessage(String patient, String deviceName, String deviceSn, String categoryCode, Date czrq) {
        this.patient = patient;
        this.deviceName = deviceName;
        this.deviceSn = deviceSn;
        this.categoryCode = categoryCode;
        this.czrq = czrq;
    }




    @Column(name = "device_name")
    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    @Column(name = "device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "category_code")
    public String getCategoryCode() {
        return categoryCode;
    }

    public void setCategoryCode(String categoryCode) {
        this.categoryCode = categoryCode;
    }

    @Column(name = "czrq")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }
}
