package com.yihu.jw.entity.base.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.*;
import java.util.Date;

/**
 * 患者监测目标-血压
 * @author huangwenjie
 * @date 2017/9/7 20:07
 */
@Entity
@Table(name = "wlyy_patient_aim_blood_pressure")
@SequenceGenerator(name = "id_generated", sequenceName = "wlyy_patient_aim_blood_pressure")
public class PatientAimBloodPressure extends IdEntity {
    private String code;
    private String patientcode;
    private String sbp;
    private String dbp;
    private String sbpMin;
    private String dbpMin;
    private String unit;
    private Date createTime;

    @Basic
    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Basic
    @Column(name = "patientcode")
    public String getPatientcode() {
        return patientcode;
    }

    public void setPatientcode(String patientcode) {
        this.patientcode = patientcode;
    }

    @Basic
    @Column(name = "sbp")
    public String getSbp() {
        return sbp;
    }

    public void setSbp(String sbp) {
        this.sbp = sbp;
    }

    @Basic
    @Column(name = "dbp")
    public String getDbp() {
        return dbp;
    }

    public void setDbp(String dbp) {
        this.dbp = dbp;
    }

    @Basic
    @Column(name = "sbp_min")
    public String getSbpMin() {
        return sbpMin;
    }

    public void setSbpMin(String sbpMin) {
        this.sbpMin = sbpMin;
    }

    @Basic
    @Column(name = "dbp_min")
    public String getDbpMin() {
        return dbpMin;
    }

    public void setDbpMin(String dbpMin) {
        this.dbpMin = dbpMin;
    }

    @Basic
    @Column(name = "unit")
    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Basic
    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}
