package com.yihu.jw.entity.base.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * 患者监测目标-血糖
 * @author huangwenjie
 * @date 2017/9/7 20:07
 */
@Entity
@Table(name = "wlyy_patient_aim_blood_sugger")
@SequenceGenerator(name = "id_generated", sequenceName = "wlyy_patient_aim_blood_sugger")
public class PatientAimBloodSugger extends IdEntity {

    private String code;
    private String patientcode;
    private String fbg;
    private String hpg;
    private String fbgMin;
    private String hpgMin;
    private String unit;
    private Date createTime;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPatientcode() {
        return patientcode;
    }

    public void setPatientcode(String patientcode) {
        this.patientcode = patientcode;
    }

    public String getFbg() {
        return fbg;
    }

    public void setFbg(String fbg) {
        this.fbg = fbg;
    }

    public String getHpg() {
        return hpg;
    }

    public void setHpg(String hpg) {
        this.hpg = hpg;
    }

    public String getHpgMin() {
        return hpgMin;
    }

    public void setHpgMin(String hpgMin) {
        this.hpgMin = hpgMin;
    }

    public String getFbgMin() {
        return fbgMin;
    }

    public void setFbgMin(String fbgMin) {
        this.fbgMin = fbgMin;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
