package com.yihu.jw.entity.base.gw;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 制度表
 * Created by yeshijie on 2022/2/21.
 */
@Entity
@Table(name = "base_rules")
public class BaseRulesDO extends UuidIdentityEntityWithCreateTime {

    private String name;//制度名称
    private String fileUrl;//文件地址
    private String fileFormat;//文件格式
    private String img;//
    private Integer del;//失效标志 0失效 1生效

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "file_url")
    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    @Column(name = "file_format")
    public String getFileFormat() {
        return fileFormat;
    }

    public void setFileFormat(String fileFormat) {
        this.fileFormat = fileFormat;
    }

    @Column(name = "img")
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
