package com.yihu.jw.entity.base.inpatient;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 居民费用表
 * Created by yeshijie on 2022/12/7.
 */
@Entity
@Table(name = "base_patient_fee")
public class BasePatientFeeDO extends UuidIdentityEntityWithCreateTime {

    private Integer status;//状态 -1已取消 0待结算 1已结算
    private String type;//类型 1费用
    private String patient;
    private String patientName;
    private Double fee;//总费用

    private String typeName;//类型名称
    private String statusName;//状态名称

    //费用明细
//    List<BasePatientFeeDetailDO> feeDetailList;

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    @Column(name = "fee")
    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Transient
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Transient
    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }
}
