package com.yihu.jw.entity.base.inpatient;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 居民费用详情
 * Created by yeshijie on 2022/12/7.
 */
@Entity
@Table(name = "base_patient_fee_detail")
public class BasePatientFeeDetailDO extends UuidIdentityEntityWithCreateTime {

    private String feeId;//费用表id
    private String patient;
    private String type;//类型 1西药 2化验费
    private String code;//费用编码
    private String name;//费用名称
    private Double fee;//费用
    private Integer num;//数量
    private String relationType;//关联类型
    private String relationtId;//关联id

    @Column(name = "fee_id")
    public String getFeeId() {
        return feeId;
    }

    public void setFeeId(String feeId) {
        this.feeId = feeId;
    }

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "fee")
    public Double getFee() {
        return fee;
    }

    public void setFee(Double fee) {
        this.fee = fee;
    }

    @Column(name = "num")
    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    @Column(name = "relation_type")
    public String getRelationType() {
        return relationType;
    }

    public void setRelationType(String relationType) {
        this.relationType = relationType;
    }

    @Column(name = "relationt_id")
    public String getRelationtId() {
        return relationtId;
    }

    public void setRelationtId(String relationtId) {
        this.relationtId = relationtId;
    }
}
