package com.yihu.jw.entity.base.login;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 登录应用表
 * Created by yeshijie on 2022/11/28.
 */
@Entity
@Table(name = "base_login_app")
public class BaseLoginAppDO extends UuidIdentityEntityWithCreateTime {

    private String code;//应用id
    private String ip;//ip端口
    private String name;//应用名称
    private String customerName;//客户名称
    private Integer del;//是否生效 1生效 0失效

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "ip")
    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "customer_name")
    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
