package com.yihu.jw.entity.base.menu;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;
import com.yihu.jw.entity.UuidIdentityEntityWithTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 菜单控制的url表 用来做url权限控制
 * Created by yeshijie on 2022/7/20.
 */
@Entity
@Table(name = "base_menu_url")
public class BaseMenuUrlDO extends UuidIdentityEntityWithCreateTime {

    private String menuId;//对应base_menu表的id字段
    private String url;//url链接
    private String urlName;//url名称

    @Column(name = "menu_id")
    public String getMenuId() {
        return menuId;
    }

    public void setMenuId(String menuId) {
        this.menuId = menuId;
    }

    @Column(name = "url")
    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    @Column(name = "url_name")
    public String getUrlName() {
        return urlName;
    }

    public void setUrlName(String urlName) {
        this.urlName = urlName;
    }
}
