package com.yihu.jw.entity.base.processGuidance;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 居民全流程指引日志
 * Created by yeshijie on 2022/11/23.
 */
@Entity
@Table(name = "base_patient_process_guidance_log")
public class BasePatientProcessGuidanceLogDO extends UuidIdentityEntityWithCreateTime {

    private String patient;
    private String code;//居民流程编码  一个居民同一个流程编码相同
    private Integer type;//类型 1开始流程记录 2具体流程记录日志
    private Integer status;//状态 0取消 1进行中 2已完成
    private String relationId;//关联id
    private String nodeCode;//节点
    private String guidanceId;//流程id

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "relation_id")
    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    @Column(name = "node_code")
    public String getNodeCode() {
        return nodeCode;
    }

    public void setNodeCode(String nodeCode) {
        this.nodeCode = nodeCode;
    }

    @Column(name = "guidance_id")
    public String getGuidanceId() {
        return guidanceId;
    }

    public void setGuidanceId(String guidanceId) {
        this.guidanceId = guidanceId;
    }
}
