package com.yihu.jw.entity.base.processGuidance;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 全流程指引-预设流程关联部门
 * Created by yeshijie on 2022/9/30.
 */
@Entity
@Table(name = "base_process_guidance_dept")
public class BaseProcessGuidanceDeptDO extends UuidIdentityEntity {

      private String processGuidanceId;//预设流程id
      private String deptCode;//科室code
      private String deptName;//科室姓名

      @Column(name = "process_guidance_id")
      public String getProcessGuidanceId() {
            return processGuidanceId;
      }

      public void setProcessGuidanceId(String processGuidanceId) {
            this.processGuidanceId = processGuidanceId;
      }

      @Column(name = "dept_code")
      public String getDeptCode() {
            return deptCode;
      }

      public void setDeptCode(String deptCode) {
            this.deptCode = deptCode;
      }

      @Column(name = "dept_name")
      public String getDeptName() {
            return deptName;
      }

      public void setDeptName(String deptName) {
            this.deptName = deptName;
      }
}
