package com.yihu.jw.entity.base.processGuidance;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 全流程指引第三方推送日志
 * Created by yeshijie on 2022/11/29.
 */
@Entity
@Table(name = "base_process_guidance_third_push_log")
public class BaseProcessGuidanceThirdPushLogDO extends UuidIdentityEntityWithCreateTime {

    private String param;//推送的接口参数
    private String idcard;//身份证
    private String nodeCode;//节点code （不同流程的相同节点可能处理不一样）
    private String guidanceId;//流程Id
    private String api;//接口地址

    @Column(name = "param")
    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    @Column(name = "idcard")
    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    @Column(name = "node_code")
    public String getNodeCode() {
        return nodeCode;
    }

    public void setNodeCode(String nodeCode) {
        this.nodeCode = nodeCode;
    }

    @Column(name = "guidance_id")
    public String getGuidanceId() {
        return guidanceId;
    }

    public void setGuidanceId(String guidanceId) {
        this.guidanceId = guidanceId;
    }

    @Column(name = "api")
    public String getApi() {
        return api;
    }

    public void setApi(String api) {
        this.api = api;
    }
}
