package com.yihu.jw.entity.base.role;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * @author progr1mmer
 * @date 2018/09/20
 */
@Entity
@Table(name = "base_role_menu")
@SequenceGenerator(name="id_generated", sequenceName="BASE_ROLE_MENU_SEQ")
public class RoleMenuDO extends IntegerIdentityEntity {

	/**
	 * 角色ID
	 */
	private String roleId;
	/**
	 * 菜单ID
	 */
	private String menuId;

	@Column(name = "role_id", length = 50)
	public String getRoleId() {
		return this.roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	@Column(name = "menu_id", length = 50)
	public String getMenuId() {
		return this.menuId;
	}

	public void setMenuId(String menuId) {
		this.menuId = menuId;
	}

}