package com.yihu.jw.entity.base.servicePackage;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.math.BigDecimal;

/**
 * Created by yeshijie on 2021/2/23.
 */
@Entity
@Table(name = "base_service_package_item")
public class ServicePackageItemDO extends UuidIdentityEntity implements java.io.Serializable {

    private String servicePackageId;//服务包ID
    private String code;//服务包code
    private String name;//服务包名称
    private BigDecimal price;//价格
    private String feeType;//'收费标准（1免费）'
    private String orgCode;//'机构编码'
    private String orgName;//'机构名称'
    private String introduce;//'服务简介'
    private String del;//是否生效(1 生效，0 失效)
    private String delName;
    private String createTime;//
    private String dictId;//
    private String topicItem;//所属专题 security 安防专题


    /**
     * 新增字段
     */
    private String servicePackageItemId;//服务项id
    private String leasedCode;//租户code
    private String leasedName;//租户name
    private String subItemType;//是否包含子项目
    private String templateCode;//模板的code
    private String templateType;//模板的类型

    private String subItemId;//数据库不存在的字段


    @Column(name = "service_package_item_id")
    public String getServicePackageItemId() {
        return servicePackageItemId;
    }

    public void setServicePackageItemId(String servicePackageItemId) {
        this.servicePackageItemId = servicePackageItemId;
    }

    @Column(name = "template_type")
    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    @Column(name = "template_code")
    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    @Transient
    public String getSubItemId() {
        return subItemId;
    }

    public void setSubItemId(String subItemId) {
        this.subItemId = subItemId;
    }

    @Column(name = "sub_item_type")
    public String getSubItemType() {
        return subItemType;
    }

    public void setSubItemType(String subItemType) {
        this.subItemType = subItemType;
    }

    @Column(name = "leased_code")
    public String getLeasedCode() {
        return leasedCode;
    }

    public void setLeasedCode(String leasedCode) {
        this.leasedCode = leasedCode;
    }

    @Column(name = "leased_name")
    public String getLeasedName() {
        return leasedName;
    }

    public void setLeasedName(String leasedName) {
        this.leasedName = leasedName;
    }

    @Column(name = "dict_id")
    public String getDictId() {
        return dictId;
    }

    public void setDictId(String dictId) {
        this.dictId = dictId;
    }

    @Column(name = "service_package_id")
    public String getServicePackageId() {
        return servicePackageId;
    }

    public void setServicePackageId(String servicePackageId) {
        this.servicePackageId = servicePackageId;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "price")
    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    @Column(name = "fee_type")
    public String getFeeType() {
        return feeType;
    }

    public void setFeeType(String feeType) {
        this.feeType = feeType;
    }

    @Column(name = "org_code")
    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    @Column(name = "org_name")
    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    @Column(name = "introduce")
    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    @Column(name = "del")
    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    @Column(name = "create_time")
    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Transient
    public String getDelName() {
        return delName;
    }

    public void setDelName(String delName) {
        this.delName = delName;
    }

    @Column(name = "topic_item")
    public String getTopicItem() {
        return topicItem;
    }

    public void setTopicItem(String topicItem) {
        this.topicItem = topicItem;
    }
}
