package com.yihu.jw.entity.base.servicePackage;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author suqinyi
 * @Date 2023/9/21
 */
@Entity
@Table(name = "base_service_package_sub_item")
public class ServicePackageSubItemDO extends UuidIdentityEntity implements java.io.Serializable {

    @Column(name = "name")
    private String name;//名称

    @Column(name = "dict_item_id")
    private String dictItemId;//字典配置的服务项的id

    @Column(name = "introduce")
    private String introduce;//说明

    @Column(name = "status")
    private String status;//状态

    @Column(name = "sort")
    private String sort;//排序

    @Column(name = "leased_code")
    private String leasedCode;

    @Column(name = "leased_name")
    private String leasedName;

    @Column(name = "org_code")
    private String orgCode;

    @Column(name = "org_name")
    private String orgName;

    @Column(name = "photo")
    private String photo;

    @Column(name = "create_time")
    private Date createTime;

    @Column(name = "price")
    private BigDecimal price;

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDictItemId() {
        return dictItemId;
    }

    public void setDictItemId(String dictItemId) {
        this.dictItemId = dictItemId;
    }

    public String getIntroduce() {
        return introduce;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getLeasedCode() {
        return leasedCode;
    }

    public void setLeasedCode(String leasedCode) {
        this.leasedCode = leasedCode;
    }

    public String getLeasedName() {
        return leasedName;
    }

    public void setLeasedName(String leasedName) {
        this.leasedName = leasedName;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
