package com.yihu.jw.entity.base.team;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * Created by yeshijie on 2023/4/24.
 */
@Entity
@Table(name = "base_team_relation")
@SequenceGenerator(name="id_generated", sequenceName="base_team_relation")
public class BaseTeamRelationDO extends UuidIdentityEntityWithCreateTime {

    private String teamId;//专科团队id
    private Integer adminTeamId;//社区团队id

    public String getTeamId() {
        return teamId;
    }

    public void setTeamId(String teamId) {
        this.teamId = teamId;
    }

    public Integer getAdminTeamId() {
        return adminTeamId;
    }

    public void setAdminTeamId(Integer adminTeamId) {
        this.adminTeamId = adminTeamId;
    }
}
