package com.yihu.jw.entity.care.device;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 居民人脸记录数据
 * Created by yeshijie on 2022/6/2.
 */
@Entity
@Table(name = "base_device_face_record")
public class BaseDeviceFaceRecordDO extends UuidIdentityEntityWithCreateTime {

    private String patient;
    private String name;
    private String img;//人脸图片地址
    private String passTime;//通过时间

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "img")
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    @Column(name = "pass_time")
    public String getPassTime() {
        return passTime;
    }

    public void setPassTime(String passTime) {
        this.passTime = passTime;
    }
}
