package com.yihu.jw.entity.care.visit;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by yeshijie on 2021/11/11.
 */
@Entity
@Table(name = "base_visit")
public class BaseVisitDO extends UuidIdentityEntityWithCreateTime {

    private String patient;
    private String patientName;
    private String type;//类型 1老人日常走访 2老人日常临时走访（管理端直接新增记录没有计划）
    private String status;//状态 0计划中 1 已完成 2计划超时 3 已签到
    private Date visitDate;//完成走访时间
    private Date visitPlanDate;//计划走访时间
    private String doctor;
    private String doctorName;
    private String visitContent;//走访记录
    private String visitImg;//走访图片
    private String deviceMaintenance;//设备维护
    private String health;//健康情况
    private String lifeConsult;//生活咨询

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Column(name = "visit_date")
    public Date getVisitDate() {
        return visitDate;
    }

    public void setVisitDate(Date visitDate) {
        this.visitDate = visitDate;
    }

    @Column(name = "visit_plan_date")
    public Date getVisitPlanDate() {
        return visitPlanDate;
    }

    public void setVisitPlanDate(Date visitPlanDate) {
        this.visitPlanDate = visitPlanDate;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "visit_content")
    public String getVisitContent() {
        return visitContent;
    }

    public void setVisitContent(String visitContent) {
        this.visitContent = visitContent;
    }

    @Column(name = "visit_img")
    public String getVisitImg() {
        return visitImg;
    }

    public void setVisitImg(String visitImg) {
        this.visitImg = visitImg;
    }

    public String getDeviceMaintenance() {
        return deviceMaintenance;
    }

    public void setDeviceMaintenance(String deviceMaintenance) {
        this.deviceMaintenance = deviceMaintenance;
    }

    public String getHealth() {
        return health;
    }

    public void setHealth(String health) {
        this.health = health;
    }

    public String getLifeConsult() {
        return lifeConsult;
    }

    public void setLifeConsult(String lifeConsult) {
        this.lifeConsult = lifeConsult;
    }
}
