package com.yihu.jw.entity.care.weather;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by yeshijie on 2022/7/27.
 */
@Entity
@Table(name = "base_weather_week")
public class BaseWeatherWeekDO extends UuidIdentityEntityWithCreateTime {

    private String nums;//今日实时请求次数
    private String cityid;//城市ID
    private String city;//城市名称
    private String updateDate;//更新日期
    private String updateTime;//更新时间
    private String date;//预报日期
    private String week;//星期
    private String wea;//天气情况
    private String weaImg;//天气标识(xue、lei、shachen、wu、bingbao、yun、yu、yin、qing)
    private String temDay;//白天温度(高温)
    private String temNight;//夜间温度(低温)
    private String win;//风向
    private String winSpeed;//风力

    @Column(name = "nums")
    public String getNums() {
        return nums;
    }

    public void setNums(String nums) {
        this.nums = nums;
    }

    @Column(name = "cityid")
    public String getCityid() {
        return cityid;
    }

    public void setCityid(String cityid) {
        this.cityid = cityid;
    }

    @Column(name = "city")
    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @Column(name = "date")
    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    @Column(name = "update_date")
    public String getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(String updateDate) {
        this.updateDate = updateDate;
    }

    @Column(name = "update_time")
    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    @Column(name = "wea")
    public String getWea() {
        return wea;
    }

    public void setWea(String wea) {
        this.wea = wea;
    }

    @Column(name = "wea_img")
    public String getWeaImg() {
        return weaImg;
    }

    public void setWeaImg(String weaImg) {
        this.weaImg = weaImg;
    }

    @Column(name = "tem_day")
    public String getTemDay() {
        return temDay;
    }

    public void setTemDay(String temDay) {
        this.temDay = temDay;
    }

    @Column(name = "tem_night")
    public String getTemNight() {
        return temNight;
    }

    public void setTemNight(String temNight) {
        this.temNight = temNight;
    }

    @Column(name = "win")
    public String getWin() {
        return win;
    }

    public void setWin(String win) {
        this.win = win;
    }

    @Column(name = "win_speed")
    public String getWinSpeed() {
        return winSpeed;
    }

    public void setWinSpeed(String winSpeed) {
        this.winSpeed = winSpeed;
    }

    @Column(name = "week")
    public String getWeek() {
        return week;
    }

    public void setWeek(String week) {
        this.week = week;
    }
}
