package com.yihu.jw.entity.dailyReport;

import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created by Bing on 2022/7/25.
 * 每日日报项目管理人员
 */
@Entity
@Table(name="base_daily_report_item_members")
public class BaseDailyReportItemMembersDO extends UuidIdentityEntity {

    private String reportItemId;//日报项目id
    private String userId;//项目内容
    private String userName;//项目内容
    private Integer del;//0无效1有效

    private String completionHour;//用时
    private String deptCode;//部门code
    private String deptName;//部门名称

    public String getReportItemId() {
        return reportItemId;
    }

    public void setReportItemId(String reportItemId) {
        this.reportItemId = reportItemId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Transient
    public String getCompletionHour() {
        return completionHour;
    }

    public void setCompletionHour(String completionHour) {
        this.completionHour = completionHour;
    }

    @Transient
    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    @Transient
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
}
