package com.yihu.jw.entity.dailyReport;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Bing on 2022/7/25.
 * 日报操作日志
 */
@Entity
@Table(name="base_daily_report_log")
public class BaseDailyReportLogDO extends UuidIdentityEntityWithOperator {

    private String reportId;//每日日报id
    private String operateUser;//操作人
    private String operateUserName;//操作人名字
    private Integer type;//类型
    private String typeName;//1日报提交2上级核实未存疑3上级核实存疑4存疑核实
    private String content;//操作内容


    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId;
    }

    public String getOperateUser() {
        return operateUser;
    }

    public void setOperateUser(String operateUser) {
        this.operateUser = operateUser;
    }

    public String getOperateUserName() {
        return operateUserName;
    }

    public void setOperateUserName(String operateUserName) {
        this.operateUserName = operateUserName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}
