package com.yihu.jw.entity.ehr.quota;

import com.yihu.jw.entity.IdEntity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 统计细纬度关联表
 *
 * @author janseny
 * @version 1.0
 * @updated 2017年6月8日
 */
@Entity
@Table(name = "tj_quota_dimension_slave")
@Access(value = AccessType.PROPERTY)
public class TjQuotaDimensionSlave extends IdEntity {

    private String quotaCode;  //关联 tj_quota code
    private String slaveCode; //关联 jt_dimension_slave
    private String dictSql;//
    private String keyVal;//
    private Integer sort;//纬度顺序
    private String converClass;//转换类

    private String name;

    @Column(name = "quota_code",  nullable = true)
    public String getQuotaCode() {
        return quotaCode;
    }

    public void setQuotaCode(String quotaCode) {
        this.quotaCode = quotaCode;
    }

    @Column(name = "slave_code",  nullable = true)
    public String getSlaveCode() {
        return slaveCode;
    }

    public void setSlaveCode(String slaveCode) {
        this.slaveCode = slaveCode;
    }

    @Column(name = "dict_sql",  nullable = true)
    public String getDictSql() {
        return dictSql;
    }

    public void setDictSql(String dictSql) {
        this.dictSql = dictSql;
    }

    @Column(name = "key_val",  nullable = true)
    public String getKeyVal() {
        return keyVal;
    }

    public void setKeyVal(String keyVal) {
        this.keyVal = keyVal;
    }

    @Column(name = "sort",  nullable = true)
    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Column(name = "conver_class",  nullable = true)
    public String getConverClass() {
        return converClass;
    }

    public void setConverClass(String converClass) {
        this.converClass = converClass;
    }

    @Transient
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}