package com.yihu.jw.entity.healthUpload;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.base.doctor.BaseDoctorDO;
import com.yihu.jw.entity.base.doctor.BaseDoctorHospitalDO;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;


/**
 * 医生成员表
 *
 * @author Administrator on  2018年09月05日
 *
 */
@Entity
@Table(name = "base_doctor_member")
public class BaseDoctorMemberDO extends UuidIdentityEntityWithOperator {

    private String doctorId;//医生id
    private String memberId;//成员id
    private Integer del;//删除标志（1正常，0删除）
    private Integer memberRelation;//成员关系

    private BaseDoctorDO baseDoctorDO;

    private String count;

    private List<BaseDoctorHospitalDO> doctorHospitalDOS;

    @Transient
    public List<BaseDoctorHospitalDO> getDoctorHospitalDOS() {
        return doctorHospitalDOS;
    }

    public void setDoctorHospitalDOS(List<BaseDoctorHospitalDO> doctorHospitalDOS) {
        this.doctorHospitalDOS = doctorHospitalDOS;
    }

    @Transient
    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    @Transient
    public BaseDoctorDO getBaseDoctorDO() {
        return baseDoctorDO;
    }

    public void setBaseDoctorDO(BaseDoctorDO baseDoctorDO) {
        this.baseDoctorDO = baseDoctorDO;
    }

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public Integer getMemberRelation() {
        return memberRelation;
    }

    public void setMemberRelation(Integer memberRelation) {
        this.memberRelation = memberRelation;
    }
}