package com.yihu.jw.entity.hospital.article;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 用户文章（浏览、）关系表
 */
@Entity
@Table(name = "base_knowledge_article_browse")
public class KnowledgeArticleBrowseDO extends UuidIdentityEntityWithOperator {
	
	private String relationCode;//文章id/医生code
	private Integer relationType;//1文章2医生
	private Integer userType;//1医生2患者
	private String user;//用户code
	private String userName;//用户名称
	private Integer type;//1浏览量


	public Integer getUserType() {
		return userType;
	}

	public void setUserType(Integer userType) {
		this.userType = userType;
	}

	public String getRelationCode() {
		return relationCode;
	}

	public void setRelationCode(String relationCode) {
		this.relationCode = relationCode;
	}

	public Integer getRelationType() {
		return relationType;
	}

	public void setRelationType(Integer relationType) {
		this.relationType = relationType;
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}


}
