package com.yihu.jw.entity.hospital.integrate;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "base_hospital_goods")
public class BaseHospitalGoodsDO extends UuidIdentityEntityWithOperator {

    private String name;//商品名称
    private Integer type;//1成长勋章2实物商品
    private String banner;//商品图片
    private Integer integrate;//所需积分
    private Integer inventory;//库存
    private Integer remainingInventory;//剩余库存
    private Integer participantsType;//兑换对象类型1医生2患者
    private Integer exchangeTotal;//每人兑现次数 0不限大于0对应限制次数
    private Integer status;//0下架1上架
    private String description;//商品描述

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getBanner() {
        return banner;
    }

    public void setBanner(String banner) {
        this.banner = banner;
    }

    public Integer getIntegrate() {
        return integrate;
    }

    public void setIntegrate(Integer integrate) {
        this.integrate = integrate;
    }

    public Integer getInventory() {
        return inventory;
    }

    public void setInventory(Integer inventory) {
        this.inventory = inventory;
    }

    public Integer getRemainingInventory() {
        return remainingInventory;
    }

    public void setRemainingInventory(Integer remainingInventory) {
        this.remainingInventory = remainingInventory;
    }

    public Integer getParticipantsType() {
        return participantsType;
    }

    public void setParticipantsType(Integer participantsType) {
        this.participantsType = participantsType;
    }

    public Integer getExchangeTotal() {
        return exchangeTotal;
    }

    public void setExchangeTotal(Integer exchangeTotal) {
        this.exchangeTotal = exchangeTotal;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}

