package com.yihu.jw.entity.hospital.prescription;


import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Administrator on 2017/7/21.
 * 处方调整记录表
 */
@Entity
@Table(name = "wlyy_prescription_adjust")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_prescription_adjust")
public class PrescriptionAdjust extends IdEntity {

    private String code;                    //业务主键
    private String prescriptionCode;// 处方code
    private Date createTime;               //调整时间
    private String reason;                      //调整原因
    private String userCode;    //调整用户code
    private String userName;    //调整用户名称
    private String userType;// 1医生 2患者

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPrescriptionCode() {
        return prescriptionCode;
    }

    public void setPrescriptionCode(String prescriptionCode) {
        this.prescriptionCode = prescriptionCode;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }
}
