package com.yihu.jw.entity.hospital.prescription;


import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2017/8/26.
 */
@Entity
@Table(name = "wlyy_prescription_adjust_reason")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_prescription_adjust_reason")
public class PrescriptionAdjustReason extends IdEntity {

    private String code;//业务CODE
    private String prescriptionCode;//续方code
    private String adjustCode;//调整code
    private String reasonCode;//调整原因code
    private String reasonValue;//调整原因code
    private Date createTime;//创建时间
    private Date updateTime;//更新时间

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPrescriptionCode() {
        return prescriptionCode;
    }

    public void setPrescriptionCode(String prescriptionCode) {
        this.prescriptionCode = prescriptionCode;
    }

    public String getAdjustCode() {
        return adjustCode;
    }

    public void setAdjustCode(String adjustCode) {
        this.adjustCode = adjustCode;
    }

    public String getReasonCode() {
        return reasonCode;
    }

    public void setReasonCode(String reasonCode) {
        this.reasonCode = reasonCode;
    }

    public String getReasonValue() {
        return reasonValue;
    }

    public void setReasonValue(String reasonValue) {
        this.reasonValue = reasonValue;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
