package com.yihu.jw.entity.knowledge;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.base.dict.DictHospitalDeptDO;
import com.yihu.jw.entity.hospital.appointment.WlyySpecialDiseaseDO;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * 知识库-字典关联关系
 *
 * @wangzhinan
 *
 */
@Entity
@Table(name = "base_knowledge_dict_relation")
public class BaseKnowledgeDictRelation extends UuidIdentityEntityWithOperator {

	private String dictId;//字典id
	private String dept; //科室code，多个以逗号隔开
	private String doctor; //疾病code 多个以逗号隔开--WlyySpecialDiseaseDO


	private List<DictHospitalDeptDO> deptDOS;

	private List<WlyySpecialDiseaseDO> doctorDOS;

	@Transient
	public List<DictHospitalDeptDO> getDeptDOS() {
		return deptDOS;
	}

	public void setDeptDOS(List<DictHospitalDeptDO> deptDOS) {
		this.deptDOS = deptDOS;
	}

	@Transient
	public List<WlyySpecialDiseaseDO> getDoctorDOS() {
		return doctorDOS;
	}

	public void setDoctorDOS(List<WlyySpecialDiseaseDO> doctorDOS) {
		this.doctorDOS = doctorDOS;
	}

	public String getDictId() {
		return dictId;
	}

	public void setDictId(String dictId) {
		this.dictId = dictId;
	}

	public String getDept() {
		return dept;
	}

	public void setDept(String dept) {
		this.dept = dept;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}
}