package com.yihu.jw.entity.specialist.rehabilitation;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2018/7/4.
 */
@Entity
@Table(name = "wlyy_patient_disease_server")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_patient_disease_server")
public class PatientDiseaseServer extends IdEntity {

    private String code;
    private String specialistRelationCode;//专科医生团队签约关系code',
    private String patient;//居民',
    private String patientName;//居民名字',
    private String disease;//疾病',
    private String diseaseName;//疾病名称',
    private String del;//1正常；0删除',
    private Date updateTime;
    private Date createTime;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSpecialistRelationCode() {
        return specialistRelationCode;
    }

    public void setSpecialistRelationCode(String specialistRelationCode) {
        this.specialistRelationCode = specialistRelationCode;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDisease() {
        return disease;
    }

    public void setDisease(String disease) {
        this.disease = disease;
    }

    public String getDiseaseName() {
        return diseaseName;
    }

    public void setDiseaseName(String diseaseName) {
        this.diseaseName = diseaseName;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
