package com.yihu.jw.entity.third.interfacemg;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 第三方用户密钥
 *
 */
@Entity
@Table(name = "base_third_user")
public class BaseThirdUserDO extends UuidIdentityEntityWithOperator implements java.io.Serializable {
    private String appId; //appid
    private String appKey;//appkey
    private String url;//请求地址
    private String name;//第三方厂商名称
    private Integer status;//0失效1生效

    private Integer del;//0删除1正常

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
