package com.yihu.jw.entity.third.interfacemg;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 第三方用户接口地址
 *
 */
@Entity
@Table(name = "base_third_user_interface")
public class BaseThirdUserInterfaceDO extends UuidIdentityEntityWithOperator implements java.io.Serializable {

    private String userId; //第三方用户配置id
    private String code;//接口编码
    private String name;//接口名称
    private String uri;//接口地址
    private String remark;//备注
    private Integer requestMode;//请求方式（1、webservice，2、http）
    private Integer responseType;//请求格式（1、xml，2、json）

    private Integer status;//1生效0失效

    private Integer del;//0删除1正常

    private String adapterVersion;//适配版本

    public String getAdapterVersion() {
        return adapterVersion;
    }

    public void setAdapterVersion(String adapterVersion) {
        this.adapterVersion = adapterVersion;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getRequestMode() {
        return requestMode;
    }

    public void setRequestMode(Integer requestMode) {
        this.requestMode = requestMode;
    }

    public Integer getResponseType() {
        return responseType;
    }

    public void setResponseType(Integer responseType) {
        this.responseType = responseType;
    }
}
