package com.yihu.jw.entity.third.interfacemg;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 第三方接口标准
 *
 */
@Entity
@Table(name = "base_third_user_interface_standard")
public class BaseThirdUserInterfaceStandardDO extends UuidIdentityEntityWithOperator implements java.io.Serializable {
    private String userInterfaceId;//接口id
    private String stdDatasetId;//数据集id
    private String stdMetadataId;//数据元id
    private String stdMetadataCode;//数据元编码
    private String stdMetadataName;//数据元名称
    private String adapterMetadataCode;//源数据编码
    private String adapterMetadataName;//源数据名称
    private Integer status;//0失效1生效

    private Integer del;//1正常0删除

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getUserInterfaceId() {
        return userInterfaceId;
    }

    public void setUserInterfaceId(String userInterfaceId) {
        this.userInterfaceId = userInterfaceId;
    }

    public String getStdDatasetId() {
        return stdDatasetId;
    }

    public void setStdDatasetId(String stdDatasetId) {
        this.stdDatasetId = stdDatasetId;
    }

    public String getStdMetadataId() {
        return stdMetadataId;
    }

    public void setStdMetadataId(String stdMetadataId) {
        this.stdMetadataId = stdMetadataId;
    }

    public String getStdMetadataCode() {
        return stdMetadataCode;
    }

    public void setStdMetadataCode(String stdMetadataCode) {
        this.stdMetadataCode = stdMetadataCode;
    }

    public String getStdMetadataName() {
        return stdMetadataName;
    }

    public void setStdMetadataName(String stdMetadataName) {
        this.stdMetadataName = stdMetadataName;
    }

    public String getAdapterMetadataCode() {
        return adapterMetadataCode;
    }

    public void setAdapterMetadataCode(String adapterMetadataCode) {
        this.adapterMetadataCode = adapterMetadataCode;
    }

    public String getAdapterMetadataName() {
        return adapterMetadataName;
    }

    public void setAdapterMetadataName(String adapterMetadataName) {
        this.adapterMetadataName = adapterMetadataName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
