package com.yihu.jw.rm.patient;

/**
 * Created by Trick on 2018/11/27.
 * 居民端的静态变量
 */
public class PatientRequestMapping {

    /**
     * 基础请求地址
     */
    private abstract static class Basic {
        public static final String CREATE =  "/create";
        public static final String DELETE = "/delete";
        public static final String UPDATE = "/update";
        public static final String PAGE = "/page";
        public static final String LIST = "/list";
    }

    public static class open extends Basic{
        public static final String openUrl = "/open";
        public static final String findwxConfig ="/findwxConfig";
    }

    public abstract static class Wechat extends Basic{
        public static final String wxBase =  "/wxBase";
        public static final String api_success ="success";
        public static final String api_error ="error";

        public static final String getSign ="/getSign";
        public static final String getWxWechatConfig ="/getWxWechatConfig";
    }

    public abstract static class WechatPay extends Basic{
        public static final String PRE_URL =  "/wechatPay";
        public static final String Notify =  "/notify";
    }

    /**
     * signPackage
     */
    public static class SignPackage extends Basic {
        public static final String PREFIX  = "/signPackage";
        public static final String api_success ="success";

        public static final String findPackageService  = "/findPackageService";
        public static final String findServicePackageByPackageId  = "/findServicePackageByPackageId";
        public static final String findOrgByPackageId  = "/findOrgByPackageId";
        public static final String findDoctorByOrg  = "/findDoctorByOrg";
        public static final String signPackage  = "/signPackage";
        public static final String findDoctorById  = "/findDoctorById";
        public static final String findOrgByCode  = "/findOrgByCode";
        public static final String findPatientSignExist  = "/findPatientSignExist";
        public static final String findPatientSignPackage  = "/findPatientSignPackage";
        public static final String findLabelByLabelType  = "/findLabelByLabelType";
        public static final String findSingleSignPackageById  = "/findSingleSignPackageById";
        public static final String signPackageAndFamily  = "/signPackageAndFamily";
    }
    /**
     * myFamily
     */
    public static class MyFamily extends Basic {
        public static final String PREFIX  = "/myFamily";
        public static final String getMyFamilyBindingRole  = "/getMyFamilyBindingRole";
        public static final String getBindingList  = "/getBindingList";
        public static final String bindingMyFamily  = "/bindingMyFamily";
        public static final String createFamilyQrCode  = "/createFamilyQrCode";
        public static final String remindMyFamily  = "/remindMyFamily";
        public static final String scanQRcodeConfirmApply  = "/scanQRcodeConfirmApply";
        public static final String confirmApply  = "/confirmApply";
        public static final String applyMessageList  = "/applyMessageList";
        public static final String cancelApply  = "/cancelApply";
        public static final String myFamilyBindList  = "/myFamilyBindList";
        public static final String scanQRcode  = "/scanQRcode";
        public static final String messageToBinding  = "/messageToBinding";
        public static final String cancelBindFamily  = "/cancelBindFamily";
        public static final String updateAuthorizeById  = "/updateAuthorizeById";
        public static final String nonageByIdcard  = "/nonageByIdcard";
    }

    public static class MyMessage extends Basic {
        public static final String PREFIX  = "/myMessage";
        public static final String messageList  = "/messageList";
        public static final String myDoctorList  = "/myDoctorList";
        public static final String messageDetailList  = "/messageDetailList";
    }



}
