package com.yihu.jw.restmodel;

public class ResultStatus {

    /**
     *   1000多错误码 用户,应用相关的
     */
    public static final Integer USER_NO_EXIST = 1000;//用户不存在
    public static final Integer APP_NO_EXIST = 1001;//应用不存在

    /**
     * 1100多错误码 与授权相关的
     */
    public static final Integer EXPIRE = 1100; //过期的token
    public static final Integer NULL_TOKEN = 1101;// token为空
    public static final Integer INVALID_GRANT = 1102; //授权失败,看具体报错信息,如验证码错误,密码错误等,  [登陆时候,用户不存在/应用不存在,归位此类,方便前端判断]
    public static final Integer NO_PERMI = 1103; //无权限访问
    public static final Integer INVALID_TOKEN = 1104;//被踢了 ,账号在别处登陆
    public static final Integer OPERATE_TIME=1105;//长时间未操作


    /**
     *  1200多错误码
     */
    public static final Integer ERROR_PARA = 1200;//错误参数等
    public static final Integer FAILED_RESP = 1201;//返回出错

    /**
     * 图形验证码
     */
    public static final Integer IMG_CAPTCHA = 1300;//图形验证码错误

}
