package com.yihu.jw.gateway.filter;

import com.netflix.zuul.FilterProcessor;
import com.netflix.zuul.ZuulFilter;
import com.netflix.zuul.context.RequestContext;
import com.netflix.zuul.exception.ZuulException;
import com.yihu.jw.entity.base.dict.BaseExceptionLogDO;
import com.yihu.jw.gateway.AesEncryptUtils;
import com.yihu.jw.gateway.methlog.BaseExceptionService;
import com.yihu.jw.gateway.security.BeanUtil;
import com.yihu.jw.restmodel.exception.dao.BaseExceptionLogDao;
import org.springframework.stereotype.Component;
import org.springframework.util.StreamUtils;
import org.springframework.util.StringUtils;

import java.io.InputStream;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/19
 * @Description:
 */
@Component
public class DidiFilterProcessor extends FilterProcessor {
    @Override
    public Object processZuulFilter(ZuulFilter filter) throws ZuulException {
        try {
            return super.processZuulFilter(filter);
        } catch (ZuulException e) {
            throw e;
            /*if (e.nStatusCode==500){
                String message="";
                String cause="";
                String serviceId="";
                String responseCode="";
                String exceptionType="";
                BaseExceptionLogDao baseExceptionLogDao = BeanUtil.getBean(BaseExceptionLogDao.class);
                //BaseExceptionDictDao baseExceptionDictDao = BeanUtil.getBean(BaseExceptionDictDao.class);
                BaseExceptionService baseExceptionService = BeanUtil.getBean(BaseExceptionService.class);
                List<Map<String,Object>> list = baseExceptionService.findExceptionDict("","110001","","1");
                RequestContext ctx = RequestContext.getCurrentContext();
                List<Map<String,Object>> serviceList=baseExceptionService.findExceptionService("","","1","");
                for (Map<String,Object> map:serviceList){
                    if (ctx.getRequest().getServletPath().contains(map.get("pathUrl").toString())){
                        serviceId=map.get("id").toString();
                        break;
                    }
                }
                if (list!=null&&list.size()>0){
                    message = list.get(0).get("remindContent").toString();
                    cause=list.get(0).get("exceptionMessage").toString();
                    responseCode=serviceId+list.get(0).get("code").toString();
                    exceptionType = list.get(0).get("exceptionType").toString();
                }
                ZuulException e1 = new ZuulException(message, StringUtils.isEmpty(responseCode)?99999999:Integer.parseInt(responseCode),cause);
                BaseExceptionLogDO baseExceptionLogDO = new BaseExceptionLogDO();
                baseExceptionLogDO.setCreateTime(new Date());
                baseExceptionLogDO.setExceptionType(exceptionType);
                baseExceptionLogDO.setServiceCode(serviceId);
                baseExceptionLogDO.setExceptionCode(responseCode);
                try {
                    String  in = ctx.getRequest().getParameter("object");
                    String jsonobject = AesEncryptUtils.decrypt(in);
                    baseExceptionLogDO.setRequest(jsonobject);
                    InputStream stream = RequestContext.getCurrentContext().getResponseDataStream();
                    byte[] bytes = StreamUtils.copyToByteArray(stream);
                    String resp = new String(bytes,"UTF8");
                    baseExceptionLogDO.setResponse(resp);
                }catch (Exception s){
                    s.printStackTrace();
                }
                baseExceptionLogDao.save(baseExceptionLogDO);
                ctx.set("failed.exception", e1);
                ctx.set("failed.filter", filter);
                throw e1 ;
            }else {
                throw e;
            }*/
        }
    }
}
