package com.yihu.jw.security.dao.patient;

import com.yihu.jw.entity.base.patient.BasePatientDO;
import com.yihu.jw.entity.care.common.GetuiClientDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/7/19
 * @Description:
 */
public interface BaseGetuiClientDao extends JpaRepository<GetuiClientDO, String>, JpaSpecificationExecutor<GetuiClientDO> {

    @Query("from GetuiClientDO p where p.user = ?1 and p.type=?2 and p.clientId=?3 and p.clientType=?4")
    List<GetuiClientDO> findByUser(String user, Integer type,String clientId,String clientType);

    @Query("from GetuiClientDO p where p.user = ?1 and p.type=?2 and p.clientType=?3")
    List<GetuiClientDO> findByUser(String user, Integer type,String clientType);
}
