package com.yihu.jw.afterDiagnosis.dao.prescription;

import com.yihu.jw.entity.hospital.prescription.PrescriptionAdjust;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2017/8/2.
 */
public interface PrescriptionAdjustDao extends PagingAndSortingRepository<PrescriptionAdjust, Long>,JpaSpecificationExecutor<PrescriptionAdjust> {

    List<PrescriptionAdjust> findByPrescriptionCode(String code);

    List<PrescriptionAdjust> findByPrescriptionCodeOrderByIdDesc(String code);
}
