package com.yihu.jw.afterDiagnosis.dao.prescription;

import com.yihu.jw.entity.hospital.prescription.PrescriptionPay;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;


/**
 * Created by chenweida on 2017/7/27.
 */
public interface PrescriptionPayDao extends PagingAndSortingRepository<PrescriptionPay, Long>, JpaSpecificationExecutor<PrescriptionPay> {
    //    查询已经支付成功的支付记录
    @Query("from PrescriptionPay p where p.prescriptionCode=?1 and p.tradeStatus='1'")
    PrescriptionPay findByPrescriptionPay(String prescriptionCode);

    //查询支付记录
    @Query("from PrescriptionPay p where p.code=?1 ")
    PrescriptionPay findByCode(String code);
}