package com.yihu.jw.afterDiagnosis.dao.prescription;

import com.yihu.jw.entity.hospital.prescription.WlyyPrescriptionReviewedDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2017/8/4.
 */
public interface PrescriptionReviewedDao extends PagingAndSortingRepository<WlyyPrescriptionReviewedDO, Long>, JpaSpecificationExecutor<WlyyPrescriptionReviewedDO> {

    @Query(value = "select p from WlyyPrescriptionReviewedDO p where p.prescriptionId=?1 order by p.reviewedTime desc")
    WlyyPrescriptionReviewedDO findByPrescriptionCode(String prescriptionCode);

    @Query("select p from WlyyPrescriptionReviewedDO p where p.prescriptionId=?1 and p.status=?2")
    List<WlyyPrescriptionReviewedDO> findByPrescriptionCodeAndStatus(String prescriptionCode, Integer status);
}
