package com.yihu.jw.base.dao.lifeCare;

import com.yihu.jw.entity.care.lifeCare.LifeCareItemDictDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * Created by yeshijie on 2021/3/26.
 */
public interface LifeCareItemDictDao extends JpaRepository<LifeCareItemDictDO, String>, JpaSpecificationExecutor<LifeCareItemDictDO> {

    @Query("from LifeCareItemDictDO w where  w.del=1 order by sort asc")
    List<LifeCareItemDictDO> findByAll();

    @Query("select a from LifeCareItemDictDO a where a.code = ?1 and a.orgCode = ?2")
    LifeCareItemDictDO findByCodeAndOrgCode(String code,String orgCode);

}
