package com.yihu.jw.base.dao.notice;

import com.yihu.jw.entity.base.notice.NoticeDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * 公告通知
 * @author yeshijie on 2018/9/30.
 */
public interface NoticeDao extends JpaRepository<NoticeDO, String>, JpaSpecificationExecutor<NoticeDO> {

    List<NoticeDO> findByStatusAndSendType(Integer status,Integer sendType);
}
