package com.yihu.jw.base.dao.radio;

import com.yihu.jw.entity.care.radio.WlyyRadioDO;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author xyq
 * @create 2022-07-04 13:36
 * @slogan 他化自在，我自逍遥
 */
public interface WlyyRadioDao extends JpaRepository<WlyyRadioDO, String>, JpaSpecificationExecutor<WlyyRadioDO> {

    @Query("select r from WlyyRadioDO r where r.status = 1 ")
    List<WlyyRadioDO> findByPage(Pageable pageable);

    WlyyRadioDO findById(Long id);
}
