package com.yihu.jw.base.dao.saas;

import com.yihu.jw.entity.base.saas.SaasDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * Dao - SAAS
 * Created by progr1mmer on 2018/8/14.
 */
public interface SaasDao extends JpaRepository<SaasDO, String> {

    SaasDO findByName(String name);

    SaasDO findByCreateUser(String createUser);

    @Query("from SaasDO  ")
    List<SaasDO> findList();
}
