package com.yihu.jw.base.dao.searchClient;

import com.yihu.jw.entity.base.searchClient.BaseSearchNoveltyRepeatDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * Created by wsy on 2021/9/4.
 */
public interface BaseSearchNoveltyRepeatDao extends JpaRepository<BaseSearchNoveltyRepeatDO,String>{

    @Query(value = "select b from BaseSearchNoveltyRepeatDO b where name = ?1 or subject = ?1 or content = ?1")
    List<BaseSearchNoveltyRepeatDO> findBySearchData(String searchData);
}
