package com.yihu.jw.base.dao.voluntary;

import com.yihu.jw.entity.voluntary.VoluntaryRecruitmentCompanyDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @Author: yeshijie
 * @Date: 2021/8/1
 * @Description:
 */
public interface VoluntaryRecruitmentCompanyDao extends JpaRepository<VoluntaryRecruitmentCompanyDO, String>, JpaSpecificationExecutor<VoluntaryRecruitmentCompanyDO> {

    VoluntaryRecruitmentCompanyDO findByName(String name);

    boolean existsByName(String name);

    List<VoluntaryRecruitmentCompanyDO> findByContactsAndPhone(String contacts,String phone);
}
