package com.yihu.jw.base.service.dict;

import com.yihu.jw.dict.dao.BaseDrugUseDictDao;
import com.yihu.jw.dict.dao.BaseTableDictDao;
import com.yihu.jw.entity.base.dict.BaseDrugUseDictDO;
import com.yihu.jw.entity.dict.BaseTableDict;
import com.yihu.jw.mysql.query.BaseJpaService;
import com.yihu.jw.restmodel.qvo.ParamQvo;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class BaseTableDictService extends BaseJpaService<BaseDrugUseDictDO, BaseDrugUseDictDao> {


    @Autowired
    private BaseTableDictDao tableDictDao;
    @Autowired
    JdbcTemplate jdbcTemplate;

    public void saveTableDict(BaseTableDict entity) {
        tableDictDao.save(entity);
    }

    public List<Map<String, Object>> findDictByName(ParamQvo qvo) {
        String sql = " select * from base_table_dict where 1=1 ";
        if (StringUtils.isNotBlank(qvo.getName())) {
            sql += " and  dict_name='" + qvo.getName() + "'";
        }
        List<Map<String, Object>> list = jdbcTemplate.queryForList(sql);
        return list;
    }
}
