package com.yihu.jw.basic.agadmin.controller.resource;

import com.yihu.jw.basic.resource.service.RsReportCategoryAppService;
import com.yihu.jw.entity.ehr.report.ReportCategoryAppRelation;
import com.yihu.jw.restmodel.web.Envelop;
import com.yihu.jw.restmodel.web.ObjEnvelop;
import com.yihu.jw.restmodel.web.endpoint.EnvelopRestEndpoint;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * Created by wxw on 2017/11/24.
 */
@RestController
@RequestMapping("/resource/reportCategoryApp")
@Api(tags = {"网关-报表应用分类"})
public class ReportCategoryAppRelationController extends EnvelopRestEndpoint {

    @Autowired
    private RsReportCategoryAppService rsReportCategoryAppService;

    @RequestMapping("/saveInfo")
    public Envelop save(String categoryId, String appId) {
        try {
            ReportCategoryAppRelation reportCategoryAppRelation = rsReportCategoryAppService.saveInfo(categoryId, appId);
            return ObjEnvelop.getSuccess("保存成功",reportCategoryAppRelation);
        } catch (Exception e) {
            e.printStackTrace();
            return failed("保存失败");
        }
    }

    @RequestMapping("/deleteInfo")
    public Envelop delete(String categoryId, String appId) {
        try {
            rsReportCategoryAppService.deleteByCategoryIdAndAppId(categoryId, appId);
            return success("");
        } catch (Exception e) {
            e.printStackTrace();
            return failed("删除失败");
        }
    }
}
