package com.yihu.jw.basic.apps.service;

import com.yihu.jw.basic.apps.dao.AppApiCategoryDao;
import com.yihu.jw.entity.ehr.apps.AppApiCategory;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.transaction.Transactional;

/**
 * Service - 接口分类
 * Created by progr1mmer on 2018/3/14.
 */
@Service
@Transactional
public class AppApiCategoryService extends BaseJpaService<AppApiCategory, AppApiCategoryDao> {

    @Autowired
    private AppApiCategoryDao appApiCategoryDao;

    public AppApiCategory getOne(Integer id) {
        return appApiCategoryDao.findById(id).orElse(null);
    }

}
