package com.yihu.jw.basic.apps.service;

import com.yihu.jw.basic.apps.dao.AppVersionRepository;
import com.yihu.jw.entity.ehr.apps.AppVersion;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * Created by Trick on 2018/3/12.
 */
@Service
@Transactional
public class AppVersionService extends BaseJpaService<AppVersion, AppVersionRepository> {

    @Autowired
    private AppVersionRepository appVersionRepository;

    public AppVersion getAppVersion(String id){
        return appVersionRepository.findById(id).orElse(null);
    }

    public AppVersion getAppVersionByCode(String code){
        return appVersionRepository.findBycode(code);
    }
}
