package com.yihu.jw.basic.fileresource.dao;

import com.yihu.jw.entity.ehr.fileresource.FileResource;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author linaz
 * @created 2016.05.12 8:53
 */
public interface XFileResourceRepository extends JpaRepository<FileResource, String> {

    List<FileResource> findByObjectId(String objectId);

    List<FileResource> findByStoragePath(String storagePath);

    List<FileResource> findByObjectIdAndMime(String objectId, String mime);

}
