package com.yihu.jw.basic.patient.dao;

import com.yihu.jw.entity.ehr.patient.MedicalCards;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Created by hzp on 2017/4/5.
 */
public interface XMedicalCardsDao extends JpaRepository<MedicalCards,Long> {

    @Query("select mc from MedicalCards mc where mc.cardNo in (:cardNoStr)")
    List<MedicalCards> getBycardNoStr(@Param("cardNoStr") String[] cardNoStr);


}
