package com.yihu.jw.basic.portal.dao;

import com.yihu.jw.entity.ehr.portal.ItResource;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/2/17.
 */
public interface ItResourceRepository extends JpaRepository<ItResource,Integer> {

    @Query("select resource from ItResource resource where resource.platformType = :platformType ")
    List<ItResource> searchByPlatformType(@Param("platformType") String platformType);




}
