package com.yihu.jw.basic.resource.dao;

import com.yihu.jw.entity.ehr.resource.RsAdapterDictionary;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author linaz
 * @created 2016.05.17 16:33
 */
public interface RsAdapterDictionaryDao extends JpaRepository<RsAdapterDictionary, String> {

    @Modifying
    @Query("delete from RsAdapterDictionary where schemeId = ?1")
    void deleteBySchemeId(String schemeId);

    List<RsAdapterDictionary> findBySchemeId(String schemeId);
}