package com.yihu.jw.basic.resource.dao;

import com.yihu.jw.entity.ehr.resource.RsAppResourceMetadata;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Created by lyr on 2016/4/26.
 */
public interface RsAppResourceMetadataDao extends JpaRepository<RsAppResourceMetadata, String> {
     void deleteByAppResourceId(String appResourceId);

     @Query("select arm.resourceMetadataId from RsAppResourceMetadata arm where arm.appId = :appId and arm.valid = 1")
     List<String> findMetadataIdByAppId(@Param("appId") String appId);

     void deleteByAppId(String appId);
}
