package com.yihu.jw.basic.resource.dao;

import com.yihu.jw.entity.ehr.resource.RsDictionaryEntry;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

/**
 * @author linaz
 * @created 2016.05.17 16:33
 */
public interface RsDictionaryEntryDao extends JpaRepository<RsDictionaryEntry,Integer> {

    List<RsDictionaryEntry> findByDictCode(String code);

    @Query("SELECT count(e) FROM RsDictionaryEntry e WHERE e.dictId=?1")
    int countByDictId(int dictId);

}