package com.yihu.jw.basic.resource.dao;

import com.yihu.jw.entity.ehr.resource.RsResourceMetadata;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Created by lyr on 2016/4/25.
 */
public interface RsResourceMetadataDao extends JpaRepository<RsResourceMetadata, String>{
    void deleteByResourcesId(String resourcesId);

    List<RsResourceMetadata> findByResourcesId(String resourcesId);

    @Query(value="delete from RsResourceMetadata rm where rm.resourcesId in (:resourcesIds)",nativeQuery=true)
    void deleteByResourcesIds(@Param("resourcesIds") String[] resourcesIds);

}
