package com.yihu.jw.basic.security.dao;

import com.yihu.jw.entity.ehr.security.UserKey;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @author Sand
 * @version 1.0
 * @created 2015.12.16 15:10
 */
public interface UserKeyRepository extends JpaRepository<UserKey, String> {

    @Query("select userKey from UserKey userKey where userKey.user =:userId and userKey.keyType = 'Personal'")
    List<UserKey> findByUserId(@Param("userId") String userId);

    @Query("select userKey from UserKey userKey where userKey.org =:orgCode and userKey.keyType = 'Org'")
    List<UserKey> findByOrgCdode(@Param("orgCode") String orgCode);
}
