package com.yihu.jw.basic.standard.dao;

import com.yihu.jw.basic.standard.model.qc.QcRuleMetadata;
import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.criterion.Restrictions;
import org.springframework.stereotype.Repository;

/**
 * 数据元与质控规则关系表 DAO
 *
 * @author 张进军
 * @date 2018/3/2
 */
@Repository
public class QcRuleMetadataDao extends SQLGeneralDAO {

    public String findRuleCodeByType(String type) {
        Session session = getCurrentSession();
        Criteria criteria = session.createCriteria(QcRuleMetadata.class);
        criteria.add(Restrictions.eq("type", type));
        QcRuleMetadata qcRuleMetadata = (QcRuleMetadata) criteria.uniqueResult();

        return qcRuleMetadata.getQcRuleCode();
    }

}
