package com.yihu.jw.basic.system.dao;

import com.yihu.jw.basic.standard.dao.SQLGeneralDAO;
import com.yihu.jw.basic.system.model.SystemDict;
import com.yihu.jw.restmodel.web.Envelop;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/20.
 */
@Repository("dictDao")
public class DictDao extends SQLGeneralDAO {

    public static final String BEAN_ID = "dictDao";

   
    public Envelop getDictList(Map<String, Object> params) throws Exception {
        StringBuilder sb = new StringBuilder(" from SystemDict s where 1=1 ");
        if (!StringUtils.isEmpty(params.get("dictId"))) {
            sb.append(" and  (s.dictName = '" + params.get("dictId") +"')");
        }
       else if (!StringUtils.isEmpty(params.get("name"))) {
            sb.append(" and  (s.code like '%" + params.get("name") + "%' or s.value like '%" + params.get("name")+"%')");
        }
        return super.getDataGridResult(sb.toString(), Integer.valueOf(params.get("page").toString()), Integer.valueOf(params.get("rows").toString()));

    }

   
    public SystemDict getDictItemByCodeWithOutId(String code, String id) throws Exception  {
        String sql = " select  * from system_dict s where s.code='"+code+"' and s.id!='"+id+"'";
        List<SystemDict> sds = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(SystemDict.class));
        if (sds != null && sds.size() > 0) {
            return sds.get(0);
        }
        return null;
    }


    public SystemDict getDictItemByCode(String code) throws Exception {
        String sql = " select  * from system_dict s where s.code='"+code+"' ";
        List<SystemDict> sds = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(SystemDict.class));
        if (sds != null && sds.size() > 0) {
            return sds.get(0);
        }
        return null;
    }

   
    public void delDictItemByDictName(String dictName) throws Exception
    {
        String sqlStr = "delete from system_dict where dict_name='" + dictName + "'";

        super.execute(sqlStr);
    }

    public SystemDict getDictIetmValue(String dictName, String code) {
        String sql = " select  * from system_dict s where s.dict_name='"+dictName+"' and  s.code='"+code+"' ";
        List<SystemDict> sds = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(SystemDict.class));
        if (sds != null && sds.size() > 0) {
            return sds.get(0);
        }
        return null;

    }

    public List<SystemDict> getDictEntries(String dictName, String[] codes) {
        String sql = null;
        if(codes != null && codes.length>0){
            String codeStr = "";
            for(String code: codes){
                codeStr+=","+code;
            }
            codeStr = codeStr.substring(1,codeStr.length());
            sql = " select  * from system_dict s where s.dict_name='"+dictName+"' and  s.code in '"+codeStr+"' ";
        }else{
            sql = " select  * from system_dict s where s.dict_name='"+dictName+"'  ";
        }
        List<SystemDict> sds = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(SystemDict.class));
        return sds;

    }
}
