package com.yihu.jw.basic.user.dao;

import com.yihu.jw.entity.ehr.user.RoleAppRelation;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

/**
 * Created by yww on 2016/7/7.
 */
public interface RoleAppRelationDao extends JpaRepository<RoleAppRelation,Long> {

    @Query("select roleApp from RoleAppRelation roleApp where roleApp.appId = :appId and roleApp.roleId = :roleId")
    RoleAppRelation findRelation(@Param("appId") String appId, @Param("roleId") long roleId);

    void deleteByAppId(String appId);
}
