package com.yihu.jw.basic.user.dao;

import com.yihu.jw.entity.ehr.user.RoleReportRelation;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Created by wxw on 2017/8/22.
 */
public interface RoleReportRelationDao extends JpaRepository<RoleReportRelation,Long> {

    List<RoleReportRelation> findByRsReportId(@Param("rsReportId") Long rsReportId);

    @Query("delete from RoleReportRelation roleReport where roleReport.roleId = :roleId")
    @Modifying
    int deleteByRoleId(@Param("roleId") Long roleId);
}
