package com.yihu.jw.basic.user.dao;

import com.yihu.jw.entity.ehr.user.Doctors;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

/**
 * 2017-02-04 add by hzp
 */
public interface XDoctorRepository extends JpaRepository<Doctors, Long> {

     Doctors findByUserId(String userId) throws Exception;

     Doctors findByCode(String code);
     Doctors findByIdCardNo(String idCardNo);

     @Query("select count(d.id) from Doctors d where d.roleType =:roleType")
     int getStatisticsCityDoctorByRoleType(@Param("roleType") String roleType);

}
