package com.yihu.jw.job;

import com.yihu.jw.service.channel.HealthUploadService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * Created by Trick on 2019/10/15.
 */
public class HealthUploadSecondRemindMessageJob implements Job {

    private static final Logger logger = LoggerFactory.getLogger(HealthUploadSecondRemindMessageJob.class);
    @Autowired
    private HealthUploadService healthUploadService;
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        logger.info("START========SendDoctorHealthUploadMessageJob========");
        try {
            healthUploadService.healthUploadRemind();
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("END===ERROE===SendDoctorHealthUploadMessageJob,message:"+e.getMessage());
        }
    }
}
