package com.yihu.jw.hospital.endpoint.demo;

import com.yihu.jw.restmodel.web.Envelop;
import com.yihu.jw.restmodel.web.ListEnvelop;
import com.yihu.jw.restmodel.web.endpoint.EnvelopRestEndpoint;
import com.yihu.jw.rm.hospital.BaseHospitalRequestMapping;
import com.yihu.jw.utils.hibernate.HibenateDemo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by Trick on 2019/12/10.
 */
@RestController
@RequestMapping("/demo/hibenate" )
@Api(tags = "综合查询demos", description = "综合查询demo")
public class HibenateDemoEndpoint extends EnvelopRestEndpoint {

    @Autowired
    HibenateDemo hibenateDemo;

    @GetMapping(value = "/test")
    @ApiOperation(value = "综合查询dome")
    public Envelop findHotDeptAndDiseaseDict(@ApiParam(name = "id", value = "id")
                                             @RequestParam(value = "id", required = false)String id,
                                             @ApiParam(name = "name", value = "姓名")
                                             @RequestParam(value = "name", required = false)String name,
                                             @ApiParam(name = "createTime", value = "创建时间")
                                             @RequestParam(value = "createTime", required = false)String createTime,
                                             @ApiParam(name = "page", value = "第几页，1开始")
                                             @RequestParam(value = "page", required = true)Integer page,
                                             @ApiParam(name = "size", value = "每页大小")
                                             @RequestParam(value = "size", required = true)Integer size)throws Exception{
        return hibenateDemo.findDoctorInfo(id,name,createTime,page,size);
    }

}
