package com.yihu.jw.hospital.endpoint.ykyy;

import com.yihu.jw.entity.hospital.consult.WlyyHospitalSysDictDO;
import com.yihu.jw.hospital.dict.service.WlyyHospitalSysDictService;
import com.yihu.jw.restmodel.web.ListEnvelop;
import com.yihu.jw.restmodel.web.endpoint.EnvelopRestEndpoint;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping(value = "/banner")
@Api(description = "眼科医院首页轮播图",tags = "眼科医院首页轮播图")
public class BaseTopBannerController extends EnvelopRestEndpoint {
    @Autowired
    private WlyyHospitalSysDictService wlyyHospitalSysDictService;

    @GetMapping(value = "/open/show")
    @ApiOperation("眼科医院首页顶部轮播图展示")
    public ListEnvelop<WlyyHospitalSysDictDO> bannerShow(){
        List<WlyyHospitalSysDictDO> list=wlyyHospitalSysDictService.findByDictName("ONLINE_HOSPITAL_BANNER");
        return success(list);
    }
}
