package  com.yihu.customer.controller.common.label;

import  com.yihu.customer.controller.BaseController;
import  com.yihu.customer.entity.SignPatientLabel;
import com.yihu.customer.service.manager.sign.SignPatientLabelService;
import  com.yihu.customer.repository.SignPatientLabelDao;
import org.json.JSONArray;
import org.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

/**
 * Created by yeshijie on 2017/1/22.
 */
@Controller
@RequestMapping(value = "common/label")
public class SignPatientLabelController extends BaseController {
    @Autowired
    private SignPatientLabelService signPatientLabelService;
    @Autowired
    private SignPatientLabelDao signPatientLabelDao;

    @RequestMapping(value = "signPatientLabel")
    @ResponseBody
    public String district(String labelType) {
        try {
            List<SignPatientLabel> list = signPatientLabelDao.findByLabelTypeAndStatus(labelType,1);
            JSONArray jsonArray = new JSONArray();
            if(list!=null&&list.size()>0){
                for (SignPatientLabel label:list){
                    JSONObject json = new JSONObject();
                    json.put("code",label.getLabelCode());
                    json.put("name",label.getLabelName());
                    jsonArray.put(json);
                }
            }
            return write(200, "查询成功！", "list", jsonArray);
        } catch (Exception e) {
            error(e);
            return error(-1, "查询失败！");
        }
    }

}
