/*
package com.yihu.jw.controller.manager.datastatic;

import com.yihu.jw.controller.BaseController;
import com.yihu.jw.entity.SignFamily;
import com.yihu.jw.entity.es.HealthEduPatientCode;
import com.yihu.jw.entity.organization.HospitalMapping;
import com.yihu.jw.repository.organization.HospitalMappingDao;
import com.yihu.jw.service.healthedu.HealthEduService;
import com.yihu.jw.service.manager.sign.FamilyContractService;
import com.yihu.jw.util.ElasticsearchUtil;
import jxl.Workbook;
import jxl.write.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.OutputStream;
import java.util.*;

*/
/**
 * 健康教育推送报表导出
 * @author huangwenjie
 * @date 2017/12/12 20:20
 *//*

@Controller
@RequestMapping(value = "/admin/static/healthedu")
public class HealthEduController extends BaseController {
	
	@Autowired
	private HealthEduService healthEduService;
	
	@Value("${es.type.HealthEduArticlePatient}")
	private String esType;
	@Value("${es.index.HealthEduArticlePatient}")
	private String esIndex;
	@Autowired
	private ElasticsearchUtil elasticsearchUtil;
	@Autowired
	private FamilyContractService familyContractService;
	@Autowired
	private HospitalMappingDao hospitalMappingDao;
	
	//页面跳转（主页面）
	@RequestMapping(value = "initial")
	public String listInit() {
		return "static/static_healthedu";
	}
	
	//导出签约支付报表
	@RequestMapping(value="pushlistToExcel",method = RequestMethod.POST,produces = "application/json;charset=UTF-8" )
	public void signPayExport(
			@RequestParam(value = "beginDate",required = false)String beginDate,
			@RequestParam(value = "endDate",required = false)String endDate,
			HttpServletResponse response){
		try {
			
			List<SignFamily> signFamilies = new ArrayList<>();
			
			Map<String,String> orgcodemap = new HashMap<>();
			
			Set<String> patientcodesets = new HashSet<>();
			
			String sql = "SELECT patientCode FROM "+esType+" where createTime >='"+beginDate+"T00:00:00+0800' and createTime <='"+endDate+"T23:59:59+0800'  group by patientCode limit 0,1000000";
			
			List<HealthEduPatientCode> patientCodes = elasticsearchUtil.excute(sql, HealthEduPatientCode.class, esIndex, esType);
			
			for (HealthEduPatientCode es: patientCodes) {
				System.out.println(patientcodesets.size());
				if(patientcodesets.contains(es.getPatientCode())){
					continue;
				}else{
					patientcodesets.add(es.getPatientCode());
				}
				SignFamily obj = familyContractService.findSignByPatient(es.getPatientCode());
				if( obj == null){
					continue;
				}
				String jworgcode = "";
				if(orgcodemap.isEmpty() || !orgcodemap.keySet().contains(obj.getHospital())){
					HospitalMapping hospitalMapping =  hospitalMappingDao.findByCode(obj.getHospital());
					if(hospitalMapping == null){
						continue;
					}
					jworgcode = hospitalMapping.getMappingCode();
					orgcodemap.put(obj.getHospital(),jworgcode);
				}else{
					jworgcode = orgcodemap.get(obj.getHospital());
				}
				obj.setHospital(jworgcode);
				signFamilies.add(obj);
			}
			
			response.setContentType("octets/stream");
			response.setHeader("Content-Disposition", "attachment; filename="+ new String( "pushDataList.xls"));
			OutputStream os = response.getOutputStream();
			this.pushListWrite(os,signFamilies);
		}catch (Exception ex){
			error(ex);
		}
	}
	
	public void pushListWrite(OutputStream os, List ls) throws Exception{
		WritableWorkbook wwb = Workbook.createWorkbook(os);
		try {
			WritableSheet ws;
			ws = wwb.createSheet("sheet",1);
			
			String[] header = {"居民姓名","居民身份证号","居民社保卡号","签约社区", "签约社区CODE"};
			int k = 0;
			for (String h : header) {
				addCell(ws, 0, k, h);//表名，行，列，header
				k++;
			}
			
			int i = 1;
			for (SignFamily m : (List<SignFamily>) ls) {
				addCell(ws, i, 0, m.getName(),"");
				addCell(ws, i, 1, m.getIdcard(),"");
				addCell(ws, i, 2, m.getSsc(),"");
				addCell(ws, i, 3, m.getHospitalName(),"");
				addCell(ws, i, 4, m.getHospital(),"");
				i++;
			}
			wwb.write();
			wwb.close();
		} catch (IOException e) {
			e.printStackTrace();
			if (wwb != null) wwb.close();
			throw e;
		}
	}
	//添加单元格内容
	public void addCell(WritableSheet ws, int row, int column,  String data) throws WriteException {
		Label label = new Label(column ,row, data);
		ws.addCell(label);
	}
	//添加单元格内容
	public void addCell(WritableSheet ws, int row, int column, String data, String memo) throws WriteException {
		Label label = new Label(column ,row, data);
		if(!org.springframework.util.StringUtils.isEmpty(memo)){
			WritableCellFeatures cellFeatures = new WritableCellFeatures();
			cellFeatures.setComment(memo);
			label.setCellFeatures(cellFeatures);
		}
		ws.addCell(label);
	}
}
*/
