package  com.yihu.customer.controller.manager.special;

import  com.yihu.customer.controller.BaseController;
import  com.yihu.customer.entity.SpecialDisease;
import com.yihu.customer.service.manager.special.ManageSpecialDiseaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import java.util.List;

/**
 * Created by humingfen on 2018/7/4.
 */
@Controller
@RequestMapping(value="admin/specialDisease/")
public class SpecialDiseaseController extends BaseController {
    @Autowired
    ManageSpecialDiseaseService manageSpecialDiseaseService;

    @RequestMapping(value = "list", method = RequestMethod.POST)
    @ResponseBody
    public String list(){
        try {
            List<SpecialDisease> specialDisease = manageSpecialDiseaseService.findAll();
            return write(200, "操作成功", "data",specialDisease);
        } catch (Exception ex) {
            error(ex);
            return error(-1, "操作失败");
        }
    }
}
