package  com.yihu.customer.controller.manager.wlyyrole;

import  com.yihu.customer.controller.BaseController;
import  com.yihu.customer.entity.WlyyRole;
import com.yihu.customer.service.manager.wlyyrole.WlyyRoleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * Created by yww on 2016/12/13.
 */
@Controller
@RequestMapping("/admin/wlyyRole")
public class WlyyRoleController extends BaseController {

    @Autowired
    private WlyyRoleService wlyyRoleService;

    @RequestMapping(value = "list",method = RequestMethod.GET)
    public String listPageInit(){
        return "wlyyrole/wlyy_role_list";
    }

    @RequestMapping(value = "list",method = RequestMethod.POST)
    @ResponseBody
    public String searchList(
            @RequestParam(value = "name",required = false)String name,
            @RequestParam(value = "page",required = false)Integer page,
            @RequestParam(value = "rows",required = false)Integer pageSize){
        try{
            Page<WlyyRole> wlyyRoles = wlyyRoleService.searchList(name, page, pageSize);
            return write(200,"操作成功",page,pageSize,wlyyRoles);
        }catch (Exception ex){
            error(ex);
            return error(-1,"操作失败！");
        }
    }

}
