package  com.yihu.customer.controller.manager.wlyyrole;

import  com.yihu.customer.controller.BaseController;
import  com.yihu.customer.entity.WlyyUserRole;
import com.yihu.customer.service.manager.wlyyrole.WlyyUserRoleService;
import jxl.Workbook;
import jxl.read.biff.BiffException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.io.InputStream;
import java.text.ParseException;

/**
 * Created by yww on 2016/12/13.
 */
@Controller
@RequestMapping("/admin/wlyyUserRole")
public class WlyyUserRoleController extends BaseController {
    @Autowired
    private WlyyUserRoleService wlyyUserRoleService;

    @RequestMapping(value = "list")
    @ResponseBody
    public String searchList(
            @RequestParam(value = "page",required = false)Integer page,
            @RequestParam(value = "rows",required = false)Integer pageSize){
        try{
            Page<WlyyUserRole> wlyyUserRoles = wlyyUserRoleService.searchList("",page, pageSize);
            return write(200,"操作成功",page,pageSize,wlyyUserRoles);
        }catch (Exception ex){
            error(ex);
            return error(-1,"操作失败！");
        }
    }

    @RequestMapping(value = "/importData", produces = "application/json;charset=UTF-8")
    @ResponseBody
    public String importData(HttpServletRequest request) {
        try {
            request.setCharacterEncoding("UTF-8");
            InputStream inputStream = request.getInputStream();
            Workbook workbook = Workbook.getWorkbook(inputStream);
            wlyyUserRoleService.importData(workbook);
            return write(200, "操作成功");

        } catch (IOException | BiffException | ParseException e) {
            e.printStackTrace();
            error(e);
            return error(-1, "操作失败！");
        }
    }
}
