/*
package com.yihu.jw.controller.statistics;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.yihu.jw.controller.BaseController;
import com.yihu.jw.service.statistic.CallRecordStatisticsService;
import com.yihu.jw.util.DateUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jxl.Workbook;
import jxl.write.Label;
import jxl.write.WritableSheet;
import jxl.write.WritableWorkbook;
import jxl.write.WriteException;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.OutputStream;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

*/
/**
 * Created by wangzhinan on 2019/9/18.
 *//*

@RestController
@RequestMapping(value = "/callRecordStatics", produces = MediaType.APPLICATION_JSON_UTF8_VALUE)
@Api(description = "通话记录统计")
public class CallRecordStaticsController extends BaseController {

    @Autowired
    private CallRecordStatisticsService callRecordStatisticsService;


    @RequestMapping(value = "total", method = RequestMethod.POST)
    @ApiOperation(value = "通话记录统计")
    public String getIndexTotal(
            @RequestParam(required = true) String startDate,
            @RequestParam(required = true) String endDate,
            @RequestParam(required = true) String area,
            @RequestParam(required = true) int level,
            @RequestParam(required = false) String type) {
        try {
            return write(200, "查询成功", "data",callRecordStatisticsService.getCallRecordList(area,level,type,startDate,endDate) );
        } catch (Exception e) {
            e.printStackTrace();
            return error(-1, "查询失败");
        }
    }



    @RequestMapping(value = "/callrecordOutExcel", produces = "application/json;charset=UTF-8")
    @ResponseBody
    public void outExcel(HttpServletResponse response,
                         @RequestParam(required = true) String startDate,
                         @RequestParam(required = true) String endDate,
                         @RequestParam(required = true) String area,
                         @RequestParam(required = true) int level,
                         @RequestParam(required = false) String type) {

        try {
            Map<String,Object> map = callRecordStatisticsService.getCallRecordList(area,level,type,startDate,endDate);
            String callInTotal = null;
            String callOutTotal = null;
            JSONArray array = new JSONArray();
            if (map!=null){
                JSONObject object  = new JSONObject();
                object = JSONObject.parseObject(map.get("allTotal").toString());
                callInTotal = object.getString("callIn");
                callOutTotal = object.getString("callOut");
                array = JSONArray.parseArray(map.get("hospitalTotal").toString());

            }
            //基本设置
            response.setContentType("application/vnd.ms-excel");
            String fileName = "通话记录统计导出";
            SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd");
            Date date = new Date();
            response.setHeader("Content-Disposition", "attachment; filename="
                    + new String(fileName.getBytes("UTF-8"), "ISO8859-1") + "_" + sdf.format(date) + ".xls");
            OutputStream os = response.getOutputStream();
            //处理Excel
            WritableWorkbook book = Workbook.createWorkbook(os);
            WritableSheet sheet = book.createSheet("通话记录统计", 0);
            sheet.addCell(new Label(0, 0, "社区名称"));
            if (type==null||type.equalsIgnoreCase("1")||type==""){
                sheet.addCell(new Label(1, 0, "呼入数量"));
                sheet.addCell(new Label(2, 0, "呼入服务名称"));
                sheet.addCell(new Label(3, 0, "数量"));
            }
            if (type==null||type==""){
                sheet.addCell(new Label(4, 0, "呼出数量"));
                sheet.addCell(new Label(4, 1, callOutTotal));
            }if (type.equalsIgnoreCase("2")){
                sheet.addCell(new Label(1, 0, "呼出数量"));
                sheet.addCell(new Label(1, 1, callOutTotal));
            }
            sheet.addCell(new Label(0, 1, "合计"));
            sheet.addCell(new Label(1, 1, callInTotal));
            sheet.addCell(new Label(2, 1, ""));
            sheet.addCell(new Label(3, 1, ""));
            int row =2;
            int row1 = 2;
            if (null != array && array.size() > 0) {
                for(int i = 0; i< array.size(); i ++) {
                    JSONObject object = array.getJSONObject(i);
                    JSONArray jsonArray = object.getJSONArray("serverTypeTotal");
                    sheet.addCell(new Label(0,row1,object.getString("hospitalName")));
                    if (jsonArray!=null&&jsonArray.size()!=0){
                        sheet.addCell(new Label(1,row1,object.getString("callIn")));
                        sheet.addCell(new Label(4,row1,object.getString("callOut")));
                        for (int j=0;j<jsonArray.size();j++){
                            JSONObject jsonObject = jsonArray.getJSONObject(j);
                            sheet.addCell(new Label(2,j+row,jsonObject.getString("slaveKey2Name")));
                            sheet.addCell(new Label(3,j+row,jsonObject.getString("result")));
                        }
                        sheet.mergeCells(0,row1,0,row1+jsonArray.size()-1);
                        sheet.mergeCells(1,row1,1,row1+jsonArray.size()-1);
                        sheet.mergeCells(4,row1,4,row1+jsonArray.size()-1);
                        row+=jsonArray.size();
                        row1+=jsonArray.size();
                    }else {
                        sheet.addCell(new Label(1,row1,object.getString("callOut")));
                        row1+=1;
                    }
                }
            }
            book.write();
            book.close();
            os.flush();
            os.close();
        } catch (IOException e) {
            e.printStackTrace();
        } catch (WriteException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
*/
