package  com.yihu.customer.device.repository;

import  com.yihu.customer.device.entity.WlyyDevice;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by yww on 2016/12/1.
 */
public interface WlyyDeviceDao extends PagingAndSortingRepository<WlyyDevice, Long>, JpaSpecificationExecutor<WlyyDevice> {
    WlyyDevice findByDeviceCode(String deviceCode);

    @Query("select count(d.id) from WlyyDevice d where d.deviceCode = ?1")
    Integer existDeviceCode(String deviceCode);

    @Query(value = "select a.* from device.wlyy_devices a where a.device_code=?1 limit 0,1",nativeQuery = true)
    WlyyDevice findBySn(String sn);
}
