package  com.yihu.customer.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * DmJob entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "dm_job")
public class DmJob extends IdEntity {

	// Fields

	private String code;
	private String name;
	private Integer type;//1.副主任以上医师2.主治医师3.执业医师或护士
	private Double feeLevel1;	//三级医院费用
	private Double feeLevel2;	//二级医院费用
	private Double feeLevel3;	//一级及以下费用
	private Double subsidy;		//补助费用（元/1人次）
	private String del;//0 是没有删除 1是删除
	// Constructors

	/** default constructor */
	public DmJob() {
	}

	/** full constructor */
	public DmJob(String code, String name, String del) {
		this.code = code;
		this.name = name;
		this.del = del;
	}

	@Column(name = "code", length = 50)
	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Column(name = "name", length = 20)
	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@Column(name = "type", length = 1)
	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@Column(name = "fee_level_1", length = 1)
	public Double getFeeLevel1() {
		return feeLevel1;
	}

	public void setFeeLevel1(Double feeLevel1) {
		this.feeLevel1 = feeLevel1;
	}

	@Column(name = "fee_level_2", length = 1)
	public Double getFeeLevel2() {
		return feeLevel2;
	}

	public void setFeeLevel2(Double feeLevel2) {
		this.feeLevel2 = feeLevel2;
	}

	@Column(name = "fee_level_3", length = 1)
	public Double getFeeLevel3() {
		return feeLevel3;
	}

	public void setFeeLevel3(Double feeLevel3) {
		this.feeLevel3 = feeLevel3;
	}

	@Column(name = "subsidy")
	public Double getSubsidy() {
		return subsidy;
	}

	public void setSubsidy(Double subsidy) {
		this.subsidy = subsidy;
	}

	@Column(name = "del", length = 1)
	public String getDel() {
		return this.del;
	}

	public void setDel(String del) {
		this.del = del;
	}

}