package  com.yihu.customer.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 机构映射表
 * @author hzp
 */

@Entity
@Table(name = "wlyy_doctor_mapping")
public class DoctorMapping extends IdEntity {
	
	// 基卫医生代码
	private String jwDoctor;
	// 基卫医生名称
	private String jwDoctorName;
	// 基卫医生性别
	private String jwDocotrSex;
	// 基卫医生身份证
	private String jwDocotrIdcard;
	// 基卫医生医院
	private String jwDoctorHospital;
	// 基卫医生医院名称
	private String jwDoctorHospiatlName;
	// 医生代码
	private String doctorCode;
	
	@Column(name="jw_doctor")
	public String getJwDoctor() {
		return jwDoctor;
	}
	
	public void setJwDoctor(String jwDoctor) {
		this.jwDoctor = jwDoctor;
	}
	
	@Column(name="jw_doctor_name")
	public String getJwDoctorName() {
		return jwDoctorName;
	}
	
	public void setJwDoctorName(String jwDoctorName) {
		this.jwDoctorName = jwDoctorName;
	}
	
	@Column(name="jw_doctor_sex")
	public String getJwDocotrSex() {
		return jwDocotrSex;
	}
	
	public void setJwDocotrSex(String jwDocotrSex) {
		this.jwDocotrSex = jwDocotrSex;
	}
	
	@Column(name="jw_doctor_idcard")
	public String getJwDocotrIdcard() {
		return jwDocotrIdcard;
	}
	
	public void setJwDocotrIdcard(String jwDocotrIdcard) {
		this.jwDocotrIdcard = jwDocotrIdcard;
	}
	
	@Column(name="jw_doctor_hospital")
	public String getJwDoctorHospital() {
		return jwDoctorHospital;
	}
	
	public void setJwDoctorHospital(String jwDoctorHospital) {
		this.jwDoctorHospital = jwDoctorHospital;
	}
	
	@Column(name="jw_doctor_hospital_name")
	public String getJwDoctorHospiatlName() {
		return jwDoctorHospiatlName;
	}
	
	public void setJwDoctorHospiatlName(String jwDoctorHospiatlName) {
		this.jwDoctorHospiatlName = jwDoctorHospiatlName;
	}
	
	@Column(name="doctor_code")
	public String getDoctorCode() {
		return doctorCode;
	}
	
	public void setDoctorCode(String doctorCode) {
		this.doctorCode = doctorCode;
	}
}