package  com.yihu.customer.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * create by liub on2020/9/16 康复下转居民信息
 */
@Entity
@Table(name = "wlyy_rehabilitation_patient_info")
public class RehabilitationPatientInfoDO extends IdEntity {

    private String code;
    private String name;//姓名
    private String idcard;//身份证
    private String ssc;//社保卡
    private Integer sex;//性别1男2女0未知
    private Integer age;//年龄
    private String mobile;//电话
    private String address;//住址
    private Integer kid;//是否儿科：1是 0否，4岁以下儿童
    private String kidParents;//患者家属
    private String diagnosis;//出院诊断code
    private String diagnosisName;//出院诊断
    private String treatment;//主要病情摘要及诊疗经过
    private String result;//出院前检查结果
    private String guidance;//后续治疗康复指导建议
    private String summary;//出院小结
    private String crzq;//医院CODE
    private String hospitalCode;//医院CODE
    private String hospitalName;//医院名称
    private String jwHospitalCode;//社区医院CODE
    private String jwHospitalName;//社区医院名称
    private String hospitalDoctor;//转诊医生
    private Date createTime;//请求时间
    private Integer status;//是否分配 0未分配 1已分配

    private String patient;    //居民code
    private Integer type;//1患者家签列表 2康复下转列表
    private Integer signStatus;//签约状态（1已家签 0 待家签）
    private String createUser;//创建code
    private String createUserName;//创建者

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getSsc() {
        return ssc;
    }

    public void setSsc(String ssc) {
        this.ssc = ssc;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Integer getKid() {
        return kid;
    }

    public void setKid(Integer kid) {
        this.kid = kid;
    }

    public String getKidParents() {
        return kidParents;
    }

    public void setKidParents(String kidParents) {
        this.kidParents = kidParents;
    }

    public String getDiagnosis() {
        return diagnosis;
    }

    public void setDiagnosis(String diagnosis) {
        this.diagnosis = diagnosis;
    }

    public String getDiagnosisName() {
        return diagnosisName;
    }

    public void setDiagnosisName(String diagnosisName) {
        this.diagnosisName = diagnosisName;
    }

    public String getTreatment() {
        return treatment;
    }

    public void setTreatment(String treatment) {
        this.treatment = treatment;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getGuidance() {
        return guidance;
    }

    public void setGuidance(String guidance) {
        this.guidance = guidance;
    }

    public String getSummary() {
        return summary;
    }

    public void setSummary(String summary) {
        this.summary = summary;
    }

    public String getCrzq() {
        return crzq;
    }

    public void setCrzq(String crzq) {
        this.crzq = crzq;
    }

    public String getHospitalCode() {
        return hospitalCode;
    }

    public void setHospitalCode(String hospitalCode) {
        this.hospitalCode = hospitalCode;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getJwHospitalCode() {
        return jwHospitalCode;
    }

    public void setJwHospitalCode(String jwHospitalCode) {
        this.jwHospitalCode = jwHospitalCode;
    }

    public String getJwHospitalName() {
        return jwHospitalName;
    }

    public void setJwHospitalName(String jwHospitalName) {
        this.jwHospitalName = jwHospitalName;
    }

    public String getHospitalDoctor() {
        return hospitalDoctor;
    }

    public void setHospitalDoctor(String hospitalDoctor) {
        this.hospitalDoctor = hospitalDoctor;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
