package  com.yihu.customer.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 用户权限关联表
 * @author George
 *
 */
@Entity
@Table(name = "wlyy_user_role")
public class UserRole extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3214122136638053177L;
	
	// 用户标识
	private String user;
	// 角色标识
	private String role;
	// 操作员标识
	private String czy;
	// 添加日期
	private Date czrq;

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getRole() {
		return role;
	}

	public void setRole(String role) {
		this.role = role;
	}

	public String getCzy() {
		return czy;
	}

	public void setCzy(String czy) {
		this.czy = czy;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
}