package  com.yihu.customer.entity;

import com.fasterxml.jackson.annotation.JsonFormat;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by Administrator on 2017/1/22.
 */
@Entity
@Table(name = "wlyy_audit_notice_object", schema = "", catalog = "wlyy")
public class WlyyAuditNoticeObject extends IdEntity {
    private Long noticeId;
    private String toUserId;
    private String toUserTel;
    private String content;
    private String status;
    private Date sendTime;
    private Date insertTime;


    @Column(name = "notice_id")
    public Long getNoticeId() {
        return noticeId;
    }

    public void setNoticeId(Long noticeId) {
        this.noticeId = noticeId;
    }

    @Column(name = "to_user_id")
    public String getToUserId() {
        return toUserId;
    }

    public void setToUserId(String toUserId) {
        this.toUserId = toUserId;
    }

    @Column(name = "to_user_tel")
    public String getToUserTel() {
        return toUserTel;
    }

    public void setToUserTel(String toUserTel) {
        this.toUserTel = toUserTel;
    }

    @Column(name = "content")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Column(name = "status")
    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Column(name = "send_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    @Column(name = "insert_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }
}
