package  com.yihu.customer.entity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created by Bing on 2021/5/27.
 */
@Entity
@Table(name = "wlyy_org_address")
public class WlyyOrgAddress extends IdEntity {

    private String hospitalCode;
    private String orgCode;
    private String deptCode;
    private String deptName;
    private String orgAddress;
    private Integer del;
    private String phone;//药房联系电话
    /**
     * 非数据库字段
     */
    private String doctor;//发药人
    private String doctorName;//发药人姓名
    private String prepayDepp;//收费科室代码 基卫系统
    private String operatorId;//收费员代码 基卫系统
    private String equNums;//关联设备

    public String getHospitalCode() {
        return hospitalCode;
    }

    public void setHospitalCode(String hospitalCode) {
        this.hospitalCode = hospitalCode;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getOrgAddress() {
        return orgAddress;
    }

    public void setOrgAddress(String orgAddress) {
        this.orgAddress = orgAddress;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Transient
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Transient
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Transient
    public String getPrepayDepp() {
        return prepayDepp;
    }

    public void setPrepayDepp(String prepayDepp) {
        this.prepayDepp = prepayDepp;
    }

    @Transient
    public String getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(String operatorId) {
        this.operatorId = operatorId;
    }

    @Transient
    public String getEquNums() {
        return equNums;
    }

    public void setEquNums(String equNums) {
        this.equNums = equNums;
    }
}
