package  com.yihu.customer.entity.call;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wangzhinan on 2019/11/19.
 */
@Entity
@Table(name = "manage_follow_up_record")
public class ManageFollowupRecord extends IdEntity {

    private String code;//业务code
    private String callCode;//通话记录code
    private Integer followUp;//是否跟进0无需跟新1需跟进2已跟进
    private String remark;//备注
    private Date czrq;//创建时间
    private String user;//客服code
    private String userName;//客服名字

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "call_code")
    public String getCallCode() {
        return callCode;
    }

    public void setCallCode(String callCode) {
        this.callCode = callCode;
    }

    @Column(name = "follow_up")
    public Integer getFollowUp() {
        return followUp;
    }

    public void setFollowUp(Integer followUp) {
        this.followUp = followUp;
    }

    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    @Column(name = "user")
    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @Column(name = "user_name")
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
