package  com.yihu.customer.entity.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by wzn54 on 2018/12/29.
 */
@Entity
@Table(name = "wlyy_health_plan_task")
public class HealthPlanTask extends IdEntity implements Serializable {

    private static final long serialVersionUID = -401494521490022582L;

    private String code;//计划任务编码
    private String healthPlanCode;//健康计划编码
    private String healthTaskCode;//健康任务编码
    private Integer frequency;//频次（1、每天、2、隔天、3、周3次，4、周2次，5、周1次）
    private Integer days;//天数
    private Date startTime;
    private Integer del;//删除标志
    private Date createTime;//创建时间
    private Date updateTime;//修改时间
    
    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Column(name = "health_plan_code")
    public String getHealthPlanCode() {
        return healthPlanCode;
    }

    public void setHealthPlanCode(String healthPlanCode) {
        this.healthPlanCode = healthPlanCode;
    }

    @Column(name = "health_task_code")
    public String getHealthTaskCode() {
        return healthTaskCode;
    }

    public void setHealthTaskCode(String healthTaskCode) {
        this.healthTaskCode = healthTaskCode;
    }

    @Column(name = "frequency")
    public Integer getFrequency() {
        return frequency;
    }

    public void setFrequency(Integer frequency) {
        this.frequency = frequency;
    }

    @Column(name = "days")
    public Integer getDays() {
        return days;
    }

    public void setDays(Integer days) {
        this.days = days;
    }

    @Column(name = "start_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }
}
