package  com.yihu.customer.entity.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * Created by wzn54 on 2018/12/29.
 */
@Entity
@Table(name = "wlyy_health_task_question")
public class HealthTaskQuestion extends IdEntity implements Serializable {

    private static final long serialVersionUID = -401494521490022582L;

    private String code;//问题编码
    private String healthTaskCode;//任务编码
    private Integer questionType;//问题类型
    private String title;//问题题目
    private String analysis;//解析
    private Integer del;//删除标志（1、正常，0、删除）
    private Date createTime;//创建时间
    private Date updateTime;//修改时间

    private List<HealthTaskQuestionOption> option;//选项

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "health_task_code")
    public String getHealthTaskCode() {
        return healthTaskCode;
    }

    public void setHealthTaskCode(String healthTaskCode) {
        this.healthTaskCode = healthTaskCode;
    }

    @Column(name = "question_type")
    public Integer getQuestionType() {
        return questionType;
    }

    public void setQuestionType(Integer questionType) {
        this.questionType = questionType;
    }

    @Column(name = "title")
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(name = "analysis")
    public String getAnalysis() {
        return analysis;
    }

    public void setAnalysis(String analysis) {
        this.analysis = analysis;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }


    @Transient
    public List<HealthTaskQuestionOption> getOption() {
        return option;
    }

    public void setOption(List<HealthTaskQuestionOption> option) {
        this.option = option;
    }
}
