package  com.yihu.customer.entity.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by wzn54 on 2018/12/29.
 */
@Entity
@Table(name = "wlyy_health_task_question_option")
public class HealthTaskQuestionOption extends IdEntity implements Serializable {
    private static final long serialVersionUID = -401494521490022582L;

    private String code;//选项编码
    private String questionCode;//问题编码
    private String content;//选项内容；
    private Integer corredAnswer;//选项是否正确（1、正确，0、错误）
    private Integer del;//删除标志（1、正常0、删除）
    private Date createTime;//创建时间
    private Date updateTime;//修改时间

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "question_code")
    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    @Column(name = "content")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Column(name = "corred_answer")
    public Integer getCorredAnswer() {
        return corredAnswer;
    }

    public void setCorredAnswer(Integer corredAnswer) {
        this.corredAnswer = corredAnswer;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }


}
