package  com.yihu.customer.entity.platformInformation;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by humingfen on 2018/11/23.
 * 平台咨讯标签关联表
 */
@Entity
@Table(name = "wlyy_platform_information_label_relation")
public class PlatformInformationLabelRelationDO extends IdEntity {

    private String code;
    private String informationCode;//平台咨讯code
    private String informationTitle;//平台咨讯名称
    private String labelCode;//标签code（发给居民存的是家签服务类型，发给医生存的是wlyy_platform_information_label表的code）
    private String labelName;//标签名称
    private Integer del;//是否有效（1是0否）
    private Date createTime;//创建时间

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "information_code")
    public String getInformationCode() {
        return informationCode;
    }

    public void setInformationCode(String informationCode) {
        this.informationCode = informationCode;
    }

    @Column(name = "information_title")
    public String getInformationTitle() {
        return informationTitle;
    }

    public void setInformationTitle(String informationTitle) {
        this.informationTitle = informationTitle;
    }

    @Column(name = "label_code")
    public String getLabelCode() {
        return labelCode;
    }

    public void setLabelCode(String labelCode) {
        this.labelCode = labelCode;
    }

    @Column(name = "label_name")
    public String getLabelName() {
        return labelName;
    }

    public void setLabelName(String labelName) {
        this.labelName = labelName;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
