package  com.yihu.customer.entity.platformInformation;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wxw on 2019/1/17.
 *
 * @author wxw.
 */
@Entity
@Table(name = "wlyy_platform_information_operation_log")
public class PlatformInformationOperationLogDO extends IdEntity {
    private Long informationId;  // 平台咨询主键
    private String name;    // 操作名称
    private String operator;    // 操作者
    private String reason;    // 原因  为撤回操作时需要填写原因
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date operatorTime;   // 操作时间

    public Long getInformationId() {
        return informationId;
    }

    public void setInformationId(Long informationId) {
        this.informationId = informationId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Date getOperatorTime() {
        return operatorTime;
    }

    public void setOperatorTime(Date operatorTime) {
        this.operatorTime = operatorTime;
    }
}
