package  com.yihu.customer.entity.pneumonia;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 新冠型肺炎统计数据
 *
 * @author wangzhinan
 *
 */
@Entity
@Table(name = "wlyy_pneumonia_data_new")
public class PneumoniaDataNew extends IdEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = 959839737694203009L;

	private Integer existingDiagnosis;
	private Integer addLocal;
	private Integer addAsymptomatic;
	private Integer cumulativeDiagnosis;
	private Integer cumulativeCure;
	private Integer cumulativeDeath;
	private Date updateTime;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Integer getExistingDiagnosis() {
		return existingDiagnosis;
	}

	public void setExistingDiagnosis(Integer existingDiagnosis) {
		this.existingDiagnosis = existingDiagnosis;
	}

	public Integer getAddLocal() {
		return addLocal;
	}

	public void setAddLocal(Integer addLocal) {
		this.addLocal = addLocal;
	}

	public Integer getAddAsymptomatic() {
		return addAsymptomatic;
	}

	public void setAddAsymptomatic(Integer addAsymptomatic) {
		this.addAsymptomatic = addAsymptomatic;
	}

	public Integer getCumulativeDiagnosis() {
		return cumulativeDiagnosis;
	}

	public void setCumulativeDiagnosis(Integer cumulativeDiagnosis) {
		this.cumulativeDiagnosis = cumulativeDiagnosis;
	}

	public Integer getCumulativeCure() {
		return cumulativeCure;
	}

	public void setCumulativeCure(Integer cumulativeCure) {
		this.cumulativeCure = cumulativeCure;
	}

	public Integer getCumulativeDeath() {
		return cumulativeDeath;
	}

	public void setCumulativeDeath(Integer cumulativeDeath) {
		this.cumulativeDeath = cumulativeDeath;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@Column(name = "update_time")
	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
}
