package  com.yihu.customer.entity.refinement;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 精选问答居民操作表
 *
 * @author zhangdan
 */
@Entity
@Table(name = "wlyy_refinement_consult_behavior")
public class RefinementConsultBehavior extends IdEntity {

	private String refinementConsultCode;
	private String patient;
	private String patientName;
	private Integer type;//1点赞 （后续可加）
	private Date czrq;

	public String getRefinementConsultCode() {
		return refinementConsultCode;
	}

	public void setRefinementConsultCode(String refinementConsultCode) {
		this.refinementConsultCode = refinementConsultCode;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@Column(name="czrq")
	public Date getCzrq() {
		return czrq;
	}

	public void setCzrq(Date czrq) {
		this.czrq = czrq;
	}
}
