package  com.yihu.customer.entity.reservation;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by wangzhinan on 2019/9/11.
 * 预约医院
 */
@Entity
@Table(name = "wlyy_reservation_hospital")
public class ReservationHospital extends IdEntity {
    private Integer type;//类型1医院2社区
    private String code;//医院或社区编码
    private String address;//地址
    private String name;//名称
    private String photo;//图片地址

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "photo")
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }
}
