package  com.yihu.customer.entity.satisfaction;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.*;
import java.util.Date;

/**
 * @author xyq
 * @create 2022-07-18 10:05
 * @slogan 他化自在，我自逍遥
 */
@Entity
@Table(name = "wlyy_satisfaction_survey_detail")
public class SatisfactionSurveyDetail extends IdEntity {

    //满意度调查计划id，wlyy_satisfaction_survey_plan
    private Integer planId;
    //居民code
    private String patientCode;
    //居民姓名
    private String patientName;
    //居民性别
    private Integer sex;
    //居民手机号
    private String mobile;
    //签约机构
    private String signOrgCode;
    //签约机构名字
    private String signOrgName;
    //家庭医生code
    private String doctor;
    //医生名字
    private String doctorName;
    //居民住址
    private String address;
    //接通情况。电话有通但未接、挂断、停机标记0，本人或家属接听标记1
    private Integer isOn;
    //是否知道签约的家庭医生，0不知道，1知道,2已告知
    private Integer isKnowDoctor;
    //是否介绍家庭医生签约的好处，0否，1是
    private Integer isIntroduceDoctor;
    //对家签医生是否满意？1满意2不满意
    private Integer isSatisfyDoctor;
    //回访客服
    private String returnUserCode;
    //回访客服名字
    private String returnUserName;
    //备注
    private String remark;
    //创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date createTime;

    @Column(name = "plan_id")
    public Integer getPlanId() {
        return planId;
    }

    public void setPlanId(Integer planId) {
        this.planId = planId;
    }

    @Column(name = "patient_code")
    public String getPatientCode() {
        return patientCode;
    }

    public void setPatientCode(String patientCode) {
        this.patientCode = patientCode;
    }

    @Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    @Column(name = "sex")
    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    @Column(name = "mobile")
    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    @Column(name = "sign_org_code")
    public String getSignOrgCode() {
        return signOrgCode;
    }

    public void setSignOrgCode(String signOrgCode) {
        this.signOrgCode = signOrgCode;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Column(name = "is_on")
    public Integer getIsOn() {
        return isOn;
    }

    public void setIsOn(Integer isOn) {
        this.isOn = isOn;
    }

    @Column(name = "is_know_doctor")
    public Integer getIsKnowDoctor() {
        return isKnowDoctor;
    }

    public void setIsKnowDoctor(Integer isKnowDoctor) {
        this.isKnowDoctor = isKnowDoctor;
    }

    @Column(name = "is_introduce_doctor")
    public Integer getIsIntroduceDoctor() {
        return isIntroduceDoctor;
    }

    public void setIsIntroduceDoctor(Integer isIntroduceDoctor) {
        this.isIntroduceDoctor = isIntroduceDoctor;
    }

    @Column(name = "is_satisfy_doctor")
    public Integer getIsSatisfyDoctor() {
        return isSatisfyDoctor;
    }

    public void setIsSatisfyDoctor(Integer isSatisfyDoctor) {
        this.isSatisfyDoctor = isSatisfyDoctor;
    }


    @Column(name = "return_user_code")
    public String getReturnUserCode() {
        return returnUserCode;
    }

    public void setReturnUserCode(String returnUserCode) {
        this.returnUserCode = returnUserCode;
    }

    @Column(name = "return_user_name")
    public String getReturnUserName() {
        return returnUserName;
    }

    public void setReturnUserName(String returnUserName) {
        this.returnUserName = returnUserName;
    }

    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "sign_org_name")
    public String getSignOrgName() {
        return signOrgName;
    }

    public void setSignOrgName(String signOrgName) {
        this.signOrgName = signOrgName;
    }
}
