package  com.yihu.customer.entity.survey;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 问卷调查题库选项表
 * Created by ysj on 2017/3/3.
 */
@Entity
@Table(name = "wlyy_survey_questions_options")
public class SurveyQuestionOption extends IdEntity{
    private static final long serialVersionUID = 1L;
    private String code;
    private Integer haveComment;//是否有选项说明（0没有 1有）
    private String questionCode;//问题编码
    private String content;//选项内容
    private Integer isRequired;//选项说明是否必填（0否 1是）
    private Integer sort;//单题内排序
    private String del;//删除标志（1正常，0删除）

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "have_comment")
    public Integer getHaveComment() {
        return haveComment;
    }

    public void setHaveComment(Integer haveComment) {
        this.haveComment = haveComment;
    }

    @Column(name = "question_code")
    public String getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(String questionCode) {
        this.questionCode = questionCode;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Column(name = "is_required")
    public Integer getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Integer isRequired) {
        this.isRequired = isRequired;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }
}
