package  com.yihu.customer.entity.synergy;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by 刘文彬 on 2018/9/27.
 * 客服在线记录表
 */
@Entity
@Table(name = "manage_customer_online_record")
public class ManageCustomerOnlineRecordDO extends IdEntity {
    private String code;
    private String customerCode;//客服code
    private String customerName;//客服名称
    private Integer status;//状态（1、在线，2、离线）
    private Date createTime;//创建时间
    private String jobNo;//客服工号
    private String seat;//席位
    private String phone;//客服电话
    private int totalOnlineTime;//在线总时长(单位：分钟)

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "customer_code")
    public String getCustomerCode() {
        return customerCode;
    }

    public void setCustomerCode(String customerCode) {
        this.customerCode = customerCode;
    }

    @Column(name = "customer_name")
    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "job_no")
    public String getJobNo() {
        return jobNo;
    }

    public void setJobNo(String jobNo) {
        this.jobNo = jobNo;
    }

    @Column(name = "seat")
    public String getSeat() {
        return seat;
    }

    public void setSeat(String seat) {
        this.seat = seat;
    }

    @Column(name = "phone")
    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    @Column(name = "total_online_time")
    public int getTotalOnlineTime() {
        return totalOnlineTime;
    }

    public void setTotalOnlineTime(int totalOnlineTime) {
        this.totalOnlineTime = totalOnlineTime;
    }
}
