package  com.yihu.customer.entity.synergy;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wangzhinan on 2019/6/13.
 */
@Entity
@Table(name = "manage_synergy_server_record")
public class ManageSynergyServerRecordDO extends IdEntity {


    private String workorderCode;//协同服务code
    private Date czrq;//记录时间
    private String user;//呼出的人员
    private Integer userType;//呼出人员类型
    private String doctor;//操作医生
    private String doctorName;//操作的医生名称
    private Integer del;//逻辑删除（1、有效，0、删除）
    private String userName;//呼出人员名称

    @Column(name = "workorder_code")
    public String getWorkorderCode() {
        return workorderCode;
    }

    public void setWorkorderCode(String workorderCode) {
        this.workorderCode = workorderCode;
    }

    @Column(name = "czrq")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    @Column(name = "user")
    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @Column(name="user_type")
    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "doctor_name")
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "user_name")
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }
}
