package  com.yihu.customer.entity.synergy;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by 刘文彬 on 2018/9/27.
 * 协同服务执行人表
 */
@Entity
@Table(name = "manage_synergy_workorder_executor")
public class ManageSynergyWorkorderExecutorDO extends IdEntity {
    private String code;
    private String workorderCode;//协同服务工单code
    private Integer executorType;//执行人类型（1、负责人（客服），2、协作着（客服），3、医生）
    private String executorCode;//执行者code
    private String executorName;//执行人名称
    private Integer del;//逻辑删除（0、有效，1、删除）

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "workorder_code")
    public String getWorkorderCode() {
        return workorderCode;
    }

    public void setWorkorderCode(String workorderCode) {
        this.workorderCode = workorderCode;
    }

    @Column(name = "executor_type")
    public Integer getExecutorType() {
        return executorType;
    }

    public void setExecutorType(Integer executorType) {
        this.executorType = executorType;
    }

    @Column(name = "executor_code")
    public String getExecutorCode() {
        return executorCode;
    }

    public void setExecutorCode(String executorCode) {
        this.executorCode = executorCode;
    }

    @Column(name = "executor_name")
    public String getExecutorName() {
        return executorName;
    }

    public void setExecutorName(String executorName) {
        this.executorName = executorName;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
