package  com.yihu.customer.entity.synergy;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by 刘文彬 on 2018/9/27.
 * 咨询、预约操作日志表
 */
@Entity
@Table(name = "manage_synergy_workorder_reserve_consult")
public class ManageSynergyWorkorderReserveConsultDO extends IdEntity {
    private String code;
    private Integer dealType;//处理方式：1.电话回复，2.客服回复
    private Date dealTime;//处理时间
    private Integer dealState;//处理结果：1.完成，2.无法联系居民
    private String dealContent;//处理内容
    private Integer dealReason;//处理取消原因：0.没有号源、1.病人取消
    private String orderHospital;//预约医院code
    private String orderHospitalName;//预约医院
    private String orderDept;//预约科室code
    private String orderDeptName;//预约科室名称
    private String orderDoctor;//预约医生code
    private String orderDoctorName;//预约医生名称
    private String orderTime;//预约时间段
    private Date registerTime;//挂号时间
    private String user;//创建人（客服）code
    private String userName;//客服姓名（创建人）
    private Date createTime;//创建时间
    private String workorderCode;//协同服务工单code
    private String workorderServiceCode;//协同服务对象code
    private String callCode;//通话记录code

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "deal_type")
    public Integer getDealType() {
        return dealType;
    }

    public void setDealType(Integer dealType) {
        this.dealType = dealType;
    }

    @Column(name = "deal_time")
    public Date getDealTime() {
        return dealTime;
    }

    public void setDealTime(Date dealTime) {
        this.dealTime = dealTime;
    }

    @Column(name = "deal_state")
    public Integer getDealState() {
        return dealState;
    }

    public void setDealState(Integer dealState) {
        this.dealState = dealState;
    }

    @Column(name = "deal_content")
    public String getDealContent() {
        return dealContent;
    }

    public void setDealContent(String dealContent) {
        this.dealContent = dealContent;
    }

    @Column(name = "deal_reason")
    public Integer getDealReason() {
        return dealReason;
    }

    public void setDealReason(Integer dealReason) {
        this.dealReason = dealReason;
    }

    @Column(name = "order_hospital")
    public String getOrderHospital() {
        return orderHospital;
    }

    public void setOrderHospital(String orderHospital) {
        this.orderHospital = orderHospital;
    }

    @Column(name = "order_hospital_name")
    public String getOrderHospitalName() {
        return orderHospitalName;
    }

    public void setOrderHospitalName(String orderHospitalName) {
        this.orderHospitalName = orderHospitalName;
    }

    @Column(name = "order_dept")
    public String getOrderDept() {
        return orderDept;
    }

    public void setOrderDept(String orderDept) {
        this.orderDept = orderDept;
    }

    @Column(name = "order_dept_name")
    public String getOrderDeptName() {
        return orderDeptName;
    }

    public void setOrderDeptName(String orderDeptName) {
        this.orderDeptName = orderDeptName;
    }

    @Column(name = "order_doctor")
    public String getOrderDoctor() {
        return orderDoctor;
    }

    public void setOrderDoctor(String orderDoctor) {
        this.orderDoctor = orderDoctor;
    }

    @Column(name = "order_doctor_name")
    public String getOrderDoctorName() {
        return orderDoctorName;
    }

    public void setOrderDoctorName(String orderDoctorName) {
        this.orderDoctorName = orderDoctorName;
    }

    @Column(name = "order_time")
    public String getOrderTime() {
        return orderTime;
    }

    public void setOrderTime(String orderTime) {
        this.orderTime = orderTime;
    }

    @Column(name = "register_time")
    public Date getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(Date registerTime) {
        this.registerTime = registerTime;
    }

    @Column(name = "user")
    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    @Column(name = "user_name")
    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "workorder_code")
    public String getWorkorderCode() {
        return workorderCode;
    }

    public void setWorkorderCode(String workorderCode) {
        this.workorderCode = workorderCode;
    }

    @Column(name = "workorder_service_code")
    public String getWorkorderServiceCode() {
        return workorderServiceCode;
    }

    public void setWorkorderServiceCode(String workorderServiceCode) {
        this.workorderServiceCode = workorderServiceCode;
    }


    @Column(name = "call_code")
    public String getCallCode() {
        return callCode;
    }

    public void setCallCode(String callCode) {
        this.callCode = callCode;
    }
}
