package  com.yihu.customer.entity.wechat;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 微信模板推送日志
 * Created by yeshijie on 2017/10/18.
 */
@Entity
@Table(name = "wlyy_wx_push_log")
public class WechatPushLog extends IdEntity {

    private Integer type;// '推送类型',
    //1：签约成功  2：签约失败  3：咨询回复通知  4：健康指导提醒  5：解约申请通知  6：预约挂号成功通知  7：预约取消通知 8 缴费提醒 9 健康教育  10 签约医生变更（信息变更通知）续方订单配送员已顺利取药
    //12.添加家人申请 13.添加家人申请成功 14.添加家人申请失败 16.续签家庭医生 17.医生评价 91.医生助手 92.医生助手项目gcMessageController发送
    //18 产检提醒和产检就诊提醒 19:续方审核结果通知（0.不通过 1.通过 2。调整处方并通过） 20:服务结果通知（续方订单已成功配送） 11.代办事项通知（完成配药）
    private String openid;
    private String patient;//'居民code',
    private String name;//'居民姓名',
    private String request;//'请求入参',
    private String response;// '返回值',
    private Integer status;//'状态（0失败，1成功）',
    private Date createTime;

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
