package  com.yihu.customer.repository;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import  com.yihu.customer.entity.DmJob;

public interface DmJobDao extends PagingAndSortingRepository<DmJob, Long>, JpaSpecificationExecutor<DmJob>{

	@Query("from DmJob a where  a.del='1'")
	List<DmJob> getAllDmJob() throws Exception;

	@Query("from DmJob a where  a.del='1' and a.name=?1")
	DmJob getByName(String name)throws Exception;

	@Query("from DmJob a where  a.del='1' and a.name=?1  and a.id !=?2")
	DmJob getByNameWithOutId(String name, Long id);

	@Query("from DmJob a where  a.del='1'")
	List<DmJob> getAllDmJobList();

	@Query("from DmJob a where  a.del='1' and a.code=?1")
	DmJob findByCode(String mbjob);

}
