package  com.yihu.customer.repository;

import  com.yihu.customer.entity.ManageDict;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by Administrator on 2017/1/24.
 */
public interface ManageDictDao extends PagingAndSortingRepository<ManageDict, Long> {
    ManageDict findByName(String name);

    Page<ManageDict> findByNameOrPhoneticCodeOrderByNameAsc(String name, String phoneticCode, Pageable pageable);

    @Query("select max(dict.id) from ManageDict dict where 1=1")
    long getNextId();
}
