package  com.yihu.customer.repository;

import  com.yihu.customer.entity.OrderDoctorMapping;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by yeshijie on 2020/10/16.
 */
public interface OrderDoctorMappingDao  extends PagingAndSortingRepository<OrderDoctorMapping, Long>, JpaSpecificationExecutor<OrderDoctorMapping> {

    @Modifying
    @Query("delete OrderDoctorMapping c where c.doctor = ?1")
    void deleteByDoctor(String doctor);

}
