package  com.yihu.customer.repository;

        import  com.yihu.customer.entity.WlyyAdminTeamMember;
        import org.springframework.data.jpa.repository.Query;
        import org.springframework.data.repository.PagingAndSortingRepository;

        import java.util.List;

/**
 * Created by yww on 2016/11/15.
 */
public interface WlyyAdminTeamMemberDao extends PagingAndSortingRepository<WlyyAdminTeamMember,Long> {
    @Query(value = "select m from WlyyAdminTeamMember m where m.teamId = ?1 and m.doctorCode like ?2")
    List<WlyyAdminTeamMember> findByTeamIdAndDoctorCode(Long teamId, String doctorCode);
    @Query(value = "select m from WlyyAdminTeamMember m where m.teamId = ?1")
    List<WlyyAdminTeamMember> findByTeamId(Long teamId);

    List<WlyyAdminTeamMember> findByDoctorCode(String doctorCode);

    //根据成员医生姓名和电话检索
    @Query(value = "select distinct(m.teamId) from WlyyAdminTeamMember m,Doctor d where m.doctorCode = d.code and d.name like ?1 and d.mobile like ?2")
    Long[] findByMemberNameAndMobileLike(String memberName, String memberMobile);
}
