package  com.yihu.customer.repository;

import  com.yihu.customer.entity.WlyyConsultTeam;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by Administrator on 2016/12/19.
 */
public interface WlyyConsultTeamDao extends PagingAndSortingRepository<WlyyConsultTeam,Integer> {
    //查询签约居民未完成的家庭签约咨询（排除三师签约咨询）
    @Query("select count(1) from WlyyConsultTeam a where a.patient = ?1 and a.type = 2 and a.status = 0 and a.del = '1'")
    int searchUnfinished(String patient);

    @Query("select a from WlyyConsultTeam a where a.consult =?1")
    WlyyConsultTeam findByCode(String consult);
}
