package  com.yihu.customer.repository;

import  com.yihu.customer.entity.WlyyRole;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by yww on 2016/12/13.
 */
public interface WlyyRoleDao extends JpaRepository<WlyyRole,Integer> {
    @Query(value = "select b.* from wlyy_user_role a,wlyy_role b where a.role = b.code and a.user = ?1", nativeQuery = true)
    List<WlyyRole> findUserRole(String user);

    @Query(value = "select distinct b.code from wlyy_user_role a,wlyy_role b where a.role = b.code and a.user = ?1", nativeQuery = true)
    String[] findRoleCodesByUser(String user);

    @Query(value = "select b.* from  wlyy_role b where b.name = ?1", nativeQuery = true)
    WlyyRole findByName(String name);

    @Query(value = "select b.* from  wlyy_role b where b.code = ?1", nativeQuery = true)
    WlyyRole findByCode(String code);
}
