package  com.yihu.customer.repository;

import  com.yihu.customer.entity.WlyyUserRole;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by yww on 2016/12/13.
 */
public interface WlyyUserRoleDao extends JpaRepository<WlyyUserRole, Long> {
    @Query(value = "select r from WlyyUserRole r where r.user=?1")
    List<WlyyUserRole> findByUser(String userCode);

    @Query(value = "select r from WlyyUserRole r where r.user=?1 and r.role=?2")
    WlyyUserRole findByUserAndRole(String userCode, String role);
}
