package  com.yihu.customer.repository;

import  com.yihu.customer.entity.Wlyyhospitalspecia;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


public interface WlyyhospitalspecialistDao extends JpaRepository<Wlyyhospitalspecia,Integer>{
    @Query(value = "select b.* from  wlyy_hospital_specialist b where b.hospital = ?1 and b.hospital_name= ?2",nativeQuery = true)
    List<Wlyyhospitalspecia> findByName(String code, String name);

    @Query(value = "select b.* from  wlyy_hospital_specialist b where b.hospital = ?1 ",nativeQuery = true)
    List<Wlyyhospitalspecia> findByCode(String code);

    @Modifying
    @Query(value = "delete from wlyy_hospital_specialist where hospital = ?1 and hospital_name= ?2",nativeQuery = true)
    int deleteName(String code, String name);
    @Modifying
    @Query(value = "update wlyy_hospital_specialist set name = ?1,code= ?2 where hospital = ?3 and hospital_name= ?4",nativeQuery = true)
    int updateName(String name, String code, String hospital, String hospital_name);
}