package  com.yihu.customer.repository.call;

import  com.yihu.customer.entity.call.CallRecord;
import  com.yihu.customer.entity.call.CallService;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2017/11/9.
 */
public interface CallServiceDao extends PagingAndSortingRepository<CallService, Long>, JpaSpecificationExecutor<CallRecord> {

    List<CallService> findByCallCodeAndType(String callCode, Integer type);

    CallService findByCode(String code);
}
