package  com.yihu.customer.repository.call;

import  com.yihu.customer.entity.call.ManageFollowupRecord;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2017/11/9.
 */
public interface ManageFollowupRecordDao extends PagingAndSortingRepository<ManageFollowupRecord, Long>, JpaSpecificationExecutor<ManageFollowupRecord> {

    @Query("select p from ManageFollowupRecord p where p.callCode = ?1 order by p.czrq desc")
    List<ManageFollowupRecord> selectByCode(String callCode);
}
