package  com.yihu.customer.repository.health;

import  com.yihu.customer.entity.health.HealthPlan;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by wzn54 on 2018/12/29.
 */
public interface HealthPlanDao extends PagingAndSortingRepository<HealthPlan, Long> {

    @Modifying
    @Query("update HealthPlan t set t.del=0 where t.code=?1")
    int deleteByCode(String code);


    @Modifying
    @Query("update HealthPlan t set t.status=?2 where t.code=?1")
    int updateStatusByCode(String code, Integer status);



    @Query("select t from HealthPlan t where t.code=?1 and t.del=1")
    HealthPlan selectByCode(String code);


}
