package  com.yihu.customer.repository.health;

import  com.yihu.customer.entity.health.HealthTaskQuestionRecord;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by wzn54 on 2018/12/29.
 */
public interface HealthTaskQuestionRecordDao extends PagingAndSortingRepository<HealthTaskQuestionRecord, Long> {

    @Query("select q from HealthTaskQuestionRecord q where q.healthTaskCode=?1 and q.del=1")
    List<HealthTaskQuestionRecord> selectByHealthTaskCode(String healthTaskCode);

    @Modifying
    @Query("update HealthTaskQuestionRecord t set t.del=0 where t.healthTaskCode=?1")
    int deleteByHealthTaskCode(String healthTaskCode);

    @Modifying
    @Query("delete from HealthTaskQuestionRecord t where t.healthTaskCode=?1")
    int delete(String healthTaskCode);
}
