package  com.yihu.customer.repository.health;

import  com.yihu.customer.entity.health.HealthTaskRecord;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by wzn54 on 2018/12/29.
 */
public interface HealthTaskRecordDao extends PagingAndSortingRepository<HealthTaskRecord, Long> {
    @Query("select t from HealthTaskRecord t where t.code=?1 and t.del=1")
    HealthTaskRecord selectByCode(String code);

    @Modifying
    @Query("update HealthTaskRecord t set t.del=0 where t.code=?1")
    int deleteByCode(String code);

    @Modifying
    @Query("delete from HealthTaskRecord t where t.code=?1")
    int delete(String code);
}
