package  com.yihu.customer.repository.healthchannel;

import  com.yihu.customer.entity.healthchannel.HealthChannelRecommendArticleDo;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by zdm on 2019/2/15.
 */
public interface ChannelRecommendArticleDao extends PagingAndSortingRepository<HealthChannelRecommendArticleDo,Long> {

    @Query("update HealthChannelRecommendArticleDo set delFlag=-1 where channelId=?1 and articleType=?2 and sort=?3")
    @Modifying
    void updateByChannelIdAndArticleTypeAndSort(Integer channelId, String articleType, Integer sort);

    @Query("update HealthChannelRecommendArticleDo set delFlag=-1 where id=?1 ")
    @Modifying
    void updateById(Long id);
}
