package  com.yihu.customer.repository.refinement;

import  com.yihu.customer.entity.refinement.RefinementConsultCategory;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * @author zhangdan
 * @date 2018/12/27
 */
public interface RefinementConsultCategoryDao extends PagingAndSortingRepository<RefinementConsultCategory, Long>,
		JpaSpecificationExecutor<RefinementConsultCategory> {

   List<RefinementConsultCategory> findByStautsAndLevel(int status, int level);

   List<RefinementConsultCategory> findByStauts(int status);

   RefinementConsultCategory findByCodeAndStauts(String code, int status);

   List<RefinementConsultCategory> findByParentCodeAndStauts(String parentCode, int status);
}
