package  com.yihu.customer.repository.reservation;

import  com.yihu.customer.entity.reservation.ReservationHospitalDept;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by wzn54 on 2019/9/11.
 */
public interface ReservationHospitalDeptDao extends PagingAndSortingRepository<ReservationHospitalDept, Long>,JpaSpecificationExecutor<ReservationHospitalDept> {
    @Modifying
    @Query("delete ReservationHospitalDept a where a.hospitalCode=?1")
    int deleteReservationHospitalDept(String hospitalCode);
}
