package  com.yihu.customer.repository.specialist;

import  com.yihu.customer.entity.specialist.DoctorSpecialist;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


public interface DoctorSpecialistDao extends JpaRepository<DoctorSpecialist,Integer>{
    @Query(value = "select b.* from  wlyy_doctor_specialist b where b.doctor = ?1 ",nativeQuery = true)
    List<DoctorSpecialist> findByDoctor(String doctor);
    @Modifying
    @Query(value = "delete from wlyy_doctor_specialist where doctor = ?1 ",nativeQuery = true)
    int deleteByDoctor(String doctor);

}