package  com.yihu.customer.repository.survey;

import  com.yihu.customer.entity.survey.SurveyQuestionnaire;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface SurveyQuestionnaireDao extends PagingAndSortingRepository<SurveyQuestionnaire,Long>,JpaSpecificationExecutor<SurveyQuestionnaire> {

    @Query("select q from SurveyQuestionnaire q where q.surveyCode = ?1 and (q.questionType = 0 or q.questionType = 1) ")
    List<SurveyQuestionnaire> findBySurveyCode(String surveyCode);

    @Query("select q from SurveyQuestionnaire q where q.surveyCode = ?1 and q.questionType = 2 ")
    List<SurveyQuestionnaire> findEssayQuestionBySurveyCode(String surverCode);

    @Query("select q from SurveyQuestionnaire q where q.surveyCode = ?1")
    List<SurveyQuestionnaire> findAllBySurveyCode(String surveyCode);
}
