package  com.yihu.customer.repository.synergy;


import  com.yihu.customer.entity.synergy.ManageSynergyServerRecordDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * @author wangzhinan
 * @date 2019/1/12 15:15
 */
public interface ManageSynergyServerRecordDao
		extends PagingAndSortingRepository<ManageSynergyServerRecordDO, String>, JpaSpecificationExecutor<ManageSynergyServerRecordDO> {

	@Query("select s from ManageSynergyServerRecordDO s where s.workorderCode=?1 and s.del=1")
	List<ManageSynergyServerRecordDO> selectByWorkorderCode(String workorderCode);
	

}
