package  com.yihu.customer.repository.synergy;

import  com.yihu.customer.entity.synergy.ManageSynergyWorkorderDO;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface ManageSynergyWorkOrderDao extends PagingAndSortingRepository<ManageSynergyWorkorderDO, Long> {

    ManageSynergyWorkorderDO findByCode(String workorderCode);
    
    ManageSynergyWorkorderDO findByRelationCode(String relationCode);

    @Modifying
    @Query("update ManageSynergyWorkorderDO a set a.del=1 where a.code = ?1")
    int deleteByCode(String workorderCode);
}
