package  com.yihu.customer.repository.synergy;

import  com.yihu.customer.entity.synergy.ManageSynergyWorkorderExecutorDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface ManageSynergyWorkorderExecutorDao extends PagingAndSortingRepository<ManageSynergyWorkorderExecutorDO, Long> {

    @Query("select e from ManageSynergyWorkorderExecutorDO e where e.workorderCode = ?1 and e.executorType = ?2 and e.del=1")
    List<ManageSynergyWorkorderExecutorDO> findByWorkorderCode(String workorderCode, Integer executorType);

    @Query("select e from ManageSynergyWorkorderExecutorDO e where e.workorderCode = ?1 and e.executorCode = ?2 and e.executorType = ?3 and e.del=1")
    ManageSynergyWorkorderExecutorDO findByWorkorderCodeAndExecutorCode(String workorderCode, String executorCode, Integer executorType);

}
