package  com.yihu.customer.repository.twoCancers;

import  com.yihu.customer.entity.twoCancers.BreastCervicalFormPermissions;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by yeshijie on 2022/4/12.
 */
public interface BreastCervicalFormPermissionsDao extends PagingAndSortingRepository<BreastCervicalFormPermissions, Long> {

    @Query("select a from BreastCervicalFormPermissions a where a.doctor = ?1 order by id")
    List<BreastCervicalFormPermissions> findByDoctor(String doctor);

    @Modifying
    @Query("delete from BreastCervicalFormPermissions a where a.doctor = ?1 ")
    int deleteByDoctor(String doctor);
}
