package  com.yihu.customer.repository.wechat;

import  com.yihu.customer.entity.wechat.WeixinTemplate;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * @Description: 模板记录信息
 * @Author: WuJunjie
 * @Date: Created in 2018/2/23 11:51
 */
public interface WeixinTemplateDao extends PagingAndSortingRepository<WeixinTemplate, Long>, JpaSpecificationExecutor<WeixinTemplate> {

    //根据自定义模板名称、微信公众号原始ID获取模板ID等信息
    @Query("select t  from WeixinTemplate t where t.accId=?1 and t.templateName=?2 and t.status = 1 ")
    WeixinTemplate findByName(String accId, String templateName);
}
