/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 * <p>
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.customer.service.common;

import  com.yihu.customer.entity.Patient;
import  com.yihu.customer.repository.PatientDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * 患者基本信息类.
 *
 * @author George
 */
@Component
@Transactional(rollbackFor = Exception.class)
public class PatientService {

    @Autowired
    private PatientDao patientDao;

    public Patient findByCode(String code) {
        return patientDao.findByCode(code);
    }
	
	public Patient findByIdcard(String idcard) {
		return patientDao.findByIdcard(idcard);
	}
}
