package com.yihu.customer.service.manager.account;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import  com.yihu.customer.entity.User;
import  com.yihu.customer.repository.UserDao;

@Service
public class AdminService {

	private UserDao userDao;
	
	@Autowired
	public void setUserDao(UserDao userDao){
		this.userDao = userDao;
	}
	
	public List<User> getAllUser() {
		return (List<User>) userDao.findAll();
	}
	
	public User getUser(Long id) {
		return userDao.findById(id).get();
	}

	/**
	 * 根据手机号查询用户信息
	 * @param mobile 手机号
	 * @return
	 */
	public User findUserByMobile(String mobile) {
		return userDao.findByMobile(mobile);
	}
	
//	/**
//	 * 判断是否超级管理员.
//	 */
//	private boolean isSupervisor(Long id) {
//		return id == 1;
//	}
//
//	/**
//	 * 取出Shiro中的当前用户LoginName.
//	 */
//	private String getCurrentUserName() {
//		ShiroUser user = (ShiroUser) SecurityUtils.getSubject().getPrincipal();
//		return user.mobile;
//	}

}
