package com.yihu.customer.service.manager.dict;

import  com.yihu.customer.entity.SystemDict;
import  com.yihu.customer.repository.SystemDictDao;
import com.yihu.customer.util.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by Administrator on 2017/1/24.
 */
@Service
public class SystemDictService extends BaseJpaService<SystemDict, SystemDictDao> {
    @Autowired
    SystemDictDao systemDictDao;
    private String dictName = "SYSTEM_PARAMS";

    public List<SystemDict> getByDictName(String name){
        return systemDictDao.findByDictName(name);

    }
    /**
     * http_log是否记录成功消息
     *
     * @return
     */
    public Boolean getSaveSuccessLog() {
        try {

            String re = systemDictDao.findByDictNameAndCode2(dictName, "SAVE_SUCCESS_LOG");
            if ("1".equals(re)) {
                return true;
            } else {
                return false;
            }
        } catch (Exception ex) {
            ex.printStackTrace();
            return false;
        }
    }


}
