package com.yihu.rehabilitation.dao;

import com.yihu.jw.entity.rehabilitation.RehabilitationguidancePatientDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface RehabilitationGuidancePatientDao extends PagingAndSortingRepository<RehabilitationguidancePatientDO, Integer>, JpaSpecificationExecutor<RehabilitationguidancePatientDO> {

    @Query("select p from RehabilitationguidancePatientDO p where p.patient = ?1 and p.doctor=?2 ")
    List<RehabilitationguidancePatientDO> findByPatientAndDoctor(String patient, String doctor);

    @Query("select p from RehabilitationguidancePatientDO p where  p.relationCode=?1")
    List<RehabilitationguidancePatientDO> findByRelationCode(String relationCode);
}
