package com.yihu.rehabilitation.dao;

import com.yihu.jw.entity.rehabilitation.SpecialDiseaseMessagesDO;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/***
 * @ClassName: SpecialDiseaseMessagesDao
 * @Description:
 * @Auther: shi kejing
 * @Date: 2021/4/20 9:44
 */
public interface SpecialDiseaseMessagesDao extends PagingAndSortingRepository<SpecialDiseaseMessagesDO,String>, JpaSpecificationExecutor<SpecialDiseaseMessagesDO> {

    @Query("select m from SpecialDiseaseMessagesDO m where m.createTime>?1 and m.createTime<?2 order by m.createTime desc")
    Page<SpecialDiseaseMessagesDO> findByTime(String createTime, String endTime, Pageable pageRequest);

    @Query("select count(1) from SpecialDiseaseMessagesDO m where m.createTime>?1 and m.createTime<?2")
    Integer findCountsByTime(String createTime, String endTime);

}
