package com.yihu.rehabilitation.dao.consult;

import com.yihu.jw.entity.specialist.SpecialistEvaluateLabelDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;


/**
 * Created by 卓 on 2017/5/10.
 */
public interface EvaluateLabelDao extends PagingAndSortingRepository<SpecialistEvaluateLabelDO, Long>, JpaSpecificationExecutor<SpecialistEvaluateLabelDO> {
    /**
     * 获取某个咨询的标签
     * @param consult
     * @return
     */
    List<SpecialistEvaluateLabelDO> findByConsult(String consult);

    /**
     * 获取某个医生的标签
     * @param doctor
     * @return
     */
    List<SpecialistEvaluateLabelDO> findByDoctor(String doctor);

}
