package com.yihu.rehabilitation.dao.followUp;

import com.yihu.jw.entity.followup.BusinessMapping;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * 随访记录映射表
 * @author huangwenjie
 * @date 2017/10/23 14:05
 */
public interface BusinessMappingDao extends PagingAndSortingRepository<BusinessMapping, Integer>, JpaSpecificationExecutor<BusinessMapping> {
	

	
	@Modifying
	@Query("update BusinessMapping p set p.needUpload=?1 where p.businessId=?2")
	void updateNeedUploadByBusinessId(Integer needUpload, Integer businessId);
}
