package com.yihu.rehabilitation.vo.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.searchbox.annotations.JestId;

import java.util.Date;

/**
 * 平台咨讯操作日志表
 * Created by humingfen on 2018/11/22.
 */
public class PlatformInformationLogES {
    @JestId
    private String id;
    private String informationId;//平台咨讯id
    private String informationTitle;//平台咨讯名称
    private Integer informationType;//咨讯分类（1健康知识、2活动通知、3功能介绍、4平台宣传）
    private Integer operationType;//操作对象类型（1居民、2家医、3专科医生、4家医和专科）
    private String openid;//非医生就存openid
    private String doctorCode;//医生code
    private String doctorName;//医生名称
    private Integer type;//类型（1浏览、2点赞、3转发）
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ssXX")
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXX")
    private Date createTime;//操作时间
    private String patientLabels;//居民标签
    private String orgCode;//居民或者医生所属机构
    private String orgName;//居民或者医生所属机构
    private String city;//居民或者医生所属城市
    private String cityName;//居民或者医生所属城市
    private String townName; //居民或者医生机构所在区县
    private String town; //居民或者医生机构所在区县
    private String hour;//查看时间(小时)
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd'T'HH:mm:ssXX")
    @JSONField(format = "yyyy-MM-dd'T'HH:mm:ssXX")
    private Date platInfoCreateTime;//平台资讯创建时间

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getInformationId() {
        return informationId;
    }

    public void setInformationId(String informationId) {
        this.informationId = informationId;
    }

    public String getInformationTitle() {
        return informationTitle;
    }

    public void setInformationTitle(String informationTitle) {
        this.informationTitle = informationTitle;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOperationType() {
        return operationType;
    }

    public void setOperationType(Integer operationType) {
        this.operationType = operationType;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Integer getInformationType() {
        return informationType;
    }

    public void setInformationType(Integer informationType) {
        this.informationType = informationType;
    }

    public String getPatientLabels() {
        return patientLabels;
    }

    public void setPatientLabels(String patientLabels) {
        this.patientLabels = patientLabels;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getTown() {
        return town;
    }

    public void setTown(String town) {
        this.town = town;
    }

    public String getHour() {
        return hour;
    }

    public void setHour(String hour) {
        this.hour = hour;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getTownName() {
        return townName;
    }

    public void setTownName(String townName) {
        this.townName = townName;
    }

    public Date getPlatInfoCreateTime() {
        return platInfoCreateTime;
    }

    public void setPlatInfoCreateTime(Date platInfoCreateTime) {
        this.platInfoCreateTime = platInfoCreateTime;
    }
}
