package com.yihu.rehabilitation.vo.entity.followupDisease;

import io.searchbox.annotations.JestId;

/**
 * Created by wangzhinan on 2020/3/23.
 * 4.慢性乳腺疾病日常随访
 */
public class BreastFollowupES {
    // private String id;//id&【为新增】
    @JestId
    private String id;
    private String followup_id;             //随访记录ID
    private String followup_project;        //随访详情分类ID
    private String version;//版本号
    private String createOperatorName;//创建人
    private String modifyOperatorName;//修改人
    private String orgId;//机构id&【必填】
    private String sickId;//病人id&
    private String problemId;//健康问题id&
    private String followOrgId;//随访机构&【必填】
    private String followDoctor;//随访医生&【必填】
    private String followTime;//随访时间&【必填】
    private String followType;//随访方式【1.门诊 2.电话 3.入户】&【必填】
    private String followDoctorType;//随访医生类型【1.专科医生 2.全科医生 3.健康管理师】&【必填】
    private String nextFollowTime;//下次随访时间&【必填】
    private String identityCardNo;//身份证号&【必填】
    private String assessSource;//评估来源【1.前台三合一 2. 前台独立 3.后台自动 4.i健康】&【必填】
    private String symptomBossing;//症状_手术侧胸壁肿块或对侧乳房肿块&【症状必选，至少选一个】
    private String symptomArmpit;//症状_腋窝或颈部肿块&
    private String symptomSkeletal;//症状_骨骼疼痛&
    private String symptomRecurrent;//症状_胸部疼痛/反复咳嗽/呼吸困难&
    private String symptomAbdominal;//症状_腹部疼痛&
    private String symptomPersistent;//症状_持续性头痛&
    private String symptomOther;//症状_其它&
    private String symptomOtherStr;//症状_其它内容&
    private String signPalpable;//体征_手术切口周围可触及结节&【体征必选，至少选一个】
    private String signArmpit;//体征_腋窝或锁骨上下区触及结节&
    private String signAxillary;//体征_腋窝触及结节&
    private String cea;//cea&【必填】
    private String ca153;//ca153&【必填】
    private String ca199;//ca199&【必填】
    private String ca125;//ca125&【必填】
    private String bloodFatTc;//血脂_总胆固醇&【必填】
    private String bloodFatTriglyceride;//血脂_甘油三脂&【必填】
    private String bloodFatLdlc;//血脂_血清低密度脂蛋白胆固醇&【必填】
    private String bloodFatHdlc;//血脂_血清高密度脂蛋白胆固醇&【必填】
    private String liverFunctionSalt;//肝功能_血清谷丙转氨酶&【必填】
    private String liverFunctionSgot;//肝功能_血清谷草转氨酶&【必填】
    private String liverFunctionAlbumin;//肝功能_白蛋白&【必填】
    private String liverFunctionTotalBilirubin;//肝功能_总胆红素&【必填】
    private String liverFunctionCb;//肝功能_结合胆红素&【必填】
    private String renalFunctionCreatinine;//肾功能_血清肌酐&【必填】
    private String renalFunctionBun;//肾功能_血尿素氮&【必填】
    private String renalFunctionBloodPotassium;//肾功能_血钾浓度&【必填】
    private String renalFunctionNatremia;//肾功能_血钠浓度&【必填】
    private String renalUricAcid;//肾功能_尿酸&【必填】
    private String ultraBreastNodule;//乳腺超声检查_乳腺结节&【乳腺超声检查必选，至少选一个】
    private String ultraAln;//乳腺超声检查_腋窝肿大淋巴结&
    private String ultraElniscr;//乳腺超声检查_锁骨上上下区肿大淋巴结&
    private String ultraAhn;//乳腺超声检查_肝脏异常结节&
    private String chestCt;//胸片或胸部ct&
    private String xRay;//乳腺x线检查&
    private String et;//子宫附件检查_子宫内膜增厚&
    private String weight;//体重&【必填】
    private String sports;//运动&【必填】
    private String diet;//饮食情况&【必填】
    private String modeOtherStr;//生活方式_其它内容&【必填】
    private String drugCompliance;//服药依从性&【必填】
    private String drugAdverseReaction;//药物不良反应&【必填】
    private String drugName1;//药物名称_1&
    private String drugSubdose1;//药物次剂量_1&
    private String dosageUnit1;//剂量单位_1&
    private String frequency1;//用药频次_1&
    private String drugName2;//药物名称_2&
    private String drugSubdose2;//药物次剂量_2&
    private String dosageUnit2;//剂量单位_2&
    private String frequency2;//用药频次_2&
    private String drugName3;//药物名称_3&
    private String drugSubdose3;//药物次剂量_3&
    private String dosageUnit3;//剂量单位_3&
    private String frequency3;//用药频次_3&
    private String drugName4;//药物名称_4&
    private String drugSubdose4;//药物次剂量_4&
    private String dosageUnit4;//剂量单位_4&
    private String frequency4;//用药频次_4&
    private String drugName5;//药物名称_5&
    private String drugSubdose5;//药物次剂量_5&
    private String dosageUnit5;//剂量单位_5&
    private String frequency5;//用药频次_5&
    private String drugName6;//药物名称_6&
    private String drugSubdose6;//药物次剂量_6&
    private String dosageUnit6;//剂量单位_6&
    private String frequency6;//用药频次_6&
    private String validFlag;//有效标志&【必填】
    private String createTime;//创建时间&
    private String createOperator;//创建人&【新增必填】
    private String modifyTime;//修改时间&
    private String modifyOperator;//修改人&【修改必填】
    private String remark;//备注


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getSickId() {
        return sickId;
    }

    public void setSickId(String sickId) {
        this.sickId = sickId;
    }

    public String getProblemId() {
        return problemId;
    }

    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    public String getFollowOrgId() {
        return followOrgId;
    }

    public void setFollowOrgId(String followOrgId) {
        this.followOrgId = followOrgId;
    }

    public String getFollowDoctor() {
        return followDoctor;
    }

    public void setFollowDoctor(String followDoctor) {
        this.followDoctor = followDoctor;
    }

    public String getFollowTime() {
        return followTime;
    }

    public void setFollowTime(String followTime) {
        this.followTime = followTime;
    }

    public String getFollowType() {
        return followType;
    }

    public void setFollowType(String followType) {
        this.followType = followType;
    }

    public String getFollowDoctorType() {
        return followDoctorType;
    }

    public void setFollowDoctorType(String followDoctorType) {
        this.followDoctorType = followDoctorType;
    }

    public String getNextFollowTime() {
        return nextFollowTime;
    }

    public void setNextFollowTime(String nextFollowTime) {
        this.nextFollowTime = nextFollowTime;
    }

    public String getIdentityCardNo() {
        return identityCardNo;
    }

    public void setIdentityCardNo(String identityCardNo) {
        this.identityCardNo = identityCardNo;
    }

    public String getAssessSource() {
        return assessSource;
    }

    public void setAssessSource(String assessSource) {
        this.assessSource = assessSource;
    }

    public String getSymptomBossing() {
        return symptomBossing;
    }

    public void setSymptomBossing(String symptomBossing) {
        this.symptomBossing = symptomBossing;
    }

    public String getSymptomArmpit() {
        return symptomArmpit;
    }

    public void setSymptomArmpit(String symptomArmpit) {
        this.symptomArmpit = symptomArmpit;
    }

    public String getSymptomSkeletal() {
        return symptomSkeletal;
    }

    public void setSymptomSkeletal(String symptomSkeletal) {
        this.symptomSkeletal = symptomSkeletal;
    }

    public String getSymptomRecurrent() {
        return symptomRecurrent;
    }

    public void setSymptomRecurrent(String symptomRecurrent) {
        this.symptomRecurrent = symptomRecurrent;
    }

    public String getSymptomAbdominal() {
        return symptomAbdominal;
    }

    public void setSymptomAbdominal(String symptomAbdominal) {
        this.symptomAbdominal = symptomAbdominal;
    }

    public String getSymptomPersistent() {
        return symptomPersistent;
    }

    public void setSymptomPersistent(String symptomPersistent) {
        this.symptomPersistent = symptomPersistent;
    }

    public String getSymptomOther() {
        return symptomOther;
    }

    public void setSymptomOther(String symptomOther) {
        this.symptomOther = symptomOther;
    }

    public String getSymptomOtherStr() {
        return symptomOtherStr;
    }

    public void setSymptomOtherStr(String symptomOtherStr) {
        this.symptomOtherStr = symptomOtherStr;
    }

    public String getSignPalpable() {
        return signPalpable;
    }

    public void setSignPalpable(String signPalpable) {
        this.signPalpable = signPalpable;
    }

    public String getSignArmpit() {
        return signArmpit;
    }

    public void setSignArmpit(String signArmpit) {
        this.signArmpit = signArmpit;
    }

    public String getSignAxillary() {
        return signAxillary;
    }

    public void setSignAxillary(String signAxillary) {
        this.signAxillary = signAxillary;
    }

    public String getCea() {
        return cea;
    }

    public void setCea(String cea) {
        this.cea = cea;
    }

    public String getCa153() {
        return ca153;
    }

    public void setCa153(String ca153) {
        this.ca153 = ca153;
    }

    public String getCa199() {
        return ca199;
    }

    public void setCa199(String ca199) {
        this.ca199 = ca199;
    }

    public String getCa125() {
        return ca125;
    }

    public void setCa125(String ca125) {
        this.ca125 = ca125;
    }

    public String getBloodFatTc() {
        return bloodFatTc;
    }

    public void setBloodFatTc(String bloodFatTc) {
        this.bloodFatTc = bloodFatTc;
    }

    public String getBloodFatTriglyceride() {
        return bloodFatTriglyceride;
    }

    public void setBloodFatTriglyceride(String bloodFatTriglyceride) {
        this.bloodFatTriglyceride = bloodFatTriglyceride;
    }

    public String getBloodFatLdlc() {
        return bloodFatLdlc;
    }

    public void setBloodFatLdlc(String bloodFatLdlc) {
        this.bloodFatLdlc = bloodFatLdlc;
    }

    public String getBloodFatHdlc() {
        return bloodFatHdlc;
    }

    public void setBloodFatHdlc(String bloodFatHdlc) {
        this.bloodFatHdlc = bloodFatHdlc;
    }

    public String getLiverFunctionSalt() {
        return liverFunctionSalt;
    }

    public void setLiverFunctionSalt(String liverFunctionSalt) {
        this.liverFunctionSalt = liverFunctionSalt;
    }

    public String getLiverFunctionSgot() {
        return liverFunctionSgot;
    }

    public void setLiverFunctionSgot(String liverFunctionSgot) {
        this.liverFunctionSgot = liverFunctionSgot;
    }

    public String getLiverFunctionAlbumin() {
        return liverFunctionAlbumin;
    }

    public void setLiverFunctionAlbumin(String liverFunctionAlbumin) {
        this.liverFunctionAlbumin = liverFunctionAlbumin;
    }

    public String getLiverFunctionTotalBilirubin() {
        return liverFunctionTotalBilirubin;
    }

    public void setLiverFunctionTotalBilirubin(String liverFunctionTotalBilirubin) {
        this.liverFunctionTotalBilirubin = liverFunctionTotalBilirubin;
    }

    public String getLiverFunctionCb() {
        return liverFunctionCb;
    }

    public void setLiverFunctionCb(String liverFunctionCb) {
        this.liverFunctionCb = liverFunctionCb;
    }

    public String getRenalFunctionCreatinine() {
        return renalFunctionCreatinine;
    }

    public void setRenalFunctionCreatinine(String renalFunctionCreatinine) {
        this.renalFunctionCreatinine = renalFunctionCreatinine;
    }

    public String getRenalFunctionBun() {
        return renalFunctionBun;
    }

    public void setRenalFunctionBun(String renalFunctionBun) {
        this.renalFunctionBun = renalFunctionBun;
    }

    public String getRenalFunctionBloodPotassium() {
        return renalFunctionBloodPotassium;
    }

    public void setRenalFunctionBloodPotassium(String renalFunctionBloodPotassium) {
        this.renalFunctionBloodPotassium = renalFunctionBloodPotassium;
    }

    public String getRenalFunctionNatremia() {
        return renalFunctionNatremia;
    }

    public void setRenalFunctionNatremia(String renalFunctionNatremia) {
        this.renalFunctionNatremia = renalFunctionNatremia;
    }

    public String getRenalUricAcid() {
        return renalUricAcid;
    }

    public void setRenalUricAcid(String renalUricAcid) {
        this.renalUricAcid = renalUricAcid;
    }

    public String getUltraBreastNodule() {
        return ultraBreastNodule;
    }

    public void setUltraBreastNodule(String ultraBreastNodule) {
        this.ultraBreastNodule = ultraBreastNodule;
    }

    public String getUltraAln() {
        return ultraAln;
    }

    public void setUltraAln(String ultraAln) {
        this.ultraAln = ultraAln;
    }

    public String getUltraElniscr() {
        return ultraElniscr;
    }

    public void setUltraElniscr(String ultraElniscr) {
        this.ultraElniscr = ultraElniscr;
    }

    public String getUltraAhn() {
        return ultraAhn;
    }

    public void setUltraAhn(String ultraAhn) {
        this.ultraAhn = ultraAhn;
    }

    public String getChestCt() {
        return chestCt;
    }

    public void setChestCt(String chestCt) {
        this.chestCt = chestCt;
    }

    public String getxRay() {
        return xRay;
    }

    public void setxRay(String xRay) {
        this.xRay = xRay;
    }

    public String getEt() {
        return et;
    }

    public void setEt(String et) {
        this.et = et;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getSports() {
        return sports;
    }

    public void setSports(String sports) {
        this.sports = sports;
    }

    public String getDiet() {
        return diet;
    }

    public void setDiet(String diet) {
        this.diet = diet;
    }

    public String getModeOtherStr() {
        return modeOtherStr;
    }

    public void setModeOtherStr(String modeOtherStr) {
        this.modeOtherStr = modeOtherStr;
    }

    public String getDrugCompliance() {
        return drugCompliance;
    }

    public void setDrugCompliance(String drugCompliance) {
        this.drugCompliance = drugCompliance;
    }

    public String getDrugAdverseReaction() {
        return drugAdverseReaction;
    }

    public void setDrugAdverseReaction(String drugAdverseReaction) {
        this.drugAdverseReaction = drugAdverseReaction;
    }

    public String getDrugName1() {
        return drugName1;
    }

    public void setDrugName1(String drugName1) {
        this.drugName1 = drugName1;
    }

    public String getDrugSubdose1() {
        return drugSubdose1;
    }

    public void setDrugSubdose1(String drugSubdose1) {
        this.drugSubdose1 = drugSubdose1;
    }

    public String getDosageUnit1() {
        return dosageUnit1;
    }

    public void setDosageUnit1(String dosageUnit1) {
        this.dosageUnit1 = dosageUnit1;
    }

    public String getFrequency1() {
        return frequency1;
    }

    public void setFrequency1(String frequency1) {
        this.frequency1 = frequency1;
    }

    public String getDrugName2() {
        return drugName2;
    }

    public void setDrugName2(String drugName2) {
        this.drugName2 = drugName2;
    }

    public String getDrugSubdose2() {
        return drugSubdose2;
    }

    public void setDrugSubdose2(String drugSubdose2) {
        this.drugSubdose2 = drugSubdose2;
    }

    public String getDosageUnit2() {
        return dosageUnit2;
    }

    public void setDosageUnit2(String dosageUnit2) {
        this.dosageUnit2 = dosageUnit2;
    }

    public String getFrequency2() {
        return frequency2;
    }

    public void setFrequency2(String frequency2) {
        this.frequency2 = frequency2;
    }

    public String getDrugName3() {
        return drugName3;
    }

    public void setDrugName3(String drugName3) {
        this.drugName3 = drugName3;
    }

    public String getDrugSubdose3() {
        return drugSubdose3;
    }

    public void setDrugSubdose3(String drugSubdose3) {
        this.drugSubdose3 = drugSubdose3;
    }

    public String getDosageUnit3() {
        return dosageUnit3;
    }

    public void setDosageUnit3(String dosageUnit3) {
        this.dosageUnit3 = dosageUnit3;
    }

    public String getFrequency3() {
        return frequency3;
    }

    public void setFrequency3(String frequency3) {
        this.frequency3 = frequency3;
    }

    public String getDrugName4() {
        return drugName4;
    }

    public void setDrugName4(String drugName4) {
        this.drugName4 = drugName4;
    }

    public String getDrugSubdose4() {
        return drugSubdose4;
    }

    public void setDrugSubdose4(String drugSubdose4) {
        this.drugSubdose4 = drugSubdose4;
    }

    public String getDosageUnit4() {
        return dosageUnit4;
    }

    public void setDosageUnit4(String dosageUnit4) {
        this.dosageUnit4 = dosageUnit4;
    }

    public String getFrequency4() {
        return frequency4;
    }

    public void setFrequency4(String frequency4) {
        this.frequency4 = frequency4;
    }

    public String getDrugName5() {
        return drugName5;
    }

    public void setDrugName5(String drugName5) {
        this.drugName5 = drugName5;
    }

    public String getDrugSubdose5() {
        return drugSubdose5;
    }

    public void setDrugSubdose5(String drugSubdose5) {
        this.drugSubdose5 = drugSubdose5;
    }

    public String getDosageUnit5() {
        return dosageUnit5;
    }

    public void setDosageUnit5(String dosageUnit5) {
        this.dosageUnit5 = dosageUnit5;
    }

    public String getFrequency5() {
        return frequency5;
    }

    public void setFrequency5(String frequency5) {
        this.frequency5 = frequency5;
    }

    public String getDrugName6() {
        return drugName6;
    }

    public void setDrugName6(String drugName6) {
        this.drugName6 = drugName6;
    }

    public String getDrugSubdose6() {
        return drugSubdose6;
    }

    public void setDrugSubdose6(String drugSubdose6) {
        this.drugSubdose6 = drugSubdose6;
    }

    public String getDosageUnit6() {
        return dosageUnit6;
    }

    public void setDosageUnit6(String dosageUnit6) {
        this.dosageUnit6 = dosageUnit6;
    }

    public String getFrequency6() {
        return frequency6;
    }

    public void setFrequency6(String frequency6) {
        this.frequency6 = frequency6;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateOperator() {
        return createOperator;
    }

    public void setCreateOperator(String createOperator) {
        this.createOperator = createOperator;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getModifyOperator() {
        return modifyOperator;
    }

    public void setModifyOperator(String modifyOperator) {
        this.modifyOperator = modifyOperator;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getFollowup_id() {
        return followup_id;
    }

    public void setFollowup_id(String followup_id) {
        this.followup_id = followup_id;
    }

    public String getFollowup_project() {
        return followup_project;
    }

    public void setFollowup_project(String followup_project) {
        this.followup_project = followup_project;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCreateOperatorName() {
        return createOperatorName;
    }

    public void setCreateOperatorName(String createOperatorName) {
        this.createOperatorName = createOperatorName;
    }

    public String getModifyOperatorName() {
        return modifyOperatorName;
    }

    public void setModifyOperatorName(String modifyOperatorName) {
        this.modifyOperatorName = modifyOperatorName;
    }
}
