package com.yihu.rehabilitation.vo.entity.phthisis_followup;

import java.util.List;

/**
 * 肺结核患者第N次入户随访
 */
public class PhthisisNTimesFollowupES {

    private String followup_id;             //随访记录ID
    private String followup_project;        //随访详情分类ID
    private String version;//版本号

    private String number;//编号

    /**
     * 患者基本信息
     */
    private PhthisisFollowupPatientInfoES patient;

    private List<PhthisisNTimesFollowupDataES> data;

    /**
     * 全程管理情况
     */
    private PhthisisFollowupManagementES management;

    /**
     * 停止治疗情况
     */
    private PhthisisFollowupStopTreateES stop_treate;

    public String getFollowup_id() {
        return followup_id;
    }

    public void setFollowup_id(String followup_id) {
        this.followup_id = followup_id;
    }

    public String getFollowup_project() {
        return followup_project;
    }

    public void setFollowup_project(String followup_project) {
        this.followup_project = followup_project;
    }

    public List<PhthisisNTimesFollowupDataES> getData() {
        return data;
    }

    public void setData(List<PhthisisNTimesFollowupDataES> data) {
        this.data = data;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public PhthisisFollowupManagementES getManagement() {
        return management;
    }

    public void setManagement(PhthisisFollowupManagementES management) {
        this.management = management;
    }

    public PhthisisFollowupStopTreateES getStop_treate() {
        return stop_treate;
    }

    public void setStop_treate(PhthisisFollowupStopTreateES stop_treate) {
        this.stop_treate = stop_treate;
    }

    public PhthisisFollowupPatientInfoES getPatient() {
        return patient;
    }

    public void setPatient(PhthisisFollowupPatientInfoES patient) {
        this.patient = patient;
    }
}
