package com.yihu.jw.hospital.module.door.dao;


import com.yihu.jw.entity.door.WlyyDoorDoctorStatusDO;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * 
 * 上门服务工单 数据库访问层
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  		2019年03月20日 	Created
 *
 * </pre>
 * @since 1.
 */
public interface WlyyDoorDoctorStatusDao extends PagingAndSortingRepository<WlyyDoorDoctorStatusDO, String>, JpaSpecificationExecutor<WlyyDoorDoctorStatusDO> {
    WlyyDoorDoctorStatusDO findByDoctor(String doctor);

    WlyyDoorDoctorStatusDO queryByDoctorAndStatusIn(String doctor, Integer[] status);

    List<WlyyDoorDoctorStatusDO> queryByStatusIn(Integer[] status, Pageable pageable);

    Integer countByStatusIn(Integer[] status);

    boolean existsByDoctorAndStatusIn(String doctor, Integer[] status);

}