package com.yihu.jw.hospital.module.patient.dao;


import com.yihu.jw.entity.patient.PatientRestTime;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;


import java.util.List;

/**
 * Created by yeshijie on 2023/3/22.
 */
public interface PatientRestTimeDao extends PagingAndSortingRepository<PatientRestTime, Long>, JpaSpecificationExecutor<PatientRestTime> {

    @Query("select t from PatientRestTime t where t.patient=?1 order by t.type asc ")
    List<PatientRestTime> findByPatient(String patient);
}
