package com.yihu.jw.application.dao;

import com.yihu.jw.entity.base.application.BaseApplicationMenuDO;
import com.yihu.jw.entity.base.application.BaseApplicationRoleMenuDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


/**
 */
public interface BaseApplicationRoleMenuDao extends JpaRepository<BaseApplicationRoleMenuDO, String>, JpaSpecificationExecutor<BaseApplicationRoleMenuDO> {

    @Modifying
    @Query("delete from BaseApplicationRoleMenuDO  where roleId=?1")
    void deleteByRoleId(String roleId);

    @Query("select p from BaseApplicationRoleMenuDO p where p.roleId=?1 ")
    List<BaseApplicationRoleMenuDO> findByRoleId(String roleId);
}