package com.yihu.jw.application.dao;

import com.yihu.jw.entity.base.application.BaseApplicationRoleMenuDO;
import com.yihu.jw.entity.base.application.BaseApplicationRoleUserDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


/**
 */
public interface BaseApplicationRoleUserDao extends JpaRepository<BaseApplicationRoleUserDO, String>, JpaSpecificationExecutor<BaseApplicationRoleUserDO> {


    @Modifying
    @Query("delete from BaseApplicationRoleUserDO  where roleId=?1")
    void deleteByRoleId(String roleId);

    @Query("select p from BaseApplicationRoleUserDO p where p.roleId=?1 ")
    List<BaseApplicationRoleUserDO> findByRoleId(String roleId);

    @Query("select p from BaseApplicationRoleUserDO p where p.roleId=?1 and p.userCode=?2 ")
    BaseApplicationRoleUserDO findByRolIdAnduserCode(String roleId,String userCode);
}