package com.yihu.jw.area.service;

import com.yihu.jw.area.dao.BaseStreetDao;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yihu.jw.entity.base.area.BaseStreetDO;

import java.util.List;

/**
 * 
 * 街道字典服务service
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * litaohong    1.0  2018年08月31日 Created
 *
 * </pre>
 * @since 1.
 */
@Service
public class BaseStreetService extends BaseJpaService<BaseStreetDO, BaseStreetDao> {

    @Autowired
    private BaseStreetDao baseStreetDao;

    public List<BaseStreetDO> findByTown(String town){
        return baseStreetDao.findByTown(town);
    }
}
