package com.yihu.jw.article.dao;

import com.yihu.jw.entity.hospital.article.KnowledgeArticleBrowseDO;
import com.yihu.jw.entity.hospital.article.KnowledgeArticleDoctorDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;


/**
 * 用户文章（浏览、）关系表
 */
public interface KnowledgeArticleBrowseDao extends JpaRepository<KnowledgeArticleBrowseDO, String>, JpaSpecificationExecutor<KnowledgeArticleBrowseDO> {

    @Query("select a from KnowledgeArticleBrowseDO a where a.relationCode=?1 and a.type=?2 order by a.createTime desc")
    List<KnowledgeArticleBrowseDO> findByRelationCodeAndType(String relationCode,Integer type);


}
