package com.yihu.jw.dailyReport.dao;

import com.yihu.jw.entity.dailyReport.BaseDailyReportDetailDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

/**
 * Created by Bing on 2022/7/25.
 */
public interface BaseDailyReportDetailDao extends JpaRepository<BaseDailyReportDetailDO,String>,
        JpaSpecificationExecutor<BaseDailyReportDetailDO> {

    void deleteByReportIdAndState(String reportID,Integer state);

    List<BaseDailyReportDetailDO> findByReportIdAndState(String reportId,Integer state);

    List<BaseDailyReportDetailDO> findByReportId(String reportId);
}
