package com.yihu.jw.dailyReport.dao;

import com.yihu.jw.entity.dailyReport.BaseDailyReportItemMembersDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface BaseDailyReportItemMembersDao extends JpaRepository<BaseDailyReportItemMembersDO,String>,
        JpaSpecificationExecutor<BaseDailyReportItemMembersDO> {

    @Query("select m from BaseDailyReportItemMembersDO m where m.del=1 and m.reportItemId=?1 ")
    List<BaseDailyReportItemMembersDO> findMembersByItemId(String itemId);

    @Modifying
    void deleteAllByReportItemId(String reportItemId);
}
