package com.yihu.jw.dailyReport.dao;

import com.yihu.jw.entity.dailyReport.BaseDailyReportLogDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by Bing on 2022/7/25.
 */
public interface BaseDailyReportLogDao extends JpaRepository<BaseDailyReportLogDO,String>,
        JpaSpecificationExecutor<BaseDailyReportLogDO> {

    @Query("select b from BaseDailyReportLogDO b where b.reportId=?1 order by b.createTime desc")
    List<BaseDailyReportLogDO> findByReportId(String reportId);
}
