package com.yihu.jw.dict.dao;

import com.yihu.jw.entity.hospital.dict.BaseSuperviseDataDict;
import com.yihu.jw.entity.hospital.dict.BaseSuperviseDict;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;


/**
 * 
 * 监管平台字典
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * litaohong 	1.0  		2018年10月19日 	Created
 *
 * </pre>
 * @since 1.
 */
public interface BaseSuperviseDataDictDao extends JpaRepository<BaseSuperviseDataDict, Integer>, JpaSpecificationExecutor<BaseSuperviseDataDict>  {
    @Query("select s from BaseSuperviseDataDict s where s.status=1")
    BaseSuperviseDataDict selectByDictName();
}