package com.yihu.jw.healthCare.utils;

import com.alibaba.fastjson.JSONObject;
import lombok.Data;

/**
 *  //明文入参，json key必须包含 sign_type，encrypt_type，funid，data，access_token 这五个。顺序无所谓
 *
 * @Author: lcp
 * @Date: 2020/7/6 21:19
 */
@Data
public class ReqDto {
    private String funid;//接口id
    private JSONObject data;//数据
    private String encrypt_type="AES";//加密类型
    private String access_token;//有效凭证
    private String sign_type="MD5";//签名类型
}
