package com.yihu.jw.hospital.doctor.dao;

import com.yihu.jw.entity.hospital.doctor.WlyyPatientRegisterTimeDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2019/6/19.
 */
public interface PatientRegisterTimeDao extends JpaRepository<WlyyPatientRegisterTimeDO, String>, JpaSpecificationExecutor<WlyyPatientRegisterTimeDO> {

    List<WlyyPatientRegisterTimeDO> findByDoctorAndWorkId(String doctor,String workId);
    List<WlyyPatientRegisterTimeDO> findByOutpatientId(String outpatientId);
    List<WlyyPatientRegisterTimeDO> findByDoctor(String doctor);
}
