package com.yihu.jw.hospital.family.dao;

import com.yihu.jw.entity.base.patient.BaseNatPatientFamilyMemberDO;
import com.yihu.jw.entity.hospital.family.WlyyPatientFamilyMemberDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface WlyyNatPatientFamilyMemberDao extends JpaRepository<BaseNatPatientFamilyMemberDO, String>, JpaSpecificationExecutor<BaseNatPatientFamilyMemberDO> {

    @Query("from BaseNatPatientFamilyMemberDO t where t.patient=?1  and t.del =1")
    List<BaseNatPatientFamilyMemberDO> findbyPatient(String patient);

    @Query("from BaseNatPatientFamilyMemberDO t where t.patient=?1  and t.del=1 and t.familyRelation =?2 ")
    List<BaseNatPatientFamilyMemberDO> findbyPatientAndFamilyRelation(String patient,String familyRelation);

    @Query("from BaseNatPatientFamilyMemberDO t where t.patient=?1  and t.del=1  and t.idcard=?3 and t.name=?2 ")
    List<BaseNatPatientFamilyMemberDO> findbyPatientAndFamilyRelationAndNameAndIdcard(String patient,String name,String idcard);

}
