package com.yihu.jw.hospital.integrate.dao;

import com.yihu.jw.entity.hospital.integrate.BaseHospitalActivityDO;
import com.yihu.jw.entity.hospital.integrate.BaseHospitalIntegrateDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

/**
 * wangzhinan 20230523
 */
public interface BaseHospitalIntegrateDao extends JpaRepository<BaseHospitalIntegrateDO, String>, JpaSpecificationExecutor<BaseHospitalIntegrateDO> {

    @Modifying
    @Query("delete from BaseHospitalIntegrateDO  where activityId = ?1")
    void deleteByActivityId(String activityId);


    @Query("from BaseHospitalIntegrateDO p where p.activityId = ?1 ")
    BaseHospitalIntegrateDO selectByActivityId(String activityId);

}
