package com.yihu.jw.hospital.record.service;

import com.yihu.jw.entity.hospital.record.HospitalPatientInpatientRecordDO;
import com.yihu.jw.hospital.record.dao.HospitalPatientInpatientRecordDao;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * Created by yeshijie on 2022/11/28.
 */
@Service
public class HospitalPatientInpatientRecordService extends BaseJpaService<HospitalPatientInpatientRecordDO, HospitalPatientInpatientRecordDao> {

    @Resource
    private HospitalPatientInpatientRecordDao hospitalPatientInpatientRecordDao;

    /**
     * 查找最近一次住院记录
     */
    public HospitalPatientInpatientRecordDO findByPatientRecently(String patient){
        return hospitalPatientInpatientRecordDao.findByPatientRecently(patient);
    }
}
