package com.yihu.jw.hospital.survey.dao;

import com.yihu.jw.entity.hospital.survey.WlyySurveyDeptDO;
import com.yihu.jw.entity.hospital.survey.WlyySurveyInspLabelInfoDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2019/9/12.
 */
public interface SurveyDeptDao extends JpaRepository<WlyySurveyDeptDO, String>, JpaSpecificationExecutor<WlyySurveyDeptDO> {

    List<WlyySurveyDeptDO> findBySurveyTempCode(String surveyTempCode);

    List<WlyySurveyDeptDO> findByDept(String dept);

}
