package com.yihu.jw.hospital.team.dao;


import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import com.yihu.jw.entity.hospital.team.*;

import java.util.List;

public interface WlyyAdminTeamDao extends JpaRepository<WlyyAdminTeamDO, Integer>, JpaSpecificationExecutor<WlyyAdminTeamDO> {

////    @Query("from WlyyAdminTeamDO  t where t.orgCode=?1 and t.available=1")
//    @Query("from WlyyAdminTeamDO  t where t.orgCode=?1 ")
//    List<WlyyAdminTeamDO> findTeamByOrgCode(String orgCode, Pageable pageRequest);

//    @Query("from WlyyAdminTeamDO  t where 1=1 and t.available='1' ")
    @Query("from WlyyAdminTeamDO  t where 1=1  ")
    List<WlyyAdminTeamDO> findTeamAndAvailable();


    @Query(value = "select t.id from WlyyAdminTeamDO t " +
            "where t.specialCode=?1 and t.acceptType=?2 and t.orgCode=?3 and t.available=true")
    Long findTeamID(String specialCode, Integer acceptType, String orgCode);

    @Query(value = "select t.leaderCode from WlyyAdminTeamDO t " +
            "where t.specialCode=?1 and t.acceptType=?2 and t.orgCode=?3 and t.available=true")
    String findTeamLeader(String specialCode, Integer acceptType, String orgCode);

    @Query(value = "select count(1) from WlyyAdminTeamDO t " +
            "where t.specialCode=?1 and t.acceptType=?2 and t.orgCode=?3 and t.available=true ")
    Integer findAcceptTeamCount(String specialCode, Integer acceptType, String orgCode);

//    @Query(value = "select t from WlyyAdminTeamDO t where t.id=?1")
//    WlyyAdminTeamDO findAdminTeamById(Long teamId);
//
//    @Query(value = "select t from WlyyAdminTeamDO t where t.orgCode=?1 and t.leaderCode=?2 and t.available=true ")
//    List<WlyyAdminTeamDO> findAdminTeamByLeaderCode(String hospital,String doctor);


}
