package com.yihu.jw.internet.dao;

import com.yihu.jw.internet.entity.MedicalSkillOrdersDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by cws on 2019/9/10.
 */
public interface MedicalSkillOrdersDao extends JpaRepository<MedicalSkillOrdersDO, String>, JpaSpecificationExecutor<MedicalSkillOrdersDO> {

    @Query("from MedicalSkillOrdersDO a where a.appTime >= ?1 and a.appTime < ?2")
    List<MedicalSkillOrdersDO> findMedicalSkillOrdersByAppTime(String startDate, String endDate);

}
