package com.yihu.jw.order.dao;

import com.yihu.jw.entity.order.BusinessOrderDO;
import com.yihu.jw.entity.order.BusinessOrderRefundDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;


public interface BusinessOrderRefundDao extends JpaRepository<BusinessOrderRefundDO, Integer>, JpaSpecificationExecutor<BusinessOrderRefundDO>  {



    @Query("from BusinessOrderRefundDO w where w.orderNo = ?1 ")
    BusinessOrderRefundDO selectByOrderNo(String orderNo);

}