package com.yihu.jw.processGuidance.dao;

import com.yihu.jw.entity.base.processGuidance.BaseProcessGuidanceNodeAppDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by yeshijie on 2022/9/30.
 */
public interface BaseProcessGuidanceNodeAppDao extends JpaRepository<BaseProcessGuidanceNodeAppDO, String>,
        JpaSpecificationExecutor<BaseProcessGuidanceNodeAppDO> {

    List<BaseProcessGuidanceNodeAppDO> findByNodeId(String nodeId);

    @Query("select a from BaseProcessGuidanceNodeAppDO a,BaseProcessGuidanceNodeDO b where b.nodeCode=?1 and a.nodeId=b.id")
    List<BaseProcessGuidanceNodeAppDO> findByNodeCode(String nodeCode);

    void deleteByNodeId(String nodeId);
}
