package com.yihu.jw.processGuidance.dao;

import com.yihu.jw.entity.base.processGuidance.BaseProcessGuidancePresetDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Created by yeshijie on 2022/9/30.
 */
public interface BaseProcessGuidancePresetDao extends JpaRepository<BaseProcessGuidancePresetDO, String>,
        JpaSpecificationExecutor<BaseProcessGuidancePresetDO> {

    @Query("from BaseProcessGuidancePresetDO where processGuidanceId=?1 order by sortNo asc ")
    List<BaseProcessGuidancePresetDO> findByProcessGuidanceId(String processGuidanceId);

    void deleteByProcessGuidanceId(String processGuidanceId);

    List<BaseProcessGuidancePresetDO> findByProcessCode(String processCode);

}
