package com.yihu.jw.thirdUpload;

import com.yihu.jw.entity.thirdUpload.AchnsDoctorRecordDO;
import com.yihu.jw.entity.thirdUpload.BaseNsOnlineMedDO;
import com.yihu.jw.entity.thirdUpload.UpAppointmentOnlineDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;
import java.util.List;

public interface AchnsDoctorRecordDao extends JpaRepository<AchnsDoctorRecordDO, String>, JpaSpecificationExecutor<AchnsDoctorRecordDO> {
    @Query("from AchnsDoctorRecordDO t where t.is_del='1' and t.create_time>=?1 and t.create_time<=?2")
    List<AchnsDoctorRecordDO> findAchnsDoctorRecordDOByCreateTime(Date startTime, Date endTime);

    @Query("from AchnsDoctorRecordDO t where t.create_time>=?1 and t.create_time<=?2")
    List<AchnsDoctorRecordDO> finAllByDate(Date startTime, Date endTime);

    @Query("select count(1) from AchnsDoctorRecordDO t where t.create_time>=?1 and t.create_time<=?2")
    String findCount(Date startTime, Date endTime);

}
