package com.yihu.jw.thirdUpload;

import com.yihu.jw.entity.thirdUpload.BaseNsOnlineAskDO;
import com.yihu.jw.entity.thirdUpload.BaseNsOnlineMedDO;
import com.yihu.jw.entity.thirdUpload.BaseNsPrescriptionDO;
import com.yihu.jw.entity.thirdUpload.BaseNsPrescriptionDrugDO;
import feign.Param;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;
import java.util.List;

public interface BaseNsPrescriptionDrugDao extends JpaRepository<BaseNsPrescriptionDrugDO, String>, JpaSpecificationExecutor<BaseNsPrescriptionDrugDO> {
    @Query("from BaseNsPrescriptionDrugDO")
    List<BaseNsPrescriptionDrugDO> findAll();

    @Query("from BaseNsPrescriptionDrugDO t where t.createTime>=?1 and t.createTime<=?2")
    List<BaseNsPrescriptionDrugDO> finAllByDate(Date startTime, Date endTime);

    @Query("select count(1) from BaseNsPrescriptionDrugDO t where t.createTime>=?1 and t.createTime<=?2")
    String findCount(Date startTime, Date endTime);

}
