package com.yihu.jw.wechat.service;

import com.yihu.jw.entity.base.wx.WxAccessTokenDO;
import com.yihu.jw.entity.base.wx.WxTemplateConfigDO;
import com.yihu.jw.util.wechat.WeixinMessagePushUtils;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * Created by yeshijie on 2022/11/22.
 */
@Component
public class WechatUtilService {

    @Value("${wechat.id}")
    private String wechatId;
    @Resource
    private WxAccessTokenService wxAccessTokenService;
    @Resource
    private WeixinMessagePushUtils weixinMessagePushUtils;

    public void putWxMsg(String openid, WxTemplateConfigDO newConfig){
        try {
            WxAccessTokenDO wxAccessTokenDO = wxAccessTokenService.getWxAccessTokenById(wechatId);
            weixinMessagePushUtils.putWxMsg(wxAccessTokenDO.getAccessToken(), openid, newConfig);
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}
