package com.yihu.jw.entity.base.application;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;


/**
 *
 * 应用角色-用户配置
 * @author Administrator on  2018年09月05日
 *
 */
@Entity
@Table(name = "base_application_role_user")
public class BaseApplicationRoleUserDO extends UuidIdentityEntityWithOperator {

    private String roleId;//角色id
    private String type;//角色类型（字典V_APPLICATION_ROLE_DICT）
    private Integer userType;//用户类型（1患者2医生）
    private String userCode;//用户code

    public String getRoleId() {
        return roleId;
    }

    public void setRoleId(String roleId) {
        this.roleId = roleId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Integer getUserType() {
        return userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }
}