package com.yihu.jw.entity.base.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.*;
import java.util.Date;

/**
 * 患者监测目标-运动
 * @author huangwenjie
 * @date 2017/9/7 20:07
 */
@Entity
@Table(name = "wlyy_patient_aim_sports")
@SequenceGenerator(name = "id_generated", sequenceName = "wlyy_patient_aim_sports")
public class PatientAimSports extends IdEntity {
    private String code;                //业务逻辑CODE，如果CODE为default,则该条记录为系统预置数据
    private String patientcode;         //患者CODE
    private Integer dailyStepCount;     //运动步数
    private String bmiMax;              //bmi标准上限
    private String bmiMin;              //bmi标准下线
    private String createDate;      //上传日期
    private Date createTime;       //创建时间


    @Basic
    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Basic
    @Column(name = "patientcode")
    public String getPatientcode() {
        return patientcode;
    }

    public void setPatientcode(String patientcode) {
        this.patientcode = patientcode;
    }

    @Basic
    @Column(name = "daily_step_count")
    public Integer getDailyStepCount() {
        return dailyStepCount;
    }

    public void setDailyStepCount(Integer dailyStepCount) {
        this.dailyStepCount = dailyStepCount;
    }

    @Basic
    @Column(name = "bmi_max")
    public String getBmiMax() {
        return bmiMax;
    }

    public void setBmiMax(String bmiMax) {
        this.bmiMax = bmiMax;
    }

    @Basic
    @Column(name = "bmi_min")
    public String getBmiMin() {
        return bmiMin;
    }

    public void setBmiMin(String bmiMin) {
        this.bmiMin = bmiMin;
    }

    @Basic
    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Basic
    @Column(name = "create_date")
    public String getCreateDate() {
        return createDate;
    }

    public void setCreateDate(String createDate) {
        this.createDate = createDate;
    }
}
