package com.yihu.jw.entity.base.doctor;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 医生app菜单表
 * Created by yeshijie on 2022/12/2.
 */
@Entity
@Table(name = "base_doctor_menu")
public class BaseDoctorMenuDO extends UuidIdentityEntity {

    private String pid;//父菜单id
    private String name;//菜单名称
    private String code;//菜单编码
    private String sortNo;//排序
    private String img;//菜单图标

    @Column(name = "pid")
    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "sort_no")
    public String getSortNo() {
        return sortNo;
    }

    public void setSortNo(String sortNo) {
        this.sortNo = sortNo;
    }

    @Column(name = "img")
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }
}
