package com.yihu.jw.entity.base.login;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 *  登录终端表
 * Created by yeshijie on 2022/11/28.
 */
@Entity
@Table(name = "base_login_component")
public class BaseLoginComponentDO extends UuidIdentityEntityWithCreateTime {

    private String loginAppId;//登录应用id
    private String name;//终端角色名称
    private String type;//登录终端类型（字典 login_compont_type）
    private String loginType;//登录类型（字典 login_type）
    private String registField;//注册字段（字典 regist_field）
    private String backgroudImg;//背景图

    @Column(name = "login_app_id")
    public String getLoginAppId() {
        return loginAppId;
    }

    public void setLoginAppId(String loginAppId) {
        this.loginAppId = loginAppId;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Column(name = "login_type")
    public String getLoginType() {
        return loginType;
    }

    public void setLoginType(String loginType) {
        this.loginType = loginType;
    }

    @Column(name = "regist_field")
    public String getRegistField() {
        return registField;
    }

    public void setRegistField(String registField) {
        this.registField = registField;
    }

    @Column(name = "backgroud_img")
    public String getBackgroudImg() {
        return backgroudImg;
    }

    public void setBackgroudImg(String backgroudImg) {
        this.backgroudImg = backgroudImg;
    }
}
