package com.yihu.jw.entity.base.processGuidance;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * Created by yeshijie on 2022/9/30.
 */
@Entity
@Table(name = "base_process_guidance_node")
public class BaseProcessGuidanceNodeDO extends UuidIdentityEntityWithCreateTime {

    private String nodeName;//节点名称
    private String nodeCode;//节点CODE
    private String nodeDescribe;//节点描述
    private String notice;//注意事项
    private Integer status;//状态1生效 0失效
    private String statusName;

    private List<BaseProcessGuidanceNodeAppDO> nodeAppDOList;//关联应用

    @Column(name = "node_name")
    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    @Column(name = "node_code")
    public String getNodeCode() {
        return nodeCode;
    }

    public void setNodeCode(String nodeCode) {
        this.nodeCode = nodeCode;
    }

    @Column(name = "node_describe")
    public String getNodeDescribe() {
        return nodeDescribe;
    }

    public void setNodeDescribe(String nodeDescribe) {
        this.nodeDescribe = nodeDescribe;
    }

    @Column(name = "notice")
    public String getNotice() {
        return notice;
    }

    public void setNotice(String notice) {
        this.notice = notice;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Transient
    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    @Transient
    public List<BaseProcessGuidanceNodeAppDO> getNodeAppDOList() {
        return nodeAppDOList;
    }

    public void setNodeAppDOList(List<BaseProcessGuidanceNodeAppDO> nodeAppDOList) {
        this.nodeAppDOList = nodeAppDOList;
    }
}
