package com.yihu.jw.entity.base.processGuidance;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 全流程指引-节点-微信模板
 * Created by yeshijie on 2022/9/30.
 */
@Entity
@Table(name = "base_process_guidance_node_wx")
public class BaseProcessGuidanceNodeWxDO extends UuidIdentityEntity {

    private String nodeId;//节点id nodeId=system表示系统模板
    private Integer isPush;//是否推送（1开启，0关闭）
    private String templateId;//模板id
    private String templateName;//模板名称
    private String preview;//模板预览

    @Column(name = "node_id")
    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    @Column(name = "is_push")
    public Integer getIsPush() {
        return isPush;
    }

    public void setIsPush(Integer isPush) {
        this.isPush = isPush;
    }

    @Column(name = "template_id")
    public String getTemplateId() {
        return templateId;
    }

    public void setTemplateId(String templateId) {
        this.templateId = templateId;
    }

    @Column(name = "template_name")
    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    @Column(name = "preview")
    public String getPreview() {
        return preview;
    }

    public void setPreview(String preview) {
        this.preview = preview;
    }
}
