package com.yihu.jw.entity.base.processGuidance;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * 全流程指引预设流程
 * Created by yeshijie on 2022/9/30.
 */
@Entity
@Table(name = "base_process_guidance_preset")
public class BaseProcessGuidancePresetDO extends UuidIdentityEntityWithCreateTime {

    private String processGuidanceId;//流程指引id
    private String processCode;//步骤code =节点id（nodeId）
    private String processName;//步骤名称
    private Integer sortNo;//步骤排序
    private Integer isOptional;//是否可选项（1必要项，2可选项 ）

    private Integer status;//状态 0未做 1已做
    private Object obj;//已做的明细

    @Column(name = "process_guidance_id")
    public String getProcessGuidanceId() {
        return processGuidanceId;
    }

    public void setProcessGuidanceId(String processGuidanceId) {
        this.processGuidanceId = processGuidanceId;
    }

    @Column(name = "process_code")
    public String getProcessCode() {
        return processCode;
    }

    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    @Column(name = "process_name")
    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    @Column(name = "sort_no")
    public Integer getSortNo() {
        return sortNo;
    }

    public void setSortNo(Integer sortNo) {
        this.sortNo = sortNo;
    }

    @Column(name = "is_optional")
    public Integer getIsOptional() {
        return isOptional;
    }

    public void setIsOptional(Integer isOptional) {
        this.isOptional = isOptional;
    }

    @Transient
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Transient
    public Object getObj() {
        return obj;
    }

    public void setObj(Object obj) {
        this.obj = obj;
    }
}
