package com.yihu.jw.entity.base.servicePackage;

import com.yihu.jw.entity.IntegerIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * Created by Bing on 2022/3/11.
 * 老人助老员关联实体
 */
@Entity
@Table(name = "base_patient_helper")
@SequenceGenerator(name="id_generated", sequenceName="seq_base_patient_helper")
public class BasePatientHelperDO extends IntegerIdentityEntityWithOperator {

    private String patient;
    private String patientName;
    private String doctor;
    private String doctorName;
    private String del;//状态（1有效0无效）

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }
}
