package com.yihu.jw.entity.base.servicePackage;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

import java.util.Date;

/**
 * @author suqinyi
 * @Date 2023/9/21
 */
@Entity
@Table(name = "base_service_item_config")
public class ServiceItemConfig extends UuidIdentityEntity implements java.io.Serializable {

    @Column(name = "package_id")
    private String packageId;//服务包id

    @Column(name = "server_item_id")
    private String serverItemId;//项目的id-对应item表主键

    @Column(name = "assess_type")
    private String assessType;//说明

    @Column(name = "booking_type")
    private String bookingType;//状态

    @Column(name = "late_serve_type")
    private String lateServeType;//排序

    @Column(name = "plan_start_time_type")
    private String planStartTimeType;

    @Column(name = "server_time_type")
    private String serverTimeType;

    @Column(name = "server_count")
    private String serverCount;

    @Column(name = "template_type")
    private String templateType;

    @Column(name = "template_code")
    private String templateCode;


    @Column(name = "pricing_units_code")
    private String pricingUnitsCode;//计价单位

    @Column(name = "pricing_units_name")
    private String pricingUnitsName;//计价单位名称

    @Column(name = "frequency_code")
    private String frequencyCode;//频次


    private String name;//名称

    @Transient
    public String getName() {
        return name;
    }


    public void setName(String name) {
        this.name = name;
    }

    public String getFrequencyCode() {
        return frequencyCode;
    }

    public void setFrequencyCode(String frequencyCode) {
        this.frequencyCode = frequencyCode;
    }

    public String getPricingUnitsCode() {
        return pricingUnitsCode;
    }

    public void setPricingUnitsCode(String pricingUnitsCode) {
        this.pricingUnitsCode = pricingUnitsCode;
    }

    public String getPricingUnitsName() {
        return pricingUnitsName;
    }

    public void setPricingUnitsName(String pricingUnitsName) {
        this.pricingUnitsName = pricingUnitsName;
    }

    public String getPackageId() {
        return packageId;
    }

    public void setPackageId(String packageId) {
        this.packageId = packageId;
    }

    public String getServerItemId() {
        return serverItemId;
    }

    public void setServerItemId(String serverItemId) {
        this.serverItemId = serverItemId;
    }

    public String getAssessType() {
        return assessType;
    }

    public void setAssessType(String assessType) {
        this.assessType = assessType;
    }

    public String getBookingType() {
        return bookingType;
    }

    public void setBookingType(String bookingType) {
        this.bookingType = bookingType;
    }

    public String getLateServeType() {
        return lateServeType;
    }

    public void setLateServeType(String lateServeType) {
        this.lateServeType = lateServeType;
    }

    public String getPlanStartTimeType() {
        return planStartTimeType;
    }

    public void setPlanStartTimeType(String planStartTimeType) {
        this.planStartTimeType = planStartTimeType;
    }

    public String getServerTimeType() {
        return serverTimeType;
    }

    public void setServerTimeType(String serverTimeType) {
        this.serverTimeType = serverTimeType;
    }

    public String getServerCount() {
        return serverCount;
    }

    public void setServerCount(String serverCount) {
        this.serverCount = serverCount;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }
}
