package com.yihu.jw.entity.base.theme;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * Entity - 主题风格
 * Created by progr1mmer on 2018/8/14.
 */
@Entity
@Table(name = "base_theme")
@SequenceGenerator(name="id_generated", sequenceName="BASE_THEME_SEQ")
public class ThemeDO extends IntegerIdentityEntity {

    //主题风格
    private String style;

    @Column(name = "style", nullable = false)
    public String getStyle() {
        return style;
    }

    public void setStyle(String style) {
        this.style = style;
    }
}
