package com.yihu.jw.entity.care.handover;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wsl on 2022/03/22.
 */

@Entity
@Table(name = "base_day_handover")
public class BaseDayHandover extends UuidIdentityEntityWithCreateTime {


    private String createUser; //提交人
    private String createUserName; //
    private String handoverUser; //交接人
    private String handoverUserName; //
    private Date createTime; //创建时间
    private String deviceOverview; //设备概况
    private String oldOverview; //老人概况
    private String note; //备注

    @Column(name = "create_user")
    public String getCreateUser() {
        return createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Column(name = "create_user_name")
    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Column(name = "handover_user")
    public String getHandoverUser() {
        return handoverUser;
    }

    public void setHandoverUser(String handoverUser) {
        this.handoverUser = handoverUser;
    }

    @Column(name = "handover_user_name")
    public String getHandoverUserName() {
        return handoverUserName;
    }

    public void setHandoverUserName(String handoverUserName) {
        this.handoverUserName = handoverUserName;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "device_overview")
    public String getDeviceOverview() {
        return deviceOverview;
    }

    public void setDeviceOverview(String deviceOverview) {
        this.deviceOverview = deviceOverview;
    }

    @Column(name = "old_overview")
    public String getOldOverview() {
        return oldOverview;
    }

    public void setOldOverview(String oldOverview) {
        this.oldOverview = oldOverview;
    }

    @Column(name = "note")
    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

}
