package com.yihu.jw.entity.care.radio;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author xyq
 * @create 2022-07-04 11:48
 * @slogan 他化自在，我自逍遥
 */
@Entity
@Table(name = "wlyy_radio")
public class WlyyRadioDO extends IdEntity {

    //频道名称
    @Column(name = "name")
    private String name;

    //频率
    @Column(name = "frequency")
    private String frequency;

    //简介
    @Column(name = "introduction")
    private String introduction;

    //播放地址
    @Column(name = "url")
    private String url;

    //排序
    @Column(name = "sort_num")
    private Integer sortNum;

    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date createTime;

    //1可用，0禁用
    @Column(name = "status")
    private Integer status;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFrequency() {
        return frequency;
    }

    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
