package com.yihu.jw.entity.care.video;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author xyq
 * @create 2022-07-04 16:09
 * @slogan 他化自在，我自逍遥
 */
@Entity
@Table(name = "base_video_group")
public class BaseVideoGroupDO extends IdEntity {

    //栏目名称
    @Column(name = "name")
    private String name;

    //栏目排序
    @Column(name = "sort_num")
    private Integer sortNum;

    //1启用，0禁用
    @Column(name = "status")
    private Integer status;


    //创建时间
    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    private Date createTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
