package com.yihu.jw.entity.care.visit;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Bing on 2022/5/18.
 * 日常走访签到表
 */
@Entity
@Table(name = "base_visit_sign")
public class BaseVisitSignDO extends UuidIdentityEntityWithCreateTime {

    private String visitId; //走访id
    private Integer type;  // 签到方式1.定位，2.拍照
    private String doctor; //签到医生
    private String doctorName;
    private String lon; //经度
    private String lat; //纬度
    private String address;//签到地址
    private String img;//图片 多张逗号隔开
    private Integer del; //0无效 1有效

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getLon() {
        return lon;
    }

    public void setLon(String lon) {
        this.lon = lon;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}
