package com.yihu.jw.entity.dailyReport;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * Created by Bing on 2022/7/25.
 * 每日日上报记录
 */
@Entity
@Table(name = "base_doctor_daily_report_upload")
public class BaseDailyReportUploadDO extends UuidIdentityEntityWithOperator {

    private String doctorId;
    private String doctorName;
    private String weekName;
    private Integer state;//是否全部核实 0未核实1已核实
    private Integer leaveState;//请假状态0未请假1请假
    private String leaveHour;//请假时长
    private String reportDate; //上报日期
    private String totalHour;//上报时长

    private boolean verifiedRepeatFlag;

    public String getTotalHour() {
        return totalHour;
    }

    public void setTotalHour(String totalHour) {
        this.totalHour = totalHour;
    }

    private List<BaseDailyReportDetailDO> detailDOList;

    private List<BaseDailyReportLogDO> dailyReportLogDOList;

    @Transient
    public List<BaseDailyReportLogDO> getDailyReportLogDOList() {
        return dailyReportLogDOList;
    }

    public void setDailyReportLogDOList(List<BaseDailyReportLogDO> dailyReportLogDOList) {
        this.dailyReportLogDOList = dailyReportLogDOList;
    }

    public String getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(String doctorId) {
        this.doctorId = doctorId;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getWeekName() {
        return weekName;
    }

    public void setWeekName(String weekName) {
        this.weekName = weekName;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getReportDate() {
        return reportDate;
    }

    public void setReportDate(String reportDate) {
        this.reportDate = reportDate;
    }

    @Transient
    public List<BaseDailyReportDetailDO> getDetailDOList() {
        return detailDOList;
    }

    public void setDetailDOList(List<BaseDailyReportDetailDO> detailDOList) {
        this.detailDOList = detailDOList;
    }

    public Integer getLeaveState() {
        return leaveState;
    }

    public void setLeaveState(Integer leaveState) {
        this.leaveState = leaveState;
    }

    public String getLeaveHour() {
        return leaveHour;
    }

    public void setLeaveHour(String leaveHour) {
        this.leaveHour = leaveHour;
    }

    @Transient
    public boolean isVerifiedRepeatFlag() {
        return verifiedRepeatFlag;
    }

    public void setVerifiedRepeatFlag(boolean verifiedRepeatFlag) {
        this.verifiedRepeatFlag = verifiedRepeatFlag;
    }
}
