package com.yihu.jw.entity.followup;


import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.*;

/**
 * 随访模板表
 */
@Entity
@Table(name = "base_followup_template")
public class FollowupTemplate extends UuidIdentityEntityWithOperator {
	@Column(name = "template_name")
	private String templateName;

	@Column(name = "followup_statrt_time_type")
	private String followupStatrtTimeType;

	@Column(name = "followup_count")
	private String followupCount;

	@Column(name = "description")
	private String description;

	@Column(name = "template_detail_json")
	private String templateDetailJson;

	@Column(name = "status")
	private String status;

	@Column(name = "leased_code")
	private String leasedCode;

	@Column(name = "leased_name")
	private String leasedName;

	@Column(name = "org_code")
	private String orgCode;

	@Column(name = "org_name")
	private String orgName;

	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	public String getFollowupStatrtTimeType() {
		return followupStatrtTimeType;
	}

	public void setFollowupStatrtTimeType(String followupStatrtTimeType) {
		this.followupStatrtTimeType = followupStatrtTimeType;
	}

	public String getFollowupCount() {
		return followupCount;
	}

	public void setFollowupCount(String followupCount) {
		this.followupCount = followupCount;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getTemplateDetailJson() {
		return templateDetailJson;
	}

	public void setTemplateDetailJson(String templateDetailJson) {
		this.templateDetailJson = templateDetailJson;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getLeasedCode() {
		return leasedCode;
	}

	public void setLeasedCode(String leasedCode) {
		this.leasedCode = leasedCode;
	}

	public String getLeasedName() {
		return leasedName;
	}

	public void setLeasedName(String leasedName) {
		this.leasedName = leasedName;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
}
