package com.yihu.jw.entity.healthUpload;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * Created by yeshijie on 2022/11/17.
 */
@Entity
@Table(name = "base_health_reporting_frequency")
public class HealthReportingFrequencyDO extends UuidIdentityEntityWithCreateTime {

    private Integer type;//类型 1院内科室 2门诊陪护 3住院陪护
    private String typeName;
    private String day;//几天
    private String checks;//几检
    private String reportInterval;//上报间隔
    private String deptJson;//关联科室 逗号间隔
    private String doctor;//医生code

    private List<DeptVO> deptList;//关联科室列表

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "day")
    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }

    @Column(name = "checks")
    public String getChecks() {
        return checks;
    }

    public void setChecks(String checks) {
        this.checks = checks;
    }

    @Column(name = "report_interval")
    public String getReportInterval() {
        return reportInterval;
    }

    public void setReportInterval(String reportInterval) {
        this.reportInterval = reportInterval;
    }

    @Column(name = "dept_json")
    public String getDeptJson() {
        return deptJson;
    }

    public void setDeptJson(String deptJson) {
        this.deptJson = deptJson;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Transient
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Transient
    public List<DeptVO> getDeptList() {
        return deptList;
    }

    public void setDeptList(List<DeptVO> deptList) {
        this.deptList = deptList;
    }
}
