package com.yihu.jw.entity.hospital.article;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 医生文章关系表
 */
@Entity
@Table(name = "base_knowledge_article_doctor")
public class KnowledgeArticleDoctorDO extends UuidIdentityEntityWithOperator {
	
	private String baseArticleDoctorId;//回复关联
	private String relationCode;//文章id/医生code
	private Integer relationType;//1文章2医生
	private String user;//用户code
	private String userName;//用户名称
	private Integer type;//1评论2点赞3收藏
	private String content;//评论内容及回复内容

	public String getBaseArticleDoctorId() {
		return baseArticleDoctorId;
	}

	public void setBaseArticleDoctorId(String baseArticleDoctorId) {
		this.baseArticleDoctorId = baseArticleDoctorId;
	}

	public String getRelationCode() {
		return relationCode;
	}

	public void setRelationCode(String relationCode) {
		this.relationCode = relationCode;
	}

	public Integer getRelationType() {
		return relationType;
	}

	public void setRelationType(Integer relationType) {
		this.relationType = relationType;
	}

	public String getUser() {
		return user;
	}

	public void setUser(String user) {
		this.user = user;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
}
