package com.yihu.jw.entity.hospital.booking;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 签到表
 * Created by yeshijie on 2022/12/7.
 */
@Entity
@Table(name = "base_sign")
public class BaseSignDO extends UuidIdentityEntityWithCreateTime {

    private String relationId;//关联id
    private Integer type;//类型1门诊/预约挂号
    private String patient;
    private String patientName;

    @Column(name = "relation_id")
    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "patient_name")
    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }
}
