package com.yihu.jw.entity.hospital.integrate;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_hospital_integrate")
public class BaseHospitalIntegrateDO extends UuidIdentityEntityWithOperator {

    private String activityId;//活动id
    private Integer type;//1一次性2重复3连续
    private String conditions;//积分规则(格式[{"total":"次数","unit":"单位","integrate":"积分"}])
    private String description;//积分说明

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getConditions() {
        return conditions;
    }

    public void setConditions(String conditions) {
        this.conditions = conditions;
    }


    public String getActivityId() {
        return activityId;
    }

    public void setActivityId(String activityId) {
        this.activityId = activityId;
    }

}

