package com.yihu.jw.entity.hospital.integrate;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_hospital_medal")
public class BaseHospitalMedalDO extends UuidIdentityEntityWithOperator {

    private String name;//勋章名称
    private String banner;//勋章图片
    private String integrateType;//积分类型
    private String integrateTypeName;//积分类型名称
    private Double integrate;//积分
    private String belong;//获取对象1医生2患者
    private Integer status;//0禁用1启用

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getBanner() {
        return banner;
    }

    public void setBanner(String banner) {
        this.banner = banner;
    }

    public String getIntegrateType() {
        return integrateType;
    }

    public void setIntegrateType(String integrateType) {
        this.integrateType = integrateType;
    }

    public String getIntegrateTypeName() {
        return integrateTypeName;
    }

    public void setIntegrateTypeName(String integrateTypeName) {
        this.integrateTypeName = integrateTypeName;
    }

    public Double getIntegrate() {
        return integrate;
    }

    public void setIntegrate(Double integrate) {
        this.integrate = integrate;
    }

    public String getBelong() {
        return belong;
    }

    public void setBelong(String belong) {
        this.belong = belong;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
