package com.yihu.jw.entity.hospital.integrate;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;
import com.yihu.jw.entity.base.doctor.BaseDoctorDO;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(name = "base_hospital_user_activity")
public class BaseHospitalUserActivityDO extends UuidIdentityEntityWithOperator {

    private Integer type;//1医生2患者
    private String user;//用户code
    private String name;//用户名称

    private String relationCode;//关联code

    private String relationName;//关联名称
    private Integer status;//0未完成1完成2已领取

    private BaseDoctorDO doctorDO;

    @Transient
    public BaseDoctorDO getDoctorDO() {
        return doctorDO;
    }

    public void setDoctorDO(BaseDoctorDO doctorDO) {
        this.doctorDO = doctorDO;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }


}

