package com.yihu.jw.entity.hospital.integrate;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_hospital_user_integrate")
public class BaseHospitalUserIntegrateDO extends UuidIdentityEntityWithOperator {

    private Integer type;//1医生2患者
    private String user;//用户code
    private String name;//用户名称
    private Integer integrate;//获取积分
    private Integer integrateType;//1增加2兑换

    private String relationCode;//积分关联活动code;
    private String relationName;//积分关联活动名称；
    private String taskCode;//任务code
    private String taskName;//任务名称
    private String businessCode;//业务code
    private String businessName;//业务名称
    private Integer status;//0失效1生效

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getIntegrate() {
        return integrate;
    }

    public void setIntegrate(Integer integrate) {
        this.integrate = integrate;
    }

    public Integer getIntegrateType() {
        return integrateType;
    }

    public void setIntegrateType(Integer integrateType) {
        this.integrateType = integrateType;
    }


    public String getRelationName() {
        return relationName;
    }

    public void setRelationName(String relationName) {
        this.relationName = relationName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    public String getTaskCode() {
        return taskCode;
    }

    public void setTaskCode(String taskCode) {
        this.taskCode = taskCode;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getBusinessCode() {
        return businessCode;
    }

    public void setBusinessCode(String businessCode) {
        this.businessCode = businessCode;
    }

    public String getBusinessName() {
        return businessName;
    }

    public void setBusinessName(String businessName) {
        this.businessName = businessName;
    }
}

