package com.yihu.jw.entity.hospital.message;



import com.yihu.jw.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/***
 * @Description: 专病分级诊疗实时动态
 * @Auther: yeshijie
 * @Date: 2023-05-23
 */
@Entity
@Table(name = "wlyy_specialist_dynamic_messages")
public class SpecialistDynamicMessages extends IdEntity {
    private String name;//居民姓名
    private String address;//居民地址
    private String result;//执行结果
    private String createTime;//创建时间yyyy-MM-dd HH:mm:ss
    private String code;//居民code
    private String codeType;//用户code类型 2居民
    private String hospital;//社区医院
    private String doctor;//全科
    private String diseaseType;//专病类型
    private String specialist;//专科
    private String specialistHospital;//专科医院
    private String content;//全科文案
    private String specialistContent;//专科文案
    private String type;//类型1康复计划 2代预约 3咨询求助 4专科协同

    private String photo;//头像
    private String doctorName;//全科医生姓名
    private String specialistName;//专科医生姓名

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Column(name = "result")
    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    @Column(name = "createTime")
    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "code_type")
    public String getCodeType() {
        return codeType;
    }

    public void setCodeType(String codeType) {
        this.codeType = codeType;
    }

    @Column(name = "disease_type")
    public String getDiseaseType() {
        return diseaseType;
    }

    public void setDiseaseType(String diseaseType) {
        this.diseaseType = diseaseType;
    }

    @Column(name = "hospital")
    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    @Column(name = "doctor")
    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    @Column(name = "specialist")
    public String getSpecialist() {
        return specialist;
    }

    public void setSpecialist(String specialist) {
        this.specialist = specialist;
    }

    @Column(name = "specialist_hospital")
    public String getSpecialistHospital() {
        return specialistHospital;
    }

    public void setSpecialistHospital(String specialistHospital) {
        this.specialistHospital = specialistHospital;
    }

    @Column(name = "content")
    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Column(name = "specialist_content")
    public String getSpecialistContent() {
        return specialistContent;
    }

    public void setSpecialistContent(String specialistContent) {
        this.specialistContent = specialistContent;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Transient
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    @Transient
    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    @Transient
    public String getSpecialistName() {
        return specialistName;
    }

    public void setSpecialistName(String specialistName) {
        this.specialistName = specialistName;
    }
}
