package com.yihu.jw.entity.knowledge;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/**
 * 问题集合关联
 * @wangzhinan
 */
@Entity
@Table(name = "base_knowledge_questions_relation")
public class BaseKnowledgeQuestionsRelation extends UuidIdentityEntityWithOperator {
	private String questionsId; //问题集id
	private String questionId;//单个问题id
	private String questionName;//单个问题名称


	private BaseKnowledgeQuestion question;//问题实体

	@Transient
	public BaseKnowledgeQuestion getQuestion() {
		return question;
	}

	public void setQuestion(BaseKnowledgeQuestion question) {
		this.question = question;
	}

	public String getQuestionsId() {
		return questionsId;
	}

	public void setQuestionsId(String questionsId) {
		this.questionsId = questionsId;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public String getQuestionName() {
		return questionName;
	}

	public void setQuestionName(String questionName) {
		this.questionName = questionName;
	}
}