package com.yihu.jw.entity.log;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wsl on 2022/7/28
 */

@Entity
@Table(name = "base_patient_pad_pushonoff")
public class BasePatientPadPushOnOffEntity extends IdEntity {





    private String patient;  //居民code
    private Integer type;  //推送类型
    //1	时间整点报时
    //2	智能安居设备状态播报(必选)
    //3	体征测量消息
    //4	用药提醒
    //5	天气预报
    //6	服务预约提醒
    //7	生日祝福提醒
    //8	热点新闻播报
    private String typeName;  //推送类型名字
    private Integer onOff;  //开关状态 0 关 1开
    private Date createTime;  //创建时间


    @Column(name = "patient")
    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "type_name")
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Column(name = "on_off")
    public Integer getOnOff() {
        return onOff;
    }

    public void setOnOff(Integer onOff) {
        this.onOff = onOff;
    }

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
