package com.yihu.jw.entity.patient;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_device_repair")
@SequenceGenerator(name = "id_generated", sequenceName = "seq_base_device_repair")
public class BaseDeviceRepairEntity extends IdEntity {


    private String orderId; //
    private String deviceSn; //设备sn码
    private String deviceName;//设备名称
    private String bindUser; //绑定人code
    private String bindUserName; //绑定人
    private Integer status; //报修状态：0 报修中、1 已完成
    private Date createTime; //创建时间
    private String repairPeoper; //报修人code
    private String repairPeoperName; //
    private String showContent; //说明
    private String img; //图片地址“，”分割
    private String dealPeoper; //处理人
    private String dealPeoperName; //
    private Date dealTime; //处理时间
    private String feedback; //反馈

    private Integer type;//类型。空是保修，0是设备异常登记维护信息

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "order_id")
    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    @Column(name = "device_sn")
    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    @Column(name = "bind_user")
    public String getBindUser() {
        return bindUser;
    }

    public void setBindUser(String bindUser) {
        this.bindUser = bindUser;
    }

    @Column(name = "bind_user_name")
    public String getBindUserName() {
        return bindUserName;
    }

    public void setBindUserName(String bindUserName) {
        this.bindUserName = bindUserName;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "repair_peoper")
    public String getRepairPeoper() {
        return repairPeoper;
    }

    public void setRepairPeoper(String repairPeoper) {
        this.repairPeoper = repairPeoper;
    }

    @Column(name = "repair_peoper_name")
    public String getRepairPeoperName() {
        return repairPeoperName;
    }

    public void setRepairPeoperName(String repairPeoperName) {
        this.repairPeoperName = repairPeoperName;
    }

    @Column(name = "show_content")
    public String getShowContent() {
        return showContent;
    }

    public void setShowContent(String showContent) {
        this.showContent = showContent;
    }

    @Column(name = "img")
    public String getImg() {
        return img;
    }

    public void setImg(String img) {
        this.img = img;
    }

    @Column(name = "deal_peoper")
    public String getDealPeoper() {
        return dealPeoper;
    }

    public void setDealPeoper(String dealPeoper) {
        this.dealPeoper = dealPeoper;
    }

    @Column(name = "deal_peoper_name")
    public String getDealPeoperName() {
        return dealPeoperName;
    }

    public void setDealPeoperName(String dealPeoperName) {
        this.dealPeoperName = dealPeoperName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name = "deal_time")
    public Date getDealTime() {
        return dealTime;
    }

    public void setDealTime(Date dealTime) {
        this.dealTime = dealTime;
    }

    @Column(name = "feedback")
    public String getFeedback() {
        return feedback;
    }

    public void setFeedback(String feedback) {
        this.feedback = feedback;
    }

    @Column(name = "device_name")
    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }
}
