package com.yihu.jw.entity.third.interfacemg;

import com.yihu.jw.entity.UuidIdentityEntityWithOperator;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 第三方用户接口日志
 *
 */
@Entity
@Table(name = "base_third_user_interface_log")
public class BaseThirdUserInterfaceLogDO extends UuidIdentityEntityWithOperator implements java.io.Serializable{
    private String userInterfaceId;//接口id
    private String url;//请求地址
    private String request;//请求参数
    private String response;//返回参数
    private String remark; //备注
    private Integer status;//请求状态

    public String getUserInterfaceId() {
        return userInterfaceId;
    }

    public void setUserInterfaceId(String userInterfaceId) {
        this.userInterfaceId = userInterfaceId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }
}
