package com.yihu.jw.entity.wechat;


import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 微信模板推送日志
 * Created by yeshijie on 2017/10/18.
 * modify by wujunjie 原type=11-18统一为11  19更新为12  20更新为13  21更新为14 version v1.4.3
 */
@Entity
@Table(name = "wlyy_wx_push_log")
public class WechatPushLog extends IdEntity {

    private Integer type;// '推送类型',
    //1：template_sign_success  2：template_sign_failed  3：template_consult_notice  4：template_health_notice  5：template_termination
    // 6：template_appoint_success 7：template_appoint_failed 8 template_expenses_remind 9 template_healthy_article  10 template_doctor_change
    //11-18:template_doctor_survey
    //19:template_doctor_audit 20:template_doctor_service 21:template_physical_examination
    //91.医生助手 92.医生助手项目gcMessageController发送
    //15：doctor_invitel_template（签约单独使用） 16：template_deal_with（第三方使用）
    //26: template_birthday_wishes(生日祝福)
    private String scene;//模板使用场景
    private String openid;
    private String patient;//'居民code',
    private String name;//'居民姓名',
    private String request;//'请求入参',
    private String response;// '返回值',
    private Integer status;//'状态（0失败，1成功）',
    private Date createTime;

    public String getScene() {
        return scene;
    }

    public void setScene(String scene) {
        this.scene = scene;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRequest() {
        return request;
    }

    public void setRequest(String request) {
        this.request = request;
    }

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
