package com.yihu.jw.restmodel.iot.platform;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.yihu.jw.entity.iot.platform.IotInterfaceAuditDO;
import com.yihu.jw.entity.iot.platform.IotInterfaceAuditDetailDO;
import com.yihu.jw.restmodel.iot.common.BaseVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2020/5/6
 */
@JsonInclude(JsonInclude.Include.ALWAYS)
@ApiModel(value = "应用接口申请信息", description = "应用接口申请信息")
public class IotInterfaceAuditVO extends BaseVO implements Serializable {

    @ApiModelProperty("接口审核信息")
    private IotInterfaceAuditDO iotInterfaceAuditDO;

    @ApiModelProperty("共享接口信息")
    private List<IotInterfaceAuditDetailDO> iotInterfaceAuditDetailDOList;

    public IotInterfaceAuditDO getIotInterfaceAuditDO() {
        return iotInterfaceAuditDO;
    }

    public void setIotInterfaceAuditDO(IotInterfaceAuditDO iotInterfaceAuditDO) {
        this.iotInterfaceAuditDO = iotInterfaceAuditDO;
    }

    public List<IotInterfaceAuditDetailDO> getIotInterfaceAuditDetailDOList() {
        return iotInterfaceAuditDetailDOList;
    }


    public void setIotInterfaceAuditDetailDOList(List<IotInterfaceAuditDetailDO> iotInterfaceAuditDetailDOList) {
        this.iotInterfaceAuditDetailDOList = iotInterfaceAuditDetailDOList;
    }
}
