package com.yihu.jw.util.dao;

import com.yihu.jw.entity.base.dict.BaseExceptionServerDictDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface BaseExceptionServerDictUtilDao extends PagingAndSortingRepository<BaseExceptionServerDictDO, String>, JpaSpecificationExecutor<BaseExceptionServerDictDO> {
    @Query("from BaseExceptionServerDictDO t where t.isDel='1' and t.path=?1")
    BaseExceptionServerDictDO findServiceByPath(String path);
    @Query("from BaseExceptionServerDictDO t where t.isDel='1'")
    List<BaseExceptionServerDictDO> findServiceAll();

    @Query("from BaseExceptionServerDictDO t where t.isDel='1' and t.name=?1")
    BaseExceptionServerDictDO findServiceByName(String name);
}
