package com.yihu.jw.security.dao;

import com.yihu.jw.entity.auth.OauthRsaKeyDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Trick on 2020/3/10.
 */
public interface OauthRsaKeyDao extends JpaRepository<OauthRsaKeyDO, String>, JpaSpecificationExecutor<OauthRsaKeyDO> {

    @Query("from OauthRsaKeyDO where code=?1 and appId=?2")
    List<OauthRsaKeyDO> findByCodeAndAppId(String code,String appId);
}
