package com.yihu.jw.security.dao.doctor;

import com.yihu.jw.entity.hospital.mapping.DoctorMappingDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;

import java.util.List;

/**
 * Created by Trick on 2019/6/10.
 */
public interface DoctorMappingDao extends JpaRepository<DoctorMappingDO, String>, JpaSpecificationExecutor<DoctorMappingDO> {

    List<DoctorMappingDO> findByDoctorAndOrgCode(String doctor, String orgCode);

    List<DoctorMappingDO> findByOrgCodeAndMappingCode(String orgCode, String mappingCode);
}
