package com.yihu.jw.security.dao.iot;

import com.yihu.jw.entity.base.user.UserDO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

/**
 * Dao - 后台管理员
 * Created by progr1mmer on 2018/8/20.
 */
public interface UserDao extends JpaRepository<UserDO, String>, JpaSpecificationExecutor<UserDO> {

    @Query("select u from UserDO u where u.mobile = ?1 and u.enabled = 1")
    UserDO findByMobile(String mobile);
}
