-- 2020-04-16 更新
-- 兼容互联网医院版本，审计日志菜单
-- 后台管理系统初始化数据
-- 默认超级管理员账户 admin 18000000000 pw:123456789
--应用数据
INSERT INTO `base`.`oauth_client_details` (`client_id`, `app_name`, `resource_ids`, `client_secret`, `scope`, `authorized_grant_types`, `web_server_redirect_uri`, `web_server_redirect_out_uri`, `authorities`, `access_token_validity`, `refresh_token_validity`, `additional_information`, `autoapprove`) VALUES ('EwC0iRSrcS', '后台管理系统', 'admin', 'iREOlyuyKfRBIGOHbBGJ', 'write,read', 'authorization_code,refresh_token,password,implicit,captcha', 'https://www.baidu.com', 'https://www.jd.com', NULL, '1296000', NULL, NULL, 'true');

-- 默认租户类别
INSERT INTO `base`.`base_saas_type_dict` (`id`, `code`, `name`, `status`, `create_time`, `create_user`, `create_user_name`, `update_time`, `update_user`, `update_user_name`) VALUES ('xmjkzl_saasId_type', '1', '系统默认', '1', '2018-10-29 08:20:00', NULL, NULL, '2018-10-30 15:09:22', NULL, NULL);

-- 默认租户
INSERT INTO `base`.`base_saas` (`id`, `create_time`, `create_user`, `create_user_name`, `update_time`, `update_user`, `update_user_name`, `name`, `status`, `audit_failed_reason`, `remark`, `logo`, `type`, `manager`, `manager_name`, `email`, `mobile`, `organization_code`, `business_license`, `system_name`, `area_number`, `theme_color`, `app_id`, `app_secret`) VALUES ('xmjkzl_saasId', '2018-10-29 08:16:31', NULL, NULL, '2018-12-17 17:07:08', NULL, NULL, '无', '1', '无', '无，系统默认', '无', 'xmjkzl_saasId_type', '无', '无', '无', '无', '无', '无', '无（系统默认）', '无', '无', '无', '无');

--基础角色
INSERT INTO `base`.`base_role` (`id`, `name`, `code`, `type`, `saas_id`, `remark`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `system`) VALUES ('1', '管理员', 'admin', '1', 'xmjkzl_saasId', '管理员', '1', NULL, NULL, '2018-05-08 15:45:11', '123', NULL, '2020-04-10 15:21:35', b'0');
INSERT INTO `base`.`base_role` (`id`, `name`, `code`, `type`, `saas_id`, `remark`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `system`) VALUES ('2', '租户管理员', 'saasAdmin', '2', 'xmjkzl_saasId', '租户管理员', '1', NULL, NULL, '2018-09-21 15:02:09', NULL, NULL, '2018-12-17 20:19:31', b'0');
INSERT INTO `base`.`base_role` (`id`, `name`, `code`, `type`, `saas_id`, `remark`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `system`) VALUES ('3', '机构管理员', 'hosAdmin', '3', 'xmjkzl_saasId', '机构管理员', '1', NULL, NULL, '2018-09-21 15:29:44', NULL, NULL, '2018-12-17 20:19:58', b'0');

--功能菜单
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('0000000067354f540167355015ce0000', NULL, '0000000067354f54016738dd16c90006', '基本信息', '2', NULL, 'tenantList-base', NULL, '1', '1', NULL, NULL, '2018-11-22 08:41:18', NULL, NULL, '2018-11-22 08:41:43', '租户用', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('0000000067354f5401673555542b0001', NULL, '0000000067354f54016738dd16c90006', '系统配置', '1', NULL, 'tenantList-system', NULL, '1', '1', NULL, NULL, '2018-11-22 08:41:03', NULL, NULL, '2018-11-22 08:41:29', '租户用', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('0000000067354f54016738dd16c90006', NULL, '0', '基础管理', '6', NULL, 'tenant', NULL, '1', '1', NULL, NULL, '2018-11-22 08:41:13', NULL, NULL, '2018-11-22 08:41:13', '租户用', '0');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae71c7920000', NULL, '0', '系统管理', '4', NULL, 'system', NULL, '1', '1', NULL, NULL, '2018-11-05 16:36:16', NULL, NULL, '2018-10-29 16:50:44', '呵呵', '0');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae73a3fd0001', NULL, '4028039866adca680166ae71c7920000', '功能菜单管理', '1', NULL, 'menu', NULL, '1', '1', NULL, NULL, '2018-10-26 11:38:26', NULL, NULL, '2018-10-26 11:38:26', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae7464f50002', NULL, '4028039866adca680166ae71c7920000', '业务模块管理', '2', NULL, 'module', NULL, '1', '1', NULL, NULL, '2018-10-26 11:39:16', NULL, NULL, '2018-10-26 11:39:16', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae75d97e0003', NULL, '4028039866adca680166ae71c7920000', '接口管理', '3', NULL, 'interface', NULL, '1', '1', NULL, NULL, '2018-10-26 11:40:51', NULL, NULL, '2018-10-26 11:40:51', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae76c4a10004', NULL, '4028039866adca680166ae71c7920000', '字典管理', '4', NULL, 'dictionary', NULL, '1', '1', NULL, NULL, '2018-10-26 11:41:51', NULL, NULL, '2018-10-26 11:41:51', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae77d5810005', NULL, '4028039866adca680166ae71c7920000', '通知公告', '5', NULL, 'notice', NULL, '1', '1', NULL, NULL, '2018-10-26 11:41:56', NULL, NULL, '2018-10-26 11:43:24', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae7bfe410006', NULL, '4028039866adca680166ae71c7920000', '新增接口', '6', NULL, 'interface-add', NULL, '0', '1', NULL, NULL, '2018-10-26 11:47:34', NULL, NULL, '2018-10-26 11:47:34', '新增接口界面', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae82cf8d0007', NULL, '4028039866adca680166ae71c7920000', '更新接口', '7', NULL, 'interface-update', NULL, '0', '1', NULL, NULL, '2018-10-26 11:55:00', NULL, NULL, '2018-10-26 11:55:00', '更新接口', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166ae83dd480008', NULL, '4028039866adca680166ae71c7920000', '新增公告', '8', NULL, 'notice-add', NULL, '0', '1', NULL, NULL, '2018-10-26 11:56:09', NULL, NULL, '2018-10-26 11:56:09', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166aed9b1490009', NULL, '4028039866adca680166ae71c7920000', '更新公告', '12', NULL, 'notice-update', NULL, '0', '1', NULL, NULL, '2018-10-30 11:44:09', NULL, NULL, '2018-10-30 11:44:35', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166aedbe003000a', NULL, '402803ff66a8ba2f0166a913c8580014', '新增租户', '8', NULL, 'tenantList-add', NULL, '0', '1', NULL, NULL, '2018-10-26 13:33:05', NULL, NULL, '2018-10-26 13:34:33', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166aedc2827000b', NULL, '402803ff66a8ba2f0166a913c8580014', '租户审核', '8', NULL, 'tenantList-check', NULL, '0', '1', NULL, NULL, '2018-10-26 13:33:23', NULL, NULL, '2018-10-26 13:34:51', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166aedcb1a7000c', NULL, '402803ff66a8ba2f0166a913c8580014', '租户-增加接口', '8', NULL, 'tenantList-interfaceConfig-add', NULL, '0', '1', NULL, NULL, '2018-10-26 13:33:32', NULL, NULL, '2018-10-26 13:35:00', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166aedcfbc4000d', NULL, '402803ff66a8ba2f0166a913c8580014', '租户-更新接口', '8', NULL, 'tenantList-interfaceConfig-update', NULL, '0', '1', NULL, NULL, '2018-10-26 13:32:53', NULL, NULL, '2018-10-26 13:34:21', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166aedd684e000e', NULL, '402803ff66a8ba2f0166a913c8580014', '租户-接口配置', '7', NULL, 'tenantList-interfaceConfig', NULL, '0', '1', NULL, NULL, '2018-10-26 13:33:58', NULL, NULL, '2018-10-26 13:33:58', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('4028039866adca680166aedf2597000f', NULL, '402803ff66a8ba2f0166a913c8580014', '更新租户', '8', NULL, 'tenantList-update', NULL, '0', '1', NULL, NULL, '2018-10-26 13:35:52', NULL, NULL, '2018-10-26 13:35:52', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66a8ba2f0166a913c8580014', NULL, '0', '租户管理', '2', NULL, 'tenant', NULL, '1', '1', NULL, NULL, '2018-11-05 16:36:18', NULL, NULL, '2018-11-05 16:36:44', '测试机', '0');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66a8ba2f0166a93824ec0015', NULL, '402803ff66a8ba2f0166a913c8580014', '租户列表', '2', NULL, 'tenantList', NULL, '1', '1', NULL, NULL, '2018-10-26 09:52:43', NULL, NULL, '2018-10-25 11:15:21', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66a8ba2f0166a93922bd0016', NULL, '402803ff66a8ba2f0166a913c8580014', '租户类型', '1', NULL, 'tenantType', NULL, '1', '1', NULL, NULL, '2018-10-26 09:52:43', NULL, NULL, '2018-10-26 09:54:12', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae769ab80000', NULL, '0', '微信运营', '3', NULL, 'WeChat', NULL, '1', '1', NULL, NULL, '2018-11-05 16:36:18', NULL, NULL, '2018-11-01 14:56:57', '', '0');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae77faec0001', NULL, '0', '安全与开放', '5', NULL, 'safetyAndOpenness', NULL, '1', '1', NULL, NULL, '2018-11-05 16:36:13', NULL, NULL, '2018-10-29 16:50:41', '', '0');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae78ee430003', NULL, '402803ff66ae05f10166ae77faec0001', '角色管理', '1', NULL, 'roleManage', NULL, '1', '1', NULL, NULL, '2018-10-26 11:44:13', NULL, NULL, '2018-10-26 11:44:13', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae7944a50004', NULL, '402803ff66ae05f10166ae77faec0001', '用户管理', '3', NULL, 'userManage', NULL, '1', '1', NULL, NULL, '2018-10-26 11:44:35', NULL, NULL, '2018-10-26 11:44:35', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae79b2760005', NULL, '402803ff66ae05f10166ae77faec0001', '基础信息', '4', NULL, 'baseManage', NULL, '1', '1', NULL, NULL, '2018-10-26 11:45:03', NULL, NULL, '2018-10-26 11:45:03', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae8196740006', NULL, '402803ff66ae05f10166ae769ab80000', '公众号管理', '10', NULL, 'publicManager', NULL, '1', '1', NULL, NULL, '2018-11-21 16:13:51', NULL, NULL, '2018-11-21 16:14:17', '管理员用', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae820f600007', NULL, '402803ff66ae05f10166ae769ab80000', '公众号编辑', '10', NULL, 'publicEdit', NULL, '0', '1', NULL, NULL, '2018-11-21 16:14:42', NULL, NULL, '2018-11-21 16:15:07', '管理员用', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae827d0b0008', NULL, '402803ff66ae05f10166ae769ab80000', '公众号信息', '10', NULL, 'publicInfo', NULL, '1', '1', NULL, NULL, '2018-11-21 16:14:06', NULL, NULL, '2018-11-21 16:14:32', '租户用', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae8314710009', NULL, '402803ff66ae05f10166ae769ab80000', '自动回复', '4', NULL, 'autoReply', NULL, '1', '1', NULL, NULL, '2018-10-26 11:55:18', NULL, NULL, '2018-10-26 11:55:18', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae835d25000a', NULL, '402803ff66ae05f10166ae769ab80000', '图文素材', '5', NULL, 'graphicMaterial', NULL, '1', '1', NULL, NULL, '2018-10-26 11:55:37', NULL, NULL, '2018-10-26 11:55:37', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae83b10c000b', NULL, '402803ff66ae05f10166ae769ab80000', '图文素材编辑', '6', NULL, 'graphicEdit', NULL, '0', '1', NULL, NULL, '2018-10-26 11:55:58', NULL, NULL, '2018-10-26 11:55:58', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae840e73000c', NULL, '402803ff66ae05f10166ae769ab80000', '模板消息', '7', NULL, 'tempNotices', NULL, '1', '1', NULL, NULL, '2018-10-26 11:56:22', NULL, NULL, '2018-10-26 11:56:22', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae84614e000d', NULL, '402803ff66ae05f10166ae769ab80000', '粉丝统计', '10', NULL, 'fansStatistics', NULL, '0', '1', NULL, NULL, '2018-11-20 17:50:33', NULL, NULL, '2018-11-20 17:50:59', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166ae84a5ad000e', NULL, '402803ff66ae05f10166ae769ab80000', '事件配置', '10', NULL, 'eventConfig', NULL, '1', '1', NULL, NULL, '2018-11-21 16:14:23', NULL, NULL, '2018-11-21 16:14:49', '管理员用', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166aefc5acb000f', NULL, '4028039866adca680166ae71c7920000', '通知公告列表', '10', NULL, 'noticeList', NULL, '0', '1', NULL, NULL, '2018-10-26 14:07:46', NULL, NULL, '2018-10-26 14:07:46', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('402803ff66ae05f10166aefceec00010', NULL, '4028039866adca680166ae71c7920000', '通知公告详情', '11', NULL, 'noticeDetail', NULL, '0', '1', NULL, NULL, '2018-10-26 14:08:24', NULL, NULL, '2018-10-26 14:08:24', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('808080eb71618987017162f13b15000c', NULL, '0', '系统审计', '7', NULL, 'audit', NULL, '1', '1', '123', NULL, '2020-04-10 15:15:09', '123', NULL, '2020-04-10 15:15:09', '', '0');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('808080eb71618987017162f20de9000d', NULL, '808080eb71618987017162f13b15000c', '访问日志', '1', NULL, 'accessLog', NULL, '1', '1', '123', NULL, '2020-04-10 15:16:03', '123', NULL, '2020-04-10 15:16:03', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('808080eb71618987017162f25e61000e', NULL, '808080eb71618987017162f13b15000c', '操作日志', '2', NULL, 'operationLog', NULL, '1', '1', '123', NULL, '2020-04-10 15:16:23', '123', NULL, '2020-04-10 15:16:23', '', '1');
INSERT INTO `base`.`base_menu` (`id`, `saas_id`, `parent_id`, `name`, `sort`, `icon`, `url`, `method`, `is_show`, `status`, `create_user`, `create_user_name`, `create_time`, `update_user`, `update_user_name`, `update_time`, `remark`, `level`) VALUES ('aafbfd6d674dbdbf016758edaf830018', NULL, '402803ff66ae05f10166ae77faec0001', '业务模块角色', '4', NULL, 'businessModuleRole', NULL, '1', '1', NULL, NULL, '2018-11-28 14:07:11', NULL, NULL, '2018-11-28 14:07:11', '租户管理员，分配医生角色', '1');

-- 基础角色菜单
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('784', '2', '402803ff66a8ba2f0166a913c8580014');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('785', '2', '402803ff66a8ba2f0166a93922bd0016');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('786', '2', '402803ff66a8ba2f0166a93824ec0015');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('787', '2', '4028039866adca680166aedd684e000e');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('788', '2', '4028039866adca680166aedbe003000a');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('789', '2', '4028039866adca680166aedc2827000b');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('790', '2', '4028039866adca680166aedcb1a7000c');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('791', '2', '4028039866adca680166aedcfbc4000d');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('792', '2', '4028039866adca680166aedf2597000f');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('793', '2', '402803ff66ae05f10166ae769ab80000');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('794', '2', '402803ff66ae05f10166ae8314710009');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('795', '2', '402803ff66ae05f10166ae835d25000a');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('796', '2', '402803ff66ae05f10166ae83b10c000b');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('797', '2', '402803ff66ae05f10166ae840e73000c');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('798', '2', '402803ff66ae05f10166ae8196740006');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('799', '2', '402803ff66ae05f10166ae820f600007');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('800', '2', '402803ff66ae05f10166ae827d0b0008');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('801', '2', '402803ff66ae05f10166ae84614e000d');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('802', '2', '402803ff66ae05f10166ae84a5ad000e');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('803', '2', '4028039866adca680166ae71c7920000');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('804', '2', '4028039866adca680166ae73a3fd0001');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('805', '2', '4028039866adca680166ae7464f50002');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('806', '2', '4028039866adca680166ae75d97e0003');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('807', '2', '4028039866adca680166ae76c4a10004');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('808', '2', '4028039866adca680166ae77d5810005');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('809', '2', '4028039866adca680166ae7bfe410006');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('810', '2', '4028039866adca680166ae82cf8d0007');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('811', '2', '4028039866adca680166ae83dd480008');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('812', '2', '402803ff66ae05f10166aefc5acb000f');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('813', '2', '402803ff66ae05f10166aefceec00010');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('814', '2', '4028039866adca680166aed9b1490009');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('815', '2', '402803ff66ae05f10166ae77faec0001');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('816', '2', '402803ff66ae05f10166ae78ee430003');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('817', '2', '402803ff66ae05f10166ae7944a50004');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('818', '2', '402803ff66ae05f10166ae79b2760005');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('819', '2', 'aafbfd6d674dbdbf016758edaf830018');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('834', '3', '402803ff66a8ba2f0166a913c8580014');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('835', '3', '402803ff66a8ba2f0166a93922bd0016');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('836', '3', '402803ff66a8ba2f0166a93824ec0015');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('837', '3', '4028039866adca680166aedd684e000e');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('838', '3', '4028039866adca680166aedbe003000a');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('839', '3', '4028039866adca680166aedc2827000b');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('840', '3', '4028039866adca680166aedcb1a7000c');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('841', '3', '4028039866adca680166aedcfbc4000d');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('842', '3', '4028039866adca680166aedf2597000f');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('843', '3', '402803ff66ae05f10166ae77faec0001');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('844', '3', '402803ff66ae05f10166ae78ee430003');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('845', '3', '402803ff66ae05f10166ae7944a50004');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('846', '3', '402803ff66ae05f10166ae79b2760005');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('847', '3', 'aafbfd6d674dbdbf016758edaf830018');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1051', '1', '402803ff66a8ba2f0166a913c8580014');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1052', '1', '402803ff66a8ba2f0166a93922bd0016');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1053', '1', '402803ff66a8ba2f0166a93824ec0015');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1054', '1', '4028039866adca680166aedd684e000e');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1055', '1', '4028039866adca680166aedbe003000a');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1056', '1', '4028039866adca680166aedc2827000b');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1057', '1', '4028039866adca680166aedcb1a7000c');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1058', '1', '4028039866adca680166aedcfbc4000d');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1059', '1', '4028039866adca680166aedf2597000f');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1060', '1', '402803ff66ae05f10166ae769ab80000');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1061', '1', '402803ff66ae05f10166ae8314710009');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1062', '1', '402803ff66ae05f10166ae835d25000a');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1063', '1', '402803ff66ae05f10166ae83b10c000b');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1064', '1', '402803ff66ae05f10166ae840e73000c');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1065', '1', '402803ff66ae05f10166ae8196740006');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1066', '1', '402803ff66ae05f10166ae820f600007');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1067', '1', '402803ff66ae05f10166ae827d0b0008');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1068', '1', '402803ff66ae05f10166ae84614e000d');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1069', '1', '402803ff66ae05f10166ae84a5ad000e');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1070', '1', '4028039866adca680166ae71c7920000');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1071', '1', '4028039866adca680166ae73a3fd0001');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1072', '1', '4028039866adca680166ae7464f50002');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1073', '1', '4028039866adca680166ae75d97e0003');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1074', '1', '4028039866adca680166ae76c4a10004');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1075', '1', '4028039866adca680166ae77d5810005');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1076', '1', '4028039866adca680166ae7bfe410006');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1077', '1', '4028039866adca680166ae82cf8d0007');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1078', '1', '4028039866adca680166ae83dd480008');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1079', '1', '402803ff66ae05f10166aefc5acb000f');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1080', '1', '402803ff66ae05f10166aefceec00010');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1081', '1', '4028039866adca680166aed9b1490009');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1082', '1', '402803ff66ae05f10166ae77faec0001');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1083', '1', '402803ff66ae05f10166ae78ee430003');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1084', '1', '402803ff66ae05f10166ae7944a50004');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1085', '1', '402803ff66ae05f10166ae79b2760005');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1086', '1', 'aafbfd6d674dbdbf016758edaf830018');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1087', '1', '808080eb71618987017162f13b15000c');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1088', '1', '808080eb71618987017162f20de9000d');
INSERT INTO `base`.`base_role_menu` (`id`, `role_id`, `menu_id`) VALUES ('1089', '1', '808080eb71618987017162f25e61000e');

-- 默认超级管理员账户
INSERT INTO `base`.`base_user` (`id`, `create_time`, `create_user`, `create_user_name`, `update_time`, `update_user`, `update_user_name`, `username`, `password`, `salt`, `name`, `gender`, `idcard`, `mobile`, `ak`, `email`, `enabled`, `locked`, `locked_date`, `login_date`, `saas_id`, `login_failure_count`, `last_login_failure_time`, `role_id`) VALUES ('402803f9658455110165845b84850000', '2018-08-29 14:25:15', NULL, NULL, '2020-04-13 14:31:33', '123', NULL, 'admin', 'cdb7df66a1955b0ed7402e665ed0586a', 'UQZdF', '超级管理员', '0', '42210119750809601X', '18000000000', 'access_key', 'wxm@jkzl.com', '1', '0', '2020-04-13 14:31:33', '2020-04-15 15:57:06', 'xmjkzl_saasId', '0', '2020-04-15 15:57:06', '1');
