package com.yihu.jw.base.dao.doctor;

import com.yihu.jw.entity.base.doctor.BaseDoctorRoleDictDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface BaseDoctorRoleDictDao extends JpaRepository<BaseDoctorRoleDictDO, String>, JpaSpecificationExecutor<BaseDoctorRoleDictDO> {
    @Query(value = "select * from base_doctor_role_dict where name = ?1",nativeQuery = true)
    List<BaseDoctorRoleDictDO> getByname(String name);
    boolean existsByCode(String code);
    boolean existsByName(String name);
}
