/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package com.yihu.jw.base.dao.role;

import com.yihu.jw.entity.care.role.WlyyUserRole;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;


public interface WlyyUserRoleDao extends JpaRepository<WlyyUserRole, Long> {

    @Modifying
    @Query("update WlyyUserRole r set r.role=?1 where r.id=?2")
    void modifyRoleById(String role,Long id);

    @Query("select r from WlyyUserRole r where r.user=?1 and r.role=?2")
    WlyyUserRole findByUserAndRole(String user,String role);
}
