package com.yihu.jw.base.service.gw;

import com.yihu.jw.base.dao.gw.BaseHomePageDao;
import com.yihu.jw.base.dao.gw.BaseRulesDao;
import com.yihu.jw.base.dao.gw.BaseWebInfoDao;
import com.yihu.jw.entity.base.gw.BaseHomePageDO;
import com.yihu.jw.entity.base.gw.BaseRulesDO;
import com.yihu.jw.entity.base.gw.BaseWebInfoDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 公司官网
 * Created by yeshijie on 2022/2/21.
 */
@Service
public class ZjxlGwService {

    @Autowired
    private BaseHomePageDao baseHomePageDao;
    @Autowired
    private BaseWebInfoDao baseWebInfoDao;
    @Autowired
    private BaseRulesDao baseRulesDao;

    public BaseRulesDO findRulesById(String id){
        return baseRulesDao.findById(id).orElse(null);
    }

    public BaseHomePageDO findHomePageById(String id){
        return baseHomePageDao.findById(id).orElse(null);
    }

    public BaseWebInfoDO findWebInfo(){
        List<BaseWebInfoDO> list = baseWebInfoDao.findAll();
        if(list.size()>0){
            return list.get(0);
        }
        return null;
    }

}
