package com.yihu.jw.basic.org.dao;

import com.yihu.jw.entity.ehr.org.OrgDeptDetail;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @author HZY
 * @vsrsion 1.0
 * Created at 2017/2/24.
 */
public interface OrgDeptDetailRepository extends JpaRepository<OrgDeptDetail,Integer> {

    @Query("select deptDetail from OrgDeptDetail deptDetail where deptDetail.deptId = :deptId order by deptDetail.insertTime desc ")
    List<OrgDeptDetail> searchByDeptId(@Param("deptId") Integer deptId);

    @Query("select deptDetail from OrgDeptDetail deptDetail where deptDetail.id = :id ")
    OrgDeptDetail findOrgDeptDetailsById(@Param("id") Integer id);

}
