package com.yihu.jw.basic.portal.service;


import com.yihu.jw.basic.portal.dao.SurveyQuestionOptionDao;
import com.yihu.jw.entity.ehr.portal.SurveyQuestionOption;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 问卷调查题库选项表
 * Created by zhangdan on 2018/4/17.
 */
@Service
public class SurveyQuestionOptionService extends BaseJpaService<SurveyQuestionOption,SurveyQuestionOptionDao> {
    @Autowired
    SurveyQuestionOptionDao surveyQuestionOptionDao;

    public void save(List<SurveyQuestionOption> surveyQuestionOptions){
        surveyQuestionOptionDao.saveAll(surveyQuestionOptions);
    }

    public SurveyQuestionOption save(SurveyQuestionOption surveyQuestionOption){
         return  surveyQuestionOptionDao.save(surveyQuestionOption);
    }

    public void deleteByQuestionCode(String questionCode){
          surveyQuestionOptionDao.deleteByQuestionCode(questionCode);
    }
}
