package com.yihu.jw.basic.quota.dao;

import com.yihu.jw.entity.ehr.quota.TjQuotaGovProvision;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

/**
 * Created by wxw on 2018/3/6.
 */
public interface TjQuotaGovProvisionDao extends JpaRepository<TjQuotaGovProvision, Long> {

    @Query("select sum(gp.population) from TjQuotaGovProvision gp where gp.administrativeDivision = :town and gp.year = :year ")
    Long getSumByDistrict(@Param("town") long town, @Param("year") String year);

    @Query("select sum(gp.population) from TjQuotaGovProvision gp where  gp.year = :year ")
    Long getSumByDistrict(@Param("year") String year);
}
