package com.yihu.jw.basic.quota.dao;


import com.yihu.jw.entity.ehr.quota.TjQuotaDimensionSlave;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * @author janseny
 * @version 1.0
 * @created 2017/5/08
 */
public interface XTjQuotaDimensionSlaveRepository extends JpaRepository<TjQuotaDimensionSlave, Long> {
    @Modifying
    @Query("delete from TjQuotaDimensionSlave DimensionSlave where DimensionSlave.quotaCode = :quotaCode")
    int deleteByQuotaCode(@Param("quotaCode") String quotaCode);

    List<TjQuotaDimensionSlave> findByQuotaCode(String quotaCode);
}
