//package com.yihu.jw.basic.redis.controler;
//
//import com.yihu.jw.restmodel.web.endpoint.EnvelopRestEndpoint;
//import io.swagger.annotations.Api;
//import org.apache.activemq.command.ActiveMQTopic;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.jms.annotation.JmsListener;
//import org.springframework.jms.core.JmsMessagingTemplate;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RestController;
//
///**
// * Created by yeshijie on 2022/9/15.
// */
//@RestController
//@Api( tags = {"ActiveMQ--消息队列接口"})
//public class ActiveMQEndpoint extends EnvelopRestEndpoint {
//
//    @Autowired
//    private JmsMessagingTemplate jmsMessagingTemplate;
//
//    @PostMapping("/queue/test")
//    public String sendQueue(String str,String queue) {
//        this.sendMessage(queue, str);
//        return "success";
//    }
//
//    @PostMapping("/topic/test")
//    public String sendTopic(String str,String topic) {
//        jmsMessagingTemplate.convertAndSend(new ActiveMQTopic(topic), str);
//        return "success";
//    }
//
//    // 发送消息，destination是发送到的队列，message是待发送的消息
//    private void sendMessage(String queue, final String message){
//        jmsMessagingTemplate.convertAndSend(queue, message);
//    }
//
//    //queue模式的消费者
//    @JmsListener(destination="queue1", containerFactory="queueListener")
//    public void readActiveQueue1(String message) {
//        System.out.println("queue1接受到：" + message);
//    }
//
//    //queue模式的消费者
//    @JmsListener(destination="queue2", containerFactory="queueListener")
//    public void readActiveQueue2(String message) {
//        System.out.println("queue2接受到：" + message);
//    }
//
//    //queue模式的消费者
//    @JmsListener(destination="topic1", containerFactory="queueListener")
//    public void readActiveQueue3(String message) {
//        System.out.println("queue3接受到：" + message);
//    }
//
//
//    //topic模式的消费者
//    @JmsListener(destination="topic1", containerFactory="topicListener")
//    public void readActiveTopic1(String message) {
//        System.out.println("topic1接受到：" + message);
//    }
//
//    //topic模式的消费者
//    @JmsListener(destination="topic2", containerFactory="topicListener")
//    public void readActiveTopic2(String message) {
//        System.out.println("topic2接受到：" + message);
//    }
//}
