package com.yihu.jw.basic.report.service;

import com.yihu.jw.basic.report.dao.XQcDailyReportDatasetRepository;
import com.yihu.jw.entity.ehr.report.QcDailyReportDataset;
import com.yihu.jw.mysql.query.BaseJpaService;
import org.hibernate.query.Query;
import org.hibernate.Session;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author janseny
 * @version 1.0
 * @created 2017/5/08
 */
@Service
@Transactional
public class QcDailyReportDatasetService extends BaseJpaService<QcDailyReportDataset, XQcDailyReportDatasetRepository> {

    @Autowired
    private XQcDailyReportDatasetRepository qcDailyReportDatasetRepository;

    public int getListCount(String reportId) {
        Session session = currentSession();
        String hql = "select qcd from QcDailyReportDataset qcd where qcd.reportId =:reportId ";
        Query query = session.createQuery(hql);
        query.setString("reportId", reportId);
        List list = query.list();
        if(list != null){
            return list.size();
        }else{
            return 0;
        }

    }
}
