package com.yihu.jw.basic.resource.dao;

import com.yihu.jw.entity.ehr.resource.RsResourceCategory;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Created by lyr on 2016/5/4.
 */
public interface RsResourceCategoryDao extends JpaRepository<RsResourceCategory, String> {
      long countByPid(String pid);
      List<RsResourceCategory> findByPid(String pid);
      List<RsResourceCategory> findByCode(String code);
      @Query("SELECT rsResourceCategory FROM RsResourceCategory rsResourceCategory WHERE rsResourceCategory.code = :code AND rsResourceCategory.pid = :pid" )
      List<RsResourceCategory> findByCodeAndPid(@Param("code") String code, @Param("pid") String pid);
}
