package com.yihu.jw.basic.resource.service;

import com.yihu.jw.mysql.query.BaseJpaService;
import com.yihu.jw.basic.resource.dao.RsAdapterDictionaryDao;
import com.yihu.jw.entity.ehr.resource.RsAdapterDictionary;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author linaz
 * @created 2016.05.17 16:33
 */
@Service
@Transactional
public class RsAdapterDictionaryService extends BaseJpaService<RsAdapterDictionary, RsAdapterDictionaryDao>  {

    @Autowired
    private RsAdapterDictionaryDao adapterDictionaryDao;

    public RsAdapterDictionary findById(String id) {
        return adapterDictionaryDao.findById(id).orElse(null);
    }

}
