//package com.yihu.jw.basic.standard.controller;
//
//import com.fasterxml.jackson.databind.ObjectMapper;
//import com.yihu.hos.common.constants.ContextAttributes;
//import com.yihu.hos.core.log.LogService;
//import com.yihu.hos.model.standard.CdaTypeDetailModel;
//import com.yihu.hos.standard.service.CDATypeFeginClient;
//import com.yihu.hos.system.model.SystemUser;
//import com.yihu.hos.web.framework.constant.ErrorCode;
//import com.yihu.hos.web.framework.constant.SessionAttributeKeys;
//import com.yihu.hos.web.framework.model.Envelop;
//import com.yihu.hos.web.framework.util.controller.EnvelopRestEndpoint;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Controller;
//import org.springframework.util.StringUtils;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.ResponseBody;
//import org.springframework.web.bind.annotation.SessionAttributes;
//
//import javax.servlet.http.HttpServletRequest;
//import java.util.HashMap;
//import java.util.Map;
//
///**
// * Created by AndyCai on 2015/12/14.
// */
//@RequestMapping(value = "/cdatype", produces = "application/json;charset=utf-8")
//@RestController
//@SessionAttributes(SessionAttributeKeys.CurrentUser)
//public class StdCdaTypeController extends EnvelopRestEndpoint {
//
//    @Autowired
//    private CDATypeFeginClient cDATypeFeginClient;
//
//    @Autowired
//    ObjectMapper objectMapper;
//
//
//    @RequestMapping("getTreeGridData")
//    //获取TreeData 用于初始页面显示嵌套model
//    public Object getTreeGridData(String codeName) {
//        Envelop envelop = new Envelop();
//        String url = "/cda_types/cda_types_tree";
//        String strResult = "";
//        if (StringUtils.isEmpty(codeName)){
//            codeName = "";
//        }
//        try{
//            Envelop res = cDATypeFeginClient.getCdaTypeTreeModels(codeName);
//            return toJson(res);
//        }catch(Exception ex){
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            envelop.setSuccessFlg(false);
//            envelop.setErrorMsg(ErrorCode.SystemError.toString());
//            return envelop;
//        }
//    }
//
//    @RequestMapping("GetCdaTypeList")
//    public Object getCdaTypeList(String strKey, Integer page, Integer rows) {
//        Envelop envelop = new Envelop();
//        String filters = "";
//        if(!StringUtils.isEmpty(strKey)){
//            filters = "code?"+strKey+" g1;name?"+strKey+" g1;";
//        }
//        try{
//            Envelop res= cDATypeFeginClient.searchCDATypesWithoutPaging(filters);
//            return toJson(res);
//        }catch (Exception ex){
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            envelop.setSuccessFlg(false);
//            envelop.setErrorMsg(ErrorCode.SystemError.toString());
//        }
//        return envelop;
//    }
//
//    @RequestMapping("getCdaTypeById")
//    public Object getCdaTypeById(String strIds) {
//        Envelop envelop = new Envelop();
//        try{
//            Envelop res = cDATypeFeginClient.getCdaTypeById(strIds);
//            return toJson(res);
//        }catch (Exception ex){
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            envelop.setSuccessFlg(false);
//            envelop.setErrorMsg(ErrorCode.SystemError.toString());
//        }
//        return envelop;
//    }
//
//    @RequestMapping("delteCdaTypeInfo")
//    /**
//     * 删除CDA类别，若该类别存在子类别，将一并删除子类别
//     * 先根据当前的类别ID获取全部子类别ID，再进行删除
//     * @param  ids  cdaType Id
//     *  @return result 操作结果
//     */
//    public Object delteCdaTypeInfo(String ids) {
//        Envelop result = new Envelop();
//        if (StringUtils.isEmpty(ids)){
//            result.setErrorMsg("请选择要删除的数据");
//            result.setSuccessFlg(false);
//            return result;
//        }
//        try{
//            String[] idsArray = ids.split(",");
//            boolean b = cDATypeFeginClient.deleteCDATypeByPatientIds(idsArray);
//            if(b){
//                result.setSuccessFlg(true);
//            }else{
//                result.setSuccessFlg(false);
//                result.setErrorMsg("cda类别删除失败");
//            }
//        }catch (Exception ex){
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            result.setSuccessFlg(false);
//            result.setErrorMsg(ErrorCode.SystemError.toString());
//        }
//        return result;
//    }
//
//    @RequestMapping("SaveCdaType")
//    //新增、修改的保存合二为一
//    public Object SaveCdaType(String dataJson,HttpServletRequest request) {
//        Envelop envelop = new Envelop();
//        envelop.setSuccessFlg(false);
//        String url = "/cda_types";
//        SystemUser userDetailModel = (SystemUser)request.getSession().getAttribute(ContextAttributes.USER_INFO);
//        String createUserId = userDetailModel.getLoginCode();
//        try {
//            CdaTypeDetailModel detailModel = objectMapper.readValue(dataJson,CdaTypeDetailModel.class);
//            if(StringUtils.isEmpty(detailModel.getCode())){
//                envelop.setErrorMsg("cda类别编码不能为空！");
//                return envelop;
//            }
//            if(StringUtils.isEmpty(detailModel.getName())){
//                envelop.setErrorMsg("cda类别名称不能为空！");
//                return envelop;
//            }
//            Map<String,Object> params = new HashMap<>();
//            String cdaTypeId = detailModel.getId();
//            // 新增cda类别
//            if(StringUtils.isEmpty(cdaTypeId)){
//                detailModel.setCreateUser(createUserId);
//                String jsonData = objectMapper.writeValueAsString(detailModel);
//                Envelop res = cDATypeFeginClient.saveCDAType(jsonData);
//                return toJson(res);
//            }
//            // 修改cda类别（先获取，再赋值）
//            Envelop envelopGet = cDATypeFeginClient.getCdaTypeById(cdaTypeId);
//            if (!envelopGet.isSuccessFlg()){
//                return toJson(envelopGet);
//            }
//            CdaTypeDetailModel modelForUpdate = getEnvelopModel(envelopGet.getObj(),CdaTypeDetailModel.class);
//            modelForUpdate.setCode(detailModel.getCode());
//            modelForUpdate.setDescription(detailModel.getDescription());
//            modelForUpdate.setName(detailModel.getName());
//            modelForUpdate.setParentId(detailModel.getParentId());
//            modelForUpdate.setUpdateUser(createUserId);
//            String typeJson = objectMapper.writeValueAsString(modelForUpdate);
//            params.put("jsonData", typeJson);
//            Envelop res = cDATypeFeginClient.updateCDAType(typeJson);
//            return toJson(res);
//        } catch (Exception ex){
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            envelop.setSuccessFlg(false);
//            envelop.setErrorMsg(ErrorCode.SystemError.toString());
//        }
//        return envelop;
//    }
//
//    /**
//     * 获取可以作为父类别的cda类别列表
//     * @param strId
//     * @param codeName
//     * @return
//     */
//    @RequestMapping("getCdaTypeExcludeSelfAndChildren")
//    public Object getCdaTypeExcludeSelfAndChildren(String strId, String codeName) {
//        //页面新增修改访问的是同个接口
//        Envelop envelop = new Envelop();
//        try{
//            //新增cda类别是获取的是所有类别
//            if(StringUtils.isEmpty(strId)){
//                String filters = "";
//                if(!StringUtils.isEmpty(codeName)){
//                    filters = "code?"+codeName+" g1;name?"+codeName+" g1;";
//                }
//                Envelop res = cDATypeFeginClient.searchCDATypesWithoutPaging(filters);
//                return toJson(res);
//            }
//            //修改时获取自身及其子类。。以外的cda类别
//            Envelop res = cDATypeFeginClient.getCdaTypeExcludeSelfAndChildren(strId);
//            return toJson(res);
//        }catch (Exception ex){
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            envelop.setSuccessFlg(false);
//            envelop.setErrorMsg(ErrorCode.SystemError.toString());
//            return envelop;
//        }
//
//    }
//
//    @RequestMapping("getCDATypeListByParentId")
//    //根据父级ID获取下一级cda类别（不含子类的子类。。）
//    public Object getCDATypeListByParentId(String ids) {
//        Envelop envelop = new Envelop();
//        try {
//            envelop = cDATypeFeginClient.getChildrenByPatientId(ids);
//            return envelop.getDetailModelList();
//        } catch (Exception ex) {
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            envelop.setSuccessFlg(false);
//            envelop.setErrorMsg(ErrorCode.SystemError.toString());
//        }
//        return envelop;
//    }
//
//
//    /**
//     * 删除cda类别前先判断是否有关联的cda文档
//     * @param ids
//     * @return
//     */
//    @RequestMapping("isExitRelativeCDA")
//    public Object isExitRelativeCDA(String ids){
//        Envelop envelop = new Envelop();
//        try{
//            envelop = cDATypeFeginClient.isExitRelativeCDA(ids.split(","));
//            return toJson(envelop);
//        }catch (Exception ex){
//            LogService.getLogger(StdCdaTypeController.class).error(ex.getMessage());
//            envelop.setSuccessFlg(false);
//            envelop.setErrorMsg(ErrorCode.SystemError.toString());
//            return envelop;
//        }
//    }
//}
