package com.yihu.jw.basic.system.dao;

import com.yihu.jw.basic.standard.dao.SQLGeneralDAO;
import com.yihu.jw.basic.system.model.SystemDictList;
import com.yihu.jw.restmodel.web.Envelop;
import org.springframework.jdbc.core.BeanPropertyRowMapper;
import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import java.util.List;
import java.util.Map;

/**
 * Created by chenweida on 2016/1/20.
 */
@Repository("dictListDao")
public class DictListDao extends SQLGeneralDAO {

    public static final String BEAN_ID = "dictListDao";

    public Envelop getDictList(Map<String, Object> params) throws Exception {
        StringBuilder sb = new StringBuilder("from SystemDictList s where 1=1 ");
        if (!StringUtils.isEmpty(params.get("name"))) {
            sb.append(" and  s.chineseName like '%" + params.get("name") + "%' ");
        }
        sb.append(" order by dictName desc");
        return super.getDataGridResult(sb.toString(), Integer.valueOf(params.get("page").toString()), Integer.valueOf(params.get("rows").toString()));
    }


    public SystemDictList getDitcByName(String dictName) throws Exception {
        String sql = " select  * from system_dict_list s where s.dict_name='"+dictName+"'";
        List<SystemDictList> sdl = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(SystemDictList.class));
        if (sdl != null && sdl.size() > 0) {
            return sdl.get(0);
        }
        return null;
    }


    public SystemDictList getDitcByNameWithOutId(String dictName, String id) throws Exception {
        String sql = " select  * from system_dict_list s where s.dict_name='"+dictName+"' and s.id!='"+id+"'";
        List<SystemDictList> sdl = jdbcTemplate.query(sql,new BeanPropertyRowMapper<>(SystemDictList.class));
        if (sdl != null && sdl.size() > 0) {
            return sdl.get(0);
        }
        return null;
    }
}
