package com.yihu.jw.door.controller.common;

import com.yihu.jw.hospital.prescription.service.entrance.TnyyEntranceService;
import com.yihu.jw.restmodel.web.Envelop;
import com.yihu.jw.restmodel.web.endpoint.EnvelopRestEndpoint;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by yeshijie on 2021/1/6.
 */
@RestController
@RequestMapping(value = "entrance")
@Api(value = "内网数据查询", description = "内网数据查询", tags = {"内网数据查询"})
public class EntranceController extends EnvelopRestEndpoint {

    @Autowired
    private TnyyEntranceService tnyyEntranceService;

    @GetMapping(value = "findGY_YLSF")
    @ApiOperation(value = "查询上门服务项目")
    public Envelop findGY_YLSF() throws Exception {
        return success(tnyyEntranceService.findGY_YLSF());
    }
}
