package com.yihu.jw.entrance.config;

import com.yihu.jw.hospital.prescription.service.PrescriptionExpressageService;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class BeanConfig {

    //顺丰快递接口请求地址
    @Value("${express.sf_url}")
    private String sf_url;

    //顺丰快递接口接入编码
    @Value("${express.sf_code}")
    private String sf_code;

    //顺丰快递接口checkword
    @Value("${express.sf_check_word}")
    private String sf_check_word;

    @Bean(name = "prescriptionExpressageService")
    PrescriptionExpressageService prescriptionExpressageService(){
        return new PrescriptionExpressageService(sf_url,sf_code,sf_check_word);
    }
}
