package com.yihu.jw.job;

import com.yihu.jw.hospital.prescription.service.entrance.EntranceService;
import com.yihu.jw.service.channel.PrescriptionStatusUpdateService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.quartz.Trigger;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * Created by Trick on 2019/10/15.
 */
public class SynDoctorInfoJob implements Job {

    private static final Logger logger = LoggerFactory.getLogger(SynDoctorInfoJob.class);
    @Autowired
    private EntranceService entranceService;
    @Override
    public void execute(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        logger.info("START========SynDoctorInfoJob========");
        try {
            Trigger trigger =jobExecutionContext.getTrigger();
            System.out.println("执行时间为"+trigger.getNextFireTime());
            entranceService.MS02003(false);
            logger.info("END========SynDoctorInfoJob========");
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("END===ERROE===SynDoctorInfoJob,message:"+e.getMessage());
        }
    }
}
