package com.yihu.jw.job.dailyReport;

import com.yihu.jw.service.channel.DailyReportService;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * Created by Bing on 2022/7/26.
 */
public class DailyReportTotalRemindJob implements Job {
    private static final Logger logger = LoggerFactory.getLogger(DailyReportTotalRemindJob.class);

    @Autowired
    private DailyReportService dailyReportService;

    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        logger.info("START========DailyReportTotalRemindJob========");
        try {
            dailyReportService.dailyReportTotalRemind();
        } catch (Exception e) {
            e.printStackTrace();
            logger.error("END===ERROE===DailyReportTotalRemindJob,message:" + e.getMessage());
        }
    }
}