package com.yihu.jw.hospital.dao.consult;

import com.yihu.jw.entity.hospital.consult.WlyyHospitalConsultPriceDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface ConsultPriceDao extends JpaRepository<WlyyHospitalConsultPriceDO, String>, JpaSpecificationExecutor<WlyyHospitalConsultPriceDO>  {

    // 根据机构编码查询所有计费列表
    List<WlyyHospitalConsultPriceDO> findByHospital(String hospital);

    // 根据机构编码、服务科室、医生类型、服务对象，查询单条价格记录
    WlyyHospitalConsultPriceDO findByHospitalAndDeptAndDoctorJobAndServiceRange(String hospital, String dept, String doctorJob, String serviceRange);

}