package com.yihu.jw.hospital.dao.consult;

import com.yihu.jw.entity.hospital.consult.WlyyHospitalSysDictDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;


public interface SysDictDao extends JpaRepository<WlyyHospitalSysDictDO, String>, JpaSpecificationExecutor<WlyyHospitalSysDictDO>  {


    WlyyHospitalSysDictDO findByHospitalAndDictCode(String hospital, String dictCode);

    List<WlyyHospitalSysDictDO> findByHospitalAndDictName(String hospital, String dictName);


    List<WlyyHospitalSysDictDO> findByDictName(String dictName);
}