package  com.yihu.customer.device.entity;

import  com.yihu.customer.entity.IdEntity;
//import com.yihu.jw.util.StringFStringEncryptConverter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * create by humingfen on 2018/6/6
 * 设备厂商表
 */
@Entity
@Table(name = "wlyy_manufacturer")
public class DeviceManufacturer extends IdEntity {
    private String code;//关联标识
    private String manufacturerCode;//厂商代码
    private String manufacturerName;//厂商名称
    private String address;//厂商地址
    private String representative;//法人代表
    private Date czrq;//创建时间
    private Integer del;//逻辑删除(1删除 0保留)

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "manufacturer_code")
    public String getManufacturerCode() {
        return manufacturerCode;
    }

    public void setManufacturerCode(String manufacturerCode) {
        this.manufacturerCode = manufacturerCode;
    }

    @Column(name = "manufacturer_name")
    public String getManufacturerName() {
        return manufacturerName;
    }

    public void setManufacturerName(String manufacturerName) {
        this.manufacturerName = manufacturerName;
    }

    @Column(name = "address")
    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

//    @Convert(converter = StringFStringEncryptConverter.class)
    @Column(name = "representative")
    public String getRepresentative() {
        return representative;
    }

    public void setRepresentative(String representative) {
        this.representative = representative;
    }

    @Column(name = "czrq")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }
}

