package  com.yihu.customer.entity.call;

import  com.yihu.customer.entity.BaseIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by zdm on 2019/5/8.
 * 电话录音记录表（ftp->fastdfs）
 */
@Entity
@Table(name = "manage_call_record_video")
public class ManageCallRecordVideoDo extends BaseIdentityEntity {
    /**流水号*/
    private String serialNumber;
    /**工号*/
    private String jobNumber;
    /**工号id*/
    private String jobNumberId;
    /**主叫*/
    private String caller;
    /**被叫*/
    private String called;
    /**录音时长*/
    private String videoDuration;
    /**时间戳*/
    private String videoTimeStamp;
    /**随机码*/
    private String randomCode;
    /**图片地址*/
    private String videoPath;
    /**图片地址*/
    private String fileName;
    /**是否有效：0删除，1正常*/
    private String status;
    /**更新者*/
    private String updateUser;
    /**姓名*/
    private String updateUserName;

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getJobNumber() {
        return jobNumber;
    }

    public void setJobNumber(String jobNumber) {
        this.jobNumber = jobNumber;
    }

    public String getJobNumberId() {
        return jobNumberId;
    }

    public void setJobNumberId(String jobNumberId) {
        this.jobNumberId = jobNumberId;
    }

    public String getCaller() {
        return caller;
    }

    public void setCaller(String caller) {
        this.caller = caller;
    }

    public String getCalled() {
        return called;
    }

    public void setCalled(String called) {
        this.called = called;
    }

    public String getVideoDuration() {
        return videoDuration;
    }

    public void setVideoDuration(String videoDuration) {
        this.videoDuration = videoDuration;
    }

    public String getVideoTimeStamp() {
        return videoTimeStamp;
    }

    public void setVideoTimeStamp(String videoTimeStamp) {
        this.videoTimeStamp = videoTimeStamp;
    }

    public String getRandomCode() {
        return randomCode;
    }

    public void setRandomCode(String randomCode) {
        this.randomCode = randomCode;
    }

    public String getVideoPath() {
        return videoPath;
    }

    public void setVideoPath(String videoPath) {
        this.videoPath = videoPath;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public String getUpdateUserName() {
        return updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }
}
