package  com.yihu.customer.entity.health;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by wzn54 on 2018/12/29.
 */
@Entity
@Table(name = "wlyy_health_task_record")
public class HealthTaskRecord extends IdEntity implements Serializable {

    private static final long serialVersionUID = -401494521490022582L;

    private String code;//任务编码
    private String name;//任务名称
    private Integer type;//任务类型
    private String source;//任务来源
    private Integer sendQuestionType;//发题方式
    private Integer questionCount;//展示题数
    private Integer integrate;//获取积分
    private Long useCount;//使用次数
    private Integer del;//删除标志
    private Integer status;//任务状态
    private Date createTime;//创建时间
    private Date updateTime;//修改时间

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "source")
    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    @Column(name = "send_question_type")
    public Integer getSendQuestionType() {
        return sendQuestionType;
    }

    public void setSendQuestionType(Integer sendQuestionType) {
        this.sendQuestionType = sendQuestionType;
    }

    @Column(name = "question_count")
    public Integer getQuestionCount() {
        return questionCount;
    }

    public void setQuestionCount(Integer questionCount) {
        this.questionCount = questionCount;
    }

    @Column(name = "integrate")
    public Integer getIntegrate() {
        return integrate;
    }

    public void setIntegrate(Integer integrate) {
        this.integrate = integrate;
    }

    @Column(name = "use_count")
    public Long getUseCount() {
        return useCount;
    }

    public void setUseCount(Long useCount) {
        this.useCount = useCount;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "status")
    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Column(name = "create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
