package  com.yihu.customer.entity.healthchannel;

import  com.yihu.customer.entity.BaseIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 健康频道
 * Created by zdm on 2019/2/15.
 */
@Entity
@Table(name = "wlyy_channel")
public class HealthChannelDo extends BaseIdentityEntity {
    /**
     * 频道名称
     */
    private String name;
    /**
     * 分类编码
     */
    private String code;
    /**
     * 涉及分类文章二级分类id
     */
    private String categoryId;
    /**
     * 分类ID
     */
    private String classification;
    /**
     * 分类名称
     */
    private String classificationName;
    /**
     * 创建者
     */
    private String author;
    /**
     * 创建者姓名
     */
    private String authorName;
    /**
     * 更新者
     */
    private String updater;
    /**
     * 更新者姓名
     */
    private String updaterName;
    /**
     * 是否有效：0失效，1生效
     */
    private Integer delFlag;
    /**
     * 分类层级:0频道，1推荐列表栏目，2文章置顶栏目
     */
    private String level;
    private Integer defaultFlag;//是否为默认频道：1是，0否
    private String categoryName;//二级类别名称
    private String firstLevelCategoryId;//1级类别id
    private String firstLevelCategoryName;//1级类别名称

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getClassification() {
        return classification;
    }

    public void setClassification(String classification) {
        this.classification = classification;
    }

    public String getClassificationName() {
        return classificationName;
    }

    public void setClassificationName(String classificationName) {
        this.classificationName = classificationName;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getAuthorName() {
        return authorName;
    }

    public void setAuthorName(String authorName) {
        this.authorName = authorName;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public String getUpdaterName() {
        return updaterName;
    }

    public void setUpdaterName(String updaterName) {
        this.updaterName = updaterName;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public Integer getDefaultFlag() {
        return defaultFlag;
    }

    public void setDefaultFlag(Integer defaultFlag) {
        this.defaultFlag = defaultFlag;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getFirstLevelCategoryId() {
        return firstLevelCategoryId;
    }

    public void setFirstLevelCategoryId(String firstLevelCategoryId) {
        this.firstLevelCategoryId = firstLevelCategoryId;
    }

    public String getFirstLevelCategoryName() {
        return firstLevelCategoryName;
    }

    public void setFirstLevelCategoryName(String firstLevelCategoryName) {
        this.firstLevelCategoryName = firstLevelCategoryName;
    }
}
