package  com.yihu.customer.entity.organization;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/**
 * 互联网医院表
 * Created by yeshijie on 2022/12/20.
 */
@Entity
@Table(name = "wlyy_hlwyy_hospital")
public class HlwyyHospital extends IdEntity {

    private String code;//医院编码
    private String name;//医院名称
    private String appid;
    private String townCode;
    private String cityCode;
    private String provinceCode;
    private String photo;//头像
    private String intro;//简介
    private Integer sort;//排序正序
    private Integer type;//等级医院
    private String typeName;//等级医院
    private String hospitalLevel;//等级医院
    private String hospitalLevelName;//等级医院
    private String labelA;//医院标签
    private String labelB;//专病标签
    private String labelBName;//专病标签
    private String labelC;//服务标签
    private String labelCName;//服务标签
    private String linkUrl;//跳转链接
    private Integer del;//删除标志 1正常 0删除
    private Integer recommend;//是否推荐 1推荐 0不推荐
    private Date createTime;

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "town_code")
    public String getTownCode() {
        return townCode;
    }

    public void setTownCode(String townCode) {
        this.townCode = townCode;
    }

    @Column(name = "city_code")
    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    @Column(name = "province_code")
    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    @Column(name = "photo")
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    @Column(name = "intro")
    public String getIntro() {
        return intro;
    }

    public void setIntro(String intro) {
        this.intro = intro;
    }

    @Column(name = "sort")
    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Column(name = "label_a")
    public String getLabelA() {
        return labelA;
    }

    public void setLabelA(String labelA) {
        this.labelA = labelA;
    }

    @Column(name = "label_b")
    public String getLabelB() {
        return labelB;
    }

    public void setLabelB(String labelB) {
        this.labelB = labelB;
    }

    @Column(name = "link_url")
    public String getLinkUrl() {
        return linkUrl;
    }

    public void setLinkUrl(String linkUrl) {
        this.linkUrl = linkUrl;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "type")
    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "appid")
    public String getAppid() {
        return appid;
    }

    public void setAppid(String appid) {
        this.appid = appid;
    }

    @Column(name = "recommend")
    public Integer getRecommend() {
        return recommend;
    }

    public void setRecommend(Integer recommend) {
        this.recommend = recommend;
    }

    @Column(name = "hospital_level")
    public String getHospitalLevel() {
        return hospitalLevel;
    }

    public void setHospitalLevel(String hospitalLevel) {
        this.hospitalLevel = hospitalLevel;
    }

    @Column(name = "label_c")
    public String getLabelC() {
        return labelC;
    }

    public void setLabelC(String labelC) {
        this.labelC = labelC;
    }

    @Transient
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }
    @Transient
    public String getHospitalLevelName() {
        return hospitalLevelName;
    }

    public void setHospitalLevelName(String hospitalLevelName) {
        this.hospitalLevelName = hospitalLevelName;
    }
    @Transient
    public String getLabelBName() {
        return labelBName;
    }

    public void setLabelBName(String labelBName) {
        this.labelBName = labelBName;
    }
    @Transient
    public String getLabelCName() {
        return labelCName;
    }

    public void setLabelCName(String labelCName) {
        this.labelCName = labelCName;
    }
}
