package  com.yihu.customer.entity.prescription;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by Administrator on 2017/7/21.
 * 处方详细
 */
@Entity
@Table(name = "wlyy_prescription_info")
public class PrescriptionInfo extends IdEntity{
    //drugRate（频率：一天用次数）*dayCount（天数）*physicDose(单次用量)
    //
    private String code;                    //业务主键
    private String prescriptionCode;      //处方code 关联表wlyy_prescription code
    private String drugCode;               //药品code
    private String drugName;               //药品名称
    private String subjectClass;               //科目类别编码
    private String drugRate;               //吃药频率
    private String drugRateName;          //用药频次名称
    private String drugFormat;             //药品规格
    private Integer num;                    //药品总量（用来计算价格）
    private Integer isRefrigerate;         //是否冷藏 1是 0否
    private String direction;               //药品用法
    private Integer price;                    //药品单价 单位是分
    private Integer del;               //1可用 0删除 不填数据库默认是1
    private String jwSubCode;//智业子处方号
    private String drugNumUnit;//数量单位编码
    private String drugNumUnitName;//数量单位名称
    private Integer cost;//计算总额（num*price） 单位是分
    private Integer charge;//自付 单位是分
    private String bindFlag;//成组标志, 0.非成组,1.成组
    private Integer dayCount;//用药天数
    private String drugUsage;//用药方法编码
    private String usageName;//用药方法名称
    private String physicDose;//用药剂量
    private String physicDoseUnit;//剂量单位编码
    private String physicDoseUnitName;//剂量单位名称
    private String physicAmount;//用药总量(实际用药量)
    private String physicAmountUnit;//总量单位编码
    private String physicAmountUnitName;//总量单位名称
    private String physicInjectPlace;//注射地点编码
    private String physicInjectPlaceName;//注射地点名称
    private String physicSkinTest;//注射地点名称
    private String physicSkinTestName;//皮试类型名称
    private String remark;//备注
    
    @Column(name = "code",unique = true , nullable=false)
    public String getCode() {
        return code;
    }
    
    public void setCode(String code) {
        this.code = code;
    }
    
    @Column(name = "prescription_code")
    public String getPrescriptionCode() {
        return prescriptionCode;
    }
    
    public void setPrescriptionCode(String prescriptionCode) {
        this.prescriptionCode = prescriptionCode;
    }
    
    @Column(name = "drug_code")
    public String getDrugCode() {
        return drugCode;
    }
    
    public void setDrugCode(String drugCode) {
        this.drugCode = drugCode;
    }
    
    @Column(name = "drug_name")
    public String getDrugName() {
        return drugName;
    }
    
    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }
    
    public String getDrugRate() {
        return drugRate;
    }
    
    public void setDrugRate(String drugRate) {
        this.drugRate = drugRate;
    }
    
    public String getDrugFormat() {
        return drugFormat;
    }
    
    public void setDrugFormat(String drugFormat) {
        this.drugFormat = drugFormat;
    }
    
    public Integer getNum() {
        return num;
    }
    
    public void setNum(Integer num) {
        this.num = num;
    }
    
    public Integer getIsRefrigerate() {
        return isRefrigerate;
    }
    
    public void setIsRefrigerate(Integer isRefrigerate) {
        this.isRefrigerate = isRefrigerate;
    }
    
    public String getDirection() {
        return direction;
    }
    
    public void setDirection(String direction) {
        this.direction = direction;
    }
    
    public Integer getPrice() {
        return price;
    }
    
    public void setPrice(Integer price) {
        this.price = price;
    }
    
    public Integer getDel() {
        return del;
    }
    
    public void setDel(Integer del) {
        this.del = del;
    }
    
    public String getJwSubCode() {
        return jwSubCode;
    }
    
    public void setJwSubCode(String jwSubCode) {
        this.jwSubCode = jwSubCode;
    }
    
    public String getDrugNumUnit() {
        return drugNumUnit;
    }
    
    public void setDrugNumUnit(String drugNumUnit) {
        this.drugNumUnit = drugNumUnit;
    }
    
    public String getDrugNumUnitName() {
        return drugNumUnitName;
    }
    
    public void setDrugNumUnitName(String drugNumUnitName) {
        this.drugNumUnitName = drugNumUnitName;
    }
    
    public Integer getCost() {
        return cost;
    }
    
    public void setCost(Integer cost) {
        this.cost = cost;
    }
    
    public Integer getCharge() {
        return charge;
    }
    
    public void setCharge(Integer charge) {
        this.charge = charge;
    }
    
    @Column(name = "bind_flag")
    public String getBindFlag() {
        return bindFlag;
    }
    
    public void setBindFlag(String bindFlag) {
        this.bindFlag = bindFlag;
    }
    
    @Column(name = "day_count")
    public Integer getDayCount() {
        return dayCount;
    }
    
    public void setDayCount(Integer dayCount) {
        this.dayCount = dayCount;
    }
    
    public String getDrugUsage() {
        return drugUsage;
    }
    
    public void setDrugUsage(String drugUsage) {
        this.drugUsage = drugUsage;
    }
    
    @Column(name = "usage_name")
    public String getUsageName() {
        return usageName;
    }
    
    public void setUsageName(String usageName) {
        this.usageName = usageName;
    }
    
    @Column(name = "physic_dose")
    public String getPhysicDose() {
        return physicDose;
    }
    
    public void setPhysicDose(String physicDose) {
        this.physicDose = physicDose;
    }
    
    public String getPhysicDoseUnit() {
        return physicDoseUnit;
    }
    
    public void setPhysicDoseUnit(String physicDoseUnit) {
        this.physicDoseUnit = physicDoseUnit;
    }
    
    public String getPhysicDoseUnitName() {
        return physicDoseUnitName;
    }
    
    public void setPhysicDoseUnitName(String physicDoseUnitName) {
        this.physicDoseUnitName = physicDoseUnitName;
    }
    
    public String getPhysicAmount() {
        return physicAmount;
    }
    
    public void setPhysicAmount(String physicAmount) {
        this.physicAmount = physicAmount;
    }
    
    public String getPhysicAmountUnit() {
        return physicAmountUnit;
    }
    
    public void setPhysicAmountUnit(String physicAmountUnit) {
        this.physicAmountUnit = physicAmountUnit;
    }
    
    public String getPhysicAmountUnitName() {
        return physicAmountUnitName;
    }
    
    public void setPhysicAmountUnitName(String physicAmountUnitName) {
        this.physicAmountUnitName = physicAmountUnitName;
    }
    
    public String getPhysicInjectPlace() {
        return physicInjectPlace;
    }
    
    public void setPhysicInjectPlace(String physicInjectPlace) {
        this.physicInjectPlace = physicInjectPlace;
    }
    
    public String getPhysicInjectPlaceName() {
        return physicInjectPlaceName;
    }
    
    public void setPhysicInjectPlaceName(String physicInjectPlaceName) {
        this.physicInjectPlaceName = physicInjectPlaceName;
    }
    
    public String getPhysicSkinTest() {
        return physicSkinTest;
    }
    
    public void setPhysicSkinTest(String physicSkinTest) {
        this.physicSkinTest = physicSkinTest;
    }
    
    public String getPhysicSkinTestName() {
        return physicSkinTestName;
    }
    
    public void setPhysicSkinTestName(String physicSkinTestName) {
        this.physicSkinTestName = physicSkinTestName;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    public String getDrugRateName() {
        return drugRateName;
    }
    
    public void setDrugRateName(String drugRateName) {
        this.drugRateName = drugRateName;
    }
    
    public String getSubjectClass() {
        return subjectClass;
    }
    
    public void setSubjectClass(String subjectClass) {
        this.subjectClass = subjectClass;
    }
}
