package  com.yihu.customer.entity.refinement;

import com.fasterxml.jackson.annotation.JsonFormat;
import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * 精选咨询问答表
 *
 * @author zhangdan
 */
@Entity
@Table(name = "wlyy_refinement_consult")
public class RefinementConsult extends IdEntity {

	private String code;
	private String consultCode;
	private String consultTitle;
	private String consultSymptoms;
	private String firstLevelCategoryCode;
	private String firstLevelCategoryName;
	private String secondLevelCategoryCode;
	private String secondLevelCategoryName;
	private Integer priority;
	private String coverImageUrl;
	private String summary;
	private Integer useScope;
	private String applyReasons;
	private String doctor;
	private String doctorName;
	private String patient;
	private String patientName;
	private String refinementUserName;
	private String refinementUserCode;
	private String refinementHospital;
	private String refinementHospitalName;
	private Integer isAuthentication;
	private String authenticationHospital;
	private String authenticationHospitalName;
	private Integer isFree;
	private Date applyime;
	private String notPassReason;
	private Integer del;

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getConsultCode() {
		return consultCode;
	}

	public void setConsultCode(String consultCode) {
		this.consultCode = consultCode;
	}

	public String getConsultTitle() {
		return consultTitle;
	}

	public void setConsultTitle(String consultTitle) {
		this.consultTitle = consultTitle;
	}

	public String getConsultSymptoms() {
		return consultSymptoms;
	}

	public void setConsultSymptoms(String consultSymptoms) {
		this.consultSymptoms = consultSymptoms;
	}

	public String getFirstLevelCategoryCode() {
		return firstLevelCategoryCode;
	}

	public void setFirstLevelCategoryCode(String firstLevelCategoryCode) {
		this.firstLevelCategoryCode = firstLevelCategoryCode;
	}

	public String getFirstLevelCategoryName() {
		return firstLevelCategoryName;
	}

	public void setFirstLevelCategoryName(String firstLevelCategoryName) {
		this.firstLevelCategoryName = firstLevelCategoryName;
	}

	public String getSecondLevelCategoryCode() {
		return secondLevelCategoryCode;
	}

	public void setSecondLevelCategoryCode(String secondLevelCategoryCode) {
		this.secondLevelCategoryCode = secondLevelCategoryCode;
	}

	public String getSecondLevelCategoryName() {
		return secondLevelCategoryName;
	}

	public void setSecondLevelCategoryName(String secondLevelCategoryName) {
		this.secondLevelCategoryName = secondLevelCategoryName;
	}

	public Integer getPriority() {
		return priority;
	}

	public void setPriority(Integer priority) {
		this.priority = priority;
	}

	public String getCoverImageUrl() {
		return coverImageUrl;
	}

	public void setCoverImageUrl(String coverImageUrl) {
		this.coverImageUrl = coverImageUrl;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public Integer getUseScope() {
		return useScope;
	}

	public void setUseScope(Integer useScope) {
		this.useScope = useScope;
	}

	public String getApplyReasons() {
		return applyReasons;
	}

	public void setApplyReasons(String applyReasons) {
		this.applyReasons = applyReasons;
	}

	public String getDoctor() {
		return doctor;
	}

	public void setDoctor(String doctor) {
		this.doctor = doctor;
	}

	public String getDoctorName() {
		return doctorName;
	}

	public void setDoctorName(String doctorName) {
		this.doctorName = doctorName;
	}

	public String getPatient() {
		return patient;
	}

	public void setPatient(String patient) {
		this.patient = patient;
	}

	public String getPatientName() {
		return patientName;
	}

	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}

	public String getRefinementUserName() {
		return refinementUserName;
	}

	public void setRefinementUserName(String refinementUserName) {
		this.refinementUserName = refinementUserName;
	}

	public String getRefinementUserCode() {
		return refinementUserCode;
	}

	public void setRefinementUserCode(String refinementUserCode) {
		this.refinementUserCode = refinementUserCode;
	}

	public String getRefinementHospital() {
		return refinementHospital;
	}

	public void setRefinementHospital(String refinementHospital) {
		this.refinementHospital = refinementHospital;
	}

	public String getRefinementHospitalName() {
		return refinementHospitalName;
	}

	public void setRefinementHospitalName(String refinementHospitalName) {
		this.refinementHospitalName = refinementHospitalName;
	}

	public Integer getIsAuthentication() {
		return isAuthentication;
	}

	public void setIsAuthentication(Integer isAuthentication) {
		this.isAuthentication = isAuthentication;
	}

	public String getAuthenticationHospital() {
		return authenticationHospital;
	}

	public void setAuthenticationHospital(String authenticationHospital) {
		this.authenticationHospital = authenticationHospital;
	}

	public String getAuthenticationHospitalName() {
		return authenticationHospitalName;
	}

	public void setAuthenticationHospitalName(String authenticationHospitalName) {
		this.authenticationHospitalName = authenticationHospitalName;
	}

	public Integer getIsFree() {
		return isFree;
	}

	public void setIsFree(Integer isFree) {
		this.isFree = isFree;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@Column(name="apply_time")
	public Date getApplyime() {
		return applyime;
	}

	public void setApplyime(Date applyime) {
		this.applyime = applyime;
	}

	public String getNotPassReason() {
		return notPassReason;
	}

	public void setNotPassReason(String notPassReason) {
		this.notPassReason = notPassReason;
	}

	public Integer getDel() {
		return del;
	}

	public void setDel(Integer del) {
		this.del = del;
	}
}
