package  com.yihu.customer.entity.survey;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Reece on 2017/01/27
 * 问卷调查奖品信息
 */
@Entity
@Table(name = "Wlyy_questionnaire_prize")
public class QuestionnairePrize extends IdEntity {
  private String code;      //UUID-业务逻辑ID
  private Integer type;     //奖品类型：1电影票
  private String prizeCode; //奖品兑奖码
  private String prizePsw;       //奖品密码
  private Date validity;    //奖品有效期
  private String address;   //'兑奖地址'
  private Integer used;   //0为未领走，1为被领走
  private Integer del;    //0为有效，1为删除
  private Date createTime;  //创建时间
  private Date updateTime;  //'修改时间'
  //奖品名称
  private String prizeName;

  public String getPrizePsw() {
    return prizePsw;
  }

  public void setPrizePsw(String prizePsw) {
    this.prizePsw = prizePsw;
  }

  public String getPrizeName() {
    return prizeName;
  }

  public void setPrizeName(String prizeName) {
    this.prizeName = prizeName;
  }

  public String getCode() {
    return code;
  }

  public void setCode(String code) {
    this.code = code;
  }

  public Integer getType() {
    return type;
  }

  public void setType(Integer type) {
    this.type = type;
  }

  public String getPrizeCode() {
    return prizeCode;
  }

  public void setPrizeCode(String prizeCode) {
    this.prizeCode = prizeCode;
  }

  public Date getValidity() {
    return validity;
  }

  public String getAddress() {
    return address;
  }

  public void setAddress(String address) {
    this.address = address;
  }

  public Integer getUsed() {
    return used;
  }

  public void setUsed(Integer used) {
    this.used = used;
  }

  public Integer getDel() {
    return del;
  }

  public void setDel(Integer del) {
    this.del = del;
  }

  public void setValidity(Date validity) {
    this.validity = validity;
  }

  public Date getCreateTime() {
    return createTime;
  }

  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  public Date getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }
}
