package  com.yihu.customer.entity.survey;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 问卷调查标签信息表
 * Created by ysj on 2017/3/3.
 */
@Entity
@Table(name = "wlyy_survey_label_info")
public class SurveyLabelInfo extends IdEntity{
    private static final long serialVersionUID = 1L;
    private String code;
    private String relationCode;//关联编码
    private Integer useType;//关联编码类型(0模板 1问卷)
    private Integer label;//标签(1满意度、2糖尿病、3高血压、4生活日常)

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "relation_code")
    public String getRelationCode() {
        return relationCode;
    }

    public void setRelationCode(String relationCode) {
        this.relationCode = relationCode;
    }

    @Column(name = "use_type")
    public Integer getUseType() {
        return useType;
    }

    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    public Integer getLabel() {
        return label;
    }

    public void setLabel(Integer label) {
        this.label = label;
    }
}
