package  com.yihu.customer.entity.synergy;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by 刘文彬 on 2018/9/27.
 * 协同服务处理操作日志
 */
@Entity
@Table(name = "manage_synergy_workorder_servicer_log")
public class ManageSynergyWorkorderServicerLogDO extends IdEntity {

    private String code;
    private Integer personal;//是否为本人（1、患者本人，2、患者家属,3、其他）
    private Integer callStatus;//通话状态（1、正常通话，2、无人接听，3、拒接，4、占线，5、关机，6、停机，7、无法接通，8、空号错号）
    private Integer returnVisit;//回访（1、有效回访，2、无效回访）
    private Integer followUp;//是否跟进（1、无需跟进，2、待跟进）
    private Integer emphasis;//是否重点患者（1、重点患者，2、非重点患者）
    private String remark;//备注
    private Date createTime;//添加时间
    private String workorderCode;//系统服务工单code
    private String workorderServiceCode;//协同服务对象code
    private String createUserCode;//创建人（客服）code
    private String createUserName;//创建人（客服）名称
    private String callCode;//通话记录code

    @Column(name = "code")
    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Column(name = "personal")
    public Integer getPersonal() {
        return personal;
    }

    public void setPersonal(Integer personal) {
        this.personal = personal;
    }

    @Column(name = "call_status")
    public Integer getCallStatus() {
        return callStatus;
    }

    public void setCallStatus(Integer callStatus) {
        this.callStatus = callStatus;
    }

    @Column(name = "return_visit")
    public Integer getReturnVisit() {
        return returnVisit;
    }

    public void setReturnVisit(Integer returnVisit) {
        this.returnVisit = returnVisit;
    }

    @Column(name = "follow_up")
    public Integer getFollowUp() {
        return followUp;
    }

    public void setFollowUp(Integer followUp) {
        this.followUp = followUp;
    }

    @Column(name = "emphasis")
    public Integer getEmphasis() {
        return emphasis;
    }

    public void setEmphasis(Integer emphasis) {
        this.emphasis = emphasis;
    }

    @Column(name = "remark")
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(name = "create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Column(name = "workorder_code")
    public String getWorkorderCode() {
        return workorderCode;
    }

    public void setWorkorderCode(String workorderCode) {
        this.workorderCode = workorderCode;
    }

    @Column(name = "workorder_service_code")
    public String getWorkorderServiceCode() {
        return workorderServiceCode;
    }

    public void setWorkorderServiceCode(String workorderServiceCode) {
        this.workorderServiceCode = workorderServiceCode;
    }

    @Column(name = "create_user_code")
    public String getCreateUserCode() {
        return createUserCode;
    }

    public void setCreateUserCode(String createUserCode) {
        this.createUserCode = createUserCode;
    }

    @Column(name = "create_user_name")
    public String getCreateUserName() {
        return createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Column(name = "call_code")
    public String getCallCode() {
        return callCode;
    }

    public void setCallCode(String callCode) {
        this.callCode = callCode;
    }
}
