package  com.yihu.customer.entity.twoCancers;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * Created by wsl on 2022/9/21
 */

@Entity
@Table(name = "breast_cervical_address")
public class BreastCervicalAddress extends IdEntity {

    private String hospital;//医院id
    private String hospitalName;//医院名字
    private String address;//筛查地址
    private String describeStr;//预约界面描述

    public BreastCervicalAddress() {
    }

    public BreastCervicalAddress(String hospital, String hospitalName, String address) {
        this.hospital = hospital;
        this.hospitalName = hospitalName;
        this.address = address;
    }

    public String getHospital() {
        return hospital;
    }

    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }

    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getDescribeStr() {
        return describeStr;
    }

    public void setDescribeStr(String describeStr) {
        this.describeStr = describeStr;
    }
}
