package  com.yihu.customer.entity.vaccin;

import  com.yihu.customer.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;
import java.util.List;

/**
 * Created by wxw on 2019/1/14.
 *
 * @author wxw.
 */
@Entity
@Table(name = "wlyy_vaccin")
public class Vaccin extends IdEntity implements Serializable {

	private static final long serialVersionUID = -7489761757306241706L;
	// 业务主键
	private String code;
	//识别码
	private String discriminateCode;
	//疫苗名称
	private String name;
	//疫苗类型 1一类  2二类
	private int type;
	//副标题
	private String subtitle;
	//简介
	private String summary;
	//不良反应
	private String untowardEffect;
	//禁忌症
	private String contraindication;
	//接种反应
	private String vaccinEffect;
	//注意事项
	private String useWarn;
	//温馨提示
	private String hint;

	private List<VaccinPlan> vaccinPlans;


	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDiscriminateCode() {
		return discriminateCode;
	}

	public void setDiscriminateCode(String discriminateCode) {
		this.discriminateCode = discriminateCode;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getSubtitle() {
		return subtitle;
	}

	public void setSubtitle(String subtitle) {
		this.subtitle = subtitle;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getUntowardEffect() {
		return untowardEffect;
	}

	public void setUntowardEffect(String untowardEffect) {
		this.untowardEffect = untowardEffect;
	}

	public String getContraindication() {
		return contraindication;
	}

	public void setContraindication(String contraindication) {
		this.contraindication = contraindication;
	}

	public String getVaccinEffect() {
		return vaccinEffect;
	}

	public void setVaccinEffect(String vaccinEffect) {
		this.vaccinEffect = vaccinEffect;
	}

	public String getUseWarn() {
		return useWarn;
	}

	public void setUseWarn(String useWarn) {
		this.useWarn = useWarn;
	}

	public String getHint() {
		return hint;
	}

	public void setHint(String hint) {
		this.hint = hint;
	}

	@Transient
	public List<VaccinPlan> getVaccinPlans() {
		return vaccinPlans;
	}

	public void setVaccinPlans(List<VaccinPlan> vaccinPlans) {
		this.vaccinPlans = vaccinPlans;
	}
}
