package  com.yihu.customer.model;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by yww on 2017/1/3.
 */
public class FeatureTree {
    long id;
    String name;
    long parentId;
    String type;
    String iconUrl;
    String memo;
    List children = new ArrayList<>();

    public FeatureTree(long id, String name, long parentId, String type, String iconUrl) {
        this.id = id;
        this.name = name;
        this.parentId = parentId;
        this.type = type;
        this.iconUrl = iconUrl;
    }

    public FeatureTree(long id, String name, String memo, long parentId, String type) {
        this.id = id;
        this.name = name;
        this.memo = memo;
        this.parentId = parentId;
        this.type = type;
    }

    public void addChild(FeatureTree child) {
        children.add(child);
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getParentId() {
        return parentId;
    }

    public void setParentId(long parentId) {
        this.parentId = parentId;
    }

    public List getChildren() {
        return children;
    }

    public void setChildren(List children) {
        this.children = children;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getIconUrl() {
        return iconUrl;
    }

    public void setIconUrl(String iconUrl) {
        this.iconUrl = iconUrl;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

}
