package  com.yihu.customer.repository;

import  com.yihu.customer.entity.Country;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface CountryDao extends PagingAndSortingRepository<Country, Long> {

    @Query("select c from Country c where c.street = ?1 order by id")
    Iterable<Country> findByStreet(String street);
}
