package  com.yihu.customer.repository;

import  com.yihu.customer.entity.DoorServiceOrderDO;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.transaction.annotation.Transactional;

public interface DoorServiceOrderDao extends PagingAndSortingRepository<DoorServiceOrderDO, String> {

    @Query("update DoorServiceOrderDO d set d.status = ?2 where d.id = ?1")
    @Modifying
    @Transactional
    void updateStatusById(String id, Integer status);
}
