package  com.yihu.customer.repository;

import  com.yihu.customer.entity.Followup;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
/**
 * Created by Administrator on 2016/12/19.
 */
public interface FollowupDao extends PagingAndSortingRepository<Followup,Integer> {
	//判断是否有未完成的随访计划
	@Query("select count(1) from Followup p where p.status in (2,3) and p.patientCode = ?1 ")
	int searchUnfinished(String patientCode);

	@Modifying
	@Query("delete from Followup p where p.patientCode=?1 and p.type=4")
	int delCopdPatientPlan(String patientCode);

	@Modifying
	@Query("update Followup p set p.doctorCode=?2,p.doctorName=?3,p.orgCode=?4,p.orgName=?5 where p.patientCode=?1 and  p.type=4")
	int updateCoPDPatientPlan(String patientCode, String doctor, String doctorName, String hospital, String hospitalName);

	@Query("select p from Followup p where p.id=?1 ")
	Followup findById(Long id);
}