package  com.yihu.customer.repository;

import  com.yihu.customer.entity.ManageRoles;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by yww on 2016/12/28.
 */
public interface ManageRolesDao extends PagingAndSortingRepository<ManageRoles, Long> {


    @Query(value = "select count(1) from ManageRoles r where r.code = ?1")
    int isCodeExist(String code);

    @Query(value = "select count(1) from ManageRoles r where  r.name = ?1")
    int isNameExist(String name);

    @Query(value = "select r from ManageRoles r where  r.code = ?1")
    ManageRoles findByCode(String code);
}
