/*******************************************************************************
 * Copyright (c) 2005, 2014 springside.github.io
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 *******************************************************************************/
package  com.yihu.customer.repository;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import  com.yihu.customer.entity.Province;

import java.util.List;

public interface ProvinceDao extends PagingAndSortingRepository<Province, Long> {
	// 根據CODE查詢省名稱
	@Query("select p from Province p where p.code = ?1")
	Province findByCode(String code);

	@Query("select p from Province p where p.name = ?1")
    Province findByName(String name);

	@Query("select p from Province p ")
	List<Province> select();
}
