package  com.yihu.customer.repository;


import  com.yihu.customer.entity.RehabilitationPatientInfoDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by liub on 2020/9/16.
 */
public interface RehabilitationPatientInfoDao extends PagingAndSortingRepository<RehabilitationPatientInfoDO,Long>,JpaSpecificationExecutor<RehabilitationPatientInfoDO> {

    @Query(value="select r from RehabilitationPatientInfoDO r where r.status <> 1")
    List<RehabilitationPatientInfoDO> findUnDispation();

    @Modifying
    @Query(value="update RehabilitationPatientInfoDO r set r.status=?1 where r.code = ?2")
    int updateState(Integer state, String code);
}
