package  com.yihu.customer.repository;

import  com.yihu.customer.entity.SignDict;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface SignDictDao  extends PagingAndSortingRepository<SignDict, Long>, JpaSpecificationExecutor<SignDict> {
    List<SignDict> findByYear(String year);

    @Query("select s.name from SignDict s where s.code = ?1 and s.year = ?2")
    String findNameByCodeAndYear(String label, String signYear);
}

