package  com.yihu.customer.repository;

import java.util.List;
import  com.yihu.customer.entity.SpecialDisease;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

public interface SpecialDiseaseDao extends PagingAndSortingRepository<SpecialDisease,Long>,JpaSpecificationExecutor<SpecialDisease> {

    @Query(value = "select s from SpecialDisease s where s.del=?1")
    List<SpecialDisease> findDisByDel(String del);
}
