package  com.yihu.customer.repository;

import  com.yihu.customer.entity.SystemDict;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Administrator on 2016/8/13.
 */
public interface SystemDictDao extends PagingAndSortingRepository<SystemDict, Long>, JpaSpecificationExecutor<SystemDict> {

    @Query("from SystemDict s where s.dictName=?1 order by s.sort asc ")
    List<SystemDict> findByDictName(String name);

    List<SystemDict> findByDictNameAndCode(String name, String code);

    @Query("select s.value from SystemDict s where s.dictName=?1 and s.code =?2")
    String findByDictNameAndCode2(String dictName, String code);


    @Query("select s.value from SystemDict s where s.dictName=?1 and s.code =?2")
    String findByDictNameAndCode3(String dictName, String code);
}

