package  com.yihu.customer.repository;

import  com.yihu.customer.entity.WlyyOrgAddress;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by Bing on 2021/5/27.
 */
public interface WlyyOrgAddressDao extends PagingAndSortingRepository<WlyyOrgAddress,Long>, JpaSpecificationExecutor<WlyyOrgAddress> {

    List<WlyyOrgAddress> findByOrgCode(String orgCode);

    List<WlyyOrgAddress> findByHospitalCode(String hospitalCode);

    WlyyOrgAddress findByHospitalCodeAndOrgCodeAndDeptCode(String hospitalCode, String orgCode, String deptCode);

    @Modifying
    @Query(value = "update WlyyOrgAddress p set p.del=?1 where p.id=?2 ")
    int updateDel(Integer del, Long id);
}
