package  com.yihu.customer.repository;

import  com.yihu.customer.entity.WlyyOrgAddressDoctor;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by Bing on 2022/2/15.
 */
public interface WlyyOrgAddressDoctorDao extends PagingAndSortingRepository<WlyyOrgAddressDoctor,Long>, JpaSpecificationExecutor<WlyyOrgAddressDoctor> {

    @Modifying
    @Query("delete WlyyOrgAddressDoctor a where a.hospitalCode=?1 and a.deptCode=?2 ")
    void deleteByDeptCodeAndHospitalCode(String hospitalCode, String deptCode);

    @Query("select a from WlyyOrgAddressDoctor a where a.hospitalCode=?1 and a.deptCode=?2")
    WlyyOrgAddressDoctor findByHospitalCodeAndDeptCode(String hospitalCode, String deptCode);
}
