package  com.yihu.customer.repository;

import  com.yihu.customer.entity.WlyyPatientDevice;
import  com.yihu.customer.entity.device.PatientHealthStandard;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by yww on 2016/12/7.
 */
public interface WlyyPatientDeviceDao extends PagingAndSortingRepository<WlyyPatientDevice,Integer> {
    @Query("select a from PatientHealthStandard a where a.patient = ?1 and a.type = ?2")
    PatientHealthStandard findByPatientType(String patient, int type);

    @Query("select pd from WlyyPatientDevice pd where pd.deviceSn = ?1 and pd.del=0")
    List<WlyyPatientDevice> findByDeviceSn(String deviceSn);
}
