package  com.yihu.customer.repository.call;

import  com.yihu.customer.entity.call.ManageCallRecordVideoDo;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by zdm on 2019/5/8.
 * 电话录音记录
 */
public interface ManageCallRecordVideoDao extends PagingAndSortingRepository<ManageCallRecordVideoDo, Long>, JpaSpecificationExecutor<ManageCallRecordVideoDo> {

    @Query("select m from ManageCallRecordVideoDo m where m.fileName=?1 and m.status=1")
    List<ManageCallRecordVideoDo> findByFileName(String fileName);

    @Query("select m from ManageCallRecordVideoDo m where m.serialNumber like ?1 and m.jobNumber=?2 and m.caller=?3 and m.called like ?4 and m.status=1")
    List<ManageCallRecordVideoDo> findBySerialNumberAndCaller(String date, String jobNumber, String caller, String called);
}
