package  com.yihu.customer.repository.copd;

import  com.yihu.customer.entity.copd.CopdPatientGroup;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by yeshijie on 2023/2/20.
 */
public interface CopdPatientGroupDao extends PagingAndSortingRepository<CopdPatientGroup, Long>, JpaSpecificationExecutor<CopdPatientGroup> {

    @Query("select a from CopdPatientGroup a where a.patient = ?1")
    CopdPatientGroup findByPatient(String patient);
}
