package  com.yihu.customer.repository.health;

import  com.yihu.customer.entity.health.HealthTask;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by wzn54 on 2018/12/29.
 */
public interface HealthTaskDao extends PagingAndSortingRepository<HealthTask, Long>,JpaSpecificationExecutor<HealthTask> {

    @Modifying
    @Query("update HealthTask t set t.del=0 where t.code=?1")
    int deleteByCode(String code);

    @Modifying
    @Query("update HealthTask t set t.status=?2 where t.code=?1")
    int updateStatusByCode(String code, Integer status);

    @Query("select t from HealthTask t where t.code=?1 and t.del=1")
    HealthTask selectByCode(String code);
}
