package  com.yihu.customer.repository.health;

import  com.yihu.customer.entity.health.HealthTaskQuestion;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by wzn54 on 2018/12/29.
 */
public interface HealthTaskQuestionDao extends PagingAndSortingRepository<HealthTaskQuestion, Long>,JpaSpecificationExecutor<HealthTaskQuestion> {

    @Modifying
    @Query("update HealthTaskQuestion t set t.del=0 where t.healthTaskCode=?1")
    int deleteByHealthTaskCode(String healthTaskCode);

    @Modifying
    @Query("delete from HealthTaskQuestion t where t.healthTaskCode=?1")
    int delete(String healthTaskCode);

    @Query("select q from HealthTaskQuestion q where q.healthTaskCode=?1 and q.del=1")
    List<HealthTaskQuestion> selectByHealthTaskCode(String healthTaskCode);
}
