package  com.yihu.customer.repository.health;

import  com.yihu.customer.entity.health.HealthTaskQuestionOption;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by wzn54 on 2018/12/29.
 */
public interface HealthTaskQuestionOptionDao extends PagingAndSortingRepository<HealthTaskQuestionOption, Long>,JpaSpecificationExecutor<HealthTaskQuestionOption> {

    @Modifying
    @Query("update HealthTaskQuestionOption o set o.del=0 where o.questionCode=?1")
    int deleteByQuestionCode(String questionCode);


    @Query("select o from HealthTaskQuestionOption o where o.questionCode=?1 and o.del=1")
    List<HealthTaskQuestionOption> selectByQuestionCode(String questionCode);


    @Modifying
    @Query("delete from HealthTaskQuestionOption t where t.questionCode=?1")
    int delete(String questionCode);

}
