package  com.yihu.customer.repository.health;

import  com.yihu.customer.entity.health.HealthTaskQuestionOptionRecord;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by wzn54 on 2018/12/29.
 */
public interface HealthTaskQuestionOptionRecordDao extends PagingAndSortingRepository<HealthTaskQuestionOptionRecord, Long> {

    @Query("select o from HealthTaskQuestionOptionRecord o where o.questionCode=?1 and o.del=1")
    List<HealthTaskQuestionOptionRecord> selectByQuestionCode(String questionCode);


    @Modifying
    @Query("update HealthTaskQuestionOptionRecord t set t.del=0 where t.questionCode=?1")
    int deleteByQuestionCode(String questionCode);

    @Modifying
    @Query("delete from HealthTaskQuestionOptionRecord t where t.questionCode=?1")
    int delete(String questionCode);
}
