package  com.yihu.customer.repository.healthColumn;

import  com.yihu.customer.entity.healthcolumn.PeriodicalDo;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by zdm on 2018/12/25.
 */

public interface PeriodicalDao extends PagingAndSortingRepository<PeriodicalDo, Long>, JpaSpecificationExecutor<PeriodicalDo> {

    @Query(value = "SELECT p.* from wlyy_periodical p where p.sort < ?1 and p.del_flag <>0 order by p.sort desc limit 1", nativeQuery = true)
    PeriodicalDo findDownBySortAndDelFlag(Integer sort);

    @Query(value = "SELECT p.* from wlyy_periodical p where p.sort > ?1 and p.del_flag <>0 order by p.sort limit 1", nativeQuery = true)
    PeriodicalDo findUpBySortAndDelFlag(Integer sort);

}
