package  com.yihu.customer.repository.login;

import  com.yihu.customer.entity.login.UserLoginLog;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;
import java.util.List;

/**
 * Created by yeshijie on 2021/11/30.
 */
public interface UserLoginLogDao extends PagingAndSortingRepository<UserLoginLog, Long>, JpaSpecificationExecutor<UserLoginLog> {

    @Query("select a from UserLoginLog a where a.userCode = ?1 and a.type ='2' and a.createTime between ?2 and ?3")
    List<UserLoginLog> findByUserCode(String userCode, Date begin, Date end);

}
