package  com.yihu.customer.repository.platformInformation;

import  com.yihu.customer.entity.platformInformation.PlatformInformationDO;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.Date;

public interface PlatformInformationDao extends PagingAndSortingRepository<PlatformInformationDO, Long> {

    @Query("SELECT p from PlatformInformationDO p where p.code = ?1 and p.del = 1")
    PlatformInformationDO findByCode(String code);

    @Modifying
    @Query("update PlatformInformationDO p set p.sendStatus = 1 where p.id = ?1 and p.del = 1")
    void updateSendStatusById(Long id);

    @Modifying
    @Query("update PlatformInformationDO p set p.sendStatus = ?3 , p.sendTime = ?2, p.updateTime = ?2 where p.id = ?1 and p.del = 1")
    void updateSendInformationById(Long id, Date date, Integer sendStatus);
}
