package  com.yihu.customer.repository.platformInformation;

import  com.yihu.customer.entity.platformInformation.PlatformInformationLabelDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface PlatformInformationLabelDao extends PagingAndSortingRepository<PlatformInformationLabelDO, Long> {

    @Query("select p.name from PlatformInformationLabelDO p where p.code = ?1 and p.del =1")
    String findNameByCode(String label);

    @Query("select p from PlatformInformationLabelDO p where p.del =1")
    List<PlatformInformationLabelDO> findAllLabel();
}
