package  com.yihu.customer.repository.platformInformation;

import  com.yihu.customer.entity.platformInformation.PlatformInformationLabelRelationDO;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface PlatformInformationLabelRelationDao extends PagingAndSortingRepository<PlatformInformationLabelRelationDO, Long> {

    @Modifying
    @Query("update PlatformInformationLabelRelationDO p set p.del = 0  where p.informationCode = ?1 and p.del = 1")
    void updateDelByInformationCode(String code);

    @Query("select p from PlatformInformationLabelRelationDO p where p.informationCode = ?1 and p.del = 1")
    List<PlatformInformationLabelRelationDO> findByInformationCode(String informationCode);
}
