package  com.yihu.customer.repository.satisfaction;

import  com.yihu.customer.entity.satisfaction.SatisfactionSurveyDetail;
import org.springframework.data.domain.Pageable;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * @author xyq
 * @create 2022-07-18 10:20
 * @slogan 他化自在，我自逍遥
 */
public interface SatisfactionSurveyDetailDao  extends PagingAndSortingRepository<SatisfactionSurveyDetail, Long>, JpaSpecificationExecutor<SatisfactionSurveyDetail> {

    @Modifying
    @Query("delete from SatisfactionSurveyDetail d where d.planId = ?1 ")
    void deleteByPlanId(Integer id);

    List<SatisfactionSurveyDetail> findByPlanId(Integer id, Pageable pageable);

    @Query("select count(d.id) from SatisfactionSurveyDetail d where d.planId = ?1 ")
    Long getCountByPlanId(Integer id);

}
