package  com.yihu.customer.repository.survey;

import  com.yihu.customer.entity.survey.QuestionnairePrize;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

/**
 * Created by Reece on 2017/01/28
 * 
 */
public interface QuestionnairePrizeDao extends PagingAndSortingRepository<QuestionnairePrize,Long>,JpaSpecificationExecutor<QuestionnairePrize> {

    /**
     * 根据类型及兑奖码查询
     * @param type 1电影票
     * @return 奖品资源
     */
    @Query("select p from QuestionnairePrize p where p.del = 0 and p.type = ?1 and p.prizeCode =?2 and p.prizePsw = ?3 ")
    QuestionnairePrize findByPrizeType(Integer type, String prizeCode, String prizePsw);

}
