package  com.yihu.customer.repository.survey;

import  com.yihu.customer.entity.survey.SurveyQuestionOption;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by yeshijie on 2017/3/7.
 */
public interface SurveyQuestionOptionDao extends PagingAndSortingRepository<SurveyQuestionOption,Long>,JpaSpecificationExecutor<SurveyQuestionOption> {

    @Query("select a from SurveyQuestionOption a where a.questionCode=?1 and a.del='1' order by a.sort ")
    List<SurveyQuestionOption> findByQuestionCode(String questionCode);

    @Query("update SurveyQuestionOption set del=0 where questionCode =?1")
    @Modifying
    void deleteByQuestionCode(String questionCode);

}
