package  com.yihu.customer.repository.survey;

import  com.yihu.customer.entity.survey.SurveyQuestionnaireOptions;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface SurveyQuestionnaireOptionsDao extends PagingAndSortingRepository<SurveyQuestionnaireOptions,Long>,JpaSpecificationExecutor<SurveyQuestionnaireOptions> {

    @Query("select t  from SurveyQuestionnaireOptions t where  t.surveyCode =?1 and t.questionnaireCode = ?2")
    List<SurveyQuestionnaireOptions> findByIdAndQstCode(String surveycode, String qstcode);

}
