package  com.yihu.customer.repository.survey;

import  com.yihu.customer.entity.survey.SurveyTemplateQuestions;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by yeshijie on 2017/3/7.
 */
public interface SurveyTemplateQuestionsDao extends PagingAndSortingRepository<SurveyTemplateQuestions,Long>,JpaSpecificationExecutor<SurveyTemplateQuestions> {

    @Query("update SurveyTemplateQuestions set del = 0 where templateCode=?1 and del = 1")
    @Modifying
    void updateDelByTemplateCode(String templateCode);

    @Modifying
    void deleteByTemplateCode(String templateCode);

    List<SurveyTemplateQuestions> findByTemplateCodeAndDel(String templateCode, String del);

    SurveyTemplateQuestions findByCode(String code);

    @Query("select q from SurveyTemplateQuestions q where q.templateCode = ?1")
    List<SurveyTemplateQuestions> findByTemplateCode(String templateCode);
}
