package  com.yihu.customer.repository.synergy;

import  com.yihu.customer.entity.synergy.KnowledgeArticleDO;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Created by wxw on 2018/12/26.
 *
 * @author wxw.
 */
public interface KnowledgeArticleDao extends PagingAndSortingRepository<KnowledgeArticleDO, Long> {

    @Query("select a from KnowledgeArticleDO a where a.del=1 and category = :category")
    List<KnowledgeArticleDO> findByCategory(@Param("category") String category);
}
