package  com.yihu.customer.repository.synergy;

import  com.yihu.customer.entity.synergy.ManageSynergyWorkordeReminderDO;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by 刘文彬 on 2018/10/8.
 */
public interface ManageSynergyWorkorderReminderDao extends PagingAndSortingRepository<ManageSynergyWorkordeReminderDO, Long> {

    List<ManageSynergyWorkordeReminderDO> findByPrincipalCodeAndDealWith(String principalCode, Integer dealWith);

    List<ManageSynergyWorkordeReminderDO> findByWorkorderCodeAndDealWith(String workorderCode, Integer dealWith);

    @Modifying
    @Query(" update ManageSynergyWorkordeReminderDO r set r.dealWith=1 where r.workorderCode=?1")
    Integer updateDealWith(String workorderCode);

    @Query("select r from ManageSynergyWorkordeReminderDO r where r.code=?1")
    ManageSynergyWorkordeReminderDO findByCode(String code);
}