package  com.yihu.customer.repository.vaccin;

import  com.yihu.customer.entity.vaccin.VaccinPlan;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * Created by wxw on 2019/1/14.
 *
 * @author wxw.
 */
public interface VaccinPlanDao extends PagingAndSortingRepository<VaccinPlan, Long> {

    @Query("select p from VaccinPlan p where p.vaccinCode = :vaccinCode")
    List<VaccinPlan> getByVaccinCode(@Param("vaccinCode") String vaccinCode);
}
