/*
package com.yihu.jw.service.elasticsearch;

import com.yihu.jw.util.DateUtil;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

*/
/**
 * Created by wxw on 2018/11/6.
 *
 * @author wxw.
 *//*

@Service
public class EsService {
    @Value("${es.type.Statistics}")
    private String esType;
    @Value("${es.index.Statistics}")
    private String esIndex;

    private static final Logger log = LoggerFactory.getLogger(EsService.class);

    @Autowired
    private ElasticsearchUtil elasticsearchUtil;

    */
/**
     * 待预约
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getReservedByTime(String start, String end, String city, boolean teamName) {
        String sql = "select town,townName,sum(result1) result1,sum(result2) result2 from " + esIndex +
                " where city='" + city + "' and quotaCode in(27) and timeLevel='2'   and areaLevel='5' and quotaDate>='" + start +
                "T00:00:00+0800' and quotaDate<='"+ end +"T00:00:00+0800' group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getReservedByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 咨询量
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getConsultByTime(String start, String end, String city, boolean teamName) {
        String sql = "select town,townName,sum(result1) result1,sum(result2) result2 from " + esIndex +" where city='" + city + "' " +
                "and quotaCode in(3) and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='"+
                end +"T00:00:00+0800' group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getConsultByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 未回复
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getUnansweredByTime(String start, String end, String city, boolean teamName) {
        String sql = "select town,townName,sum(result1) result1,sum(result2) result2 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(22) and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" +
                end + "T00:00:00+0800' group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getUnansweredByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 回复及时
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getReplyByTime(String start, String end, String city, boolean teamName) {
        String sql = "select town,townName,sum(result1) result1,sum(result2) result2 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(23) and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" +
                end + "T00:00:00+0800' group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getReplyByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 绑定量
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getBindingAmountByTime(String start, String end, String city, boolean teamName) {
        String sql = "select town,townName,sum(result1) result1,sum(result2) result2 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(21) and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" +
                end + "T00:00:00+0800' group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getBindingAmountByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 签约已扣费数
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getContractDeductionsByTime(String start, String end, String city, boolean teamName) {
        String sql = "select town,townName,sum(result1) result1,sum(result2) result2 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(1) and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" +
                end + "T00:00:00+0800' group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getContractDeductionsByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 总推送量
     * @param start
     * @return
     *//*

    public List<Map<String, Object>> getTotalPushVolumeByTime(String start, String end, String city, boolean teamName) {
        String sql = "select sum(result1) result1 from " + esIndex + " where quotaCode=83 and timeLevel='2' and areaLevel='5' " +
                "and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" + end + "T00:00:00+0800' and city='" + city+ "' " +
                "group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getTotalPushVolumeByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 阅读量
     * @param start
     * @return
     *//*

    public List<Map<String, Object>> getReadingVolumeByTime(String start, String end, String city, boolean teamName) {
        int signYear = DateUtil.getSignYear();
        String sql = "select sum(result1) result1 from " + esIndex + " where quotaCode=83 and timeLevel='2' and city='" + city +
                "' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" + end + "T00:00:00+0800' " +
                "and slaveKey1='1' group by town,townName";
        sql = !teamName ? sql : sql + ",hospitalName";
        log.info("getReadingVolumeByTime:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     *
     * @param quotaCode 1 签约量  44 续签
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getSingOrRenewAmount(String quotaCode, String start, String end, String city) {
        String sql = "select town,townName,sum(result1) result1 from " + esIndex + " where city='" + city + "' and quotaCode in(" +
                quotaCode +") and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" +
                end + "T00:00:00+0800' group by town,townName,hospitalName";
        log.info("getSingOrRenewAmount:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     *
     * @param quotaCode 1 签约量  44 续签
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getLastYearSingAmount(String quotaCode, String end, String city) {
        String signEnd = DateUtil.getSignEndDay(null,Integer.valueOf(end));
        String sql = "select town,townName,sum(result1) result1 from " + esIndex + " where city='" + city + "' and quotaCode in(" +
                quotaCode +") and timeLevel='2' and areaLevel='5' and quotaDate>='" + signEnd + "T00:00:00+0800' and quotaDate<='" +
                signEnd + "T00:00:00+0800' group by town,townName,hospitalName";
        log.info("getLastYearSingAmount:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 高血压数量 slaveKey1=1     糖尿病数量 slaveKey1=2      大于65岁的老年人数量 slaveKey1=3
     * @param quotaCode 17 签约  54 续签
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getAmount(String quotaCode, String end, String city, String slaveKey) {
        String signEnd = DateUtil.getSignEndDay(null,Integer.valueOf(end));
        String sql = "select town,townName,sum(result1) result1 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(" + quotaCode + ") and timeLevel='2' and areaLevel='5' and quotaDate>='" + signEnd + "T00:00:00+0800' " +
                "and quotaDate<='" + signEnd + "T00:00:00+0800' and slaveKey1='" + slaveKey + "' group by town,townName,hospitalName";
        log.info("getAmount{}:{}", slaveKey, sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 高血压数量 slaveKey1=1
     * @param quotaCode 17 签约  54 续签
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getHypertensionAmount(String quotaCode, String start, String end, String city) {
        String sql = "select town,townName,sum(result1) result1 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(" + quotaCode + ") and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' " +
                "and quotaDate<='" + end + "T00:00:00+0800' and slaveKey1='1' group by town,townName,hospitalName";
        log.info("getHypertensionAmount:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 糖尿病数量 slaveKey1=2
     * @param quotaCode 17 签约  54 续签
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getDiabetesAmount(String quotaCode, String start, String end, String city) {
        String sql = "select town,townName,sum(result1) result1 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(" + quotaCode + ") and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' " +
                "and quotaDate<='" + end + "T00:00:00+0800' and slaveKey1='2' group by town,townName,hospitalName";
        log.info("getDiabetesAmount:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 大于65岁的老年人数量 slaveKey1=3
     * @param quotaCode 17 签约  54 续签
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getElderlyAmount(String quotaCode, String start, String end, String city) {
        String sql = "select town,townName,sum(result1) result1 from " + esIndex + " where city='" + city + "' " +
                "and quotaCode in(" + quotaCode + ") and timeLevel='2' and areaLevel='5' and quotaDate>='" + start + "T00:00:00+0800' " +
                "and quotaDate<='" + end + "T00:00:00+0800' and slaveKey1='3' group by town,townName,hospitalName";
        log.info("getElderlyAmount:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    */
/**
     * 微信绑定数
     * @param quotaCode 21微信绑定数    1签约已扣费  3咨询量    23及时回复   83健康教育  5健康指导
     * @param hospital
     * @param start
     * @param end
     * @return
     *//*

    public List<Map<String, Object>> getTeamInfo(String quotaCode, String hospital, String start, String end) {
        String sql = "select sum(result1) result1 from " + esIndex + " where quotaCode in(" + quotaCode + ") and timeLevel='2' and " +
                "areaLevel='5' and hospital='" + hospital + "' and quotaDate>='" + start + "T00:00:00+0800' and quotaDate<='" + end +
                "T00:00:00+0800' group by teamName";
        log.info("getTeamInfo:{}", sql);
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sql);
        return list;
    }

    public List<Map<String, Object>> getPrescriptionInfo(String quotaCode, String slaveKey, String start, String end, String city, boolean flag) {
        StringBuffer sb = new StringBuffer();
        sb.append("select sum(result1) result1 from " + esIndex + " where quotaCode in(").append(quotaCode).append(") ")
                .append("and timeLevel='2' and areaLevel='5' and quotaDate>='").append(start).append("T00:00:00+0800'")
                .append("and quotaDate<='").append(end).append("T23:59:59+0800'").append(" and city='").append(city).append("'");
        if (StringUtils.isNotEmpty(slaveKey)) {
            sb.append(" and slaveKey1 in(").append(slaveKey).append(")");
        }
        sb.append(" group by townName");
        if (flag) {
            sb.append(",hospitalName");
        }
        log.info("getTeamInfo:{}", sb.toString());
        List<Map<String, Object>> list = elasticsearchUtil.excuteDataModel(sb.toString());
        return list;
    }

}
*/
