/*
package com.yihu.jw.service.healthedu;

import com.yihu.jw.entity.Patient;
import com.yihu.jw.entity.SignFamily;
import com.yihu.jw.entity.es.HealthEduArticleES;
import com.yihu.jw.entity.es.HealthEduPatientCode;
import com.yihu.jw.entity.organization.HospitalMapping;
import com.yihu.jw.repository.organization.HospitalMappingDao;
import com.yihu.jw.service.manager.sign.FamilyContractService;
import com.yihu.jw.util.ElasticsearchUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;

import java.util.*;

*/
/**
 * 健康教育业务层代码
 * @author huangwenjie
 * @date 2018/2/2 14:42
 *//*

@Service
public class HealthEduService {
	@Value("${es.type.HealthEduArticlePatient}")
	private String esType;
	@Value("${es.index.HealthEduArticlePatient}")
	private String esIndex;
	@Autowired
	private ElasticsearchUtil elasticsearchUtil;
	@Autowired
	private FamilyContractService familyContractService;
	@Autowired
	private HospitalMappingDao hospitalMappingDao;
	
	public List<SignFamily> getPatientPushList(String beginDate, String endDate){
		
		List<SignFamily> signFamilies = new ArrayList<>();
		
		Map<String,String> orgcodemap = new HashMap<>();
		
		Set<String> patientcodesets = new HashSet<>();
		
		String sql = "SELECT patientCode FROM "+esType+" where createTime >='"+beginDate+"T00:00:00+0800' and createTime <='"+endDate+"T23:59:59+0800'  group by patientCode limit 0,1000000";
		
		List<HealthEduPatientCode> patientCodes = elasticsearchUtil.excute(sql, HealthEduPatientCode.class, esIndex, esType);
		
		for (HealthEduPatientCode es: patientCodes) {
			System.out.println(patientcodesets.size());
			if(patientcodesets.contains(es.getPatientCode())){
				continue;
			}else{
				patientcodesets.add(es.getPatientCode());
			}
			SignFamily obj = familyContractService.findSignByPatient(es.getPatientCode());
			if( obj == null){
				continue;
			}
			String jworgcode = "";
			if(orgcodemap.isEmpty() || !orgcodemap.keySet().contains(obj.getHospital())){
				HospitalMapping hospitalMapping =  hospitalMappingDao.findByCode(obj.getHospital());
				if(hospitalMapping == null){
					continue;
				}
				jworgcode = hospitalMapping.getMappingCode();
				orgcodemap.put(obj.getHospital(),jworgcode);
			}else{
				jworgcode = orgcodemap.get(obj.getHospital());
			}
			obj.setHospital(jworgcode);
			signFamilies.add(obj);
		}
		return signFamilies;
	}
}
*/
