package com.yihu.customer.service.manager.account;//package com.yihu.jw.service.manager.account;
//
//import java.util.Date;
//import java.util.HashMap;
//import java.util.List;
//import java.util.Map;
//import java.util.UUID;
//
//import org.apache.commons.lang3.StringUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.domain.Page;
//import org.springframework.data.domain.PageRequest;
//import org.springframework.data.jpa.domain.Specification;
//import org.springframework.jdbc.core.JdbcTemplate;
//import org.springframework.stereotype.Component;
//import org.springframework.transaction.annotation.Transactional;
//import org.springside.modules.persistence.DynamicSpecifications;
//import org.springside.modules.persistence.SearchFilter;
//import org.springside.modules.persistence.SearchFilter.Operator;
//
//import com.yihu.jw.entity.DmJob;
//import com.yihu.jw.entity.HospitalDept;
//import com.yihu.jw.entity.Role;
//import com.yihu.jw.entity.User;
//import com.yihu.jw.entity.UserRole;
//import com.yihu.jw.entity.WlyyOrganizationDept;
//import com.yihu.jw.repository.DmJobDao;
//import com.yihu.jw.repository.HospitalDeptDao;0
//import com.yihu.jw.repository.RoleDao;
//import com.yihu.jw.repository.UserDao;
//import com.yihu.jw.repository.UserRoleDao;
//import com.yihu.jw.repository.WlyyOrganizationDao;
//import com.yihu.jw.repository.WlyyOrganizationDeptDao;
//import com.yihu.jw.util.MD5;
//
//@Component
//@Transactional(rollbackFor = Exception.class)
//public class UserService {
//
//	@Autowired
//	private UserDao userDao;
//	@Autowired
//	private JdbcTemplate jdbcTemplate;
//	@Autowired
//	private DmJobDao jobDao;
//	@Autowired
//	private HospitalDeptDao hospitalDeptDao;
//
//
//	public User getUser(Long id) throws Exception {
//		return userDao.findById(id).get();
//	}
//
//	public User getUser(String user) throws Exception {
//		return userDao.findByCode(user);
//	}
//
//	@Transactional
//	public void saveUser(User user, String roles) throws Exception {
//		// 判断手机是否注册过
//		List<User> users = userDao.findByPhone(user.getMobile());
//
//		if (users != null && users.size() > 0) {
//			throw new Exception("手机已经注册过");
//		}
//
//		// 保存用户
//		String salt = UUID.randomUUID().toString().replace("-", "");
//		user.setSalt(salt);
//		user.setPassword(MD5.GetMD5Code("123456" + salt));
//		user.setType(2);// 醫生user
//		// 保存用户权限
//		String[] roleCodes = roles.split(";");
//		for (String roleCode : roleCodes) {
//			UserRole userRole = new UserRole();
//			userRole.setCzrq(new Date());
//			userRole.setRole(roleCode);
//			userRole.setUser(user.getCode());
//			userRoleDao.save(userRole);
//		}
//		user.setRoles(roles);
//		userDao.save(user);
//	}
//
//	@Transactional
//	public void updateUser(User userTemp, String roles) throws Exception {
//		// 判断手机是否注册过
//		List<User> users = userDao.findByPhoneWithOutId(userTemp.getMobile(),
//				userTemp.getId());
//
//		if (users != null && users.size() > 0) {
//			throw new Exception("手机已经注册过");
//		}
//		// 更新用户
//		User user = userDao.findOne(userTemp.getId());
//		user.setCzrq(new Date());
//
//		user.setName(userTemp.getName());
//		user.setMobile(userTemp.getMobile());
//		user.setOrganizationId(userTemp.getOrganizationId());
//		user.setRoles(roles);
//		// 刪除原有的權限
//		userRoleDao.deleteByUserRole(userTemp.getCode());
//		// 保存用户权限
//		String[] roleCodes = roles.split(";");
//
//		for (String roleCode : roleCodes) {
//			UserRole userRole = new UserRole();
//			userRole.setCzrq(new Date());
//			userRole.setRole(roleCode);
//			userRole.setUser(userTemp.getCode());
//			userRoleDao.save(userRole);
//		}
//	}
//
//	@Transactional
//	public void deleteUser(Long id, String code) throws Exception {
//		// 删除用户
//		userDao.delete(id);
//		// 删除用户的权限
//		userRoleDao.deleteByUserRole(code);
//	}
//
//	public User findOneUser(Long id) throws Exception {
//		User user = userDao.findById(id).get();
//		String roles = user.getRoles();
//		if (StringUtils.isNotEmpty(roles)) {
//			String[] roleArrays = roles.split(";");
//			String roleName = "";
//			for (int i = 0; i < roleArrays.length; i++) {
//				Role role = roleDao.findByCode(roleArrays[i]);
//				roleName = roleName + role.getName();
//				if (i != roleArrays.length - 1) {
//					roleName = roleName + ",";
//				}
//			}
//			user.setRoleName(roleName);
//		}
//		return user;
//	}
//
//	public Page<User> getUserList(int page, int rows, String organizationId,
//								  String organizationDept, String mbjob, String isSign,
//								  String hospitalDept, String name) throws Exception {
//		if (page <= 0) {
//			page = 1;
//		}
//		if (rows <= 0) {
//			rows = 10;
//		}
//		// 设置查询条件//
//		Map<String, SearchFilter> filters = new HashMap<String, SearchFilter>();
//		// 名称模糊查询
//		filters.put("organizationId", new SearchFilter("organizationId",
//				Operator.EQ, organizationId));
//		if (StringUtils.isNotBlank(name)) {
//			filters.put("name", new SearchFilter("name", Operator.LIKE, name));
//		}
//		if (StringUtils.isNotBlank(organizationDept)) {
//			filters.put("organizationDept", new SearchFilter(
//					"organizationDept", Operator.EQ, organizationDept));
//		}
//		if (StringUtils.isNotBlank(mbjob)) {
//			filters.put("mbjob", new SearchFilter("mbjob", Operator.EQ, mbjob));
//		}
//		if (StringUtils.isNotBlank(isSign)) {
//			filters.put("isSign", new SearchFilter("isSign", Operator.EQ,
//					isSign));
//		}
//		if (StringUtils.isNotBlank(hospitalDept)) {
//			filters.put("hospitalDept", new SearchFilter("hospitalDept",
//					Operator.EQ, hospitalDept));
//		}
//		// 分页信息
//		PageRequest pageRequest = PageRequest.of(page - 1, rows);
//
//		Specification<User> spec = DynamicSpecifications.bySearchFilter(
//				filters.values(), User.class);
//		Page<User> users = userDao.findAll(spec, pageRequest);
//		for (User user : users.getContent()) {
//			//翻译角色名称
//			String roles = user.getRoles();
//			if (StringUtils.isNotEmpty(roles)) {
//				String[] roleArrays = roles.split(";");
//				String roleName = "";
//				for (int i = 0; i < roleArrays.length; i++) {
//					Role role = roleDao.findByCode(roleArrays[i]);
//					if(role==null)continue;
//					roleName = roleName + role.getName();
//					if (i != roleArrays.length - 1) {
//						roleName = roleName + ",";
//					}
//				}
//				user.setRoleName(roleName);
//			}
//			//翻译科室  -----------原方法注释yww20160901
////			if(!StringUtils.isEmpty(user.getHospitalDept())){
////				HospitalDept hospitalDeptTemp= hospitalDeptDao.findByCode(user.getHospitalDept());
////				user.setHospitalDeptName(hospitalDeptTemp.getName());
////			}
//
//		}
//		return users;
//	}
//
//	@Transactional
//	public void updateSign(String ids, String sign) throws Exception {
//		String[] idArray = ids.split(";");
//		for (String id : idArray) {
//			User user = userDao.findOne(Long.valueOf(id));
//			userDao.save(user);
//		}
//	}
//
//	@Transactional
//	public void updatePassword(String mobile, String oldPassword,
//			String newPassword1, String newPassword2) throws Exception {
//		List<User> users = userDao.findByPhone(mobile);
//		if (users != null && users.size() > 0) {
//			throw new Exception("账号不存在");
//		}
//
//		User user = users.get(0);
//		// 判断旧密码是否一致
//		String oldDBPassword = user.getPassword();
//		if (!oldDBPassword.equals(MD5.GetMD5Code(oldPassword + user.getSalt()))) {
//			throw new Exception("旧密码错误");
//		}
//
//		user.setPassword(MD5.GetMD5Code(newPassword2 + user.getSalt()));
//	}
//
//}
