package com.yihu.customer.service.manager.survey;

import com.yihu.customer.util.query.BaseJpaService;
import  com.yihu.customer.entity.survey.SurveyQuestionOption;
import  com.yihu.customer.repository.survey.SurveyQuestionOptionDao;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 问卷调查题库选项表
 * Created by ysj on 2017/3/3.
 */
@Service
public class SurveyQuestionOptionService extends BaseJpaService<SurveyQuestionOption,Long> {
    @Autowired
    SurveyQuestionOptionDao surveyQuestionOptionDao;

    public void save(List<SurveyQuestionOption> surveyQuestionOptions){
        surveyQuestionOptionDao.saveAll(surveyQuestionOptions);
    }

    public SurveyQuestionOption save(SurveyQuestionOption surveyQuestionOption){
         return  surveyQuestionOptionDao.save(surveyQuestionOption);
    }

    public void deleteByQuestionCode(String questionCode){
          surveyQuestionOptionDao.deleteByQuestionCode(questionCode);
    }
}
