package com.yihu.customer.vaccin;

import  com.yihu.customer.entity.vaccin.VaccinPlan;
import  com.yihu.customer.repository.vaccin.VaccinPlanDao;
import com.yihu.customer.util.query.BaseJpaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * Created by wxw on 2019/1/14.
 *
 * @author wxw.
 */
@Service
@Transactional
public class VaccinPlanService extends BaseJpaService<VaccinPlan, VaccinPlanDao> {
    @Autowired
    private VaccinPlanDao vaccinPlanDao;

    public List<VaccinPlan> findByVaccinCode(String vaccinCode) {
        List<VaccinPlan> vaccinPlans = vaccinPlanDao.getByVaccinCode(vaccinCode);
        return vaccinPlans;
    }
}
