package com.yihu.rehabilitation.dao.consult;

import com.yihu.jw.entity.base.score.BaseEvaluateScoreDO;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;


/**
 * Created by 卓 on 2017/5/10.
 */
public interface EvaluateScoreDao extends PagingAndSortingRepository<BaseEvaluateScoreDO, Long>, JpaSpecificationExecutor<BaseEvaluateScoreDO> {

    int countEvaluateScoreByDoctor(String doctor);

    /**
     * 获取某个咨询的评分
     * @param consult
     * @return
     */
    List<BaseEvaluateScoreDO> findByConsult(String consult);

    List<BaseEvaluateScoreDO> findByConsultAndDoctor(String consult, String doctor);
}
