package com.yihu.rehabilitation.vo.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.searchbox.annotations.JestId;
import org.springframework.data.annotation.CreatedDate;

import java.util.Date;

/**
 * 老人自理能力评估内容表
 * create by hmf on 2019/4/18
 */
public class OldPeopleSelfcareAbilityAssessmentEs {

    @JestId
    private String id;
    private String followup_id;             //随访记录ID
    private String followup_project;        //随访详情分类ID
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyyMMdd'T'HHmmss.SSS'Z'")
    @CreatedDate
    private Date create_time;
    private String create_user;
    private String create_user_name;

    private String number;//评估编号
    private String doctorName;//评估医生
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
    private Date assessment_time;//评估日期
    private Integer eat;//进餐（1独立完成0-3分 2轻度依赖4-8分 3中度依赖9-18分 4不能自理≥19分）
    private Integer wash;//梳洗（1独立完成0-3分 2轻度依赖4-8分 3中度依赖9-18分 4不能自理≥19分
    private Integer dress;//穿衣（1独立完成0-3分 2轻度依赖4-8分 3中度依赖9-18分 4不能自理≥19分
    private Integer toilet;//如厕（1独立完成0-3分 2轻度依赖4-8分 3中度依赖9-18分 4不能自理≥19分
    private Integer activity;//活动（1独立完成0-3分 2轻度依赖4-8分 3中度依赖9-18分 4不能自理≥19分
    private Integer score;//总评分

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getFollowup_id() {
        return followup_id;
    }

    public void setFollowup_id(String followup_id) {
        this.followup_id = followup_id;
    }

    public String getFollowup_project() {
        return followup_project;
    }

    public void setFollowup_project(String followup_project) {
        this.followup_project = followup_project;
    }

    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }

    public String getCreate_user() {
        return create_user;
    }

    public void setCreate_user(String create_user) {
        this.create_user = create_user;
    }

    public String getCreate_user_name() {
        return create_user_name;
    }

    public void setCreate_user_name(String create_user_name) {
        this.create_user_name = create_user_name;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Date getAssessment_time() {
        return assessment_time;
    }

    public void setAssessment_time(Date assessment_time) {
        this.assessment_time = assessment_time;
    }

    public Integer getEat() {
        return eat;
    }

    public void setEat(Integer eat) {
        this.eat = eat;
    }

    public Integer getWash() {
        return wash;
    }

    public void setWash(Integer wash) {
        this.wash = wash;
    }

    public Integer getDress() {
        return dress;
    }

    public void setDress(Integer dress) {
        this.dress = dress;
    }

    public Integer getToilet() {
        return toilet;
    }

    public void setToilet(Integer toilet) {
        this.toilet = toilet;
    }

    public Integer getActivity() {
        return activity;
    }

    public void setActivity(Integer activity) {
        this.activity = activity;
    }

    public Integer getScore() {
        return score;
    }

    public void setScore(Integer score) {
        this.score = score;
    }
}
