package com.yihu.rehabilitation.vo.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.searchbox.annotations.JestId;
import org.springframework.data.annotation.CreatedDate;

import java.util.Date;

/**
 * 调查问卷中奖纪录
 * @author huangwenjie
 * @date 2018/1/28 19:51
 */
public class QuestionnaireWinningESDO {
	
	@JestId
	private String id;
	// 业务主键
	private String code;
	//用户CODE
	private String userCode;
	//用户身份证信息
	private String userIdcard;
	//中奖人姓名
	private String userName;
	//中奖人openid
	private String userOpenid;
	//奖品类型：1电影票
	private Integer prizeType;
	//奖品兑奖码-卡号
	private String prizeCode;
	//奖品兑奖码-密码
	private String prizePsw;
	//奖品名称
	private String prizeName;
	//兑奖地址
	private String address;
	//奖品有效期
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyyMMdd'T'HHmmss.SSS'Z'")
	private Date validity;
	//0为未删除，1为删除
	private Integer del;
	//0为未中奖，1为已中奖
	private Integer winning;
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyyMMdd'T'HHmmss.SSS'Z'")
	@CreatedDate
	private Date create_time;
	
	@JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyyMMdd'T'HHmmss.SSS'Z'")
	private Date update_time;
	
	
	public String getId() {
		return id;
	}
	
	public void setId(String id) {
		this.id = id;
	}
	
	public String getCode() {
		return code;
	}
	
	public void setCode(String code) {
		this.code = code;
	}
	
	public String getUserCode() {
		return userCode;
	}
	
	public void setUserCode(String userCode) {
		this.userCode = userCode;
	}
	
	public String getUserIdcard() {
		return userIdcard;
	}
	
	public void setUserIdcard(String userIdcard) {
		this.userIdcard = userIdcard;
	}
	
	public String getUserName() {
		return userName;
	}
	
	public void setUserName(String userName) {
		this.userName = userName;
	}
	
	public String getUserOpenid() {
		return userOpenid;
	}
	
	public void setUserOpenid(String userOpenid) {
		this.userOpenid = userOpenid;
	}
	
	public Integer getPrizeType() {
		return prizeType;
	}
	
	public void setPrizeType(Integer prizeType) {
		this.prizeType = prizeType;
	}
	
	public String getPrizeCode() {
		return prizeCode;
	}
	
	public void setPrizeCode(String prizeCode) {
		this.prizeCode = prizeCode;
	}
	
	public Integer getDel() {
		return del;
	}
	
	public void setDel(Integer del) {
		this.del = del;
	}
	
	public Date getCreate_time() {
		return create_time;
	}
	
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}
	
	public Date getUpdate_time() {
		return update_time;
	}
	
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}
	
	public Integer getWinning() {
		return winning;
	}
	
	public void setWinning(Integer winning) {
		this.winning = winning;
	}
	
	public String getAddress() {
		return address;
	}
	
	public void setAddress(String address) {
		this.address = address;
	}
	
	public Date getValidity() {
		return validity;
	}
	
	public void setValidity(Date validity) {
		this.validity = validity;
	}
	
	public String getPrizeName() {
		return prizeName;
	}
	
	public void setPrizeName(String prizeName) {
		this.prizeName = prizeName;
	}
	
	public String getPrizePsw() {
		return prizePsw;
	}
	
	public void setPrizePsw(String prizePsw) {
		this.prizePsw = prizePsw;
	}
}
