package com.yihu.rehabilitation.vo.entity.followupDisease;

import io.searchbox.annotations.JestId;

/**
 * Created by wangzhinan on 2020/3/23.
 * 3.慢性前列腺疾病日常随访
 */
public class ProstateFollowupES {
    @JestId
    private String id;
    private String followup_id;             //随访记录ID
    private String followup_project;        //随访详情分类ID
    private String version;//版本号
    private String createOperatorName;//创建人
    private String modifyOperatorName;//修改人
    private String orgId;//机构id&【必填】
    private String sickId;//病人id&
    private String problemId;//健康问题id&
    private String followOrgId;//随访机构&【必填】
    private String followDoctor;//随访医生&【必填】
    private String followTime;//随访时间&【必填】
    private String followType;//随访方式【1.门诊 2.电话 3.入户】&【必填】
    private String followDoctorType;//随访医生类型【1.专科医生 2.全科医生 3.健康管理师】&【必填】
    private String nextFollowTime;//下次随访时间&【必填】
    private String identityCardNo;//身份证号&【必填】
    private String assessSource;//评估来源【1.前台三合一 2. 前台独立 3.后台自动 4.i健康】&【必填】
    private String symptomNo;//症状_无&【症状必选，至少选一个】
    private String symptomMicturition;//症状_尿频&
    private String symptomUrgentUrination;//症状_尿急&
    private String symptomOdynuria;//症状_尿痛&
    private String symptomUracratia;//症状_尿失禁&
    private String symptomHematuresis;//症状_血尿&
    private String symptomPyuria;//症状_脓尿&
    private String symptomInexhUrine;//症状_尿不尽&
    private String symptomDysury;//症状_排尿困难&
    private String symptomUrinaInter;//症状_排尿中断&
    private String symptomPerinealPain;//症状_会阴部闷痛&
    private String symptomLumSore;//症状_腰骶部酸痛&
    private String symptomSexualFD;//症状_性功能下降&
    private String symptomMemoryLoss;//症状_记忆力减退&
    private String symptomLoseSleep;//症状_失眠&
    private String symptomEasyFatigue;//症状_易疲劳&
    private String symptomOther;//症状_其它&
    private String symptomOtherStr;//症状_其它内容&
    private String afeMediumTexture;//肛门指检_质地中等&
    private String afeHardTexture;//肛门指检_质地硬&
    private String afePalpableNodule;//肛门指检_可触及结节&
    private String bloodPressureLeftU;//左侧血压（收缩压）&【必填】
    private String bloodPressureLeftD;//左侧血压（舒张压）&【必填】
    private String bloodPressureRigthU;//右侧血压（收缩压）&【必填】
    private String bloodPressureRigthD;//右侧血压（舒张压）&【必填】
    private String height;//身高&【必填】
    private String weight;//体重&【必填】
    private String psa;//psa&
    private String bUrud;//b超残余尿测定&【必填】
    private String dailySmokingQuantity;//日吸烟量&【必填】
    private String everyAlcoholTolerance;//日饮酒量&【必填】
    private String drugAdverseReaction;//药物不良反应&
    private String drugName1;//药物名称_1&
    private String drugSubdose1;//药物次剂量_1&
    private String dosageUnit1;//剂量单位_1&
    private String frequency1;//用药频次_1&
    private String drugName2;//药物名称_2&
    private String drugSubdose2;//药物次剂量_2&
    private String dosageUnit2;//剂量单位_2&
    private String frequency2;//用药频次_2&
    private String drugName3;//药物名称_3&
    private String drugSubdose3;//药物次剂量_3&
    private String dosageUnit3;//剂量单位_3&
    private String frequency3;//用药频次_3&
    private String drugName4;//药物名称_4&
    private String drugSubdose4;//药物次剂量_4&
    private String dosageUnit4;//剂量单位_4&
    private String frequency4;//用药频次_4&
    private String drugName5;//药物名称_5&
    private String drugSubdose5;//药物次剂量_5&
    private String dosageUnit5;//剂量单位_5&
    private String frequency5;//用药频次_5&
    private String drugName6;//药物名称_6&
    private String drugSubdose6;//药物次剂量_6&
    private String dosageUnit6;//剂量单位_6&
    private String frequency6;//用药频次_6&
    private String validFlag;//有效标志&【必填】
    private String createTime;//创建时间&
    private String createOperator;//创建人&【新增必填】
    private String modifyTime;//修改时间&
    private String modifyOperator;//修改人&【修改必填】
    private String remark;//备注&
    private String tubercle;//肛门指检_结节&
    private String hard;//肛门指检_质地坚硬&
    private String prostateLong;//肛门指检_前列腺长&
    private String prostateWide;//肛门指检_前列腺宽&
    private String cdu;//彩超

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId;
    }

    public String getSickId() {
        return sickId;
    }

    public void setSickId(String sickId) {
        this.sickId = sickId;
    }

    public String getProblemId() {
        return problemId;
    }

    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    public String getFollowOrgId() {
        return followOrgId;
    }

    public void setFollowOrgId(String followOrgId) {
        this.followOrgId = followOrgId;
    }

    public String getFollowDoctor() {
        return followDoctor;
    }

    public void setFollowDoctor(String followDoctor) {
        this.followDoctor = followDoctor;
    }

    public String getFollowTime() {
        return followTime;
    }

    public void setFollowTime(String followTime) {
        this.followTime = followTime;
    }

    public String getFollowType() {
        return followType;
    }

    public void setFollowType(String followType) {
        this.followType = followType;
    }

    public String getFollowDoctorType() {
        return followDoctorType;
    }

    public void setFollowDoctorType(String followDoctorType) {
        this.followDoctorType = followDoctorType;
    }

    public String getNextFollowTime() {
        return nextFollowTime;
    }

    public void setNextFollowTime(String nextFollowTime) {
        this.nextFollowTime = nextFollowTime;
    }

    public String getIdentityCardNo() {
        return identityCardNo;
    }

    public void setIdentityCardNo(String identityCardNo) {
        this.identityCardNo = identityCardNo;
    }

    public String getAssessSource() {
        return assessSource;
    }

    public void setAssessSource(String assessSource) {
        this.assessSource = assessSource;
    }

    public String getSymptomNo() {
        return symptomNo;
    }

    public void setSymptomNo(String symptomNo) {
        this.symptomNo = symptomNo;
    }

    public String getSymptomMicturition() {
        return symptomMicturition;
    }

    public void setSymptomMicturition(String symptomMicturition) {
        this.symptomMicturition = symptomMicturition;
    }

    public String getSymptomUrgentUrination() {
        return symptomUrgentUrination;
    }

    public void setSymptomUrgentUrination(String symptomUrgentUrination) {
        this.symptomUrgentUrination = symptomUrgentUrination;
    }

    public String getSymptomOdynuria() {
        return symptomOdynuria;
    }

    public void setSymptomOdynuria(String symptomOdynuria) {
        this.symptomOdynuria = symptomOdynuria;
    }

    public String getSymptomUracratia() {
        return symptomUracratia;
    }

    public void setSymptomUracratia(String symptomUracratia) {
        this.symptomUracratia = symptomUracratia;
    }

    public String getSymptomHematuresis() {
        return symptomHematuresis;
    }

    public void setSymptomHematuresis(String symptomHematuresis) {
        this.symptomHematuresis = symptomHematuresis;
    }

    public String getSymptomPyuria() {
        return symptomPyuria;
    }

    public void setSymptomPyuria(String symptomPyuria) {
        this.symptomPyuria = symptomPyuria;
    }

    public String getSymptomInexhUrine() {
        return symptomInexhUrine;
    }

    public void setSymptomInexhUrine(String symptomInexhUrine) {
        this.symptomInexhUrine = symptomInexhUrine;
    }

    public String getSymptomDysury() {
        return symptomDysury;
    }

    public void setSymptomDysury(String symptomDysury) {
        this.symptomDysury = symptomDysury;
    }

    public String getSymptomUrinaInter() {
        return symptomUrinaInter;
    }

    public void setSymptomUrinaInter(String symptomUrinaInter) {
        this.symptomUrinaInter = symptomUrinaInter;
    }

    public String getSymptomPerinealPain() {
        return symptomPerinealPain;
    }

    public void setSymptomPerinealPain(String symptomPerinealPain) {
        this.symptomPerinealPain = symptomPerinealPain;
    }

    public String getSymptomLumSore() {
        return symptomLumSore;
    }

    public void setSymptomLumSore(String symptomLumSore) {
        this.symptomLumSore = symptomLumSore;
    }

    public String getSymptomSexualFD() {
        return symptomSexualFD;
    }

    public void setSymptomSexualFD(String symptomSexualFD) {
        this.symptomSexualFD = symptomSexualFD;
    }

    public String getSymptomMemoryLoss() {
        return symptomMemoryLoss;
    }

    public void setSymptomMemoryLoss(String symptomMemoryLoss) {
        this.symptomMemoryLoss = symptomMemoryLoss;
    }

    public String getSymptomLoseSleep() {
        return symptomLoseSleep;
    }

    public void setSymptomLoseSleep(String symptomLoseSleep) {
        this.symptomLoseSleep = symptomLoseSleep;
    }

    public String getSymptomEasyFatigue() {
        return symptomEasyFatigue;
    }

    public void setSymptomEasyFatigue(String symptomEasyFatigue) {
        this.symptomEasyFatigue = symptomEasyFatigue;
    }

    public String getSymptomOther() {
        return symptomOther;
    }

    public void setSymptomOther(String symptomOther) {
        this.symptomOther = symptomOther;
    }

    public String getSymptomOtherStr() {
        return symptomOtherStr;
    }

    public void setSymptomOtherStr(String symptomOtherStr) {
        this.symptomOtherStr = symptomOtherStr;
    }

    public String getAfeMediumTexture() {
        return afeMediumTexture;
    }

    public void setAfeMediumTexture(String afeMediumTexture) {
        this.afeMediumTexture = afeMediumTexture;
    }

    public String getAfeHardTexture() {
        return afeHardTexture;
    }

    public void setAfeHardTexture(String afeHardTexture) {
        this.afeHardTexture = afeHardTexture;
    }

    public String getAfePalpableNodule() {
        return afePalpableNodule;
    }

    public void setAfePalpableNodule(String afePalpableNodule) {
        this.afePalpableNodule = afePalpableNodule;
    }

    public String getBloodPressureLeftU() {
        return bloodPressureLeftU;
    }

    public void setBloodPressureLeftU(String bloodPressureLeftU) {
        this.bloodPressureLeftU = bloodPressureLeftU;
    }

    public String getBloodPressureLeftD() {
        return bloodPressureLeftD;
    }

    public void setBloodPressureLeftD(String bloodPressureLeftD) {
        this.bloodPressureLeftD = bloodPressureLeftD;
    }

    public String getBloodPressureRigthU() {
        return bloodPressureRigthU;
    }

    public void setBloodPressureRigthU(String bloodPressureRigthU) {
        this.bloodPressureRigthU = bloodPressureRigthU;
    }

    public String getBloodPressureRigthD() {
        return bloodPressureRigthD;
    }

    public void setBloodPressureRigthD(String bloodPressureRigthD) {
        this.bloodPressureRigthD = bloodPressureRigthD;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getPsa() {
        return psa;
    }

    public void setPsa(String psa) {
        this.psa = psa;
    }

    public String getbUrud() {
        return bUrud;
    }

    public void setbUrud(String bUrud) {
        this.bUrud = bUrud;
    }

    public String getDailySmokingQuantity() {
        return dailySmokingQuantity;
    }

    public void setDailySmokingQuantity(String dailySmokingQuantity) {
        this.dailySmokingQuantity = dailySmokingQuantity;
    }

    public String getEveryAlcoholTolerance() {
        return everyAlcoholTolerance;
    }

    public void setEveryAlcoholTolerance(String everyAlcoholTolerance) {
        this.everyAlcoholTolerance = everyAlcoholTolerance;
    }

    public String getDrugAdverseReaction() {
        return drugAdverseReaction;
    }

    public void setDrugAdverseReaction(String drugAdverseReaction) {
        this.drugAdverseReaction = drugAdverseReaction;
    }

    public String getDrugName1() {
        return drugName1;
    }

    public void setDrugName1(String drugName1) {
        this.drugName1 = drugName1;
    }

    public String getDrugSubdose1() {
        return drugSubdose1;
    }

    public void setDrugSubdose1(String drugSubdose1) {
        this.drugSubdose1 = drugSubdose1;
    }

    public String getDosageUnit1() {
        return dosageUnit1;
    }

    public void setDosageUnit1(String dosageUnit1) {
        this.dosageUnit1 = dosageUnit1;
    }

    public String getFrequency1() {
        return frequency1;
    }

    public void setFrequency1(String frequency1) {
        this.frequency1 = frequency1;
    }

    public String getDrugName2() {
        return drugName2;
    }

    public void setDrugName2(String drugName2) {
        this.drugName2 = drugName2;
    }

    public String getDrugSubdose2() {
        return drugSubdose2;
    }

    public void setDrugSubdose2(String drugSubdose2) {
        this.drugSubdose2 = drugSubdose2;
    }

    public String getDosageUnit2() {
        return dosageUnit2;
    }

    public void setDosageUnit2(String dosageUnit2) {
        this.dosageUnit2 = dosageUnit2;
    }

    public String getFrequency2() {
        return frequency2;
    }

    public void setFrequency2(String frequency2) {
        this.frequency2 = frequency2;
    }

    public String getDrugName3() {
        return drugName3;
    }

    public void setDrugName3(String drugName3) {
        this.drugName3 = drugName3;
    }

    public String getDrugSubdose3() {
        return drugSubdose3;
    }

    public void setDrugSubdose3(String drugSubdose3) {
        this.drugSubdose3 = drugSubdose3;
    }

    public String getDosageUnit3() {
        return dosageUnit3;
    }

    public void setDosageUnit3(String dosageUnit3) {
        this.dosageUnit3 = dosageUnit3;
    }

    public String getFrequency3() {
        return frequency3;
    }

    public void setFrequency3(String frequency3) {
        this.frequency3 = frequency3;
    }

    public String getDrugName4() {
        return drugName4;
    }

    public void setDrugName4(String drugName4) {
        this.drugName4 = drugName4;
    }

    public String getDrugSubdose4() {
        return drugSubdose4;
    }

    public void setDrugSubdose4(String drugSubdose4) {
        this.drugSubdose4 = drugSubdose4;
    }

    public String getDosageUnit4() {
        return dosageUnit4;
    }

    public void setDosageUnit4(String dosageUnit4) {
        this.dosageUnit4 = dosageUnit4;
    }

    public String getFrequency4() {
        return frequency4;
    }

    public void setFrequency4(String frequency4) {
        this.frequency4 = frequency4;
    }

    public String getDrugName5() {
        return drugName5;
    }

    public void setDrugName5(String drugName5) {
        this.drugName5 = drugName5;
    }

    public String getDrugSubdose5() {
        return drugSubdose5;
    }

    public void setDrugSubdose5(String drugSubdose5) {
        this.drugSubdose5 = drugSubdose5;
    }

    public String getDosageUnit5() {
        return dosageUnit5;
    }

    public void setDosageUnit5(String dosageUnit5) {
        this.dosageUnit5 = dosageUnit5;
    }

    public String getFrequency5() {
        return frequency5;
    }

    public void setFrequency5(String frequency5) {
        this.frequency5 = frequency5;
    }

    public String getDrugName6() {
        return drugName6;
    }

    public void setDrugName6(String drugName6) {
        this.drugName6 = drugName6;
    }

    public String getDrugSubdose6() {
        return drugSubdose6;
    }

    public void setDrugSubdose6(String drugSubdose6) {
        this.drugSubdose6 = drugSubdose6;
    }

    public String getDosageUnit6() {
        return dosageUnit6;
    }

    public void setDosageUnit6(String dosageUnit6) {
        this.dosageUnit6 = dosageUnit6;
    }

    public String getFrequency6() {
        return frequency6;
    }

    public void setFrequency6(String frequency6) {
        this.frequency6 = frequency6;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getCreateOperator() {
        return createOperator;
    }

    public void setCreateOperator(String createOperator) {
        this.createOperator = createOperator;
    }

    public String getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    public String getModifyOperator() {
        return modifyOperator;
    }

    public void setModifyOperator(String modifyOperator) {
        this.modifyOperator = modifyOperator;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTubercle() {
        return tubercle;
    }

    public void setTubercle(String tubercle) {
        this.tubercle = tubercle;
    }

    public String getHard() {
        return hard;
    }

    public void setHard(String hard) {
        this.hard = hard;
    }

    public String getProstateLong() {
        return prostateLong;
    }

    public void setProstateLong(String prostateLong) {
        this.prostateLong = prostateLong;
    }

    public String getProstateWide() {
        return prostateWide;
    }

    public void setProstateWide(String prostateWide) {
        this.prostateWide = prostateWide;
    }

    public String getCdu() {
        return cdu;
    }

    public void setCdu(String cdu) {
        this.cdu = cdu;
    }


    public String getFollowup_id() {
        return followup_id;
    }

    public void setFollowup_id(String followup_id) {
        this.followup_id = followup_id;
    }

    public String getFollowup_project() {
        return followup_project;
    }

    public void setFollowup_project(String followup_project) {
        this.followup_project = followup_project;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getCreateOperatorName() {
        return createOperatorName;
    }

    public void setCreateOperatorName(String createOperatorName) {
        this.createOperatorName = createOperatorName;
    }

    public String getModifyOperatorName() {
        return modifyOperatorName;
    }

    public void setModifyOperatorName(String modifyOperatorName) {
        this.modifyOperatorName = modifyOperatorName;
    }
}
