package com.yihu.rehabilitation.vo.entity.phthisis_followup;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 肺结核患者入户随访--健康教育及培训
 */
public class PhthisisFollowupHealthEduES {

 /**
  * 取药地点
  */
  private String get_drug_addr;

  /**
   * 取药时间
   */
  @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+08:00")
  private Date get_drug_time;

  /**
   * 服药记录卡的填写：1-掌握，2-未掌握
   */
  private byte drug_fill_record_card;

  /**
   * 服药方法及药品存放：1-掌握，2-未掌握
   */
  private byte drug_store;

  /**
   * 肺结核治疗疗程：1-掌握，2-未掌握
   */
  private byte phthisis_treatment;

  /**
   * 不规则服药的危害：1-掌握，2-未掌握
   */
  private byte harm_of_irregular_take_drug;

  /**
   * 服药不良反应及处理：1-掌握，2-未掌握
   */
  private byte drug_bad_reaction;

  /**
   * 治疗期间复诊查痰：1-掌握，2-未掌握
   */
  private byte check_sputum_again;

  /**
   * 外出期间坚持服药：1-掌握，2-未掌握
   */
  private byte insist_take_drug;

  /**
   * 生活习惯及注意事项：1-掌握，2-未掌握
   */
  private byte life_way;

  /**
   * 密切接触患者检查：1-掌握，2-未掌握
   */
  private byte close_contact_patient;

 public String getGet_drug_addr() {
  return get_drug_addr;
 }

 public void setGet_drug_addr(String get_drug_addr) {
  this.get_drug_addr = get_drug_addr;
 }

 public Date getGet_drug_time() {
  return get_drug_time;
 }

 public void setGet_drug_time(Date get_drug_time) {
  this.get_drug_time = get_drug_time;
 }

 public byte getDrug_fill_record_card() {
  return drug_fill_record_card;
 }

 public void setDrug_fill_record_card(byte drug_fill_record_card) {
  this.drug_fill_record_card = drug_fill_record_card;
 }

 public byte getDrug_store() {
  return drug_store;
 }

 public void setDrug_store(byte drug_store) {
  this.drug_store = drug_store;
 }

 public byte getPhthisis_treatment() {
  return phthisis_treatment;
 }

 public void setPhthisis_treatment(byte phthisis_treatment) {
  this.phthisis_treatment = phthisis_treatment;
 }

 public byte getHarm_of_irregular_take_drug() {
  return harm_of_irregular_take_drug;
 }

 public void setHarm_of_irregular_take_drug(byte harm_of_irregular_take_drug) {
  this.harm_of_irregular_take_drug = harm_of_irregular_take_drug;
 }

 public byte getDrug_bad_reaction() {
  return drug_bad_reaction;
 }

 public void setDrug_bad_reaction(byte drug_bad_reaction) {
  this.drug_bad_reaction = drug_bad_reaction;
 }

 public byte getCheck_sputum_again() {
  return check_sputum_again;
 }

 public void setCheck_sputum_again(byte check_sputum_again) {
  this.check_sputum_again = check_sputum_again;
 }

 public byte getInsist_take_drug() {
  return insist_take_drug;
 }

 public void setInsist_take_drug(byte insist_take_drug) {
  this.insist_take_drug = insist_take_drug;
 }

 public byte getLife_way() {
  return life_way;
 }

 public void setLife_way(byte life_way) {
  this.life_way = life_way;
 }

 public byte getClose_contact_patient() {
  return close_contact_patient;
 }

 public void setClose_contact_patient(byte close_contact_patient) {
  this.close_contact_patient = close_contact_patient;
 }
}
