package com.yihu.jw.resource.service;

import com.yihu.jw.entity.ehr.resource.RsSystemDictionaryEntry;
import com.yihu.jw.query.BaseJpaService;
import com.yihu.jw.resource.dao.RsSystemDictionaryEntryDao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author linaz
 * @created 2016.05.17 16:33
 */
@Service
@Transactional
public class RsSystemDictionaryEntryService extends BaseJpaService<RsSystemDictionaryEntry, RsSystemDictionaryEntryDao> {

    @Autowired
    private RsSystemDictionaryEntryDao systemDictionaryEntryDao;
    public RsSystemDictionaryEntry findById(String id) {
        return systemDictionaryEntryDao.findById(id).get();
    }
}
