package com.yihu.jw.standard.service;

import com.yihu.jw.query.BaseJpaService;
import com.yihu.jw.standard.dao.DispatchLogRepository;
import com.yihu.jw.standard.model.DispatchLog;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author lincl
 * @version 1.0
 * @created 2016.3.2
 */
@Transactional
@Service
public class DispatchLogService extends BaseJpaService<DispatchLog, DispatchLogRepository> {

    public boolean delete(String versionCode, String orgCode){
        String sql = "delete from com.yihu.jw.standard.dispatch.service.DispatchLog where orgId=:orgId and stdVersionId=:versionCode";
        return currentSession()
                    .createQuery(sql)
                    .setParameter("orgId", orgCode)
                    .setParameter("versionCode", versionCode)
                    .executeUpdate()>0;
    }

}
