package com.yihu.jw.wlyy.statistics.etl.convert.wlyy;


import com.yihu.jw.wlyy.statistics.etl.convert.Convert;
import com.yihu.jw.wlyy.statistics.vo.BaseDimensionQuota;
import com.yihu.jw.wlyy.statistics.vo.DataModel;
import org.springframework.jdbc.core.JdbcTemplate;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * Created by wangzhinan on 2020/2/17.
 */
public class ConsultTypeConvert implements Convert {
    /**
     * @param oneList    数据
     * @param slaveLevel 从1开始
     * @return
     */
    @Override
    public List<DataModel> convert(JdbcTemplate jdbcTemplate, List<DataModel> oneList, String slaveLevel, BaseDimensionQuota temp) {
        Map<String,Object> tempMap = new HashMap<>();
        List<DataModel> result = new ArrayList<>();
        for(DataModel one:oneList) {
            try {
                String key = getSlaveKey1(one.getSlaveKey1());
                DataModel.class.getMethod("setSlaveKey" + slaveLevel, String.class).invoke(one, key);
//                result.add(one);
            } catch (Exception e) {
                e.printStackTrace();
            }
        };
        return oneList;
    }

    public String getSlaveKey1(String slaveKey1) {
        if (slaveKey1.equalsIgnoreCase("1")) {
            return "1";
        } if (slaveKey1.equalsIgnoreCase("15")) {
            return "1";
        } else {
            return slaveKey1;
        }
    }


    public String getSlaveKey1Name(String slaveKey1) {
        if (slaveKey1.equalsIgnoreCase("1")) {
            return "专家咨询";
        } if (slaveKey1.equalsIgnoreCase("15")) {
            return "专家咨询";
        } if (slaveKey1.equalsIgnoreCase("9")) {
            return "图文复诊";
        }if (slaveKey1.equalsIgnoreCase("12")) {
            return "专科协同";
        }if (slaveKey1.equalsIgnoreCase("16")) {
            return "视频复诊";
        }else {
            return "其他";
        }
    }

}


