package com.yihu.jw.statistics.dao;


import com.yihu.jw.statistics.vo.BaseDimensionQuota;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * Created by chenweida on 2017/7/10.
 */
public interface WlyyDimensionQuotaDao extends PagingAndSortingRepository<BaseDimensionQuota, Long>, JpaSpecificationExecutor<BaseDimensionQuota> {
    @Query("from BaseDimensionQuota w where w.quotaCode=?1 order by sort asc")
    List<BaseDimensionQuota> findDimensionQuotasByQuotaCode(String id);
}
